Welcome

This page links you to product and user information for the Keysight N7600B Signal Studio for W-CDMA/HSPA+ software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Help compiled on Monday, May 16, 2016 - get the latest revision

© Keysight Technologies, Inc. 2006-2016


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

Real Time

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7600B Signal Studio for W-CDMA/HSPA+ software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Version B.01.20 or later for real time software

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-1ER (flexible reference input, 1-50 MHz)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5172B-UNZ (fast switching for manufacturing environments)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Version B.01.20 or later for real time software

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-1ER (flexible reference input, 1-50 MHz)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182B-UNZ (fast switching for manufacturing environments)

N5182A MXG vector signal generator

(For more information see the Configuration Guide)

Firmware:

Version A.01.51 or later (how to upgrade)

Required options:

One of the following baseband generator options:

  • N5182A-503 (250 kHz to 3 GHz frequency range, recommended)

  • N5182A-651 (30 MSa/s internal baseband generator with 8 MSa memory)

  • N5182A-652 (60 MSa/s internal baseband generator with 8 MSa memory)

  • N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory)

Additional options to consider:

  • N5182A-019 (increase baseband generator memory to 64 MSa memory, recommended)

  • N5182A-403 (calibrated noise personality, required for C/N capability)

  • N5182A-506 (250 kHz to 6 GHz frequency range)

  • N5182A-1EL (differential I/Q outputs)

  • N5182A-UNV (enhanced dynamic range)

E4438C ESG vector signal generator

(For more information see the Configuration Guide)

Firmware:

Version C.05.24 or later (how to upgrade)

Required options:

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Additional options to consider:

  • E4438C-005 (6 GB internal hard drive, recommended)

  • E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

  • E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

  • E4438C-UNJ (enhanced phase noise performance recommended, required with Option 506)

E8267D PSG vector signal generator

(For more information see the Configuration Guide)

Firmware:

Version C.04.85 or later (how to upgrade)

Required options:

One of the following baseband generator options:

  • E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Additional options to consider:

  • E8267D-005 (6 GB internal hard drive, recommended)

  • E8267D-403 (calibrated noise personality, required for C/N capability, recommended)

  • E8267D-520 (250 kHz to 20 GHz frequency range, recommended)

  • E8267D-UNR (enhanced phase noise performance recommended)

N5106A PXB baseband generator and channel emulator

Required options:

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 I/O channels - 2 analog I/Q out and 2 digital I/O)

  • N5106A-EFP (Baseband Generation)

  • N5106A-JFP (Calibrated AWGN)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

Real Time

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 8.1

With Windows 8.1 you do not have to install .NET Framework, rather you enable it in the Control Panel and it is downloaded and installed automatically. You must perform this procedure as the administrator and be connected to the internet.

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5. Make sure the checkbox is marked.

  3. Press OK. This will begin the installation process of .NET Framework 3.5.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

Real Time

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

Real Time

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

Real Time

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

Real Time

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

Real Time

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to an EXT, use the EXT's address (LAN/GPIB) or hostname (LAN only) [Some Signal Studio products do not support live connectivity to the EXT]:

      • hostname: press System > Show > System and view the Computer Name row

      • IP address: press System > Show > System and view the IP Address row

      • GPIB address: press System > I/O Config > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • SystemVue ESL Design Software

  • M9381A PXIe Vector Signal Generator

  • E6640A EXM Wireless Test Set

  • E6650A EXF Wireless Test Set for Femtocell

  • M9252A Dig RF Host Adapter

  • M9420A VXT PXIe Vector Transceiver

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator

  • E6607 EXT Wireless Communications Test Set


Installing the License in an MXG Signal Generator

Real Time

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License for SystemVue ESL Design Software

Before installing the license file, save a backup copy in a safe place.

Fixed Licenses

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the host PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

Floating Licenses

  1. Save the license file to a convenient location on the server PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the server PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

  4. Move to the client PC(s) and install the licenses on each client, following the same steps. On the client PCs, the Host ID shown in Keysight License Manager will be different than the one matching the server PC.

  5. Client PCs must have a network link to the server PC before the licenses will work, as the licenses are validated by the server.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6640A EXM Wireless Test Set

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6650A EXF Wireless Test Set for Femtocell

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an M9252A DigRF Host Adapter

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an M9420A VXT PXIe Vector Transceiver

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Real Time

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Installing the License in an EXT

Real Time

Installing the License in an EXT Wireless Communications Test Set

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the EXT, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the EXT to install the license remotely, see Using Keysight License Manager on a PC Connected to the EXT.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the EXT using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the EXT.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the EXT front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the EXT

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the EXT through a LAN connection. This method requires that the EXT and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the EXT and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the KLM software and the EXT.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your EXT. In the EXT user interface, press System > Show > System and see the IP Address row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators and the EXT wireless communications test set. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

    EXT: System > More > Licensing

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Real Time

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is not available for the N7605B, N7607B, and N7614B.

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • E6607 EXT

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • M9420A VXT PXIe Vector Transceiver (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • E6640A EXM Wireless Test Set (50-pack options 250, 251, and 252 are standard with this product)

  • E6650A EXF Wireless Test Set for Femtocell (50-pack options 250, 251, and 252 are standard with this product)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
E6607 EXT | All firmware versions | N/A
M9381A PXIe VSG | All firmware versions | N/A
M9420A PXIe VXT | All firmware versions | N/A
E6640A | All firmware versions | N/A
E6650A | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Using the Software

Arb

describes how to use the software to create, download, and playback waveforms.

Real Time

describes how to use the software to configure real-time test signals.

Troubleshooting

describes how to resolve common software and instrument problems.


Using the Software

Real Time

Using the Software – Arb

The Arb (also know as waveform playback) capability of the software creates a waveform file for use in an instrument. After being downloaded, the instrument plays back the waveform file to produce the signal.

Concepts | provides conceptual information on a variety of subjects related to the N7600B software.
Tutorials | provides detailed instructions about channel setup, waveform setup, carrier setup, and so on.
User Interface | provides information about how to work with the user interface.
API Control | provides information about the APIs available to control the software.


Concepts

Real Time

Concepts – Arb

Cubic Metric | provides information about the Cubic Metric; what it is, and how it is calculated.
Transmit Diversity | provides information about how transmit diversity is implemented in this software.
Understanding TPC Values | provides information regarding Transmit Power Control (TPC) values and what they mean.
Understanding TFCI, TPC, and Pilot Power Offsets | provides information about the TFCI, TPC, and Pilot Power Offsets applied to downlink control channels and their relationship to the data channels' transmit power.
Calculating Downlink Scramble Codes | provides information about how to calculate scrambling codes for downlink channels.
Channel Structures | provides information about the downlink and uplink channel structures.
Frame Structures | shows the frame structure for different channel types.

Related Topics

Concepts – Real Time

provides information about how to use the real-time W-CDMA/HSPA+ software.


Understanding the Cubic Metric

Cubic Metric (CM) is the metric of the of the actual reduction in power capability, or power de-rating, of a typical power amplifier in a mobile handset. This is a more effective predictor than the peak-to-average power ratio (PAR).

In amplifier circuits, the primary cause of adjacent channel (± 5MHz) ACLR is the third order non-linearity of the amplifier's gain characteristic. Ignoring any other causes of non-linearity, the amplifier voltage gain characteristics may be written as:

The G1 value is the linear gain of the amplifier, while the G3 value is the non-linear gain. These values depend only on the amplifier design, and will not change regardless of the signal used for [image].

Given that the signal for [image] is a 3GPP modulated RF carrier, then the cubic term above will generate several types of degradation to the output signal. On-channel distortion terms that contribute to EVM will be produced, as well as signals at the third harmonic of the carrier frequency, and signals in the upper and lower adjacent channel bands. For a given amplifier, the total energy in the cubic term will be determined only by the [image] signal, and this total energy will be distributed among the various distortion components in some predefined, signal dependent way.

In order to generate a metric that reflects the power in the cubic term above, the given voltage signal is first normalized to an rms value of 1.0, then cubed. The rms value of this cubed waveform is then computed and converted to dB.

Calculating the Cubic Metric

Cubic Metric is based on the UE transmit channel configuration, and is given by:

CM = CEIL{[20*log10((v_norm3)rms)–20*log10((v_norm_ref3)rms)]/k,0.5}

  • CEIL{x,0.5} is the value of the expression rounded upward to the closest 0.5 dB.

    For example, CM = [0, 0.5, 1.0, 1.5, 2.0, 2.5, 3.0, 3.5]

  • k:

    • 1.8500 for signals where all channelization codes meet the following criteria: CSF, N where N < SF/2

    • 1.5600 for signals where any channelization codes meet the following criteria CSF, N where N > SF/2

      For example, using Sub-tests 2 and 4 where N=1, E-DPDCH SF =4, E-DPDCH channelization code (C) =4.

      • Sub-tests 2 and 4 where N = 1, E-DPDCH SF = 4, E-DPDCH channelization code (C) = 4, N > 4/2

        Since N = 1, 1

    • 1.5600 for Sub-tests 2 and 4

  • v_norm3 is the normalized voltage waveform of the input signal.

  • v_norm_ref3 is the normalized voltage waveform of the reference signal (12.2 kbps AMR Speech) and

    20*log10((v_norm_ref3)rms) = 1.5237 dB

For more information, see:

Cubic Metric

Cubic Metric Reference Signal rms

Cubic Metric k Value


Transmit Diversity

The software provides a downlink transmit diversity feature that incorporates both STTD and TSTD encoding. During transmit diversity operation, the software does not incorporate any DTX periods.

Transmit diversity diminishes the effects of fading by transmitting the same information from two different antennas. For this software, the two different antennas means one carrier set as antenna one and another carrier set as antenna two. STTD and TSTD encoding is what lets a UE distinguish whether a signal is from antenna one or antenna two. The data from the second antenna (second carrier—Open Loop Antenna 2) is encoded differently to distinguish it from the primary antenna (Open Loop Antenna 1). The user equipment (UE) must be able to recognize that the information is coming from two different locations (in this case different carriers) and properly decode the data.

There are a few different ways to configure transmit diversity. If the requirement is to look at the data from a single transmit diversity antenna, you can configure an individual carrier as either antenna one or as antenna two. If the test requires a signal from both antennas, then you need to configure a minimum of two carriers, one as antenna one and the other as antenna two. Since this software is a multicarrier product capable of transmitting 16 different carriers, the flexibility of the software also lets you configure each carrier as a transmit diversity antenna, meaning that you can have several as antenna one, as antenna two, or a mixture of both.

The software applies STTD encoding to the following channels:

DPCH | E-AGCH
E-HICH | E-RGCH
HS-PDSCH | HS-SCCH
OCNS | PICH
P-CCPCH | S-CCPCH

The CPICH is not STTD encoded, but it is affected by transmit diversity. Even though it is transmitted from both antennas, its predefined bit sequence differs between antenna one and antenna two per the 3GPP specifications. The SCH uses TSTD encoding and is phase inverted:

  • Open Loop Antenna 1 – sets up the carrier as antenna one, and broadcasts the SCH during even numbered slots.

  • Open Loop Antenna 2 – sets up the carrier as antenna two, broadcasts the SCH during odd numbered slots, modifies the DPCCH pilot bits, and encodes the data to distinguish it from antenna one.

To configure a carrier for transmit diversity, use the Carrier Setup node located in the tree view.


Understanding TPC Values

Transmit Power Control (TPC) values determine how the transmit power of the receiving base or mobile station will increase or decrease over specific time slots. In the channel table editor, TPC values are represented in hexadecimal format to simplify entries and modifications. The following figure shows the channel configuration node for a DPCCH channel, with a TPC value of 7F80.

Hexadecimal TPC values are converted to their binary equivalent. In this example, the value 7F80 becomes 111 1111 1000 0000. Notice that there are 15 digits in the binary TPC value. Because one frame contains 15 timeslots, one binary digit is assigned to each timeslot (see figure below). The assigned bit is then repeated enough times to fill the TPC bit field (see the NTPC column in the table below). Since the example in the following figure uses two TPC bits per timeslot, the values are either 11 or 00.

The TPC bits that are ones (1) direct the receiving base or mobile station to increase its transmit power by an amount specified by the W-CDMA standard. Likewise, TPC bits that are zeros (0) cause the power to decrease by the same amount. In this example, the transmit power is increasing over timeslots 0 through 7 and decreasing over timeslots 8 through 14.

TPC Bits per Timeslot

Slot Format | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spread Factor | Bits/ Slot | DPCCH Bits/Slot
 |  |  |  |  | NTFCI | NTPC | Npilot
0 | 15 | 7.5 | 512 | 10 | 0 | 2 | 4
1 | 15 | 7.5 | 512 | 10 | 2 | 2 | 4
2 | 30 | 15 | 256 | 20 | 0 | 2 | 2
3 | 30 | 15 | 256 | 20 | 2 | 2 | 2
4 | 30 | 15 | 256 | 20 | 0 | 2 | 4
5 | 30 | 15 | 256 | 20 | 2 | 2 | 4
6 | 30 | 15 | 256 | 20 | 0 | 2 | 8
7 | 30 | 15 | 256 | 20 | 2 | 2 | 8
8 | 60 | 30 | 128 | 40 | 0 | 2 | 4
9 | 60 | 30 | 128 | 40 | 2 | 2 | 4
10 | 60 | 30 | 128 | 40 | 0 | 2 | 8
11 | 60 | 30 | 128 | 40 | 2 | 2 | 8
12 | 120 | 60 | 64 | 80 | 8 | 4 | 8
13 | 240 | 120 | 32 | 160 | 8 | 4 | 8
14 | 480 | 240 | 16 | 320 | 8 | 8 | 16
15 | 960 | 480 | 8 | 640 | 8 | 8 | 16
16 | 1920 | 960 | 4 | 1280 | 8 | 8 | 16
TPC Bit Pattern |  |  | Transmitter power control command
NTPC = 2 | NTPC = 4 | NTPC = 8
11 00 | 1111 0000 | 11111111 00000000 | 1 0

Related Topics

Channel Setup - Downlink

Channel Setup - Uplink Basic

Channel Setup - Uplink Advanced


Understanding TFCI, TPC, and Pilot Power Offsets

TFCI, TPC, and Pilot Power offsets (PO), which are applied to downlink control channels (DPCCH), are relative to the transmit power for data channels (DPDCH). Usually, these offsets are set to a positive value (see the figure below). The intent is to transmit control symbols at a higher level than data symbols, to maintain the link between mobile and base. Because only the DPCCH transmit power is offset, the total transmit power is minimized and less noise is generated in the system.

The figure below shows that the channel has the data transmit power (Power) set to 0.00 dB with the following offsets: TPC Power set to 3.00 dB, TFCI Power set to 2.00 dB, and Pilot Power set to 1.00 dB. Because of these offsets, the control symbols corresponding to TPC, TFCI, and Pilot will transmit at 3.00 dB, 2.00 dB, and 1.00 dB respectively.

Related Topics

Channel Setup - Downlink

Channel Setup - Uplink Basic

Channel Setup - Uplink Advanced


Calculating Downlink Scramble Codes

The N7600B Signal Studio software implements scrambling codes for downlink channels in compliance with 3GPP specifications. This is done through the use of Scramble Code, Scramble Type, and Scramble Offset fields in the downlink channel parameter selection table. These fields are linked so that an entry to any field affects the actual scramble code.

The Primary Scrambling Code for all channels is set in the downlink carrier parameter selection table.

To better understand the relationship, please refer to the following formula.

n = (16 x i) + k + m

n = scramble code | Range: 0 to 511
i = scramble code field input | Primary Range: 0 to 511 Secondary Range: 0 to 511
k = scramble offset field input | Range: 0 to 15
m = scramble type field input | Standard: adds 0 Right Alternate: adds16384 Left Alternate: adds 8192

The Scramble Code field has two sets: primary and secondary, each with a field range of 0 through 511. The primary and secondary sets are determined by the Scramble Offset field. If the Scramble Offset field is zero, then the scramble code is in the primary set. Any non-zero entry enables the secondary set. The Scramble Offset field has a range of 0 through 15.

The Scramble Type field has three modes: Standard, Right Alternate, and Left Alternate. The standard scramble type has a value of zero and does not contribute to the scramble code. Selecting the right alternate adds 16384 to the actual scramble code, whereas the left alternate adds 8192.

Scramble Codes with Standard Scramble Type

A primary scramble code is the product of the Scramble Code field entry and 16. Therefore, the primary scramble code set contains all multiples of 16 from 0 through 8176.

A secondary scramble code is the sum of the non-zero Scramble Offset field entry and the primary scramble code. The secondary scramble code set uses the numbers in between the multiples of 16.

Thus, all numbers from 0 through 8191 are available for scramble codes when using the standard scramble type.

Refer to the following for examples of scramble codes generated with the primary and secondary sets:

n = (16 x i) + k + m

n = scramble code

i = scramble code field input

k = scramble offset field input

m = scramble type field input

Primary Set | Secondary Set
i = 6 | i = 8
k = 0 | k = 7
m = 0 | m = 0
n = 96 | n = 135

Scramble Codes with Right and Left Alternate Scramble Types

Recalling that right alternate adds 16384 to the scramble code and left alternate adds 8192, refer to the following examples of scramble codes generated with the right alternate and left alternate scramble types:

n = (16 x i) + k + m

n = scramble code

i = scramble code field input

k = scramble offset field input

m = scramble type field input

Primary Set + Left Alternate | Secondary Set + Right Alternate
i = 6 | i = 8
k = 0 | k = 7
m = 8192 | m = 16384
n = 8288 | n = 16519


Channel Structures

Downlink Channel Structure | provides information about the downlink channel structure.
Uplink Channel Structure | provides information about the uplink channel structure.


Downlink Channel Structure


Uplink Channel Structure


Frame Structures

Downlink CPICH | shows the frame structure for the common pilot channel
Downlink DPCCH/DPDCH | shows the frame structure for the dedicated physical control channel and the dedicated physical data channel.
Downlink E-AGCH | shows the frame structure for the E-DCH absolute grant channel.
Downlink E-RGCH/E-HICH | shows the frame structure for the E-DCH relative grant channel and the E-DCH hybrid ARQ indicator channel.
Downlink HS-PDSCH | shows the frame structure for the high speed physical downlink shared channel.
Downlink HS-SCCH | shows the frame structure for the high speed shared control channel.
Downlink PICH | shows the frame structure for the paging indicator channel.
Downlink P-CCPCH + SCH | shows the frame structure for the primary common control physical channel and the synchronization channel.
Downlink S-CCPCH | shows the frame structure for the secondary common control physical channel.
Uplink DPCCH/DPDCH | shows the frame structure for the dedicated physical control channel and the dedicated physical data channel.
Uplink E-DPDCH/E-DPCCH | shows the frame structure for the E-DCH dedicated physical data channel and the E-DCH dedicated physical control channel.
Uplink HS-DPCCH | shows the frame structure for the uplink HS-DSCH dedicated physical control channel.


Downlink CPICH Frame Structure

The CPICH is a fixed rate (30 kbps, SF=256) downlink physical channel that carries a pre-defined bit sequence.

In the case that transmit diversity (open or closed loop) is used on any downlink channel in the cell, the CPICH shall be transmitted from both antennas using the same channelization and scrambling code. In this case, the pre-defined bit sequence of the CPICH is different for Antenna 1 and Antenna 2, see the figure below. In the case that no transmit diversity is used, the bit sequence of Antenna 1 in the figure below is used.


Downlink DPCCH/DPDCH Frame Structure

DPDCH and DPCCH Fields / Bits per Frame

Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spread Factor | Bits/Frame
 |  |  | DPDCH | DPCCH | Total
15 | 7.5 | 512 | 60 | 90 | 150
15 | 7.5 | 512 | 30 | 120 | 150
30 | 15 | 256 | 240 | 60 | 300
30 | 15 | 256 | 210 | 90 | 300
30 | 15 | 256 | 210 | 90 | 300
30 | 15 | 256 | 180 | 120 | 300
30 | 15 | 256 | 150 | 150 | 300
30 | 15 | 256 | 120 | 180 | 300
60 | 30 | 128 | 510 | 90 | 600
60 | 30 | 128 | 480 | 120 | 600
60 | 30 | 128 | 450 | 150 | 600
60 | 30 | 128 | 420 | 180 | 600
120 | 60 | 64 | 900 | 300 | 1200
240 | 120 | 32 | 2100 | 300 | 2400
480 | 240 | 16 | 4320 | 480 | 4800
960 | 480 | 8 | 9120 | 480 | 9600
1920 | 960 | 4 | 18720 | 480 | 19200

DPDCH and DPCCH Fields / Bits per Slot

Slot Format | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spread Factor | Bits/ Slot | DPDCH Bits/Slot |  | DPCCH Bits/Slot
 |  |  |  |  | Ndata1 | Ndata2 | NTFCI | NTPC | Npilot
0 | 15 | 7.5 | 512 | 10 | 0 | 4 | 0 | 2 | 4
1 | 15 | 7.5 | 512 | 10 | 0 | 2 | 2 | 2 | 4
2 | 30 | 15 | 256 | 20 | 2 | 14 | 0 | 2 | 2
3 | 30 | 15 | 256 | 20 | 2 | 12 | 2 | 2 | 2
4 | 30 | 15 | 256 | 20 | 2 | 12 | 0 | 2 | 4
5 | 30 | 15 | 256 | 20 | 2 | 10 | 2 | 2 | 4
6 | 30 | 15 | 256 | 20 | 2 | 8 | 0 | 2 | 8
7 | 30 | 15 | 256 | 20 | 2 | 6 | 2 | 2 | 8
8 | 60 | 30 | 128 | 40 | 6 | 28 | 0 | 2 | 4
9 | 60 | 30 | 128 | 40 | 6 | 26 | 2 | 2 | 4
10 | 60 | 30 | 128 | 40 | 6 | 24 | 0 | 2 | 8
11 | 60 | 30 | 128 | 40 | 6 | 22 | 2 | 2 | 8
12 | 120 | 60 | 64 | 80 | 12 | 48 | 8 | 4 | 8
13 | 240 | 120 | 32 | 160 | 28 | 112 | 8 | 4 | 8
14 | 480 | 240 | 16 | 320 | 56 | 232 | 8 | 8 | 16
15 | 960 | 480 | 8 | 640 | 120 | 488 | 8 | 8 | 16
16 | 1920 | 960 | 4 | 1280 | 248 | 1000 | 8 | 8 | 16


Downlink E-AGCH Frame Structure

The E-DCH Absolute Grant Channel (E-AGCH) is a fixed rate (30 kbps, SF=256) downlink physical channel carrying the uplink E-DCH absolute grant. The figure below illustrates the frame and sub-frame structure of the E AGCH.


Downlink E-RGCH/E-HICH Frame Structure

E-RGCH and E-HICH Signature Sequences

The following table shows the signature sequence patterns. The software provides all 40 signature sequence patterns along with signature hopping as outlined in TS 25.211. The signature patterns read from left to right and are transmitted in the same order. Column two contains bit 0 of the sequence pattern and the right most column contains bit 39.

The sequence bi,0, bi,1, ..., bi,39 transmitted in slot #i (shown in the figure above) is given by bij, = a Cssj),m(i,40,. The orthogonal signature sequences Css)m(i ,40, are shown in the table below. Column 2 corresponds to index j=0 and the right most column corresponds to index j=39.

E-HICH and E-RGCH Signature Hopping Pattern

After you select the signature sequence pattern, the software determines the correct signature hopping pattern according to the following table. For example if you select signature sequence pattern 6, the software transmits sequence pattern 6 first, sequence pattern 12 second, sequence pattern 16 third, and then repeats this signature sequence hopping pattern until you change the signature sequence number in the Data cell.

The index m(i) in slot #i is shown in the table below.


Downlink HS-PDSCH Frame Structure

Real Time

HS-PDSCH Frame Structure

In the figure above, M is the number of bits per modulation symbol, where M=2 for QPSK, M=4 for 16QAM, and M=6 for 64QAM. Modulation selection is a feature provided with Option FFP.

Slot format | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | SF (fixed) | Bits/ HS-DSCH subframe | Bits/ Slot | Ndata
0(QPSK) | 480 | 240 | 16 | 960 | 320 | 320
1(16QAM) | 960 | 240 | 16 | 1920 | 640 | 640
2(64QAM) | 1440 | 240 | 16 | 2880 | 960 | 960

Without Option FFP, the HS-PDSCH uses only 16QAM modulation.


Downlink HS-SCCH Frame Structure

Real Time

HS-SCCH Frame Structure


Downlink PICH Frame Structure


Downlink PCCPCH + SCH Frame Structure

Real Time

Downlink P-CCPCH + SCH Frame Structure

Lengths of PCCPCH + SCH Fields

Parameter | Symbols Per Slot
Ndata | 9
NSCH | 1


Downlink S-CCPCH Frame Structure

S-CCPCH Slot Formats

Option FFP provides 16QAM for use with slot formats 18 through 23.

Slot Format #i | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | SF | Bits/Frame | Bits/Slot | Ndata1 | Npilot | NTFCI
0 | 30 | 15 | 256 | 300 | 20 | 20 | 0 | 0
1 | 30 | 15 | 256 | 300 | 20 | 12 | 8 | 0
2 | 30 | 15 | 256 | 300 | 20 | 18 | 0 | 2
3 | 30 | 15 | 256 | 300 | 20 | 10 | 8 | 2
4 | 60 | 30 | 128 | 600 | 40 | 40 | 0 | 0
5 | 60 | 30 | 128 | 600 | 40 | 32 | 8 | 0
6 | 60 | 30 | 128 | 600 | 40 | 38 | 0 | 2
7 | 60 | 30 | 128 | 600 | 40 | 30 | 8 | 2
8 | 120 | 60 | 64 | 1200 | 80 | 72 | 0 | 8
9 | 120 | 60 | 64 | 1200 | 80 | 64 | 8 | 8
10 | 240 | 120 | 32 | 2400 | 160 | 152 | 0 | 8
11 | 240 | 120 | 32 | 2400 | 160 | 144 | 8 | 8
12 | 480 | 240 | 16 | 4800 | 320 | 312 | 0 | 8
13 | 480 | 240 | 16 | 4800 | 320 | 296 | 16 | 8
14 | 960 | 480 | 8 | 9600 | 640 | 632 | 0 | 8
15 | 960 | 480 | 8 | 9600 | 640 | 616 | 16 | 8
16 | 1920 | 960 | 4 | 19200 | 1280 | 1272 | 0 | 8
17 | 1920 | 960 | 4 | 19200 | 1280 | 1256 | 16 | 8
18 | 60 | 15 | 256 | 600 | 40 | 36 | 0 | 4
19 | 120 | 30 | 128 | 1200 | 80 | 76 | 0 | 4
20 | 240 | 60 | 64 | 2400 | 160 | 144 | 0 | 16
21 | 480 | 120 | 32 | 4800 | 320 | 272 | 32 | 16
22 | 960 | 240 | 16 | 9600 | 640 | 560 | 64 | 16
23 | 1920 | 480 | 8 | 19200 | 1280 | 1136 | 128 | 16


Uplink DPCCH/DPDCH Frame Structure

DPDCH Fields

Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spread Factor | Bits/Frame | Bits/Slot | Ndata
15 | 15 | 256 | 150 | 10 | 10
30 | 30 | 128 | 300 | 20 | 20
60 | 60 | 64 | 600 | 40 | 40
120 | 120 | 32 | 1200 | 80 | 80
240 | 240 | 16 | 2400 | 160 | 160
480 | 480 | 8 | 4800 | 320 | 320
960 | 960 | 4 | 9600 | 640 | 640

DPCCH Fields

Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spread Factor | Bits/Frame | Bits/Slot | Npilot | NTFCI | NFBI | NTPC
15 | 15 | 256 | 150 | 10 | 6 | 2 | 0 | 2
15 | 15 | 256 | 150 | 10 | 8 | 0 | 0 | 2
15 | 15 | 256 | 150 | 10 | 5 | 2 | 1 | 2
15 | 15 | 256 | 150 | 10 | 7 | 0 | 1 | 2
15 | 15 | 256 | 150 | 10 | 6 | 0 | 2 | 2
15 | 15 | 256 | 150 | 10 | 5 | 2 | 2 | 1


Uplink E-DPDCH and E-DPCCH Frame Structure

Real Time

Uplink E-DPDCH/E-DPCCH Frame Structure

In the figure above, M is the number of bits per modulation symbol, where M=1 for BPSK and M=2 for 4PAM. Modulation selection is a feature provided with Option FFP.

E-DPDCH Slot Formats

Slot Format | Channel Bit Rate (kbps) | Bits/Symbol (M) | Spread Factor | Bits/Frame | Bits/Sub frame | Data Bits/Slot
0 | 15 | 1 | 256 | 150 | 30 | 10
1 | 30 | 1 | 128 | 300 | 60 | 20
2 | 60 | 1 | 64 | 600 | 120 | 40
3 | 120 | 1 | 32 | 1200 | 240 | 80
4 | 240 | 1 | 16 | 2400 | 480 | 160
5 | 480 | 1 | 8 | 4800 | 960 | 320
6 | 960 | 1 | 4 | 9600 | 1920 | 640
7 | 1920 | 1 | 2 | 19200 | 3840 | 1280
8 | 1920 | 2 | 4 | 19200 | 3840 | 1280
9 | 3840 | 2 | 2 | 38400 | 7680 | 2560

E-DPCCH Slot Formats

Slot Format | Channel Bit Rate (kbps) | Spread Factor | Bits/Frame | Bits/Sub frame | Data Bits/Slot
0 | 15 | 256 | 150 | 30 | 10

Related Topics

Configuring User Data


Uplink HS-DPCCH

Real Time

Uplink HS-DPCCH Frame Structure

Slot Format #i | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | SF | Bits/Subframe | Bits/Slot | Transmitted Slots/Subframe
0 | 15 | 15 | 256 | 30 | 10 | 3


Tutorials

Configuring the Waveform Setup View | This procedure describes how to add and delete carriers, and configure the waveform attributes.
Configuring the Carrier View | This procedure describes how to configure the carrier.
Configuring the Channel Setup View | This procedure provides information on how to add and delete uplink and downlink channels, and edit the channel configurations.
Configuring User Data | This procedure describes how to create user data for subframes.
Configuring a BER Test | This procedure steps through the BTS/Femtocell BERT setup and test process using both software and signal generator settings.
Creating and Exporting Waveforms | This procedure describes how to create and export waveform files for use with most instruments, such as the M9381A PXIe Vector Signal Generator.
Creating and Exporting Waveforms for the EXT | This procedure describes how to create and export a waveform file to the EXT. This is an alternate method to using a live connection.
2x2 MIMO Tx (for Signal Generator) | This procedure describes how to configure a 2x2 MIMO Tx setup, using two signal generators.
Configuring the M9381A for Signal Studio | This procedure describes the steps unique to M9381A PXIe configurations with Signal Studio products.
Configuring the M9420A for Signal Studio | This procedure describes the steps unique to M9420A VXT PXIe configurations with Signal Studio products.


Configuring the Waveform Setup Node

Real Time

Configuring the Waveform Setup View

Select a Predefined Carrier Configuration

  1. In the Closed tree view, select Waveform Setup.

  2. Click the predefined carrier configuration Closed setup button, located above the summary table.

  3. From the Closed dialog box that appears, select a multiple carrier configuration.

    Notice that you have five downlink selections (single carrier to four carriers) and a single uplink carrier selection. The selected predefined configuration appears in the carrier configuration summary Closed table. You can change the predefined configuration for a carrier from the Carrier and Channel Setup Closed tree view selections.

    In this example a four carrier downlink configuration was selected.

If you select another predefined carrier setup, it replaces all carriers showing in the configuration summary table.

Add a Carrier

You have the option of adding either a downlink or uplink carrier to the current carrier selection showing in the configuration summary table. This process assumes that a multicarrier configuration appears in the configuration summary table as performed in the previous procedure "Select a Predefined Carrier Configuration."

  1. In the configuration summary table, highlight the second carrier.

  2. Click the add new carrier Closed button.

  3. Select either an uplink or downlink carrier from the drop-down menu.

    Notice that the software adds the new carrier above the highlighted carrier. The new carrier's channel configuration is different from the channel configuration for the carriers selected in the predefined carrier setup button.

Delete a Carrier

The software provides the convenience of deleting a single carrier or multiple carriers.

  1. In the configuration summary table, highlight the carrier or carriers that require deletion.

    To select multiple carriers, use the keyboard Shift key operation to select carriers in succession (a group) or the Ctrl key to select multiple individual carriers.

  2. Click the delete Closed button above the configuration summary table.

Waveform Attributes

It is best to configure these parameters after setting the channel and carrier parameters, since they determine the waveform length, which also determines the maximum number of usable marker points for a waveform.

  1. Enter general information about the waveform

  2. Optionally configure the waveform's markers.

    1. Select the marker number (Marker x Source cells).

    2. Click on the more detail Closed icon located at the far right of the Marker x Source row.

    3. Configure the marker in the Marker Source Selection dialog box that appears.

    The signal generator outputs a marker signal from the rear-panel EVENT 1-4 outputs based on the marker bit settings. The EVENT output number corresponds to the Marker x Source marker number. For example, Marker 1 Source causes the signal generator to output a marker signal on the EVENT 1 output. For more information on markers and the rear panel EVENT outputs, see the signal generator's User Guide.

Related Topics

Waveform Setup

Waveform Graph

CCDF Graph

Marker Selection Dialog Box

Configuring the Carrier View

Configuring the Channel Setup View


Configuring the Carrier Node

Real Time

Configuring the Carrier View

The carrier configuration summary Closed table is the same in this view as it appears in the Waveform Setup view, along with the functions of each of the buttons located directly above the summary table. This means that you can select, add, and delete carriers from thecarrier view.

Select and Configure a Carrier

  1. Select a Closed carrier in the carrier configuration summary table or select a carrier from the tree view.

    Notice that the carrier number appears at the top of the property pane located under the summary table.

  2. Select Tools > Status Window.

    Having the status window open provides greater visibility to errors. Error messages appear in two places: in the status bar at the bottom of the UI, and in the status window. In the status window, they appear with a large red dot, which helps to alert you an error. The status window also lists all uncorrected errors, whereas the status bar only shows the most recent uncorrected error.

  3. Configure the carrier parameters for either downlink or uplink as dictated by the carrier selection.

Change a Carrier's Predefined Channel Configuration

When you select another predefined channel setup, it replaces the channel configuration showing in the configuration summary table for the current carrier. This causes the loss of any previously configured channel settings, unless those particular configurations have been saved.

  1. Select a carrier from either the summary table or tree view.

  2. Select the Channel Configuration cell.

  3. Click the drop-down arrow that appears at the far right of the row.

  4. From the dialog box that appears, select a predefined configuration for the current carrier.

Related Topics

Carrier n - Downlink

Carrier n - Uplink

Configuring the Waveform Setup View

Configuring the Channel Setup View


Configuring the Channel Setup Node

Real Time

Configuring the Channel Setup View

In this view, the configuration summary table differs from the Waveform and Carrier view. The table changes from a Closed carrier summary to a Closed channel summary. In addition, two of the buttons above the table change from selecting predefined carriers and adding new carriers to selecting predefined channel setups and adding new channels.

Change the Channel Configuration

Only perform this procedure if you want to change to another predefined channel setup.

When you select another predefined channel setup, it replaces all of the channels showing in the configuration summary table for the current carrier. This causes the loss of any previously configured channel settings.

  1. Click the predefined channel Closed configuration button.

  2. From the Closed dialog box, select the desired predefined channel setup.

    Notice that the new channel configuration appears in the channel configuration summary table..

Add a Channel

The software places the new channel just above the channel highlighted in the configuration summary table. For some of the channel selections, you are also given a selection of data rates. You can modify this data rate after the channel selection by using the Rate cell in the channel property pane.

  1. In the channel configuration summary table, select a channel.

  2. Click the add new channel Closed button.

  3. From the drop-down menu, select a channel to add.

    Downlink

    Uplink

    The new channel appears above the highlighted channel.

Delete a Channel

The software provides the convenience of deleting a single channel or multiple channels.

  1. In the configuration summary table, select the channel or channels that require deletion.

    To select multiple channels, use the keyboard Shift key operation to select channels in succession (a group) or the Ctrl key to select multiple individual channels.

  2. Click the delete Closed button above the configuration summary table.

Configure or Modify Channel Parameters

  1. Select Tools > Status Window.

    Having the status window open provides greater visibility to errors. Error messages appear in two places: in the status bar at the bottom of the UI, and in the status window. In the status window, they appear with a large red dot, which helps to alert you to an error. The status window also lists all uncorrected errors, whereas the status bar only shows the most recent uncorrected error.

  2. In the channel configuration summary table, select a channel .

  3. Select a cell in the property pane.

  4. Configure the channel parameter for either downlink or uplink as dictated by the carrier type (downlink or uplink).

    To set a TFCI pattern, you must first enable TFCI in the carrier view. Each carrier setting is independent of the other carriers, so you must enable the TFCI field for each carrier (downlink and uplink) that require a TFCI pattern.

Related Topics

Channel Setup - Downlink

Channel Setup - Uplink

CCDF Graph

CDP Graph

Configuring the Carrier View

Configuring the Waveform Setup View


Configuring User Data

The flexibility of defining your own data pattern lets you control whether to use five 2 ms TTIs (subframes) or a 10 ms TTI (full frame). If you configure data for subframes, you must include enough data for five subframes (one full frame).

This topic demonstrates how to create user-data using an E-DPDCH. Even though this topic uses an E-DPDCH, the procedure for creating the data applies to all channels that have the user data feature.

Add the Channel

Perform this procedure only if you do not have an uplink carrier that contains an E-DPDCH.

  1. In the tree view, click Waveform Setup.

  2. Click the add new carrier Closed button.

  3. From the Closed drop-down menu, select Basic W-CDMA/HSPA+ UL Rel 8

  4. In the summary table, double click the Closed W-CDMA FDD Uplink carrier.

    Notice that in the tree view, the highlight moves from Waveform Setup to Carrier n. The uplink carrier parameters appear in the property pane below the summary table. Alternatively click on Carrier n (where n denotes the uplink carrier) in the tree view.

  5. In the summary table, again double click the Basic W-CDMA/HSPA+ UL Rel 8 carrier.

    The Closed summary table changes from a carrier summary to a channel summary, which displays a single DPCCH. In the tree view, the highlight changes from Carrier n to Channel Setup. Alternatively expand Carrier n in the tree view, and click Channel Setup.

  6. Click the add new channel Closed button.

  7. From the Closed drop-down menu, select E-DPDCH I.

Create the Data

In this procedure, we create the user data with the following requirements:

  • spread factor 4

  • 960 kbps channel rate

  • 9600 bits per frame

While this procedure states the data requirements it uses, it also includes the steps to find the data values when you may have only one or two of the requirements.

The software inserts the data at the physical channel level, bypassing the transport layer coding. You have the option of inserting a known data string, or manually encoding the data to simulate transport layer coding, and then inserting the data. In this procedure, we insert a known data string (uncoded).

  1. Determine the Number of Bits for a Frame

    1. Find the spread factor that conforms to 960 kbps.

      The 3GPP standard TS 25.211 contains the slot formats for the various channel types.

    2. Note the number of bits per frame.

      You can also use the subframe value and multiply the value by 10 to determine the number of bits in a frame.

  2. Open the Data Dialog Box

    1. Click E-DPDCH in the Closed summary table.

      The property pane displays the E-DPDCH channel parameters.

    2. Click Data.

    3. Click the detail icon [image] that appears at the far right of the cell.

    4. Select User Defined Bits from the dialog box that appears.

  3. Enter the Data

    The software provides you the option of creating the data external to the software and importing the data file, or creating the data internal to the software.

    1. Insert 9600 bits.

    2. Click OK.

Configure the Channel for the Data

In this procedure, we configure the channel parameters to conform to the E-DPDCH FRC4 data rate.

  1. Click Rate.

  2. From the drop-down menu, select 960 ksps.

    This is the data rate required to match 9600 bits per frame.

  3. Click Spreading Code.

  4. Enter a value between 0 and 3.

    For the E-DPDCH with a data rate of 960 ksps, the spread factor is 4, which dictates a spreading code range of 0 to 3.

    Ensure that the value entered does not create a code domain conflict with the other physical channels.

Related Topics

Frame Structures

Data Selection Dialog Box


Creating and Exporting Waveforms

Signal Studio software products do not provide direct connectivity for all licensed platforms. In these cases, waveforms must be created in simulated hardware mode, exported to a waveform file, and then loaded into the instrument's controlling PC via a USB storage device. This procedure describes how to create and transfer waveform files using this method and applies to the following instruments.

  • Keysight SystemVue ESL Design Software

  • Keysight M9381A PXIe Vector Signal Generator

  • Keysight M9252A DigRF Host Adapter

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and highlight your instrument. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the instrument. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your instrument. This example assumes the advanced option was not purchased for your instrument.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into a USB port on the controlling PC and copy the waveform file to the proper directory, as described in the instrument's documentation.


Creating and Exporting Waveforms for the EXT

Some Signal Studio software products do not provide direct connectivity to the Keysight E6607 EXT Wireless Communications Test Set. In these cases, waveforms licensed to play on the EXT must be created in simulated hardware mode, exported to a waveform file, and then loaded into the EXT via a USB storage device. This procedure describes how to create and transfer waveform files to your EXT for playback using this method.

If available, a direct connection to the EXT is more convenient to use than the export method described here. To determine if this Signal Studio product provides direct connectivity to the EXT, open the software and select New hardware configuration in the system configuration wizard. The EXT will be one of the supported hardware configuration choices, if direct connectivity is available.

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications that support the EXT.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and make sure RF Output (for Signal Generator) is highlighted. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the EXT. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your EXT. This example assumes the advanced option was not purchased for the EXT.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into the EXT's front panel USB port.

  12. On the EXT, make sure the EXT user interface is the active window and press File > File Explorer. Then locate the USB storage device and copy your waveform file to D:\NVARB. You can navigate to this folder by selecting My Computer > User Data (D:) > NVARB.

  13. On the EXT, press Source > More 1 of 2 > Modulation Setup > ARB > More 1 of 2 > Select Waveform > Segments on Hard Disk. Then use the arrow keys or mouse to select a waveform file from NVARB memory.

    The EXT's user interface uses the term segment to refer to a waveform file.

  14. Press Load Segment to ARB Memory.

  15. Now that the waveform resides in the EXT's ARB memory, press the Return key and select the waveform for playback. Use the EXT's front panel and softkey menus to set up other ARB parameters, turn ARB modulation on, set frequency and amplitude, and turn RF output on. You can also examine the waveform, using the EXT's measurement functions. Refer to the EXT's user documentation for more information.


2x2 MIMO Tx (for Signal Generator)

When selecting 2x2 MIMO Tx (for Signal Generator) as the quick setup, the E4438C ESG, N5182A MXG, N5172B EXG, and N5182B MXG RF vector signal generators are supported.

It is not recommended to combine an E4438C ESG with an N5182A MXG, N5172B EXG, or N5182B MXG. See configuration diagrams below.

The Event 1 connector on the master MXG rear panel is connected to the Pattern Trigger In connector on the slave MXG. This ensures that the two baseband generators are precisely synchronized on the start of the waveform playback. Synchronization occurs after the master signal generator sends a one-time event pulse through the Event 1 connector to the slave signal generator. Prior to this event, the slave signal generator must recognize that it is waiting for this event pulse, which occurs during the system configuration. (Refer to the section entitled Multiple Baseband Generator Synchronization in the MXG user's guide.)

In order to properly send the synchronization pulse, the Dual ARB Player for each signal generator must be turned off. The trigger source on the both signal generators is automatically set by the software. On the master MXG, it is set to Bus to wait for a SCPI command trigger through the GPIB or LAN bus. On the slave MXG, it is set to External to receive a trigger through the rear-panel PAT TRIG connector.

MXG/EXG Configuration

ESG Configuration


Configuring the M9381A for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9381A PXIe configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9381A PXIe. If necessary, refer to the user documentation listed below to become familiar with basic operation. This documentation is available at www.keysight.com/find/M9381A.

  • M9381A & M9391A Configuration Guide (PDF Document)

  • M9381A PXIe VSG and M9380A CW Source SCPI Programming Information (Help File)

  • M9381A PXIe Vector Signal Generator Soft Front Panel Help (Help File)

  • M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide (PDF Document)

Signal Studio provides two methods for configuring waveform playback on the M9381A:

  • Direct Connection with a Signal Studio Application

  • Using Waveform 5- and 50-Pack

Direct Connection with a Signal Studio Application

  1. Configure the hardware and cabling for the M9381A system as described in "Multiple M9381A PXIe VSGs in a single PXIe chassis" of the M9381A & M9391A Configuration Guide.

    If you are using an external trigger source, the trigger signal cable must be connected to the Trig 1 connector of the M9301A module. In the case of a multi-channel system, the trigger signal must be connected to the Trig 1 connector of all M9301A modules, using cables of equal length. For more information, refer to the subsection entitled, "Routing an External Trigger Input and ALC Hold on each M9381A PXIe VSG" of the major section entitled, "Working with 802.11ac MIMO R&D/DVT Tests" in the M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide.

  2. This step is commonly referred to as configuring the backplane triggers. Open the M9018A Soft Front Panel (SFP) and check the Allow Control box. Then click the Configure Trigger Bus tab.

    The Keysight M9018A PXIe chassis does not remember the trigger bus configuration upon cycling power.After a power cycle, you must reconfigure the bus triggers by using the M9018A SFP or by creating a persistent configuration by using the AgM9018 API.

    For single-channel and two-channel configurations, configure the GUI, as shown below. This backplane signal configuration assumes the M9381A modules are positioned in the PXIe chassis as described in the M9381A & M9391A Configuration Guide. For all other configurations and additional information, refer to the "Managing Triggers" topic located in M9381A PXIe Vector Signal Generator Soft Front Panel Help.

  3. Open the M9381 SFP (without connecting) to view the Alias. It must be "M938XA-1," as shown below, for the SCPI Parser to connect in the next step. For more information, refer to the "Creating the IVI Config Store Alias(es)" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

    Make sure the M9381 SFP is not connected to the instrument before proceeding to next step, as it and the SCPI Parser cannot run simultaneously.

  4. Run the M938x SCPI Parser. The Signal Studio software will not connect to the system unless the SCPI Parser is running. For more information, refer to the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  5. Open the Signal Studio software and, in the System Configuration Wizard, select the M9381A as the connected instrument.

  6. In the Signal Studio System Configuration Wizard, make sure the host name entered for each PXIe module uses this syntax: <hostname>::hislip<module number>. See example shown below. For more information, refer to the "Overview" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  7. You can now configure, generate, and download your Signal Studio waveform.

    If you are using an external trigger source, be sure to configure the instrument settings in the Signal Studio software. In the tree view, click Instrument and in the trigger settings, select TRIG1 for the External Source.

Using Waveform 5- and 50-Pack

To use a waveform for use with a Signal Studio 5- or 50-pack license, use any Signal Studio application to generate and download a waveform to the M9381A controller PC, where the SCPI Parser is running. You will not be able to play the waveform, however, until it is assigned and locked into one of the available 5- or 50-pack slots. For more information, refer to the "Managing Waveform Packs" topic in the M9381A PXIe Vector Signal Generator Soft Front Panel Help .


Configuring the M9420 for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9420A VXT configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9420A VXT.

  1. Connect an SMB cable from the 100 MHz Out connector of the M9300A to the 100 MHz In connector of the M9420A.

  2. Launch the M9300A SFP software. This must be done before launching the M9420A SFP software.

  3. The M9300A SFP software recognizes the reference configuration automatically. Verify that the slot (10) and PXI address are correct. Then highlight it and click Connect.

  4. Verify that the specific 100 MHz Reference Out port connected to the M9420A is enabled.

  5. Select Utilities > Self Test and click Run Self Test to verify the reference connection.

  6. Under All Programs on your PC, open the Keysight Modular Transceiver folder and select LaunchModularTRX. A small window appears. Verify that the M9420A occupies slot number 11.

  7. Click Show Advanced Settings and configure the valid port for VISA communication. To avoid conflict with other instruments in the same chassis, use the vacant values for HiSLIP, Telnet, and Socket ports.

  8. Make sure the correct module is selected and click Run Selected. The M9420A VXT soft front panel launches.

  9. Open the Signal Studio software. A welcome dialog window appears. Select New hardware configuration. Click OK. This begins the System Configuration Wizard, which takes you through the steps to connect to the M9420A VXT.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  10. In Step 4 of the System Configuration Wizard, make sure the host name entered uses this syntax: <hostname>::hislip<module number>. See example shown below.


User Interface

Real Time

User Interface − Arb

User Interface Basics | provides tips on navigating the user interface
Menu Bar and Toolbar | describes the selections found in the pull down menus and the various toolbar icons
Status Window | provides information related to carrier and channel parameters, waveform generation and license status
Status Bar | provides information related to the software status, connection status, carrier and channel parameters, waveform generation progress, and license status
Quick Setups | provides information on how to select predefined or previously saved user-defined settings, or to save a configuration as a quick setup
Hardware | provides information about the system hardware, available features and instrument settings
Licenses | describes the Licenses node
Waveform Setup | details waveform settings for uplink and downlink channels


User Interface Basics

Viewing Parameter Descriptions

Check [image] in the upper right corner above the parameter configuration table, and then click a parameter cell to display a brief description. The initial state is unchecked.

Working with Cells

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings where you choose from a selection of parameters; others are arbitrary and allow you to enter a value within a designated range.

If you change a default parameter, the new setting becomes Bold to indicate the setting has changed and is no longer the default value.

Discrete Settings

The RF Output parameter uses discrete settings; you must select from either On or Off.

To change a discrete setting, double-click the cell with the parameter name, or double-click the cell containing the current setting of the parameter. Each double-click changes the parameter to the next available selection. All non-default selections appear in bold text.

You can also change a discrete setting by clicking the down arrow of the cell and then moving the mouse pointer to click the desired selection.

Click the Closed Details button Closed [image] to make a discrete setting selection for the Data cell when configuring a channel.

Arbitrary Settings

Frequency and Amplitude parametersuse arbitrary settings. You can enter any value within the designed range.

To change an arbitrary setting, double-click either the cell with the name of the parameter or the setting. This highlights the current setting. When the value is highlighted, enter the new value.

You do not need to type "MHz"; the letter "m" is sufficient. The same is true for GHz and kHz.

Using the Tree View

The left pane of the main window is called the Closed tree view. It is useful for navigating between the quick setups node, the hardware setup nodes, and waveform setup nodes. The right pane of the main window is called the Closed parameter view. This area enables you to select the waveform parameters and instrument settings. Selecting an item in the tree view enables the related elements in the parameter view.

Tree View

Parameter View

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for

horizontal resizing

Mouse pointer for

vertical resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, click the [image] icon to collapse parameter selection tables you are not using. Parameter selection tables have function groups indicated by the [image] or [image] icons.


Menu Bar and Tool Bar

Select a command from the displayed menus for a description of the command.

The following represents a superset of all of the Menu Bar and Tool Bar choices. Some choices are only available with the Keysight Signal Studio for 3GPP W-CDMA - RF (Arb) and some are only available with the Keysight Signal Studio for real-time 3GPP W-CDMA Software. Example: The Control drop-down menu, is not available with the real-time N7600B.

File

New [image] sets the software to its initial state (one W-CDMA downlink carrier configured with TestModel1 with 64 DPCH channels) using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting New to prevent the loss of data.

Open... opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the currently selected hardware. To use a settings file with a different hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware.

Use Quick Setups to open a saved settings file that includes the hardware connection and software settings.

Save As... saves only waveform data settings to a specified settings (.scp) file. Settings files do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setups to save the current hardware configuration with your waveform setup.

When using Windows Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Export Waveform Data... saves an encrypted waveform file (with a .wfm file extension) to your PC. This waveform can then be downloaded and played in other licensed instruments or ADS design libraries. If a waveform is configured, but has not been generated, this selection also generates the waveform.

Refer to your signal generator's Programming Guide or the PXB/EXT's online help for information about downloading waveform files to your instruments.

Most Recently Used Files displays the four most recent settings files that were either opened with Open... or saved with Save as.... The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error then removes the file from the list.

Exit stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

Control

Generate and Download [image] enables you to generate and download a waveform to the hardware.

When a power-sensitive DUT is connected to the instrument, ensure that the RF power is off before downloading a waveform.

Generate [image] enablesyou to generate a waveform. Use to check for waveform errors before downloading or exporting the waveform.

Update Hardware Settings [image] sends the current hardware configuration to the connected instrument. If the configuration is not received by the instrument, an error message describing the problem appears.

System

Change Hardware Connections displays a list of saved hardware connections. This menu choice opens the Closed System Configuration wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run System Configuration Wizard enables you to configure your system component connections and save the hardware configuration for later use. Use Closed Run System Configuration wizard to set up a new instrument connection, or use Quick Setups to save and change between complete setups that include the hardware connection and software settings.

Closed 2 Antenna

You need to choose a hardware configuration from the list and follow the steps to continue:

  • Closed ESG/PSG/MXG + Internal Arb

    To download a waveform to the MXG/ESG/PSG Signal Generator, perform the following procedure:

    1. Set up the desired waveform parameters.

    2. Click the Generate and Download button. The Export Waveform dialog is displayed.

    3. Provide a name for the waveform file (.wfm) and click Save. The default location for the file is the My Documents folder. The logic analyzer requires the waveform file to be in this location.

    After you complete steps 1 to 3, the waveform is ready to be played in the logic analyzer.

  • Closed PXB

    To download a waveform to the Agilent N5106A PXB, perform the following procedure:

    1. Set up the desired waveform parameters.

    2. Click the Generate and Download button. The Export Waveform dialog is displayed.

    3. Provide a name for the waveform file (.wfm) and click Save. The default location for the file is the My Documents folder. The logic analyzer requires the waveform file to be in this location.

    After you complete steps 1 to 3, the waveform is ready to be played in the modular signal generator.

Closed Playback

Choose a hardware configuration from the list and follow the steps to continue:

  • Closed MXG/ESG/PSG Signal Generator

    To download a waveform to the MXG/ESG/PSG Signal Generator, perform the following procedure:

    1. Set up the desired waveform parameters.

    2. Click the Generate and Download button. The Export Waveform dialog is displayed.

    3. Provide a name for the waveform file (.wfm) and click Save. The default location for the file is the My Documents folder. The logic analyzer requires the waveform file to be in this location.

    After you complete steps 1 to 3, the waveform is ready to be played in the logic analyzer.

  • Closed Agilent N5106A PXB Baseband Generator and Channel Emulator

    If the software displays an error message when you attempt to download a waveform to the PXB, see Instrument Problems in the Troubleshooting section.

    To download a waveform to the Agilent N5106A PXB, perform the following procedure:

    1. On the PXB, set up and load a configuration with the appropriate capabilities for the waveform you intend to play. The configuration must include at least one baseband generator (BBG). Refer to the PXB online documentation.

    2. Start Signal Studio and connect to the PXB using the Configuration Wizard. If you are running the Signal Studio software on the PXB, use “localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard. If you are running Signal Studio on a PC connected to the PXB, use the IP address or Machine Name (hostname) of the PXB in the Hostname/IP Address field. To find the PXB’s Machine Name (hostname) or IP address click System > Product Information in the PXB user interface.

    3. Set up waveform parameters in Signal Studio. Make sure you enter a name in the Waveform Name cell in the Waveform Setup node. This name identifies the waveform on the PXB.

    4. Click the Generate and Download button. The default location for the waveform file in the PXB is D:\Waveforms\ChannelN.

    5. On the PXB, click Load Waveforms and select the waveform file with the Waveform Name from Step 3.

    6. Click Download to download the waveform to the BBG.

    7. On the PXB, click Play to play the waveform.

  • Closed Keysight E6607 EXT Wireless Communications Test Set

    To avoid causing the EXT to timeout during the download process,.verify the EXT's triggering mode is set to Free Run.

    If the software displays an error message when you attempt to download a waveform to the EXT see Instrument Problems in the Troubleshooting section.

    To download a waveform to the Keysight E6607 perform the following procedure:

      1. On the EXT set up and load a configuration with the appropriate capabilities for the waveform you intend to play. Refer to the EXT online documentation.

      2. Start Signal Studio and connect to the EXT using the Configuration Wizard. If you are running the Signal Studio software on the EXT, use “localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard. If you are running Signal Studio on a PC connected to the EXT, use the IP address or hostname of the EXT in the Hostname/IP Address field. To find the EXT's hostname or IP address click System > Product Information in the EXT user interface.

      3. Set up waveform parameters in Signal Studio. Make sure you enter a name in the Waveform Name cell in the Waveform Setup node. This name identifies the waveform on the EXT.

      4. Click the Generate and Download button. The default location for the waveform file in the EXT is D:\NVARB.

  • Closed Keysight M9381A PXIe Vector Signal Generator

    To download a waveform to the Keysight M9381A PXIe Vector Signal Generator, perform the following procedure:

    1. Set up the desired waveform parameters.

    2. Click the Generate and Download button. The Export Waveform dialog is displayed.

    3. Provide a name for the waveform file (.wfm) and click Save. The default location for the file is the My Documents folder. The logic analyzer requires the waveform file to be in this location.

    After you complete steps 1 to 3, the waveform is ready to be played in the modular signal generator.

Tools

Status Window [image] enables you to turn the Status Window on or off.

Waveform Generation Log works with only the Adv W-CDMA/HSDPA DL Rel 6 carrier, and creates a transport layer information summary log for the P-CCPCH, PICH, and the HS-SCCH.

For the P-CCPCH, the Waveform Generation Log displays the summary information with only the BCH (transport channel) data selection.

To view the Waveform Generation Closed Log:

  1. Open the Waveform Generation Log.

  2. Click the Generate Waveform button [image] to generate the channel information summary.

Options lets you enable or disable the Closed welcome dialog display.

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Search opens the Help system and displays the search utility.

API Reference opens a Help system for the API programming commands and their descriptions.

Software License Terms displays a description of the licensing terms agreement for Keysight's Signal Studio software.

Keysight Signal Studio Website opens a webpage of all the Signal Studio products and their available options.

About displays the version and release date of the software.


Status Window

The status window displays information related to carrier and channel parameters, waveform generation, and license status.

When you change a parameter, the software checks for errors and conflicts, such as configuration errors, no active channel on a carrier, code domain space conflicts, and downlink pilot bit errors.

When you generate, download or export waveform data, the software checks waveform generation and license status to find errors such as, missing carriers, oversampling ratio inconsistencies, and missing or invalid licenses.

Click this button to turn the status window on or off, or select Status Window from the Tools menu.

A green Closed OK icon indicates there are no errors in your setup.

The figure below shows some of the possible error messages. Errors are listed sequentially with the most recent error at the top of the list.

Name

This column shows the channel name or type of error. Channel configuration errors display the channel name beside the icon. Generation errors display Generation beside the icon. License errors display Instrument beside the icon. No active channel displays NoChannel beside the icon.

Description

This column provides a detailed description of the error.

Note

This column provides supplemental information about the error, or how to resolve the conflict or error.

Window Positioning

Position the status window to one of three different locations relative to the main window, or turn positioning off to create a free-floating window. When the status window is not free-floating, it tracks with the main window as the main window moves.

For convenience, you can move the status window to another location away from the main window even if it is positioned with the main window. However, moving the main window again snaps the status window back into its position.

Select the status window position using one of the four buttons located in the status window. A green Closed button indicates the current window location.

Click to position the status window to the left of the main window.

Click to position the status window to the right of the main window.

Click to position the status window to the bottom of the main window.

Click to turn positioning off (status window is free-floating).

Related Topics

Status Bar


Status Bar

The status bar displays information related to your software status, connection status, carrier and channel parameters, waveform generation progress and license status.

Run Status

This area shows the status of the software's setup.

The following are some of the possible run status messages:

Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status

This area shows the connection status of the software to the instrument.

The following are some of the possible connection status messages:

Blank (no text) | Simulated hardware mode.
Connected | The instrument connection is checked and verified.
Not Connected | The software is not connected to the instrument.

Software Message Area

This area shows license status, waveform generation progress, and information relating to the latest error for your setup. To view messages for multiple errors, use the status window.

Related Topics

Status Window

Licensing


Quick Setups

Select Quick Setups in the Closed tree view to display a list of waveform setups, each of which is associated with a specific predefined or user-defined hardware configuration or a predefined simulated hardware configuration (Sim HW).

Quick setups are accessible only from the Quick Setup node in the user interface. To save your waveform setup as a file that can be shared with other users, use File > Save As or File > Export Waveform Data.

You can use the System Configuration Wizard to define a new setup using actual hardware, or you can choose from predefined setups using simulated or actual hardware. You can also customize one of the existing setups and save it as a quick setup.

Quick setups are accessible only from the Quick Setup node in the user interface. To save your waveform setup as a file that can be shared with other users, use File > Save As or File > Export Waveform Data.

Predefined Quick Setups

Signal Studio software provides predefined quick setups that enable you to examine the default parameters for a particular function, while in simulated hardware mode. You can use the predefined quick setups as a starting point, modify the settings as desired, then save them as a new quick setup (see Custom Quick Setups, below). However, you cannot modify or delete the predefined quick setups.

Quick Setup Name and Function

The name and function displayed for each Quick Setup.

  • RF Output – Simulated hardware connection for the E4438C ESG, N5182A MXG, N5172B EXG, and N5182B MXG RF vector signal generators

  • 2x2 MIMO Tx (for Signal Generator) – Simulated connection for two E4438C ESG, N5182A MXG, N5172B EXG, and N5182B MXG RF vector signal generators. For configuration information, see 2x2 MIMO Tx (for Signal Generator) in the tutorials section.

  • 1 Ant Tx (for PXB) – Simulated single antenna PXB connection

  • 2x2 MIMO Tx (for PXB) – Simulated 2 antennas PXB connection

  • RF Output (for EXT) – Simulated hardware connection for an E6607 EXT Wireless Communications Test Set

  • RF Output (for M9381A PXIe VSG) – Simulated hardware connection for the M9381A PXIe vector signal generator

Quick Setup for PXB

If you install the Signal Studio for W-CDMA/HSPA+ software on the PXB, the following predefined quick setup is available if you have selected Quick Setup files for PXB as the Custom Setup during installation. This quick setup includes an actual hardware configuration (not simulated hardware settings) and waveform settings for a typical W-CDMA/HSPA+ use case on your PXB.

  • 1 Ant Tx (for PXB) – Single antenna PXB connection

  • 2x2 MIMO Tx (for PXB) – Simulated 2 antennas PXB connection

Custom Quick Setups

After you have defined waveform parameters in the Instrument node and the Waveform Setup node, you can associate this waveform setup with the currently configured hardware (displayed in the Hardware node) by pressing the Save As Quick Setup button and providing a name for the new Quick Setup.

To save the current waveform setup with a different hardware configuration, define the new hardware configuration using the System Configuration Wizard (System > Run System Configuration Wizard), then click Save As Quick Setup.

If you change one or more Waveform Setup parameters, the software prompts you to save the changes as a Quick Setup when you exit. If you have changed only Hardware node or Instrument node settings, the software does not prompt you to save changes when you exit. Use the Save As Quick Setup button to save these changes to a Quick Setup

When using Windows® Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Use the following buttons to manage your quick setups:

Save As Quick Setup

Click this button to save the current hardware and software configuration as a custom quick setup. A Closed window appears, enabling you to enter a name for the quick setup.

To save only Hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup.

Open Quick Setup

Click this button to open the selected quick setup. Double-clicking the quick setup performs the same function.

Delete Quick Setup

Click this button to delete the selected custom quick setup.

You cannot delete any of the factory default Quick Setups.

Rename Quick Setup

Click this button to rename a custom quick setup. A window appears enabling you to choose and rename the quick setup.

You cannot rename any of the factory default Quick Setups.


Hardware

Click Hardware in the tree view to display read-only information about the system hardware. Expanding the Hardware node in the tree view reveals the Instrument node, which opens a window where you can remotely change various instrument settings, such as frequency and amplitude. If you are using a MIMO setup, you will see multiple instrument nodes, each numbered and designated as either master or slave in the configuration.

For information about using the software to change instrument settings:

  • for Arb, see Instrument.

  • for real time, see Instrument.

When using a simulated instrument connection, the Closed Hardware view shows <Simulated Hardware> in the Name Cell, <Simulated (instrument type)> in the Connection cell, and N/A in most of the other cells.

Click this button to run an I/O interface connection test between the instrument and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Click this button to run an I/O interface connection test between the instrument and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system. The name comes from the System Configuration Wizards the name entered into the System Configuration Wizard when it is configured with the wizard.

Description

View the hardware configuration type.

2. <Instrument Type> Details

Connection

View the connectivity method, such as LAN or GPIB.

Model Number

View the instrument model number.

Serial Number

View the instrument serial number.

Firmware Revision

View the instrument firmware revision number.

2.1 Options:

Options

View the list of instrument options. The left column shows the available options with a brief description of the installed options in the right column. When using simulated hardware, these cells are not displayed.

For a complete description of the available instrument options, see the instruments data sheet.


Instrument

Clicking Instrument in the Closed tree view displays the Instrument Controls pane of the main window where you can remotely access and set a variety of parameters for that connected instrument. If you are using a MIMO setup, you will see multiple instrument nodes, each numbered and designated as either master or slave in the configuration.

Click the plus [image] box to expand the table and access those parameters.

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

Update to Instrument

Press this button Closed [image] to send the parameters to the connected instrument.

Update from Instrument

Press this button Closed [image] to retrieve the parameters from the connected instrument.

Local

Press this button Closed [image] to deactivate remote operation and return the signal generator to local (front panel) control.

Preset

Press this button Closed [image] to set the signal generator to a known state, either factory-defined or user-defined.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Press this button Closed [image] to execute an I/Q DC Calibration to minimize errors associated with offset voltages. DC Cal minimizes I/Q offset errors at a single frequency and signal generator setting only, and must be repeated if the signal generator's settings change.

Power Search

Press this button Closed [image] to execute a manual power search calibration.

This is an internal calibration routine that improves output power accuracy when the automatic leveling control circuit (ALC) is off. A power search is recommended for pulse-modulated signals with pulse widths less than two microseconds.

Set ALC to Off toenable this parameter.


1. Configuration

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

Instrument Model Number

Displays the model number of the currently connected instrument. (Read-only)

Retrieve Instrument Model Number

Choice: Auto | Manual

Default: Auto

The application automatically retrieves and displays the model number of the currently connected instrument. (Read-only)

Parameter Optimization

Choice: Auto | Off

Default: Auto

Double-click or use the drop-down menu to enable or disable parameter optimization.

  • Auto – automatically overrides the current instrument settings and provides optimized settings.

  • Off – parameter optimization is not used.

Parameter Optimization selects the appropriate marker for RF control, and sets the appropriate marker routing to the instrument control. When Parameter Optimization is set to Auto, Marker 3 and Marker 4 source selection in Waveform Setup and the marker routing selected in Dual ARB Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set Parameter Optimization to Off.

Perform DC I/Q Calibration

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable automatic DC I/Q calibration.

  • On − the signal generator performs a DC I/Q calibration after downloading the waveform.

  • Off − the signal generator does not perform DC I/Q calibrations.

Related Topics

Hardware

Waveform Setup


2. Basic

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

2. Basic: Relative Amplitude (PXB)

2. Basic: Baseband Channel Assignment (PXB)

2. Basic: RF Output Port (EXT)

Frequency

Range: for specified range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

ESG, PSG, EXT, EXG, or MXG

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

Relative Amplitude (PXB)

PXB Baseband Generator and Channel Emulator

In a typical MIMO system, the average power of the signal transmitted by each antenna is different than the average power transmitted by the other antennas. For example, a difference in average power can be caused by preambles or other reference signals that are present on some antennas and not on others.

When connected to a PXB Baseband Generator and Channel Emulator, Signal Studio provides a separate Relative Amplitude cell for each antenna to display this difference in average power. For example, if you set up a two-antenna configuration in the System Configuration Wizard, the software displays two Relative Amplitude cells.

When you generate the waveform, the software sets the power in the Relative Amplitude cells based on the current waveform settings. The value in each Relative Amplitude cell represents the power in the corresponding baseband generator (BBG) on the PXB relative to the power in the other BBGs.

For more information, refer to the PXB's online documentation.

Baseband Channel Assignment (PXB)

Range: 1 to 16

Default: 1

When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell, the default BBG assignments are displayed as a comma-separated list (1,2).

The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default. You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

RF Output

Double-click or use the drop-down menu to control the signal generator’s RF output state.

RF Output Port (EXT)

Choice: RF Out | RFIO 1 | RFIO 2

Default: RF Out

Double-click or use the drop-down menu to select the signal generator’s RF output port. This parameter is only available when connected to the E6607 EXT.

Related Topics

Hardware

Waveform Setup


3. I/Q

I/Q instrument settings are not available for the E6607 EXT.

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

IQ Adjustments

Double-click or use the drop-down menu to turn the I/Q adjustments on or off.

  • On − the values entered for I Offset, Q Offset, and Quadrature Skew are applied to the I and Q signals.

  • Off − I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

MXG/EXG: –20% to 20%; Default: 0.0%

ESG/PSG: –50% to 50%; Default: 0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

Set I/Q Adjustments to On to enable this parameter.

When using this setting to minimize the LO feedthrough signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feedthrough signal may increase.

Q Offset

Range:

MXG/EXG: –20% to 20%; Default: 0.0%

ESG/PSG: –50% to 50%; Default: 0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

Set I/Q Adjustments to On to enable this parameter.

When using this setting to minimize the LO feedthrough signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feedthrough signal may increase.

I/Q Gain Balance

Range:

MXG/EXG: –1.0 dB to 1.0 dB, in 0.001 dB steps; Default: 0.00 dB

ESG/PSG: –4.0 dB to 4.0 dB, in 0.01 dB steps; Default: 0.00 dB

Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q, or introduce calibrated impairments.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: −10.00 to 10.00 degrees

Default: 0.0 degrees

Enter a value to adjust the Q phase angle. When the quadrature angle is zero, the phase angle between the I and Q vectors is 90 degrees. Positive angle adjustment increases the angle from 90 degrees while negative angle adjustment decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Timing Skew Path

Choice: RF | BB (Baseband)

Default: RF

Double-click or use the drop-down menu to select the I/Q Timing Skew Path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

Double-click or use the drop-down menu to select the I/Q Correction optimization path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for ESG/PSG

I/Q Skew

Range:

MXG/EXG: −800 to 800 ns, in 1 ps steps; Default: 0.0 seconds

ESG/PSG: −2.0 to 2.0 seconds, in 1 ps steps; Default: 0.0 seconds

Enter the I/Q skew value, which is a time delay between the I and Q paths. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal.

Set I/Q Adjustments to On to enable this parameter.

This value affects both the external I/Q output signals and the baseband signal modulated on the RF output.

I/Q Delay

Range: −1.0 to 1.0 seconds, in 1 ps steps

Default: 0.0 seconds

Enter the I/Q delay value, which is the absolute phase of both I and Q with respect to the triggers and markers. A positive value delays both I and Q.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Related Topics

Hardware

Waveform Setup


4. ALC

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

4. ALC: ALC Trigger Source bus (M9381A)

4. ALC: ALC Mode (M9381A)

ALC

Double-click or use the drop-down menu to enable or disable the automatic level control.

  • On − the ALC circuit constantly monitors and controls the output power level.

  • Off − no automatic leveling occurs.

ALC Bandwidth

Choices:

MXG/EXG: Auto, 200 Hz, 2 kHz,20 kHz

ESG/PSG: Auto, 100 Hz, 1 kHz, 10 kHz, 100 kHz

Default: Auto

ALC bandwidth control is not available for the N5182A MXG.

Select the ALC loop bandwidth from the drop-down list. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

For waveforms with varying amplitudes, a high crest factor, or both, set the ALC loop bandwidth to 100 Hz, which is the default bandwidth set when an ARB format is turned on. Limiting the loop bandwidth of the ALC circuit prevents the ALC from sampling the fast rising edges of high-crest pulsed waveforms.

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signal types when doing a power search.

  • Fixed − power search uses a fixed 0.5 V reference

  • Modulation − power search uses the AC bias from the actual modulating signal

  • RMS − power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data

Set ALC to Off to enable this parameter.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

  • Normal − performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum − sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

ALC Trigger Source bus (M9381A)

Choice: AUTO | PXI0 | .. | PXI7

Default: None

Double-click or use the drop-down menu to select a bus for ALC hold signal path on PXI backplane. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

ALC Mode (M9381A)

Choice: : Off | HOLD | TRACK

Default: Off

Double-click or use the drop-down menu to select ALC mode. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Related Topics

Hardware

Waveform Setup


5. Dual ARB

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

5. Dual ARB: Baseband Frequency Offset (EXT)

ARB Sample Clock

Range: 1 kHz to 125 MHz

Default: 100 MHz

The sample clock frequency of the signal generator is automatically calculated by the program (read-only). The range depends on the connected instrument.

VCO Clock

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

  • Internal - the signal generator uses its internal VCO Clock.

  • External - the signal generator uses an external VCO Clock.

VCO Clock is enabled with E4438C-HEC and E8267D only.

Waveform Runtime Scaling

Range: 1%−100%

Default: 90%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and reduce the overshoot associated with the DAC interpolation filter.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter.

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto − automatically selects an I/Q output filter.

  • 40 MHz − applies a 40 MHz baseband filter.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Select the mode of the internal I/Q modulator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Atten cell.

  • Auto − automatically sets the attenuation level to a value that provides the best performance, based on the digital modulation settings.

Modulation Attenuation

Range: 0.00−40.00 dB

Default: 6.00 dB

Set the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set Modulation Attenuation Mode to Manual to enable this parameter.

High Crest Mode

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the signal generator’s high crest mode.

  • On − processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High Crest Mode reduces the maximum output level and degrades power level accuracy.

  • Off − disables the high crest mode.

This parameter is not available with all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s ARB Reference source .

  • Internal − the signal generator uses its internally generated 10 MHz signal as the reference source.

  • External − the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.2500000–100.0000000 MHz

Default: 10.0000000 MHz

Enter the frequency value of the external reference when using an externally supplied reference signal. See the signal generator’s user’s guide for information on external references.

Set ARB Reference to External to enable this parameter.

This parameter is not available with all instrument model numbers and may be grayed out.

Baseband Frequency Offset (EXT)

Range: -50.00 MHz to 50.00 MHz

Default: 0.000 Hz

Set ARB Reference to External to enable this parameter.

Enter a frequency value by which the baseband frequency is offset relative to the carrier. This parameter is only available when connected to the E6607 EXT.

Related Topics

Hardware

Waveform Setup


6. Dual ARB Marker Utilities

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

Pulse/RF Blanking

Choice: None | Marker 1−4

Default: None

Double-click or use the drop-down menu to select an RF blanking function. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

  • None − disables RF blanking.

  • Marker 1 through 4 − selects a marker to activate RF blanking.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms due to ALC hold limit.

ALC Hold

Choice: None | Marker 1−4

Default: None

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

  • None − disables ALC hold.

  • Marker 1 through 4 − assigns a marker for the ALC hold function.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

Alternate Amplitude

Choice: None | Marker 1−4

Default: None

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

When using the Alternate Amplitude function, do not attempt to use the timeslot power in the Timeslot node, to adjust the timeslot's power. The Alternate Amplitude feature has priority over the Timeslot node's Power parameter.

It is not recommended that the Alternate Amplitude function be used with waveform sequences. If the Alternate Amplitude function is used with waveform sequences, the last waveform in the sequence's result is used to calculate the Alternate Amplitude settings and is then applied to all of the other waveforms in the sequence. This behavior may or may not be correct for all the other waveforms in the sequence.

The alternate amplitude function is available on the EXG N5172B, MXG N5182B, and the ESG E4438C with standard electronic attenuator (not compatible with Option UNB mechanical attenuator or Option 506). Refer to the instrument's Data Sheet and the User's Guide.

The Alternate Amplitude function is not compatible with the N5182A MXG, EXT, or PXB.

Marker 2 is not available on the MXG N5182B and MXG N5172B.

  • None − disables the alternate amplitude function.

  • Marker 1 through 4 − assigns a marker for the alternate amplitude function.

    Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available with all instrument model numbers and may be grayed out.

Marker 1-4 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 1-4.

  • Positive − the marker signal is high during the marker points.

  • Negative − the marker signal is high during the period of no marker points.

Related Topics

Hardware

Waveform Setup


7. Dual ARB Trigger

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Choice (M9381A): Continuous | Single

Choice (EXT): Continuous | Single | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

  • Continuous − selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers or select another waveform.

  • Single − sets up a waveform to play once after receiving a trigger.

  • Gated − sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External asthe Trigger Source.

  • Segment Advance − controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

Trigger Source

Choice: Trigger Key | External | Bus

Choice (M9381A): External | Bus

Choice (EXT): Trigger Key | External 2| Bus

Default: External

Default (EXT): External 2

Double-click or use the drop-down menu to select the triggering method.

  • Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

  • External − causes a waveform to trigger from an externally supplied trigger signal

  • External 2 (EXT Only)− causes a waveform to trigger from an externally supplied trigger signal at the TRIGGER 2 IN rear-panel connector.

  • Bus − enables the sending of a command through the GPIB, LAN or AUXILIARY IO (RS-232) input connector to trigger a waveform.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Choice (M9381A): TRIG1 | PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: Pattern Trigger In 1

Default (M9381A): PXI0

Select the rear-panel input for the external trigger signal. External must be selected as the trigger source.

  • Pattern Trigger In 1 − selects the PATTERN TRIG IN rear-panel BNC connector

  • Pattern Trigger In 2 − selects the AUXILIARY I/O rear panel connector

For the M9381A PXIe VSG, double-click or use the drop-down menu to select the front-panel input for the external trigger signal. External must be selected as the trigger source.

  • TRIG1 – selects the Trig 1 front-panel SMA connector as the external trigger input for the M9381A PXIe VSG

  • PXI0-PXI7 – selects the backplane bus signal for the M9381A PXIe VSG

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U02 or greater is valid. Refer to Licenses for more information.

External Polarity

Choice: Positive | Negative

Default: Positive

Toggles the polarity of the TTL signal at the rear panel TRIGGER OUT connector.

  • Positive − the trigger out signal is asserted high (+ 5.0 V) at the start of the swept-sine modulation sweep and low (0 V) when the sweep ends.

  • Negative − reverses the polarity, so that the trigger out signal is low (0.0 V) at the start of the swept-sine modulation sweep and high (+ 5.0 V) when the sweep ends.

External Delay

Choice: On | Off

Default: Off

This cell turns the external trigger delay off or on. The selection is active only after selecting External as the trigger source.

External Delay Time

Range: 10 ns to 40 ns, in 10 ns steps

Default: 1 ms

Sets the amount of time to delay the signal generator's response to an external trigger. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Select the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers or select another waveform.

  • Free Run − immediately triggers when you turn the format on

  • Trigger & Run − waits for and starts on the first trigger; ignores subsequent triggers.

  • Reset & Run − waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Set Trigger Type to Continuous to enable this parameter.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

This cell causes a segment to play once and wait for a trigger before the sequence advances to the next segment.

  • No Retrigger − the waveform segment ignores triggers during playback

  • Buffered Trigger − causes a waveform to accept a trigger during payback and to restart after the current play finishes.

  • Restart on Trigger − causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment.

  • Single − causes a segment to play once and wait for a trigger before the sequence advances to the next segment.

  • Continuous − causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Gated

Choice: Active High | Active Low

Default: Active High

Sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External.

Sets the trigger active state for the gated trigger mode.

  • Gated = Active High

  • Trigger Signal State = High

Waveform file plays

  • Gated = Active High

  • Trigger Signal State = Low

Waveform file stops playing

  • Gated = Active Low

  • Trigger Signal State = High

Waveform file stops playing

  • Gated = Active Low

  • Trigger Signal State = Low

Waveform file plays

This parameter is not available for all instrument models and may be greyed out or not shown in GUI.

Related Topics

Hardware

Waveform Setup


8. Real-time Noise Setup

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

If an instrument does not have Real-time Noise capabilities, the noise effect does not work.

Real-time Noise

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

  • On – enables the addition Real-time Noise.

  • Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. The noise power is the in-channel noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: 0.001 to 80.000 MHz

Default: 1.0 Hz

Displays the carrier bandwidth. This is the same as the bandwidth of the target carrier.

Carrier Bandwidth Auto

Choice: Auto | Manual

Default: Manual

Sets whether the Carrier Bandwidth is automatically set by the software or set manually using the Carrier Bandwidth parameter.

When set to Auto, the carrier bandwidth is as follows:

  • 3.84 MHz (single carrier signal)

  • 3.84 MHz x Number-of-Carriers (multi-carrier signal)

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Noise Bandwidth Factor

Range: 1–2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth be that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available with all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 0.001 to 100.000 MHz

Default: 1.0 Hz

Set or change the noise bandwidth (MHz).

This parameter is not available with all instrument model numbers and may be grayed out.

Related Topics

Hardware

Waveform Setup


9. Real-time Modulation Filter

The following figure is a composite of all supported instruments, so some parameters may not apply to your instrument.

Real-Time Modulation Filter is available on firmware version A.01.50 or later for the N5182A, B.01.00 or later for the N5172B and N5182B, and C.05.24 or later for the E4438C. It is not available on E8267D. The filter works with only the Adv W-CDMA FDD UL (Rel 8 Dec 08) carrier selection and only with a single carrier.

When the Real-Time Modulation Filter is turned on and the hardware connection is established, the Arb Mode Filter selection changes to None and the other filter settings gray out (the signal generator provides the filtering in real-time). Also the Oversampling Ratio selection is set to AUTO and becomes grayed out.

The cells within this function table provide only information, and they cannot be edited. When you turn the filter on, the software automatically selects the FIR filter type and configures its settings as shown in the above figure. To turn the filter on or off, use the Uplink Carrier view.

Unlike the other filter selections in this software, where the filtering is factored into the waveform file, the real-time modulation filter is a physical FPGA filter located on the signal generator. The purpose of this filter is to allow the storage of a large waveform file that if created using the software filters, may exceed the memory capacity of the signal generator.

When the filter is set to on, the software creates a waveform file without any filtering, which essentially equates to a waveform with an oversampling ratio (OSR) of one. This lack of filtering during waveform file creation produces a waveform that just contains the I/Q symbol decision points. This waveform creation process results in a waveform file size that is smaller by a factor of two or more. For example, an OSR of two would create a waveform file that is two times larger than a file using an OSR of one. When the signal generator plays the waveform file, the real-time modulation filter, in real-time, provides the correct filtering to produce the proper signal per the 3GPP specifications. The software stores the real-time modulation filter settings that include the FIR filter parameters in the waveform file header.

While the software does not provide any editing features for the real-time modulation filter, the signal generator does provide editing capability. The settings are located in the signal generator's Dual ARB menu. But if you do make filter changes and then download the waveform, the software changes the parameters back to the software's settings. For more information on the filter or the Dual ARB, refer to the Signal Generator User's Guide.

Real-time Modulation Filter

Displays whether the filter is on or off. Use the Uplink Carrier or Downlink Carrier view to turn the filter on or off.

Select

Shows the current FIR filter, which is always a Root Nyquist filter.

Filter Alpha

Displays the Root Nyquist filter alpha, which is always 0.22.

Filter BbT

Displays the BbT value. While the software shows this value, it is not used because the software always selects the Root Nyquist filter.

Optimization FIR For

Shows that the Root Nyquist filter is optimized for EVM (error vector magnitude).

The design of the Nyquist and Root Nyquist filters lend themselves to slight imperfections that allow for corrections to optimize the filters for either EVM with the most ideal pass band or ACPR with improved stop band rejection that does not change the bandwidth or alpha.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Licenses

Selecting Licenses in the Closed tree view displays the Licenses settings table in the node view of the main window.

# (Index Number)

Displays the licensed feature’s index number.

State

Double-click or use the drop-down menu to set the operating state of the selected feature.

  • On − enables the specified feature.

  • Off − disables the specified feature.

The State cell color changes to red if a feature is set to On and there is not a valid license available, or the license is expired.

Feature

Displays the license option name for the feature or the capability options available in the software. All capability and connectivity options are locked to the target instrument. Feature capability is either Basic or Advanced. Feature connectivity is specific to the type of instrument. The option number identifies the type of license, whether perpetual or time-based, fixed or transportable, and so on.

Feature Connectivity

Option Number | Connectivity Type
N7600B-1xx | ESG
N7600B-2xx | PSG
N7600B-3xx | MXG/EXG
N7600B-6xx | PXB
N7600B-7xx | SystemVue
N7600B-8xx | EXT
N7600B-9xx | M9381A/M9252A

Feature Capability

Option Number | Capability Type | Connectivity Types
N7600B-Exx | Basic W-CDMA / HSPA Release 7 | ESG, PSG, MXG/EXG, PXB, SystemVue, EXT, M9381A/M9252A
N7600B-Fxx | Basic W-CDMA / HSPA+ Release 8
N7600B-Qxx | Advanced W-CDMA / HSPA+ R10

Minor Enhancement Updates (N7600B-Uxx)

The minor enhancement updates (MEU) option allows you to obtain the latest capabilities of the software. It is purchased as N7600B-MEU. However, each enhancement update is licensed as N7600B-Uxx, as shown in the image above. As more enhancements become available, the option suffix increments: U01, U02, U03 and so on. Purchasing MEU includes all the capabilities from previous MEU licenses. For example, purchasing the license for U03 includes everything that was in U01 and U02. If you had purchased an earlier MEU license, such as U01, and want the most recent MEU capabilities available in U03, purchasing another MEU license upgrades your software to the most current state.

Description

Displays the license option description for the available feature(s).

  • Basic W-CDMA / HSPA / HSPA+ capability enables your licensed instrument to play your 3GPP-compliant waveforms using parameters and controls that are optimized for testing amplifiers, filters, and similar components.

  • Advanced W-CDMA / HSPA+ enables your licensed instrument to play your 3GPP-compliant waveforms using the full set of parameters and controls for maximum signal creation flexibility and is optimized for use in receiver test environments.

A valid instrument connectivity license enables your licensed instrument to play waveforms generated by Signal Studio software.

Instrument License

Displays the license status of the connected instrument.

  • Valid − the license is installed and active.

  • Invalid − the license is not installed or may be expired.

  • N/A − Not applicable. The feature may not exist, or may be reserved for future use.

  • No Info Available − Licensing information is not available for the connected instrument.

When a new instrument connection is established, the instrument licenses are automatically retrieved from that instrument. If the connected instrument does not have the correct licensing for the current waveform setup, that setup will be lost and reset to the initial settings. You will be prompted to save the setup parameters before continuing.

Carrier Name

Displays the name of the uplink or downlink carrier associated with the selected feature.

State

Displays the status of the carrier.

  • Available − the carrier is available for use.

  • Not available − the carrier is not available or the license is not active.

Required Feature n

Displays the name of the feature required for the selected instrument.

Related Topic

Licensing


Waveform

Real Time

Waveform Setup

Data & Pattern Selection Dialog Boxes | access a list of links to descriptions for data and transport channel choices, Happy bit setting, waveform marker setup, burst patterns, TPC patterns, and so forth.
Waveform Setup | provides information on how to view and edit general information about the waveform and marker source.
Carrier n - Downlink | provides information on how to add and configure W-CDMA/HSPA+ downlink carriers.
Carrier n - Uplink | provides information on how to add and configure W-CDMA/HSPA+ uplink carriers.
Channel Setup - Downlink Basic | provides information on how to add and configure channels for the downlink carriers.
Channel Setup - Uplink Basic | provides information on how to add and configure channels for the basic uplink carriers
Channel Setup - Downlink Advanced | provides information on how to add and configure channels for the advanced downlink carrier
Channel Setup - Uplink Advanced | provides information on how to add and configure channels for the advanced uplink carrier
Channel Setup - Uplink PRACH | provides information on how to add and configure the channel for the advanced PRACH uplink carrier
CCDF Graph | provides information on viewing the CCDF plot of the generated waveform.
Waveform Graph | provides information on viewing the current waveform. View either the modulated waveform or the I/Q signal.
CDP Graph | provides information on viewing the downlink and uplink channel positions and power across the code domain.


Data & Pattern Selection Dialog Boxes

Data Selection Dialog Box Basic | provides information on how to select or define the data source for basic uplink and downlink channels
Data Selection Dialog Box Adv DL | provides information on the different data and transport channel selections for DL channels on the advanced DL carrier
Data Selection Dialog Box Adv UL & PRACH | provides information on the different data and transport channel selections including the Happy bit setting and TPC pattern for UL channels on the advanced UL carriers
DPCCH Transmission Pattern Selection for Adv UL | provides information on how to configure a bursted transmission pattern over 15,330 slots
E-DPCCH/E-DPDCH TTI Pattern Selection for Adv UL | provides information on how to configure a bursted transmission pattern that can use either the current (MAIN) channel parameters or alternate parameters (ALT) over 15,330 slots
HS-DPCCH Pattern Selection for Adv UL (R10) | provides information on how to configure a bursted HARQ transmission pattern using various coding schemes over 15,330 slots for release 10
HS-DPCCH Pattern Selection for Adv UL (R11) | provides information on how to configure a bursted HARQ transmission pattern using various coding schemes over 15,330 slots for release 11
HS-DPCCH CQI Parameter Settings (R10) | shows the CQI parameters for each Coding for HS-DPCCH selection, the parameters that the software ignores for the CQI calculation, and the CQI calculation methods for release 10
HS-DPCCH CQI Parameter Settings (R11) | shows the CQI parameters for each Coding for HS-DPCCH selection, the parameters that the software ignores for the CQI calculation, and the CQI calculation methods for release 11
Marker Source Selection Dialog Box | provides information on configuring the waveform markers accessed using the Waveform Setup tree selection


Data Selection Dialog Box

Real Time

Basic Waveform Data Source Selection Dialog Box

The software uses a Data Source Selection dialog box for the following channels:

Downlink |  | Uplink
DPCH | OCNS | DPCCH | E-DPDCH I
E-AGCH | PICH | DPDCH | E-DPDCH Q
HS-PDSCH | PCCPCH | E-DPCCH | HS-DPSCH
HS-SCCH | SCCPCH |  |

There are two ways to select the data type within the dialog box:

  • Place the cursor on the radio selection and left click.

  • Use key board shortcut keys (the software accepts upper or lower case characters):

  • Alt+R = Random

  • Alt+9 = PN9

  • Alt+U = User Defined Bits

  • Alt+O = OK

Not all channels contain all of the selections shown.

Random

The signal generator provides random data.

PN9

The software provides a pseudo-random bit sequence containing 511 bits (29-1) . When there are not enough bits left in the PN sequence to fill a frame, the software truncates the remaining data and repeats the data sequence.

Paging Indicator

This selection provides 18 paging indicators (101100010110001010) in accordance with the 3GPP standard 25.141.

User Defined Bits

This selection opens the user Closed data entry area, which lets you customize the transmitted data.

The user data area contains buttons to import, export, or clear user data along with the ability to insert PN9 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Cntl+C and Cntl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Cntl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 32,768, which is also the maximum file size.

The software lets you create a file larger than it uses in a single frame. When this occurs, the software truncates the excess data. Conversely, if there are not enough bits in the file to fill the frame, the software repeats the data pattern until it is filled.

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 32,768 bits. If the imported file is larger than 32,768 bits, the software truncates the bits to conform to the maximum file size.

Export

This button saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

This button clears all data showing in the user data entry area.

Insert PN9

This button inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 32,768 bits. The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of 32,768 bits.


Data Selection Dialog Box Adv DL

Real Time

Advanced Downlink Data Source Selection Dialog Box

The software uses the Advanced DL Data Source Selection dialog box for the following downlink channels found in the Adv W-CDMA/HSDPA DL Rel 6 and Adv W-CDMA/HSDPA DL Rel 10 carrier:

P-CCPCH | DPCH | HS-PDSCH
OCNS | PICH | HS-SCCH
S-CCPCH | E-ARCH |

Typically there are two ways to select the data type within the dialog box:

  • Place the cursor on the radio selection and left click—the only method for the DPCCH TPC pattern

  • Use key board shortcut keys (the software accepts upper or lower case characters):

    • Alt+9 = PN9

    • Alt+15 = PN15

    • Alt+PI = Paging Indicator

    • Alt+U = User Defined Bits

    • Alt+B = BCH

    • Alt+D = DCH

    • Alt+S = STD

    • Alt+O = OK

Not all channels contain all of the selections shown.

PN9

The software provides a pseudo-random bit sequence containing 511 bits (29-1). When there are not enough bits left in the PN sequence to fill a frame, the software truncates the remaining data and repeats the data sequence.

For the P-CCPCH BCH data, the bit sequence is continuous between TX slots.

PN15

The software provides a pseudo-random bit sequence containing 32767 bits (215-1). The software truncates the data when there is more than what can fit into the frames.

For the P-CCPCH BCH data, the bit sequence is continuous between TX slots.

Paging Indicator

This selection provides 18 paging indicators (101100010110001010) in accordance with the 3GPP standard 25.141.

User Defined Bits

This selection opens the user Closed data entry area, which lets you customize the transmitted data.

The user data area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or Insert PN15 buttons

  • pasting data from a file or from within the current view

(The key board shortcuts Cntl+C and Cntl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Cntl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is 400,000, which is also the maximum file size.

The software lets you create a file larger than it uses. When this occurs, the software truncates the excess data. Conversely, if there are not enough bits in the file to fill a frame, the software repeats the data pattern until it is filled.

For the P-CCPCH, if the data length is less than the TTI size, the data is repeated. If the data length is greater than the TTI size (depends on channel configuration), the user data is truncated at the data payload size that corresponds to one TTI length.

BCH

For the P-CCPCH, this selects the transport channel to carry the data. After making this selection and clicking OK, click the BCH Data cell parameter in the current view (P-CCPCH Channel Setup view), and select the BCH data type.

BCCH-BCH-Message

For the P-CCPCH, BCH Data cell selection, the BCCH supplies the bit sequence that the user can modify to their specific needs using the MCC, MNC, and LAC cells.

DCH

For the DPCH, this selects the transport channel to carry the data and creates the Dedicated Transport Channel table section in the DPCH channel setup view. After making this selection and clicking OK, set the desired number of DCHs. Then in the "Dedicated Transport Channel" table section, select the DCH data type and set the other DCH parameters.

HS-DSCH

For the HS-PDSCH, this selects the transport channel to carry the data. After clicking HS-DSCH and OK, click the HS-DSCH Data cell in the current view (i.e. HS-PDSCH Channel Setup node), and select the data type for the HS-DSCH.

Currently for the RMC+H-SET configuration, the default data selection for the HS-PDSCH is the HS-DSCH and it’s not editable.

STD

For the HS-SCCH, this selection configures the channel's data field in accordance with the 3GPP standards.

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 400,000 bits.

If the imported file is larger than the maximum allowed bits, the software truncates the bits to conform to the maximum file size.

Export

This button saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

This button clears all data showing in the user data entry area.

Insert PN9

This button inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 400,000 bits

The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of the maximum number of bits.

Insert PN15

This button inserts a fixed pattern pseudo-random bit sequence containing 32767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 400,000 bits

The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of the maximum number of bits.

Related Topics

Channel Setup - Advanced DL


Data Selection Dialog Box Adv & PRACH

Real Time

Advanced Uplink and PRACH Waveform Data Source Selection Dialog Box

The software uses the Advanced and PRACH Data Source Selection dialog box for the following uplink channels found in the Adv W-CDMA/HSPA+ UL (Rel 8 Dec 08) carrier and the Adv W-CDMA FDD PRACH carrier:

DPCCH | E-DPCCH
DPDCH | E-DPDCH
PRACH |

Typically there are two ways to select the data type within the dialog box:

  • Place the cursor on the radio selection and left click—the only method for the DPCCH TPC pattern

  • Use key board shortcut keys (the software accepts upper or lower case characters):

    • Alt+9 = PN9

    • Alt+5 = PN15

    • Alt+D = DCH

    • Alt+E = E-DCH

    • Alt+H = HAPPY

    • Alt+N = Not Happy

    • Alt+R = RACH

    • Alt+S = STD

    • Alt+U = User Defined Bits

    • Alt+O = OK

Not all channels contain all of the selections shown.

PN9

The software provides a pseudo-random bit sequence containing 511 bits (29-1) . When there are not enough bits left in the PN sequence to fill a frame, the software truncates the remaining data and repeats the data sequence.

When using the Real-time Modulation Filter, the software transmits the entire PN9 sequence.

PN15

The software provides a pseudo-random bit sequence containing 32767 bits (215-1) . The software truncates the data when there is more than what can fit into the frames.

HAPPY / Not Happy

The Happy bit is transmitted on the E-DPCCH when its data type selection is STD. The HAPPY bit informs the basestation as to whether the UE is happy with the current Serving Grant.

Up/Down

The software uses this selection on the DPCCH. It informs the basestation to repetitively step the power up in 1 dB steps and then down in 1 dB steps. Define the number of steps using the TPC Number of Steps cell.

Down/Up

The software uses this selection on the DPCCH. It informs the basestation to repetitively step the power down in 1 dB steps and then up in 1 dB steps. Define the number of steps using the TPC Number of Steps cell.

All Up

The software uses this selection on the DPCCH. It informs the basestation to consecutively step the power up in 1 dB steps.

All Down

The software uses this selection on the DPCCH. It informs the basestation to consecutively step the power down in 1 dB steps.

User Defined Bits

This selection opens the user Closed data entry area, which lets you customize the transmitted data. When creating a TPC pattern for the DPCCH, 1 steps up the power and 0 steps down the power.

The user data area contains buttons to import, export, or clear user data along with the ability to insert PN9 or PN15 data. Optionally you can manually insert or delete data. To manually insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data. There are three ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or Insert PN15 buttons

  • pasting data from a file or from within the current view

(The key board shortcuts Cntl+C and Cntl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data. The key board shortcut Cntl+Z also deletes highlighted data.

The maximum number of bits for the user data entry area is data type dependent:

  • PRACH data and E-DPCCH HAPPY bit—65,536 bits

  • All other data types—400,000 bits

    The software lets you create a file larger than it uses. When this occurs, the software truncates the excess data. Conversely, if there are not enough bits in the file to fill a frame, the software repeats the data pattern until it is filled.

DCH

This is a data selection on the DPDCH and enables the use of two transport channels: DCH1 and DCH2. After making the data type selection of DCH, set the data type for each of the transport channels.

E-DCH

This is a data selection on the E-DPDCH and enables the use of the transport channel E-DCH. After making the data type selection of E-DCH, set the data type for the transport channel.

RACH

This is a data selection in the PRACH, Msg-Data Data cell and enables the use of the transport channel. After making the data type selection of RACH, set the data type for the transport channel.

3GPP STD

This is a data selection in the PRACH, Msg-Ctrl Data cell. It configures the data field in accordance with the 3GPP standards.

STD

This is a data selection on the DPCCH and the E-DPCCH. It configures the data field in accordance with the 3GPP standards. For the E-DPCCH, this selection enables the transmission of the HAPPY Bit.

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is data type dependent:

  • E-DPCCH HAPPY bit—65,536 bits

  • All other data types—400,000 bits

If the imported file is larger than the maximum allowed bits, the software truncates the bits to conform to the maximum file size.

Export

This button saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

This button clears all data showing in the user data entry area.

Insert PN9

This button inserts a fixed pattern pseudo-random bit sequence containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size:

  • PRACH Data and HAPPY Bit—65,536 bits

  • all other data types—400,000 bits.

The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of maximum number of bits.

Insert PN15

This button inserts a fixed pattern pseudo-random bit sequence containing 32767 bits (215-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size:

  • PRACH Data and HAPPY Bit—65,536 bits

  • all other data types—400,000 bits.

The software truncates data in excess of the maximum file size.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN15, or enter the information manually using the keyboard keys 1 and 0. The software inserts the data at the cursor position and truncates all data in excess of maximum number of bits.

Related Topics

Channel Setup - Uplink Advanced

Channel Setup - Uplink PRACH


DPCCH Transmission Pattern Selection for Advanced UL

Use this dialog box to select a Continuous power level for all slots or with the user-defined selection, configure a customized data bursting pattern for up to 15,330 slots.

The Number of Frames cell in the advanced carrier view determines the length of the waveform. If the configured pattern length exceeds the waveform length, the software ignores the excess pattern slots.

Descriptions

This list enables you to quickly access the different areas of the Transmission Pattern Selection dialog box.

  • Continuous

  • User Defined Burst Pattern

  • Import

  • Export

  • Clear

  • Transmission Pattern

  • Tool

Continuous

The signal source transmits the data at the power level set in the Power cell.

User Defined Burst Pattern

This selection enables the dialog box editor and allows the user to customize a data bursting pattern for each slot within a frame for up to 1022 frames.

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the Transmission Pattern area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

To create a file, enter four values per slot: frame number, slot number, power level, and state (0 or 1):

For example, to set slots 0 and 3 for frame 0, and slots 2 and 5 for frame 2, use the following format:

0,0,-10 dBm,1,0,3,-5 dB,1,2,2,1 dB,1,2,5,5 dB,1

The power unit, and the space between the power value and dB is not required. If desired, place each slot setting on a separate line:

0,0,-10,1,

0,3,-5,1,

2,2,1,1,

2,5,5,1

The maximum file size should not exceed the data required to set the maximum number of slots (15,330) and the number of configured slots cannot exceed the waveform length.

Export

This button saves the current burst pattern, showing in the Transmission Pattern area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following user-selectable file types:

  • ASCII text

  • comma separated values (csv)

Clear

This button clears the Transmission Pattern table of all entries and resets the Power column to 0.00 dB for all slots..

Transmission Pattern

Use this table to manually set the state (on = checked) and power level for each slot.

Frame

Displays the frame number (0–1021). The frame number increments after every 15 slots.

Slot

Displays the slot number (0–14) for each frame. The slot numbers repeat after every 15 slots. The software supports a maximum of 15,330 slots, and the number of configured slots cannot exceed the waveform length.

State

Manually set the state to either on (checked) or off for each slot. When left unchecked (off), the slot is DTX.

Power

Range: -60 to 20 dB

Manually set the power level for each slot. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instrument's non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

Tool

Use this table to set up and apply a repeating bursting pattern for a single power level.

Tool Descriptions

  • Start

  • Step

  • Repeat

  • Power

  • Apply Pattern

Start

Range: 0 to 15329

Set the starting slot number offset. While the Transmission Pattern table slot numbers (0–14) repeat for each frame, the Start values continuously increments up to the maximum range value. For example, to start the pattern on frame 2, slot 10, set this cell's value to 40. To set slot 5 in frame 8, set the Start value to 125.

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Step

Range: 0 to 15329

This cell sets the pattern of transmitted slots by setting the interval of active slots. For example with a value of two, the software sets a repeating pattern for every other slot starting with the slot identified in the Start cell and ending with the number of repetitions identified in the Repeat cell. The software supports a maximum of 15,330 slots, and the number of configured slots cannot exceed the waveform length.

0

The pattern consists of only the slot identified with the starting value and ignores the repeat value

1...15329

The value determines whether the pattern transmits all slots from the Start value to the Repeat value or includes an integer number of DTX slots between each transmitted slot:

  • 1—transmits all slots from the Start value to the Repeat value

  • 2...15329—includes DTX slots

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Repeat

Range: 0 to 15330

Sets the end slot number for the pattern.

0

No slots are set.

1...15330

The value determines the number of configured slots.

  • 1—sets only the slot identified by the Start value.

  • 2...15330—sets the number of slots

If this value is larger than the number of remaining slots from the Start value to the last slot, then all remaining slots are included in the pattern. The number of configured slots cannot exceed the waveform length.

Power

Range: -60 to 20 dB

Sets the power level for the slots in the pattern. If needed and after applying the pattern, manually adjust the power level on individual checked slots. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instrument's non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

Apply Pattern (Button)

Applies the repetition pattern to the Transmission Pattern table.

Related Topics

Channel Setup for Advanced Uplink Carrier


E-DPCCH/E-DPDCH TTI Pattern Selection for Advanced UL

Use this dialog box to set the TTI pattern with either MAIN or ALT (alternate) E-TFCI table selections for each of the 15,330 slots. The flexibility of the software allows the start of a TTI period at any point in the available slots.

The Number of Frames cell in the advanced carrier view determines the length of the waveform. If the configured pattern length exceeds the waveform length, the software ignores the excess pattern slots.

Descriptions

This list enables you to quickly access the different areas of the TTI Pattern Selection dialog box.

  • Main All

  • User

  • Import

  • Export

  • Clear

  • TTI Pattern

  • Tool

Main All

The channel only uses the table identified in the E-TFCI Table Selection cell and the E-TFC Index cell.

User

This selection enables the dialog box editor and allows the user to customize TTI patterns for up to 15,330 slots (1022 frames).

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the TTI Pattern area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

To create a file, enter five parameters per slot: frame number, slot number, power level, state (0 or 1), and the text MAIN or ALT:

For example, to set slots 0 and 3 for frame 0, and slots 2 and 5 for frame 2, use the following format:

0,0,-10 dBm,1,ALT,0,3,-5 dB,1,ALT,2,2,1 dB,1,MAIN,2,5,5 dB,1,ALT

The power unit, and the space between the power value and dB is not required. If desired, place each slot setting on a separate line:

0,0,-10,1,ALT,

0,3,-5,1,ALT,

2,2,1,1,MAIN,

2,5,5,1,ALT

The maximum file size should not exceed the data required to set the maximum number of slots: 15,330, and the number of configured slots cannot exceed the waveform length.

Export

This button saves the current pattern, showing in the TTI Pattern area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following user-selectable file types:

  • ASCII text

  • comma separated values (csv)

Clear

This button clears the TTI Pattern table and sets MAIN as the selection with the State column left unchecked and the power set to 0.00 dB for all slots..

TTI Pattern

Use this table to manually set the state (on = checked) and power level, and select either MAIN or ALT for each slot.

TTI Pattern Descriptions

  • Frame

  • Slot

  • State

  • Power

  • MAIN

  • ALT

Frame

Displays the frame number (0–1021). The frame number increments after every 15 slots.

Slot

Displays the slot number (0–14) for each frame. The slot numbers repeat after every 15 slots. The TTI cell setting determines the number of slots per TTI period.

The software supports a maximum of 15,330 slots. The number of configured slots cannot exceed the waveform length.

State

Manually set the state to either on (checked) or off for a TTI period. A TTI period (3-slots over 2 ms or 15 slots over 10 ms) starts with the first active (on) slot and last for the remaining consecutive slots in the TTI period regardless of whether the remaining TTI slots are on or off. The TTI period uses the settings (State, Power, and MAIN or ALT) of the first slot in the TTI and ignores the settings of the remaining slots that are part of the TTI period. If a slot is not part of a TTI, it is DTX.

Power

Range: -60 to 20 dB

Manually set the power level for each slot. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instrument's non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

MAIN

Sets the slot to use the following cell settings in the E-DPCCH and E-DPDCH views:

Settable

Grayed Out—Information Only

  • E-TFCI Table Selection

  • E-TFC Index

  • Power

  • State

  • Rate

  • Spreading Code

  • Modulation – E-DPDCH only

ALT

Sets the slot to use the following alternate cell settings in the E-DPCCH and E-DPDCH views:

Settable

Grayed Out—Information Only

(Located on only the E-DPDCH)

  • E-TFCI Table Selection (Alternate)

  • E-TFC Index (Alternate)

  • Power (Alternate)

  • State (Alternate)

  • Rate (Alternate)

  • Spreading Code (Alternate)

  • Modulation (Alternate)

Tool

Use this table to set up and apply a repeating TTI pattern set to either MAIN or ALT. A TTI period (3-slots over 2 ms) starts with the first active (on) slot and last for three consecutive slots regardless of whether the remaining two slots are on or off. The TTI period uses the settings (State, Power, and MAIN or ALT) of the first slot in the TTI and ignores the settings of the two remaining slots. If a slot is not part of a TTI, it is DTX.

Tool Descriptions

  • Start

  • Step

  • Repeat

  • Power

  • Fill Pattern

  • Apply Pattern

Start

Range: 0 to 15329

Set the starting slot number offset. While the Transmission Pattern table slot numbers (0–14) repeat for each frame, the Start values continuously increments up to the maximum range value. For example, to start the pattern on frame 2, slot 10, set this cell's value to 40. To set slot 5 in frame 8, set the Start value to 125.

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Step

Range: 0 to 15329

This cell sets the pattern of transmitted slots by setting the interval of active slots. For example with a value of two, the software sets a repeating pattern for every other slot starting with the slot identified in the Start cell and ending with the number of repetitions identified in the Repeat cell. The number of configured slots cannot exceed the waveform length.

0

The pattern consists of only the slot identified with the starting value and ignores the repeat value

1...15329

The value determines whether the pattern transmits all slots from the Start value to the Repeat value or includes an integer number of DTX slots between each transmitted slot:

  • 1—transmits all slots from the Start value to the Repeat value

  • 2...15329—includes DTX slots

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Repeat

Range: 0 to 15330

Sets the end slot number for the pattern. The number of configured slots cannot exceed the waveform length.

0

No slots are set.

1...15330

The value determines the number of configured slots.

  • 1—sets only the slot identified by the Start value.

  • 2...15330—sets the number of slots

If this value is larger than the number of remaining slots from the Start value to the last slot, then all remaining slots are included in the pattern.

Power

Range: -60 to 20 dB

Sets the power level for the slots in the pattern. If needed and after applying the pattern, manually adjust the power level on individual checked slots. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instruments non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

Fill Pattern

Choice: MAIN or ALT

Sets the pattern to use either MAIN or ALT. After clicking in the cell, a down arrow button appears; click the button to display and make the selection.

Apply Pattern (Button)

Applies the repetition pattern to the TTI Pattern table.

Related Topics

Channel Setup for Advanced Uplink Carrier


HS-DPCCH Pattern Selection for Advanced UL (R10)

Real Time

HS-DPCCH Pattern Selection for Advanced UL (Release 10)

Access the Closed HS-DPCCH Pattern Selection dialog box from the HS-DPCCH Pattern cell located in the HS-DPCCH channel settings table (See Channel Setup - Advanced Uplink Carrier for more details). Use this dialog box to select either a fixed pattern or a customized (user-defined) HARQ pattern for up to 15,330 slots (1022 frames). The HS-DPCCH Pattern table organizes the slots into groups of three. The first slot of the group sets the HARQ response, which is transmitted during the one slot. The second slot sets the CQI value for the CQI report. When selected (State checkbox checked), the report is transmitted over two slots (second and third slot of the group).

The software calculates the CQI based on the Secondary Cell Enabled and Active /MIMO state of each cell. In the software UI, some CQI parameter cells may appear active, but are ignored by the software for the CQI calculation. For more information, refer to the HS-DPCCH CQI Parameter Settings (R10) topic.

The Number of Frames cell in the advanced carrier view determines the length of the waveform. If the configured pattern length exceeds the waveform length, the software ignores the excess pattern slots.

Descriptions

This list enables you to quickly access the different areas of the HS-DPCCH Pattern Selection dialog box shown above.

  • Fixed Pattern

  • User Defined HS-DPCCH Pattern

  • Import

  • Export

  • Clear

  • Secondary Cell Enabled

  • Secondary Cell Active

  • Primary Cell

  • Secondary Cell 1/2/3

  • Tool

Fixed Pattern

This selection enables a configuration of an all ACK pattern using a CQI value of 13 for Primary Cell and non-MIMO configuration.

When using the Fixed Pattern selection, the software uses the default settings for the various parameters.

User Defined HS-DPCCH Pattern

This selection enables the dialog box editor and allows the user to customize an HARQ pattern using groups of three slots within each frame for up to 1022 frames.

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the HS-DPCCH Pattern area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

Notice in the following figure that the slots are shown in groups of three. Slots 0–2 is one group, 3–5 is another group and so on.

To create a file, enter a parameter for each column item in a slot whether it applies to the current slot and secondary cell active/MIMO status. Rel 10 carriers uses version 2.0 format for this file, so the text file will start at "Ver2.0".

After the version, 8 parameters will be followed in the first line, which are Secondary Cell Enabled, Primary Cell MIMO, Secondary Cell 1 Active, Secondary Cell 2 MIMO, Secondary Cell 2 Active, Secondary Cell 2 MIMO, Secondary Cell 3 Active and Secondary Cell 3 MIMO.

For example, a file with the first line:

Ver2.0,2,0,1,0,1,0,0,0,

This means secondary cell enabled is 2 with secondary cell 1 and secondary cell 2 active. None of the cells are configured in MIMO mode. See the table below.

Ver2.0 | Secondary Cell Enabled | Primary Cell MIMO | Secondary Cell 1 Active | Secondary Cell 2 MIMO | Secondary Cell 2 Active | Secondary Cell 2 MIMO | Secondary Cell 3 Active | Secondary Cell 3 MIMO
Ver2.0 | 2 | 0 | 1 | 0 | 1 | 0 | 0 | 0

The following lines is for each slot parameters for HS-DPCCH. The parameter values are listed and separated with “,”: Frame Number, Slot Number, Power, HARQ_ACK1, HARQ_ACK2, CQI0-3, MIMO Type and CQI Report. For example,:

0,6,0.00 dB,1,A_A_A,AA_AA,13,13,13,13,A,1st Report

Frame Number | Slot Number | Power | HARQ_ACK1 | HARQ_ACK2 | CQI0 | CQI1 | CQI2 | CQI3 | MIMO Type | CQI Report
0 | 6 | 0.00 dB | A_A_A | AA_AA | 13 | 13 | 13 | 13 | A | 1st Report

The power unit, and the space between the power value and dB is not required. If desired, place each slot setting on a separate line. The following three lines configure settings for Secondary Cell enabled = 2 and non-MIMO configuration:

1,1,0.00 dB,1,A_A_A,AA_AA,13,13,13,13,A,1st Report – Set slot 1 for frame 1

1,3,0.00 dB,1,A_A_A,AA_AA,13,13,13,13,A,1st Report – Set slot 3 for frame 1

The maximum file size should not exceed the data required to set the maximum number of slots (15,330) and the number of configured slots cannot exceed the waveform length.

Export

This button saves the current pattern, showing in the HS-DPCCH Pattern area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following user-selectable file types:

  • ASCII text

  • comma separated values (csv)

Clear

This button resets the HS-DPCCH Pattern table to the following values:

  • State is unchecked (off)

  • Power to 0.0 dB

  • All ACK columns set to ACK

  • All CQI columns set to 13

  • MIMO type to A

  • CQI Report set to 1st Report

The Clear button does not affect the Secondary Cell Enabled, and Active/MIMO status for each Primary Cell and Secondary Cell.

Secondary Cell Enabled

Choices: 0 | 1 | 2 | 3

Default: 0

Set the number of Secondary Cells. This setting determines whether Active and MIMO check boxes are enabled.

Secondary Cell Active

Choices: 0 | 1 | 2 | 3

Default: 0

Read only. This parameter is determined by the total number of the checked Active in the Secondary Cell 1, Secondary Cell 2 and Secondary Cell 3.

Primary Cell

Configure the Primary Cell as MIMO (On = checked), or Non-MIMO (Off = unchecked).

Secondary Cell 1/2/3

The number in Secondary Cell Enabled determines the number of available secondary cells.

Active: Being checked means the cell is active.

MIMO: Being checked means the cell is configured as MIMO.

When Secondary Cell Enabled = 0, all Active and MIMO in Secondary Cell are grayed out.

When Secondary Cell Enabled = 1, Active and MIMO in Secondary Cell 1 are available to set, others are grayed out.

When Secondary Cell Enabled = 2, Active and MIMO in Secondary Cell 1 and Secondary Cell 2 are available to set.

When Secondary Cell Enabled= 3, all Active and MIMO are available to set.

HS-DPCCH Pattern

The software organizes the pattern table into groups of three slots, so there are five groups per frame. Only the first two slots of each group are configurable:

  • The first slot of each group sets the HARQ. The HARQ transmission occurs over a one slot period.

  • The second slot of each group sets the CQI and the PCI (active for MIMO coding). The CQI and PCI transmission occurs over two slots, the second and third slot of each group.

    HS-DPCCH Pattern Descriptions

    • Frame

    • Slot

    • State

    • Power

    • ACK

    • ACK2

    • CQI0 or PCI/CQI0

    • CQI1 or PCI/CQI1

    • CQI2 or PCI/CQI2

    • CQI3 or PCI/CQI3

    • MIMO Type

    • CQI Report

Frame

Displays the frame number (0–1021). The frame number increments after every 15 slots.

Slot

Displays the slot number (0–14) for each frame. The slot numbers repeat after every 15 slots. The software supports a maximum of 15,330 slots, and the number of configured slots cannot exceed the waveform length.

State

Manually set the state to either on (checked) or off for a slot. The third slot of each group is always unchecked and cannot be changed. When the second slot of a group is on (send CQI/PCI), the software uses the second and third slot to transmit the data. Even in this instance, the third slot remains unchecked.

Unchecked slots are DTX, with the exception of the third slot when it is being used with the second slot.

Power

Range: -60 to 20 dB

Default: 0.00 dB

Manually set the power level for each slot. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instrument's non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

ACK

Choices: Depends on Secondary Cell Enabled and Active/MIMO settings on each cell. See HARQ-ACK and CQI Cells for more information.

Default: ACK

Always Active for slot 0, 3, 6, 9. Sets the desired HARQ-ACK or HARQ-ACK2 response.

Click the cell to see a drop down arrow from which when clicked, a menu appears showing the choices.

ACK2

Choices: A/D | N/D | AA/D | AN/D | NA/D | NN/D | D/A | D/N | D/AA | D/AN | D/NA | D/NN | A/A | A/N | N/A | N/N | A/AA | A/AN | A/NA | A/NN | N/AA | N/AN | N/NA | N/NN | AA/A | AA/N | AN/A | AN/N | NA/A | NA/N | NN/A | NN/N | AA/AA | AA/AN | AA/NA | AA/NN | AN/AA | AN/AN | AN/NA | AN/NN | NA/AA | NA/AN | NA/NA | NA/NN | NN/AA | NN/AN | NN/NA | NN/NN | PRE | POST

Default: AA/AA

Set the desired HARQ response. For an active (on) slot, click the cell to see a drop down arrow from which when clicked, a menu appears showing the choices.

Available when:

  • Secondary Cell Enabled is 3 and Secondary Cell Active is 2 or 3, or,
  • Secondary Cell Enabled is 2, Secondary Cell Active is 2 and MIMO is configured in at least one active cell.

ACK and ACK2 Coupling

ACK and ACK2 are valid only in slot 0, 3, 6, 9, ......, that is, when slot index is multiples of 3. Whether ACK2 is valid and the choices of ACK/ACK2 depend on Secondary Cell settings. See the following use cases for more coupling information.

  • Case 1: When Secondary Cell Enabled is 0 and MIMO in Primary Cell is unchecked, ACK2 is grayed out and ACK choices are: ACK | NACK | PRE | POST.
  • Case 2: When Secondary Cell Enabled is 1, MIMO in Primary Cell is unchecked, and Active in Secondary Cell 1 is unchecked, ACK2 is grayed out and ACK choices are: ACK | NACK | PRE | POST.
  • Case 3: When Secondary Cell Enabled is 0 and MIMO in Primary Cell is checked, ACK2 is grayed out and ACK choices are: ACK | NACK | ACK_ACK | ACK_NACK | NACK_NACK | NACK_ACK | PRE | POST.
  • Case 4: When Secondary Cell Enabled is 1, MIMO in Primary Cell and Secondary Cell 1 are unchecked, and Active in Secondary Cell 1 is checked, ACK2 is grayed out and ACK choices are: ACK | NACK | ACK_SEC | NACK_SEC | ACK_ACK | ACK_NACK | NACK_ACK | NACK_NACK | PRE | POST.
  • Case 5: When Secondary Cell Enabled is 2, MIMO in Primary Cell is unchecked, and MIMO in Secondary Cell 1 and Secondary Cell 2 are both unchecked, ACK2 is grayed out and ACK choices are:A/D/D | N/D/D | D/A/D | D/N/D | D/D/A | D/D/N | A/A/D | A/N/D | N/A/D | N/N/D | A/D/A | A/D/N | N/D/A | N/D/N | D/A/A | D/A/N |D/N/A | D/N/N | A/A/A | A/A/N | A/N/A | A/N/N | N/A/A | N/A/N | N/N/A | N/N/N | PRE | POST.
  • Case 6: When Secondary Cell Active is 1 and MIMO in Primary Cell is checked and one Active in Secondary Cell is checked, ACK2 is grayed out and ACK choices are:A/D | N/D | AA/D | AN/D | NA/D | NN/D | D/A | D/N | D/AA | D/AN | D/NA | D/NN | A/A | A/N | N/A | N/N | A/AA | A/AN | A/NA | A/NN | N/AA | N/AN | N/NA | N/NN | AA/A | AA/N | AN/A | AN/N | NA/A | NA/N | NN/A | NN/N | AA/AA | AA/AN | AA/NA | AA/NN | AN/AA | N/AN | AN/NA | AN/NN | NA/AA | NA/AN | NA/NA | NA/NN | NN/AA | NN/AN | NN/NA | NN/NN | PRE | POST.
  • Case 7: When Secondary Cell Enabled is 2 or 3, Secondary Cell Active is 0 or 1, and no MIMO is checked, ACK2 is grayed out and ACK choices are same as Case 6.
  • Case 8: When Secondary Cell Enabled is 2 or 3, Secondary Cell Active is 2 or 3, and no MIMO is checked, ACK and ACK2 choices are same as Case 6.
  • Case 9: When Secondary Cell Enabled is 2 or 3, Secondary Cell Active is 2 or 3, and at least one MIMO is checked, ACK and ACK2 choices are same as Case 6.

CQI0 or PCI/CQI0

Range: Depends on Secondary Cell Enabled and MIMO state of Primary Cell. Refer to the HS-DPCCH CQI Parameter Settings (R10) topic.

Default: 13

Available for all the cases. Set the CQI or PCI CQI value for Primary Cell. When Primary Cell is configured in MIMO mode, it shows as PCI/CQI0. When Primary Cell is not configured in MIMO mode, it shows as CQI0.

PCI/CQI0 can be calculated from PCI0 and CQI0 by the following formula:

For MIMO Type A, PCI/CQI = PCI + CQI x 4

For MIMO Type B, PCI/CQI = PCI + (CQI + 1) x 4

CQI1 or PCI/CQI1

Range: Depends on Secondary Cell Enabled and MIMO state of the first Secondary Cell. Refer to the HS-DPCCH CQI Parameter Settings (R10) topic.

Default: 13

Available for all the cases. Set the CQI or PCI CQI value for the first Secondary Cell. When Primary Cell is configured in MIMO mode, it shows as PCI/CQI1. When Primary Cell is not configured in MIMO mode, it shows as CQI1.

PCI/CQI1 can be calculated from PCI1 and CQI1 by the following formula:

For MIMO Type A, PCI/CQI = PCI + CQI x 4

For MIMO Type B, PCI/CQI = PCI + (CQI + 1) x 4

CQI2 or PCI/CQI2

Range: Depends on Secondary Cell Enabled and MIMO state of the first Secondary Cell. Refer to the HS-DPCCH CQI Parameter Settings (R10) topic.

Default: 13

Available for all the cases. Set the CQI or PCI CQI value for the second Secondary Cell. When Primary Cell is configured in MIMO mode, it shows as PCI/CQI2. When Primary Cell is not configured in MIMO mode, it shows as CQI2.

PCI/CQI2 can be calculated from PCI2 and CQI2 by the following formula:

For MIMO Type A, PCI/CQI = PCI + CQI x 4

For MIMO Type B, PCI/CQI = PCI + (CQI + 1) x 4

CQI3 or PCI/CQI3

Range: Depends on Secondary Cell Enabled and MIMO state of the first Secondary Cell. Refer to the HS-DPCCH CQI Parameter Settings (R10) topic.

Default: 13

Available for all the cases. Set the CQI or PCI CQI value for the third Secondary Cell. When Primary Cell is configured in MIMO mode, it shows as PCI/CQI3. When Primary Cell is not configured in MIMO mode, it shows as CQI3.

PCI/CQI3 can be calculated from PCI3 and CQI3 by the following formula:

For MIMO Type A, PCI/CQI = PCI + CQI x 4

For MIMO Type B, PCI/CQI = PCI + (CQI + 1) x 4

MIMO Type

Choices: A | B

Default: A

Available when at least one cell is configured as MIMO. Set the notification type for the serving cell.

For more information on the types (A or B), refer to the 3GPP standards.

CQI Report

Choices: 1st Report | 2nd Report

Default :1st Report

Set which CQI report to be transported in the slot.

Tool

Use this table to set up and apply a repeating HARQ pattern or CQI value to the HS-DPCCH Pattern table. The slots affected by the Tool table settings are identified by the Start, Step, and Repeat cells.

To apply all settings from the Tool table, requires three iterations:

  1. Set the Secondary Cell Enabled.

  2. Set Active/MIMO status for each Primary Cell and Secondary Cell.

  3. Set the cell parameters.

  4. Select the column type using the Edit cell.

  5. Click the Apply Pattern button.

  6. Repeat Steps 4 and 5 for the remaining Edit cell choices.

Tool Descriptions

  • Edit

  • Start

  • Step

  • Repeat

  • Power

  • CQI or PCI/CQI

  • MIMO Type

  • Report Selection

  • HARQ-ACK

  • Apply Pattern

Edit

Choices: POWER | HARQ-ACK | HARQ-ACK2 | CQI0 | CQI1 | CQI2 | CQI3 | MIMO Type | CQI Report

Default: POWER

For the indicated slots, select the column type to which the settings apply in the HS-DPCCH Pattern table. To completely setup the pattern table (all columns) with the Tool table parameters, cycle through each choice in the drop down menu. To display the choices, click the cell to show the drop-down arrow, and then click the arrow .

POWER | Sets the State to on (checked) and the power level.
HARQ-ACK | Sets the active slots in the indicated ACK column.
HARQ-ACK2 | Sets the active slots in the indicated ACK2 column.
CQI0 | Sets the active slots in the indicated CQI0 column.
CQI1 | Sets the active slots in the indicated CQI1 column.
CQI2 | Sets the active slots in the indicated CQI2 column.
CQI3 | Sets the active slots in the indicated CQI3 column.
MIMO Type | Sets the notification type for the serving cell.
CQI Report | Sets which CQI report to be transported in the slot.

Start

Range: 0 to 15329

Set the starting slot number offset. While the HS-DPCCH Pattern table slot numbers (0–14) repeat for each frame, the Start values continuously increment up to the maximum range value. For example, to start the pattern on frame 2, slot 10, set this cell's value to 40. To set slot 6 in frame 8, set the Start value to 126.

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Step

Range: 0 to 15329

This cell sets the pattern of transmitted slots by setting the interval of active slots. For example with a value of two, the software sets a repeating pattern for every other slot starting with the slot identified in the Start cell and ending with the number of repetitions identified in the Repeat cell. The software supports a maximum of 15,330 slots, and the number of configured slots cannot exceed the waveform length.

0

The pattern consists of only the slot identified with the starting value and ignores the repeat value.

1...15329

The value determines whether the pattern transmits all slots from the Start value to the Repeat value or includes an integer number of DTX slots between each transmitted slot:

  • 1—transmits all slots from the Start value to the Repeat value

  • 2...15329—includes DTX slot(s)

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Repeat

Range: 0 to 15330

Sets the number of slots to be configured.

0

No slots are set.

1...15330

The value determines the number of configured slots.

  • 1—sets only the slot identified by the Start value.

  • 2...15330—sets the number of slots

If this value is larger than the number of remaining slots from the Start value to the last slot, then all remaining slots are included in the pattern. The number of configured slots cannot exceed the waveform length.

Power

Range: -60 to 20 dB

Sets the power level for the slots in the pattern. If needed and after applying the pattern, manually adjust the power level on individual checked slots. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instruments non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

The software lets you enter a value that is smaller or larger than the range limits. When this occurs and you apply the settings to the pattern table, the software enters the lower or upper range value respectively into the pattern table and leaves the over-range value in the Tool table cell.

HARQ-ACK and CQI Cells

The HARQ-ACK and CQI Tool table cell parameters change based on the Secondary Cell Enabled and the status of Active/MIMO of each cell. The following table shows the HARQ-ACK, ACK2 and each CQI cell by Secondary Cell Enabled and the status of each cell:

When a cell is configured as MIMO, CQI is shown as PCI/CQI. It can be calculated by PCI and CQI. For more information, refer to the HS-DPCCH CQI Parameter Settings (R10) topic.

Coding for HS-DPCCH Selection

HARQ-ACK ACK2 CQI MIMO Type CQI Report

Secondary Cell Enabled = 0

Primary Cell = unchecked MIMO

Active

Choice is Case 1

Inactive Only CQI0 active Inactive Inactive

Secondary Cell Enabled = 0

Primary Cell = checked MIMO

Active

Choice is Case 2

Inactive Only CQI0 active, shown as PCI/CQI Active Inactive

Secondary Cell Enabled = 1

Primary Cell = unchecked MIMO

Secondary Cell 1 = unchecked MIMO

Active

Choice is Case 3

Inactive

CQI0 active

CQI1 active when Secondary Cell 1 = Active

 Inactive Inactive

Secondary Cell Enabled = 1

Primary Cell or Secondary Cell 1 = checked MIMO

Active

Choice is Case 4

Active

CQI0 active, shown as PCI/CQI, when Primary Cell is MIMO mode.

CQI1 is active when Secondary Cell 1 is active. CQI1 is shown as PCI/CQI1 when Secondary Cell 1 is MIMO mode.

 Active Inactive

Secondary Cell Enabled = 2

Primary Cell = unchecked MIMO

Secondary Cell 1 = unchecked MIMO

Secondary Cell 2 = unchecked MIMO

Active

Choice is Case 5

Inactive

CQI0 is active.

CQI1 is active when Secondary Cell 1 is active.

CQI2 is active when Secondary Cell 2 is active

Inactive Active

Secondary Cell Enabled = 2

one of (Primary Cell, Secondary Cell 1, Secondary Cell 2) = checked MIMO

Active

Choice is Case 4

Active when Secondary Cell Active = 2.

Otherwise, Inactive.

CQI0 is active, shown as PCI/CQI0 when Primary Cell is MIMO mode.

CQI1 is active when Secondary Cell 1 is active. CQI1 is shown as PCI/CQI1 when Secondary Cell 1 is MIMO mode.

CQI2 is active when Secondary Cell 2 is active. CQI2 is shown as PCI/CQI2 when Secondary Cell 2 is MIMO mode.

Active Active
Secondary Cell Enabled = 3

Active

Choice is Case 4

Active when Secondary Cell Active = 2 or 3.

Otherwise, Inactive.

CQI0 is active, shown as PCI/CQI0 when Primary Cell is MIMO mode.

CQI1 is active when Secondary Cell 1 is active. CQI1 is shown as PCI/CQI1 when Secondary Cell 1 is MIMO mode.

CQI2 is active when Secondary Cell 2 is active. CQI2 is shown as PCI/CQI2 when Secondary Cell 2 is MIMO mode.

CQI3 is active when Secondary Cell 3 is active. CQI3 is shown as PCI/CQI3 when Secondary Cell 3 is MIMO mode.

Active when a cell is configured as MIMO.

Inactive when none cell is configured as MIMO.

 Active

ACK1 Choices

Case 1 | ACK| NACK | PRE |POST
Case 2 | ACK | NACK | ACK_ACK | ACK_NACK | NACK_ACK | NACK_NACK | PRE | POST
Case 3 | ACK | NACK | ACK_SEC | NACK_SEC | ACK/ACK | ACK/NACK | NACK/ACK | NACK/NACK | PRE | POST
Case 4 | A/D | N/D | AA/D | AN/D | NA/D | NN/D | D/A | D/N | D/AA | D/AN | D/NA | D/NN | A/A | A/N | N/A | N/N | A/AA | A/AN | A/NA | A/NN | N/AA | N/AN | N/NA | N/NN | AA/A | AA/N | AN/A | AN/N | NA/A | NA/N | NN/A | NN/N | AA/AA | AA/AN | AA/NA | AA/NN | AN/AA | AN/AN | AN/NA | AN/NN | NA/AA | NA/AN | NA/NA | NA/NN | NN/AA | NN/AN | NN/NA | NN/NN | PRE | POST
Case 5 | A/D/D | N/D/D | D/A/D | D/N/D | D/D/A | D/D/N | A/A/D | A/N/D | N/A/D | N/N/D | A/D/A | A/D/N | N/D/A | N/D/N | D/A/A | D/A/N | D/N/A | D/N/N | A/A/A | A/A/N | A/N/A | A/N/N | N/A/A | N/A/N | N/N/A | N/N/N | PRE | POST

The software lets you enter values that are smaller or larger than the range limits. When this occurs and you apply the settings to the pattern table, the software enters the lower or upper range value respectively into the pattern table and leaves the over-range value in the Tool table cell.

Apply Pattern (Button)

Applies the repetition pattern to the HS-DPCCH Pattern table.

Related Topics

Channel Setup for Advanced Uplink Carrier

HS-DPCCH CQI Parameter Settings (Release 10)

HS-DPCCH CQI Parameter Settings (Release 11)


HS-DPCCH Pattern Selection for Advanced UL (R11)

Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

HS-DPCCH Pattern Selection for Advanced UL (Release 11)

This feature appears in the software's GUI only when Minor Enhancement Update (MEU) Option U03 or greater is valid. Refer to Licenses for more information.

Access the Closed HS-DPCCH Pattern Selection dialog box from the HS-DPCCH Pattern cell located in the HS-DPCCH channel settings table (See Channel Setup - Advanced Uplink Carrier for more details). Use this dialog box to select either a fixed pattern or a customized (user-defined) HARQ pattern for up to 15,330 slots (1022 frames). The HS-DPCCH Pattern table organizes the slots into groups of three. The first slot of the group sets the HARQ response, which is transmitted during the one slot. The second slot sets the CQI value for the CQI report. When selected (State checkbox checked), the report is transmitted over two slots (second and third slot of the group).

The software calculates the CQI based on the Secondary Cell Enabled and Active /MIMO state of each cell. In the software UI, some CQI parameter cells may appear active, but are ignored by the software for the CQI calculation. For more information, refer to the HS-DPCCH CQI Parameter Settings (R11) topic.

The Number of Frames cell in the advanced carrier view determines the length of the waveform. If the configured pattern length exceeds the waveform length, the software ignores the excess pattern slots.

Fixed Pattern

This selection enables a configuration of an all ACK pattern using a CQI value of 13 for Primary Cell and non-MIMO configuration.

When using the Fixed Pattern selection, the software uses the default settings for the various parameters.

User Defined HS-DPCCH Pattern

This selection enables the dialog box editor and allows the user to customize an HARQ pattern using groups of three slots within each frame for up to 1022 frames.

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the HS-DPCCH Pattern area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

Notice in the following figure that the slots are shown in groups of three. Slots 0–2 is one group, 3–5 is another group and so on.

To create a file, enter a parameter for each column item in a slot whether it applies to the current slot and secondary cell active/MIMO status. Rel 11 carrier uses version 3.0 format for this file, so the text file will start at "Ver3.0".

After the version, 11 parameters will be followed in the first line, which are:

  • Secondary Cell Enabled

  • Primary Cell Active/MIMO status

  • Secondary Cell 1 Active/MIMO status

  • Secondary Cell 2 Active/MIMO status

  • Secondary Cell 3 Active/MIMO status

  • Secondary Cell 4 Active/MIMO status

  • Secondary Cell 5 Active/MIMO status

  • Secondary Cell 6 Active/MIMO status

  • Secondary Cell 7 Active/MIMO status

  • Multiflow Mode

  • Two Serving Cells

Active/MIMO status is a 3-digit number. The first digit means whether this cell is active, the second digit means whether this cell is configured to be MIMO and the last digit means whether this cell is configured to be MIMO with 4 Tx Antennas. So, 000 means an inactive cell, 100 means an active cell with no MIMO or MIMO with 4 Tx Antennas configured, 110 means an active cell with MIMO configured and 101 means an active cell with MIMO with 4 Tx antennas configured.

For example, a file with the first line:

Ver3.0,6,110,110,110,100,110,110,100,000,0,0,

This means secondary cell enabled is 2 with secondary cell 1 and secondary cell 2 active. None of the cells are configured in MIMO mode. See the table below.

Ver3.0 | Secondary Cell Enabled | Primary Cell | Secondary Cell 2 | Secondary Cell 3 | Secondary Cell 4 | Secondary Cell 5 | Secondary Cell 6 | Secondary Cell 7
Ver3.0 | 6 | Active and MIMO | Active and MIMO | Active and non-MIMO | Active and MIMO | Active and MIMO | Active and non-MIMO | Inactive

The following lines are for each slot parameters for HS-DPCCH. The parameter values are listed and separated with “,”: Frame Number, Slot Number, Power, HARQ_ACK1-4, CQI0-7, MIMO Type and CQI Report1-2. For example:

0,6,0.00 dB,1,AA_N,AA_AA,AA_AA, AA_AA,13,13,13,13,13,13,13,13,A,1st Report,3rd Report

Frame Number | Slot Number | Power | HARQ_ACK1 | HARQ_ACK2-4 | CQI0 | CQI1-7 | MIMO Type | CQI Report | CQI Report 2
0 | 6 | 0.00 dB | AA_N | AA_AA | 13 | 13 | A | 1st Report | 3rd Report

The power unit, and the space between the power value and dB is not required. If desired, place each slot setting on a separate line. The following three lines configure settings for Secondary Cell enabled = 2 and non-MIMO configuration:

1,1,0.00 dB,1,AA_N, AA_AA, AA_AA, AA_AA, 13,13,13,13, 13,13,13,13,A,1st Report,3rd Report – Set slot 1 for frame 1

1,3,0.00 dB,1,AA_N, AA_AA, AA_AA, AA_AA, 13,13,13,13, 13,13,13,13,A,1st Report ,3rd Report – Set slot 3 for frame 1

The maximum file size should not exceed the data required to set the maximum number of slots (15,330) and the number of configured slots cannot exceed the waveform length.

Export

This button saves the current pattern, showing in the HS-DPCCH Pattern area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file. The software saves the user data as one of the following user-selectable file types:

  • ASCII text

  • comma separated values (csv)

Clear

This button resets the HS-DPCCH Pattern table to the following values:

  • State is unchecked (off)

  • Power to 0.0 dB

  • All ACK columns set to ACK

  • All CQI columns set to 13

  • MIMO type to A

  • CQI Report set to 1st Report

The Clear button does not affect the Secondary Cell Enabled, and Active/MIMO status for each Primary cell and Secondary cell.

Secondary Cell Enabled

Choices: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7

Default: 0

Set the number of Secondary cells. This setting determines whether Active and MIMO checkboxes are enabled.

Secondary Cell Active

Range: 0 to 7

This field is read-only and the displayed value is calculated by the number of active (checked) secondary cells.

Multiflow Mode

This checkbox is only enabled when Secondary Cell Enabled is less than 4.

Two Serving Cells

This checkbox is only enabled when Secondary Cell Enabled is 2, Secondary Cell Active is 1 or 2, and Multiflow Mode checkbox is checked.

Primary and Secondary Cells

The Primary cell is designated as 0 and the Secondary cells are designated as 1 through 7. The number in Secondary Cell Enabled determines the number of available secondary cells.

Cell Index: Cell designation number.

Active: When checked the cell is active.

MIMO: When checked the cell is configured as MIMO.

MIMO with 4 Tx Antennas: When checked the cell is configured as 4x4 MIMO. Secondary Cell Enabled must be set to less than three.

When Secondary Cell Enabled = 0, all Active and MIMO checkboxes for Secondary cells are grayed out. ( Closed View image.)

When Secondary Cell Enabled = 4, the first four Active checkboxes in Secondary cells are available to set, while others, including MIMO, remain grayed out. ( Closed View image.)

When any enabled Secondary cells are activated by the checking the boxes (2 and 3 in this example), the corresponding CQI columns become editable (non gray). Also, the corresponding MIMO checkboxes for activated Secondary cells are no longer grayed out and become available to set. ( Closed View image.)

Activating the MIMO checkboxes changes also changes the corresponding CQI columns to PCI/CQI. ( Closed View image.)

When Secondary Cell Enabled < 3, you can activate MIMO with 4 Tx Antennas. In addition, the corresponding CQI columns change to NTBP/PCI/CQI. ( Closed View image.)

HS-DPCCH Pattern

The software organizes the pattern table into groups of three slots, so there are five groups per frame. Only the first two slots of each group are configurable:

  • The first slot of each group sets the HARQ. The HARQ transmission occurs over a one slot period.

  • The second slot of each group sets the CQI and the PCI (active for MIMO coding). The CQI and PCI transmission occurs over two slots, the second and third slot of each group.

Frame

Displays the frame number (0–1021). The frame number increments after every 15 slots.

Slot

Displays the slot number (0–14) for each frame. The slot numbers repeat after every 15 slots. The software supports a maximum of 15,330 slots, and the number of configured slots cannot exceed the waveform length.

State

Manually set the state to either on (checked) or off for a slot. The third slot of each group is always unchecked and cannot be changed. When the second slot of a group is on (send CQI/PCI), the software uses the second and third slot to transmit the data. Even in this instance, the third slot remains unchecked.

Unchecked slots are DTX, with the exception of the third slot when it is being used with the second slot.

Power

Range: -60 to 20 dB

Default: 0.00 dB

Manually set the power level for each slot. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instrument's non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

ACK

Choices: Depends on Secondary Cell Enabled and Active/MIMO settings on each cell.

Default: ACK

Always Active for slot 0, 3, 6, 9. Sets the desired HARQ-ACK or HARQ-ACK2 response.

Click the cell to see a drop down arrow from which when clicked, a menu appears showing the choices.

ACK2-ACK4

When no MIMO with 4 Tx Antennas configured, and “Secondary Cell Enabled” is less that 2,ACK2-ACK4 will be disabled.

When no MIMO or MIMO with 4 Tx Antennas configured and “Secondary Cell is Enabled” is 2, ACK2 to ACK4 will be disabled.

When MIMO for 4 Tx Antennas is not configed, if “Secondary Cell Enabled” is less that 4, ACK3 and ACK4 will be disabled, else ACK3 and ACK4 will be enabled.

When MIMO for 4 Tx Antennas is configed, ACK2 will be enabled when Secondary Cell 1 is active; ACK3 will be disabled when Second Cell 2 is inactive. ACK3 will be enabled when Secondary Cell 2 or 3 is active; ACK3 will be disabled when neither Secondary Cell 2 nor 3 is active. ACK4 is enabled when both Secondary Cell 2 and Secondary Cell 3 are active; ACK4 will be disabled when either Secodnary Cell 2 or 3 is inactive.

CQI0 - CQI7

CQI0 is always enabled.

CQIn will be enabled when Secondary Cell n is active; CQIn will be disabled when Secondary Cell n is inactive, where n can be from 1 to 7.

CQI0 will be shown as PCI/CQI0 when MIMO is configured in Primary Cell; CQI0 will be shown as NTBP/PCI/CQI0 when MIMO with 4 Tx Antennas is configured in Primary Cell.

CQIn will be shown as PCI/CQIn when MIMO is configured in Secondary Cell n; CQIn will be shown as NTBP/PCI/CQIn when MIMO with 4 Tx Antennas is configured in Secondary Cell n, where n can be 1 to 7.

MIMO Type

MIMO Type is enabled when any checkbox of MIMO or MIMO for 4 Tx Antennas is checked.

CQI Report

When MIMO with 4 Tx Antennas is not configured, CQI report is read-only if Secondary Cell Enabled is 0 or Secondary Cell Enabled is 1 and no MIMO is configured. For other cases, CQI Report will be settable.

For MIMO with 4 Tx Antenna is configured, CQI report will be read-only when Secondary Cell Enabled is 0. For other cases, CQI Report will be settable.

CQI Report 2

When MIMO with 4 Tx Antennas is not configured, CQI Report 2 will be read only when Secondary Cell Enabled is larger than 4.

When MIMO with 4 Tx Antenna is configured, CQI Report 2 will be settable when Secondary Cell Enabled is 3 and at least one of 2nd Secondary Cell and 3rd Secondary Cell is active. For other cases, CQI report 2 will be read-only.

Tool

Use this table to set up and apply a repeating HARQ pattern or CQI value to the HS-DPCCH Pattern table. The slots affected by the Tool table settings are identified by the Start, Step, and Repeat cells.

To apply all settings from the Tool table, requires three iterations:

  1. Set the Secondary Cell Enabled.

  2. Set Active/MIMO status for each Primary Cell and Secondary Cell.

  3. Set the cell parameters.

  4. Select the column type using the Edit cell.

  5. Click the Apply Pattern button.

  6. Repeat Steps 4 and 5 for the remaining Edit cell choices.

Tool Descriptions

Edit

Choices: POWER | HARQ-ACK | HARQ-ACK2 | HARQ-ACK3 | HARQ-ACK4 | CQI0 | CQI1 | CQI2 | CQI3 | CQI4 | CQI5 | CQI6 | CQI7 | MIMO Type | CQI Report | CQI Report2

Default: POWER

For the indicated slots, select the column type to which the settings apply in the HS-DPCCH Pattern table. To completely setup the pattern table (all columns) with the Tool table parameters, cycle through each choice in the drop down menu. To display the choices, click the cell to show the drop-down arrow, and then click the arrow .

Start

Range: 0 to 15329

Set the starting slot number offset. While the HS-DPCCH Pattern table slot numbers (0–14) repeat for each frame, the Start values continuously increment up to the maximum range value. For example, to start the pattern on frame 2, slot 10, set this cell's value to 40. To set slot 6 in frame 8, set the Start value to 126.

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Step

Range: 0 to 15329

This cell sets the pattern of transmitted slots by setting the interval of active slots. For example with a value of two, the software sets a repeating pattern for every other slot starting with the slot identified in the Start cell and ending with the number of repetitions identified in the Repeat cell. The software supports a maximum of 15,330 slots, and the number of configured slots cannot exceed the waveform length.

0

The pattern consists of only the slot identified with the starting value and ignores the repeat value.

1...15329

The value determines whether the pattern transmits all slots from the Start value to the Repeat value or includes an integer number of DTX slots between each transmitted slot:

  • 1—transmits all slots from the Start value to the Repeat value

  • 2...15329—includes DTX slot(s)

This setting accepts values that are smaller or larger than the range values. When the software recognizes a value that is outside of the range, it ignores the value.

Repeat

Range: 0 to 15330

Sets the number of slots to be configured.

0

No slots are set.

1...15330

The value determines the number of configured slots.

  • 1—sets only the slot identified by the Start value.

  • 2...15330—sets the number of slots

If this value is larger than the number of remaining slots from the Start value to the last slot, then all remaining slots are included in the pattern. The number of configured slots cannot exceed the waveform length.

Power

Range: -60 to 20 dB

Sets the power level for the slots in the pattern. If needed and after applying the pattern, manually adjust the power level on individual checked slots. The bursting pattern uses the RMS of the carrier power as the absolute burst amplitude. During the power search the signal source uses the highest amplitudes of the channels (slot power + channel power) to find the RMS value. When you download the waveform, the software initiates an instrument power search.

When the waveform resides in an instruments non-volatile memory and is loaded into volatile memory, manually perform an instrument RMS power search. For more information on performing an instrument power search, refer to the instrument's User Guide. You may also perform the RMS power search. from the software interface.

The software lets you enter a value that is smaller or larger than the range limits. When this occurs and you apply the settings to the pattern table, the software enters the lower or upper range value respectively into the pattern table and leaves the over-range value in the Tool table cell.

PCI/CQI

CQI or PCI/CQI for the selected cell.

MIMO Type

Choices: A | B

MIMO type pattern.

Report Selection

Choices: 1st Report| 2nd Report

Report selection.

Apply Pattern (Button)

Applies the repetition pattern to the HS-DPCCH Pattern table.

Related Topics

Channel Setup for Advanced Uplink Carrier

HS-DPCCH CQI Parameter Settings (Release 10)

HS-DPCCH CQI Parameter Settings (Release 11)


HS-DPCCH CQI Parameter Settings (R10)

Real Time

HS-DPCCH CQI Parameter Settings (Release 10)

For the User Defined HS-DPCCH Pattern (Release 10), the following table shows the CQI or PCI/CQI settings and calculation methods that the software uses to calculate the CQI or PCI/CQI for each HS-DPCCH pattern. The software calculates the CQI or PCI/CQI values in accordance with 3GPP TS 25.212 V10.3.0 (2012-09). The grayed out cells show the CQI or PCI/CQI settings that the software ignores to perform the CQI calculation.

In the software UI, some of the grayed cells shown in the table may appear active and even let you change the setting, but if the table shows it as grayed out, the software still ignores the parameter.

 | MIMO Type | CQI Status | CQI Range
When the related cell is not configured as MIMO | A or B (grayed out) | shown as CQIn, where n can be 0-3. For Primary Cell, n is 0. For Secondary Cell 1, n is 1. For Secondary Cell 2, n is 2. For Secondary Cell 3, n is 3. | 0-30
When the related cell is configured as MIMO | A | shown as PCI/CQIn, where n can be 0-3. For Primary Cell, n is 0. For Secondary Cell 1, n is 1. For Secondary Cell 2, n is 2. For Secondary Cell 3, n is 3. | 0-1023 PCI = CQI x 4 + PCI, where PCI can be 0-3 and CQI can be 0-255.
 | B | shown as CQIn, where n can be 0-3. For Primary Cell, n is 0. For Secondary Cell 1, n is 1. For Secondary Cell 2, n is 2. For Secondary Cell 3, n is 3. | 4-127 PCI/CQI = (CQI + 1) x 4 + PCI, where PCI can be 0-3 and CQI can be 0-30.

Related Topics

HS-DPCCH Pattern Selection for Advanced UL (Release 10)

HS-DPCCH Pattern Selection for Advanced UL (Release 11)


HS-DPCCH CQI Parameter Settings (Release 11)

For the User Defined HS-DPCCH Pattern (Release 11), the following table shows the CQI, PCI/CQI or NTBP /PCI/CQI settings and calculation methods that the software uses to calculate the CQI, PCI/CQI or NTBP/PCI/CQI for each HS-DPCCH pattern. The software calculates the CQI, PCI/CQI or NTBP /PCI/CQI values in accordance with 3GPP TS 25.212 V11.7.0 (2014-03). The grayed out cells show the CQI, PCI/CQI or NTBP/PCI/CQI settings that the software ignores to perform the CQI calculation.

In the software UI, some of the grayed cells shown in the table may appear active and even let you change the setting, but if the table shows it as grayed out, the software still ignores the parameter.

 | MIMO Type | CQI Status | CQI Range
When the related cell is not configured as MIMO |  | shown as CQIn, where n can be 0-7. For Primary Cell, n is 0. For Secondary Cell 1, n is 1. For Secondary Cell 2, n is 2. For Secondary Cell 3, n is 3. For Secondary Cell 4, n is 4. For Secondary Cell 5, n is 5. For Secondary Cell 6, n is 6. For Secondary Cell 7, n is 7. | 0-30
When the related cell is configured as MIMO | A | shown as PCI/CQIn, where n can be 0-7. For Primary Cell, n is 0. For Secondary Cell 1, n is 1. For Secondary Cell 2, n is 2. For Secondary Cell 3, n is 3. For Secondary Cell 4, n is 4. For Secondary Cell 5, n is 5. For Secondary Cell 6, n is 6. For Secondary Cell 7, n is 7. | 0-1023 PCI = CQI x 4 + PCI, where PCI can be 0-3 and CQI can be 0-255.
 | B |  | 4-127 PCI/CQI = (CQI + 1) x 4 + PCI, where PCI can be 0-3 and CQI can be 0-30.
When the related cell is configured as MIMO with 4 Tx Antennas | A | shown as NTBP/PCI/CQIn, where n can be 0-7. For Primary Cell, n is 0. For Secondary Cell 1, n is 1. For Secondary Cell 2, n is 2. For Secondary Cell 3, n is 3. For Secondary Cell 4, n is 4. For Secondary Cell 5, n is 5. For Secondary Cell 6, n is 6. For Secondary Cell 7, n is 7. | 0-8192 NTBP/PCI/CQI = NTBP + PCI*4 + CQI*64, where NTBP can be 0-3, PCI can be 0-15 and CQI can be 0-255
 | B |  | 15-511 NTBP/PCI/CQI = PCI + (CQI + 1)*16, where PCI can be 0-15 and CQI can be 0-30

Related Topics

HS-DPCCH Pattern Selection for Advanced UL (Release 10)

HS-DPCCH Pattern Selection for Advanced UL (Release 11)


Marker Selection Dialog Box

Real Time

Marker Source Selection Dialog Box

Use the Marker Source Selection dialog box for the Marker 1, 2, 3, or 4 Source cells to set active marker points within the waveform. The cells are located in the Closed Waveform Setup parameter configuration table.

When Parameter Optimization in the Instrument node is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.

When using the dialog box, there are two ways to select the marker source:

  • Place the cursor on the radio selection and left click.

  • Use key board shortcut keys (the software accepts upper or lower case characters):

    • Alt+N = None

    • Alt+F = Frame

    • Alt+2 = 2 ms frame pulse

    • Alt+1 = 10 ms frame pulse

    • Alt+4 = 40 ms frame pulse

    • Alt+A = RF ALC Control

    • Alt+B = RF Blanking Control

    • Alt+T = Timing Control

    • Alt+U = User Defined Bits

    • Alt+O = OK

None

All maker points are set to zero (inactive).

Frame

The software sets the first five marker bits of the frame to 1 (high), which sets an active marker for the first five waveform samples (waveform points).

2 ms frame pulse

The software sets a marker bit high at each 2 ms (subframe) interval.

10 ms frame pulse

The software sets a marker bit high at each 10 ms (frame) interval.

40 ms frame pulse

The software sets a marker bit high at each 40 ms (four-frame) interval.

RF ALC Control

This choice is typically used for a pulsed signal such as the PRACH. For the selected marker, the software sets the bits high during the on part of the pulse. The instrument samples the pulse's amplitude for the duration of the set bits and holds the ALC level during the off portion of the signal. To enable RF ALC control, use the Dual ARB Marker Utilities function table found in the Instrument view.

RF Blanking

This choice is typically used for a pulsed signal such as the PRACH. For the selected marker, the software sets the marker bits high during the on part of the pulse. To enable RF blanking, use the Dual ARB Marker Utilities function table found in the Instrument view.

RF Blanking incorporates RF ALC Control, so there is no need to set markers for both functions.

Timing Control

  • For most carrier selections, the software sets the first five marker bits high at the beginning of the waveform. The actual marker bit setting is dependent on the carrier and its configuration.

  • For the PRACH carrier, the software sets the first five marker bits high at the beginning of the waveform and one bit high at each 10 ms interval.

User Defined Bits

This selection opens the user Closed data entry area, which lets you customize the marker signal.

The user data area contains buttons to import, export, or clear user marker data along with the ability to insert a PN9 sequence as the marker bits. Optionally you can manually insert or delete marker data. To manually insert marker data, simply place the cursor within the data entry area or highlight existing bits, and insert bits. There are three ways to insert marker data:

  • using the 1 (marker active) and 0 (marker inactive) keys on the keyboard

  • using the Insert PN9 button

  • pasting data from a file or from within the current view

(The key board shortcuts Cntl+C and Cntl+V work for user data entry.)

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete data. The key board short cut Cntl+Z also deletes highlighted data.

The maximum number of marker bits for the user data entry area is 998,400, which is also the maximum file size. The proper marker file size for a given waveform is when the number of marker bits equals the value shown in the Waveform Length cell. .

The software lets you create a file larger than it uses for the waveform. When this occurs, the software truncates the excess marker bits. Conversely, if there are not enough marker bits, the software repeats the marker bit pattern until there are enough marker bits to match the Waveform Length cell value.

Import

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 998,400 bits. If the imported file is larger than 998,400 bits, the software truncates the bits to conform to the maximum file size.

Export

This button saves the current data pattern, showing in the user data entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location to where you can save the file. The software saves the user data as one of the following selected file types:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

This button clears all data showing in the user data entry area.

Insert PN9

This button inserts a fixed pseudo-random bit sequence (pattern) containing 511 bits (29-1) into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153. Repeated clicking of this button adds additional PN9 sequences until the software attains the maximum file size of 998,400 bits. The software truncates data in excess of the maximum file size.

To edit the existing data pattern after reaching the maximum file size, insert the cursor at the desired point in the file, and press Insert PN9 or use the keyboard 1 and 0 keys. The software inserts the data at the cursor position and truncates all data in excess of 998,400 bits.

Related Topic

Waveform Setup


Waveform Setup

Clicking Waveform Setup in the Closed tree view displays the Waveform Attributes settings table in the node view of the main window.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 128 carriers.

This button opens a window of Closed predefined carrier configuration selections. Double-clicking a configuration replaces the current configuration in the setup table.

This button opens a Closed drop-down menu for selecting a carrier to add to the setup table. The carrier is inserted above the currently highlighted carrier in the table.

  • The Basic W-CDMA/HSPA DL/UL Rel 7 carriers support W-CDMA signals that includes HSPA channel configurations. These carriers require Option Exx

  • The basic W-CDMA /HSPA+ DL/UL Rel 8 carriers support W-CDMA and HSPA signals, and adds HSPA+ channel requirements. These two carrier choices require Option Fxx.

  • The Adv W-CDMA/HSPA+ UL Rel 8 and Adv W-CDMA/HSDPA DL Rel 6 FDD carriers add predefined RMC, RMC+HSET and FRC channel setups along with the capability to perform BER test using a continuous PN9 data stream. These two carrier choices require Option Qxx.

    Only two instruments support BER testing using a continuous PN9 sequence: the N5182A MXG and the N5106A PXB.

    • The MXGs must use the advanced carrier preconfigured RMC 12.2k setup.

    • The PXB can use any of the advanced carrier preconfigured channel setups.

    • The E4438C ESG and E8267D PSG only support BLER testing (the ESG and PSG require signal generator option 602).

  • Adv W-CDMA/HSPA+ PRACH provides a PRACH with preamble only or preamble and message transmission. This carrier requires Option Qxx.

This button deletes the currently highlighted carriers in the setup table. You can highlight multiple carriers by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of carriers.

This button quickly adds a copy of the selected carrier in the carrier configuration summary table.

An asterisk shown with a carrier entry indicates that the parameters of a channel for that carrier have changed.

1. Basic

Waveform Name

Enter an alpha-numeric waveform file name, up to 22 characters in length. The name can include spaces and some special characters: _ $ & # + - [ ]. You can enter a name with more than 22 characters, but when you click outside of the cell, the software truncates the name to 22 characters.

Comment

Enter an alpha-numeric comment up to 32 characters in length. The comment resides in the file header and can include spaces and special characters.

Total Sample Points

View the generated waveform length (number of points). You cannot edit this cell.

I/Q Map

Choices: Normal | Invert

Default: Normal

Double-click or use the drop-down menu to select a normal or inverted I/Q signal.

2. Marker

Marker 1 Source

Choices: None | Frame | 2 ms frame pulse | 10 ms frame pulse | 40 ms frame pulse | RF ALC Control | RF Blanking | Timing Control | User Defined bits

Default: Frame

Configure the marker points for marker 1 using the Marker Source Selection dialog box.

The signal generator outputs the marker 1 signal from the rear-panel EVENT 1 output. For more information, see the signal generator's User Guide.

Marker 2 Source

Choices: None | Frame | 2 ms frame pulse | 10 ms frame pulse | 40 ms frame pulse | RF ALC Control | RF Blanking | Timing Control | User Defined bits

Default: None

Configure the marker points for marker 2 using the Marker Source Selection dialog box.

The signal generator outputs the marker 2 signal from the rear-panel EVENT 2 output. For more information, see the signal generator's User Guide.

Marker 3 Source

Choices: None | Frame | 2 ms frame pulse | 10 ms frame pulse | 40 ms frame pulse | RF ALC Control | RF Blanking | Timing Control | User Defined bits

Default: None

Configure the marker points for marker 3 using the Marker Source Selection dialog box.

The signal generator outputs the marker 3 signal from the rear-panel EVENT 3 output. For more information, see the signal generator's User Guide.

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.

Marker 4 Source

Choices: None | Frame | 2 ms frame pulse | 10 ms frame pulse | 40 ms frame pulse | RF ALC Control | RF Blanking | Timing Control | User Defined bits

Default: None

Configure the marker points for marker 4 using the Marker Source Selection dialog box.

The signal generator outputs the marker 4 signal from the rear-panel EVENT 4 output. For more information, see the signal generator's User Guide.

When Parameter Optimization in the Signal Generator node is set to Auto, Marker 3 and Marker 4 source selection in the Waveform Setup node and the marker routing selected in the Dual Arb Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set the Parameter Optimization to Off.

Related Topics

Configuring the Waveform Setup View

Instrument

User Interface Basics


Downlink Carrier Setup

Real Time

Carrier n - Downlink

3GPP | Baseband | Arb Mode Filter
State | Oversampling Ratio | Arb Mode Filter
Channel Configuration | Real-Time Modulation Filter | Alpha
Waveform Generation Length |  | BbT
Waveform Generation Offset |  | Pre-Filter Clipping
Number of Frames |  | Post-Filter Clipping
Chip Rate |  | Total Sample Points
Primary Scrambling Code |  | Frequency Offset
Total number of Antennas |  | Power
Tx Diversity |  | Frequency Offset
Antenna Port |  | Timing Offset
Close Loop TxDiversity Feedback Signalling Message |  | Initial Phase

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 128 carriers.

This button opens a window of Closed predefined carrier configuration selections. Double-clicking a configuration replaces the current configuration in the setup table.

This button opens a Closed drop-down menu for selecting a carrier to add to the setup table. The carrier is inserted above the currently highlighted carrier in the table.

  • The Basic W-CDMA/HSPA DL/UL Rel 7 carriers support W-CDMA signals that includes HSPA channel configurations.

  • The basic W-CDMA /HSPA+ DL/UL Rel 8 carriers support W-CDMA and HSPA signals, and adds HSPA+ channel requirements. These two carrier choices require Option FFP.

  • The Adv W-CDMA/HSPA+ UL Rel 10 and Adv W-CDMA/HSDPA DL Rel 6 FDD carriers add predefined RMC, RMC+HSET and FRC channel setups along with the capability to perform BER test using a continuous PN9 data stream. These two carrier choices require Option Qxx.

    Only two instruments support BER testing using a continuous PN9 sequence: the N5182A MXG and the N5106A PXB.

    • The MXGs must use the advanced carrier preconfigured RMC 12.2k setup.

    • The PXB can use any of the advanced carrier preconfigured channel setups.

    • The E4438C ESG and E8267D PSG only support BLER testing (the ESG and PSG require signal generator option 602).

  • Adv W-CDMA/HSPA+ PRACH provides a PRACH with preamble only or preamble and message transmission. This carrier requires Option Qxx.

  • Adv W-CDMA/HSPA+ DL Rel 10 carriers support Dual Cell + MIMO, 64 QAM in HS-PDSCH and RMC + HSET up to 12. This carrier requires Option Qxx.

This button deletes the currently highlighted carriers in the setup table. You can highlight multiple carriers by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of carriers.

This button quickly adds a copy of the selected carrier in the carrier configuration summary table.

An asterisk shown with a carrier entry indicates that the parameters of a channel for that carrier have changed.

3GPP

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Channel Configuration

Double-click or use the drop-down menu to change the channel configuration.

Waveform Generation Length

Choices: 1 slot (0.66...ms) | 2 slots (1.33...ms) | 3 slots ( 2.0 ms) | 4 slots (2.66...ms) | 5 slots (3.33...ms) | 6 slots (4.0 ms) | 7 slots (4.66...ms) | 8 slots (5.33...ms) | 9 slots (6.0 ms) | 10 slots (6.66...ms) | 11 slots (7.33... ms) | 12 slots 8.0 ms) | 13 slots (8.66...ms) | 14 slots (9.333...ms) | 1 frame (10 ms)

Default: 1 frames (10 ms)

Select the waveform generation length.

When the waveform generation length valude is less than one frame (10 ms), set the Waveform Generation Offset value to create the waveform with the desired slot(s).

This parameter is available on only the Basic W-CDMA/HSPA DL/UL Rel 7 and Basic W-CDMA/HSPA+ DL/UL Rel 8 carriers.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Waveform Generation Offset

Range: 0–14

Default: 0

Sets the waveform generation offset. Enter an integer value by highlighting and replacing the current value. If just the number is highlighted and replaced, ensure that a space is present between the offset value and 'slot'. For example: 5 slot (3.33... ms), not 5slot (3.33... ms).

This parameter becomes active when the Waveform Generation Length setting is other than 1 frame (10 ms). The sum of the offset value and the Waveform Generation Length cannot be greater than 15 (15 slots in a radio frame). If the Waveform Generation Length is changed so that the sum would be greater than 15, the software changes the offset value so that the sum does not exceed 15.

This parameter is available on only the Basic W-CDMA/HSPA DL/UL Rel 7 and Basic W-CDMA/HSPA+ DL/UL Rel 8 carriers.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Number of Frames

Range: 4 to 4096

Default: 4

This setting requires the advanced Option Qxx and is available with only the Adv W-CDMA/HSDPA DL Rel 6 carrier.

Enter the number of frames for the selected carrier.

The waveform length in a multi-carrier waveform is determined by the least common multiple (LCM) of the waveform lengths (measured in number of frames) of all the carriers. Carriers with waveform lengths less than the LCM are repeated until the multi-carrier waveform length matches the LCM. For example, if a waveform is comprised of two carriers, where carrier A is 10 frames and carrier B is 3 frames, A is repeated 3 times and B is repeated 10 times. This results in a multi-carrier waveform length of 30 frames, the LCM of carrier A and B.

The maximum waveform length depends on the oversampling ratio, number of carriers, and available PC memory. If an out-of-memory error is reported, reduce the number of frames, number of carriers, or the maximum frequency offset. Reducing the frequency offset reduces the oversampling ratio, which reduces the amount of PC memory required.

Chip Rate

View the W-CDMA signal chip rate (3.84 Mcps). You cannot edit this cell.

Primary Scrambling Code

Range: 0–511

Enter the primary scramble code. Entering a value here sets the scramble code for all downlink channels.

Total Number of Antenna

Range: 1 Antenna | 2 Antenna

Default: 1 Antenna

Specify the total number of antennas used for downlink transmission.

This parameter is read-only.

If you want to change this parameter, you need change the number of signal generators by selecting different Quick Setups. For example, in Quick Setups, RF Output (for Signal Generator) means 1 antenna; 2x2 MIMO Tx (for Signal Generator) means 2 antennas.

When you select 2x2 MIMO in Quick Setups, there are two instrument nodes under Hardware.

Tx Diversity

Double-click or use the Closed drop-down menu to select whether or not to use transmit diversity. When active, the software applies STTD encoding, and for the SCH (PSCH and SSCH), TSTD encoding. During transit diversity operation, the software does not incorporate any DTX periods.

Antenna Number = 1

  • None – disables transmit diversity.

  • Open Loop Antenna 1 – sets up the carrier as antenna one, and broadcasts the SCH during even numbered slots.

  • Open Loop Antenna 2 – sets up the carrier as antenna two, broadcasts the SCH during odd numbered slots, modifies the DPCCH pilot bits, and encodes the data to distinguish it from antenna one.

  • Close Loop Antenna 1 – sets up the carrier as antenna one for close loop TxDiversity mode 1.

  • Close Loop Antenna 2 – sets up the carrier as antenna two for close loop TxDiversity mode 1.

Antenna Number = 2

When Total number of Antenna is 2, the choices are:

  • None – disables transmit diversity.

  • Open Loop – sets the TxDiversity mode to Open Loop TxDiversity.

  • Open Loop – sets the TxDiversity mode to Close Loop TxDiversity mode 1.

The software applies STTD encoding to the following channels:

DPCH | E-AGCH
E-HICH | E-RGCH
HS-PDSCH | HS-SCCH
OCNS | PICH
P-CCPCH | S-CCPCH

The CPICH is transmitted from both antennas, but its predefined bit sequence differs between antenna one and antenna two per the 3GPP specifications.

Antenna Port

Range: 0 | 1

Default: 0

In multi-antenna configurations, specify the antenna to be used for transmitting the downlink signal. The available selections are determined by the Total Number of Antennas setting.

Close Loop TxDiversity Feedback Signalling Message

Default: 0

Edit the Feedback Signaling Message (FSM) for Close Loop TxDiversity. This is only valid when TxDiversity is Close Loop, Close Loop Antenna 1 or Close Loop Antenna 2.

Baseband

Oversampling Ratio

Range: 0–50 | Auto

Default: Auto

Double-click or use the pull-down menu to set the oversampling ratio.

The Waveform Length value (number of points) is automatically determined based on the oversampling ratio. Using a larger oversampling ratio results in a more completely filtered image, but also uses more waveform memory by increasing the number of waveform points. Choose AUTO to let the signal generator automatically select the optimized oversample ratio for the current signal setup.

This parameter is coupled with Frequency Offset. Use the following formula to calculate the minimum oversampling ratio:

minimum oversampling ratio = (3.84 MHz + 2(2.5 MHz + Frequency Offset))/3.84 MHz

Round all decimal values to the next higher oversampling number. For example, if the calculated value is 12.1, select 13 as the minimum oversampling ratio value.

The oversampling ratio must be set to any value other than 1 in order to select a filter type. An oversampling ratio of 1 automatically selects None as the filter type and makes associated filter parameters unavailable.

Real-Time Modulation Filter

Choices: Off | On

Default: On

The E4438C ESG, N5182A MXG, N5172B EXG, and N5182B MXG signal generators are the only instruments that support the Real-Time Modulation Filter. For this software, it supports this feature with Option Qxx and its Adv W-CDMA /HSDPA DL Rel 6, Adv W-CDMA/HSPA+ UL Rel 10, and Adv W-CDMA/HSPA+ DL Rel 10carriers.

When set to On, the software creates a waveform with an oversampling ratio of one and without any filtering. When played back, the signal generator uses the real-time modulation filter to increase the oversampling ratio and to provide the correct filtering. For more information and to view the signal generator filter settings, refer to the Real-time Modulation Filter topic.

The purpose of this filter is to allow the signal generator storage of a large waveform file that, if created using the software filters, may exceed the memory capacity of the signal generator. This feature is especially useful for creating a waveform to transmit a full PN9 sequence for BER testing.

When turned on, the Arb Mode Filter selection changes to None and the other filter settings gray out (the signal generator provides the filtering in real-time). Also the Oversampling Ratio selection sets to Auto and it cannot be changed.

ARB Mode Filter

View the selected filter type and associated parameter.

ARB Mode Filter

Double-click or use the pull-down menu to set the baseband filter type:

  • None

  • Nyquist

  • Root Nyquist

  • Rectangle

  • Gaussian

If the oversampling ratio is set to 1, the filter type is automatically set to None, and the filter types and corresponding filter parameters are not available.

If the oversampling ratio is set to any other value, you can select one of the listed filter types and edit the associated parameters.

Alpha

Change the Alpha parameter for Root Nyquist and Nyquist filters. This field grays out with any other filter selection.

BbT

Change the BbT parameter for a Gaussian filter. This field grays out with any other filter selection.

Pre-Filter Clipping

Range: 10–100%

Default: 100%

Set the clip (limit) level of the I/Q waveform before filtering. A level of 100.0% equates to no clipping.

Post-Filter Clipping

Range: 10–100%

Default: 100%

Set the clip (limit) level of the I/Q waveform after filtering. A level of 100.0% equates to no clipping.

Total Sample Points

View the Waveform Length, displayed in points. You cannot edit this cell.

Waveform Length is directly related to the Oversampling Ratio value selected. The higher the Oversampling Ratio, the larger the waveform:

Oversampling Ratio | Waveform Length
1 | 38400
2 | 76800
50 | 1920000

Frequency Offset

Range:

N5182B : –76.5 to 76.5 MHz (Option 657)

N5172B : –56.5 to 56.5 MHz (Option 655)

N5182A: –49.5 to 49.5 MHz

E4438C: –39.5 to 39.5 MHz

E8267D: –39.5 to 39.5 MHz

N5106A: –49.5 to 49.5 MHz

E6607: –49.5 to 49.5 MHz

Default:

0 Hz

Set the frequency offset for the carrier relative to the signal generator's frequency setting.

This parameter is coupled with Oversampling Ratio.

Power

Range: –65 to 0 dB

Default: 0 dB

Use this cell to set the relative power level for the selected carrier in a multiple carrier configuration. To set the power level for a single carrier configuration, use the Amplitude cell in the Instrument view.

In a multiple carrier configuration, each carrier's power level is set relative to the signal generator's RF power level. The signal generator distributes the RF power among the carriers while maintaining their power ratios. For example with two carriers set to 0 dB, each carrier is at the same power level but both carriers are -3 dB down from the reference. As you increase the number of carriers, the power level decreases the same amount for each carrier.

Timing Offset

Range: 0–149, in 0.5 steps

Default: 0

Set the timing offset of the carrier.

Timing offset values increment by 256 chips for each half (0.5) step and by 512 chips for each whole step.

Physical channels summed in phase produce a high crest factor (high peak-to-average ratio). Offsetting the timing can minimize the crest factor.

Initial Phase

Range: 0–359 degrees

Default: 0 degrees

Set the initial phase of the carrier.

Related Topics

Configuring the Carrier View

Calculating Downlink Scramble Codes

Channel Setup - Downlink

Tx Diversity Signal Synchronization

User Interface Basics


Uplink Carrier Setup

Real Time

Carrier n - Uplink

3GPP | Baseband | Arb Mode Filter
State | Oversampling Ratio | Arb Mode Filter
Channel Configuration | Real-Time Modulation Filter | Alpha
Waveform Generation Length |  | BbT
Waveform Generation Offset |  | Pre-Filter Clipping
Number of Frames |  | Post-Filter Clipping
Chip Rate |  | Total Sample Points
Scramble Code |  | Frequency Offset
 |  | Power
 |  | Timing Offset
 |  | Initial Phase
3GPP CELL_FACH Parameters

Tprach-dpcch

Number of Preamble

Number of DPCCH

Number of E-DPCCH and E-DPDCH

Not all of the parameters shown above appear in all carrier configurations. The figure above (and the CELL_FACH parameters) are a composite of all uplink carrier parameters and options, and is not a true representation of any one carrier type or channel configuration.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 128 carriers.

This button opens a window of Closed predefined carrier configurations. Double-clicking a configuration replaces the current configuration in the setup table. The uplink predefined carrier configuration uses channel parameters defined for a basic carrier.

This button opens a Closed drop-down menu for selecting a carrier to add to the setup table. The carrier is inserted above the currently highlighted carrier in the table.

  • The Basic W-CDMA/HSPA DL/UL Rel 7 carriers support W-CDMA signals that includes HSPA channel configurations. These carriers require Option Exx

  • The Basic W-CDMA /HSPA+ DL/UL Rel 8 carriers support W-CDMA and HSPA signals, and adds HSPA+ channel requirements. These two carrier choices require Option Fxx.

  • The Adv W-CDMA/HSPA+ UL Rel 10 and Adv W-CDMA/HSDPA DL Rel 6 FDD carriers add predefined RMC, RMC+HSET and FRC channel setups along with the capability to perform BER test using a continuous PN9 data stream. These two carrier choices require Option Qxx.

    Only two instruments support BER testing using a continuous PN9 sequence: the N5182A MXG and the N5106A PXB.

    • The MXGs must use the advanced carrier preconfigured RMC 12.2k setup.

    • The PXB can use any of the advanced carrier preconfigured channel setups.

    • The E4438C ESG and E8267D PSG only support BLER testing (the ESG and PSG require signal generator option 602).

  • Adv W-CDMA/HSPA+ PRACH provides a PRACH with preamble only or preamble and message transmission. This carrier requires Option Qxx.

  • Adv W-CDMA/HSPA+ DL Rel 10 carriers support Dual Cell + MIMO, 64 QAM in HS-PDSCH and RMC + HSET up to 12. This carrier requires Option Qxx.

This button deletes the currently highlighted carriers in the setup table. You can highlight multiple carriers by holding down the CTRL key while selecting the carriers. You can also use the SHIFT key to select a succession (group) of carriers.

An asterisk shown with a carrier entry indicates that the parameters of a channel for that carrier have changed.

This button quickly adds a copy of the selected carrier in the carrier configuration summary table.

An asterisk shown with a carrier entry indicates that the parameters of a channel for that carrier have changed.

3GPP

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Channel Configuration

Double-click or use the drop-down menu to change the channel configuration.

Waveform Generation Length

Choices: 1 slot (0.66...ms) | 2 slots (1.33...ms) | 3 slots ( 2.0 ms) | 4 slots (2.66...ms) | 5 slots (3.33...ms) | 6 slots (4.0 ms) | 7 slots (4.66...ms) | 8 slots (5.33...ms) | 9 slots (6.0 ms) | 10 slots (6.66...ms) | 11 slots (7.33... ms) | 12 slots 8.0 ms) | 13 slots (8.66...ms) | 14 slots (9.333...ms) | 1 frame (10 ms)

Default: 1 frames (10 ms)

Select the waveform generation length.

When the waveform generation length valude is less than one frame (10 ms), set the Waveform Generation Offset value to create the waveform with the desired slot(s).

This parameter is available on only the Basic W-CDMA/HSPA DL/UL Rel 7 and Basic W-CDMA/HSPA+ DL/UL Rel 8 carriers.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Waveform Generation Offset

Range: 0–14

Default: 0

Sets the waveform generation offset. Enter an integer value by highlighting and replacing the current value. If just the number is highlighted and replaced, ensure that a space is present between the offset value and 'slot'. For example: 5 slot (3.33... ms), not 5slot (3.33... ms).

This parameter becomes active when the Waveform Generation Length setting is other than 1 frame (10 ms). The sum of the offset value and the Waveform Generation Length cannot be greater than 15 (15 slots in a radio frame). If the Waveform Generation Length is changed so that the sum would be greater than 15, the software changes the offset value so that the sum does not exceed 15.

This parameter is available on only the Basic W-CDMA/HSPA DL/UL Rel 7 and Basic W-CDMA/HSPA+ DL/UL Rel 8 carriers.

This parameter appears in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Number of Frames

Range: 1–1022

Default: 4

This setting requires the advanced Option Qxx and is available with only the Adv W-CDMA/HSPA+ UL Rel 8 carrier.

Enter a value to set the number of frames in your waveform.

The waveform length in a multi-carrier waveform is determined by the least common multiple (LCM) of the waveform lengths (measured in number of frames) of all the carriers. Carriers with waveform lengths less than the LCM are repeated until the multi-carrier waveform length matches the LCM. For example, if a waveform is comprised of two carriers, where carrier A is 10 frames and carrier B is 3 frames, A is repeated 3 times and B is repeated 10 times. This results in a multi-carrier waveform length of 30 frames, the LCM of carrier A and B.

The maximum waveform length depends on the oversampling ratio, number of carriers, and available PC memory. If an out-of-memory error is reported, reduce the number of frames, number of carriers, or the maximum frequency offset. Reducing the frequency offset reduces the oversampling ratio, which reduces the amount of PC memory required.

Chip Rate

View the W-CDMA signal chip rate (3.84 Mcps). You cannot edit this cell.

Scramble Code

Range: 0–16777215

Enter the uplink scramble code. It provides a unique signature for the base station.

The uplink scramble code is used to encode the DPCH.

Tprach-dpcch

Range: 18944–26368

Default: 18944

Enter a time interval value (in chips) between the last preamble and first dpcch.

Number of Preamble

Range: 1–1022

Default: 4

Enter the number frames for the preamble.

The maximum waveform length depends on the oversampling ratio, number of carriers, and available PC memory. If an out-of-memory error is reported, reduce the number of frames, number of carriers, or the maximum frequency offset. Reducing the frequency offset reduces the oversampling ratio, which reduces the amount of PC memory required.

Number of DPCCH

Range: 1–1022

Default: 4

Enter the number frames for the DPCCH.

The maximum waveform length depends on the oversampling ratio, number of carriers, and available PC memory. If an out-of-memory error is reported, reduce the number of frames, number of carriers, or the maximum frequency offset. Reducing the frequency offset reduces the oversampling ratio, which reduces the amount of PC memory required.

Number of E-DPCCH and E-DPDCH

Range: 1–1022

Default: 4

Enter the number frames for the E-DPCCH and E-DPDCH.

The maximum waveform length depends on the oversampling ratio, number of carriers, and available PC memory. If an out-of-memory error is reported, reduce the number of frames, number of carriers, or the maximum frequency offset. Reducing the frequency offset reduces the oversampling ratio, which reduces the amount of PC memory required.

Baseband

Oversampling Ratio

Range: 0–50 | Auto

Default: Auto

Double-click or use the pull-down menu to set the oversampling ratio.

The Total Sample Points value (number of points) is automatically determined based on the oversampling ratio. Using a larger oversampling ratio results in a more completely filtered image, but also uses more waveform memory by increasing the number of waveform points. Choose AUTO to let the signal generator automatically select the optimized oversample ratio for the current signal setup.

The oversampling ratio must be set to any value other than 1 in order to select a filter type. An oversampling ratio of 1 automatically selects None as the filter type and makes associated filter parameters unavailable.

This parameter is coupled with the Real-Time Modulation Filter and Frequency Offset settings:

  • Use the following formula to calculate the minimum oversampling ratio:

    minimum oversampling ratio = (3.84 MHz + 2(2.5 MHz + Frequency Offset))/3.84 MHz

  • Round all decimal values to the next higher oversampling number. For example, if the calculated value is 12.1, select 13 as the minimum oversampling ratio value.

Real-Time Modulation Filter

Choices: Off | On

Default: On

The E4438C ESG, N5182A MXG, N5172B EXG, and N5182B MXG vector signal generators are the only instruments that support the Real-Time Modulation Filter. For this software, it supports this feature with Option Qxx and its Adv W-CDMA /HSDPA DL Rel 6 and Adv W-CDMA/HSPA+ UL Rel 8 carriers.

When set to On, the software creates a waveform with an oversampling ratio of one and without any filtering. When played back, the signal generator uses the real-time modulation filter to increase the oversampling ratio and to provide the correct filtering. For more information and to view the signal generator filter settings, refer to the Real-time Modulation Filter topic.

The purpose of this filter is to allow the signal generator storage of a large waveform file that, if created using the software filters, may exceed the memory capacity of the signal generator. This feature is especially useful for creating a waveform to transmit a full PN9 sequence for BER testing.

When turned on, the Arb Mode Filter selection changes to None and the other filter settings gray out (the signal generator provides the filtering in real-time). Also the Oversampling Ratio selection sets to Auto and it cannot be changed.

Filter or Arb Mode Filter

The software uses the cell name Arb Mode Filter with the Adv W-CDMA/HSPA+ UL Rel 8 carrier. This carrier requires Option Qxx. The filter selection turns to None when the Real-Time Modulation filter is turned on.

View the selected filter type and associated parameter.

Filter or Arb Mode Filter

The software uses the cell name Arb Mode Filter with the Adv W-CDMA/HSPA+ UL Rel 8 carrier. This carrier requires Option Qxx. This setting shows None and grays out when the Real-Time Modulation Filter is turned on.

Double-click or use the pull-down menu to set the baseband filter type:

  • None

  • Nyquist

  • Root Nyquist

  • Rectangle

  • Gaussian

If the oversampling ratio is set to 1, the filter type is automatically set to None, and the filter types and corresponding filter parameters are not available.

If the oversampling ratio is set to any other value, you can select one of the listed filter types and edit the associated parameters.

Alpha

Change the Alpha parameter for Root Nyquist and Nyquist filters. This field grays out with any other filter selection and also while the Real-Time Modulation Filter is on.

BbT

Change the BbT parameter for a Gaussian filter. This field is grays out with any other filter selection and also while the Real-Time Modulation Filter is on.

Pre-Filter Clipping

Range: 10–100%

Set the clip (limit) level of the I/Q waveform before filtering. A level of 100.0% equates to no clipping.

Post-Filter Clipping

Range: 10–100%

Set the clip (limit) level of the I/Q waveform after filtering. A level of 100.0% equates to no clipping.

Total Sample Points

View the total sample points in the waveform. You cannot edit this cell.

Total sample points is directly related to the Oversampling Ratio value selected. The higher the Oversampling Ratio, the more sample points:

Oversampling Ratio | Total Sample Points
1 | 38400
2 | 76800
50 | 2754995200

Cubic Metric

View the Cubic Metric value. You cannot edit this cell. See Understanding the Cubic Metric for more information.

Cubic Metric Reference Signal rms

Sets the reference signal's rms value, in dB, used for calculating the Cubic Metric. See Calculating the Cubic Metric for more information.

Cubic Metric k Value

Choice: 1.5600 | 1.8500

Default: 1.8500

Sets the empirical factor (k) for calculating the Cubic Metric. See Calculating the Cubic Metric for more information.

Frequency Offset

Range:

N5182B : –76.5 to 76.5 MHz (Option 657)

N5172B : –56.5 to 56.5 MHz (Option 655)

N5182A: –49.5 to 49.5 MHz

E4438C: –39.5 to 39.5 MHz

E8267D: –39.5 to 39.5 MHz

N5106A: –49.5 to 49.5 MHz

E6607: –49.5 to 49.5 MHz

Default:

0 Hz

Set the carrier's frequency offset relative to the signal generator's frequency setting.

This parameter is coupled with Oversampling Ratio.

Power

Range: −65 to 0 dB

Default: 0 dB

Use this cell to set the relative power level for the selected carrier in a multiple carrier configuration. To set the power level for a single carrier configuration, use the Amplitude cell in the Instrument view.

In a multiple carrier configuration, each carrier's power level is set relative to the signal generator's RF power level. The signal generator distributes the RF power among the carriers while maintaining their power ratios. For example with two carriers set to 0 dB, each carrier is at the same power level but both carriers are -3 dB down from the reference. As you increase the number of carriers, the power level decreases the same amount for each carrier.

Timing Offset

Range: 0–149, in 0.5 steps

Default: 0

Set the carrier's timing offset.

Timing offset values increment by 256 chips for each half (0.5) step and by 512 chips for each whole step.

Physical channels summed in phase produce a high crest factor (high peak-to-average ratio). Offsetting the timing can minimize the crest factor by changing this phase relationship.

Initial Phase

Range: 0–359 degrees

Default: 0

Set the initial phase of the carrier.

Related Topic

Configuring the Carrier View

Channel Setup - Uplink

User Interface Basics


Downlink Channel Setup

Real Time

Channel Setup – Basic Downlink Carriers

Basic downlink carriers consist of the following:

  • Basic W-CDMA/HSPA DL Rel 7

  • Basic W-CDMA/HSPA+ DL Rel 8

Not all of the parameters shown here are available on all channels. This illustration is a composite of all downlink channel parameters and options, and is not a true representation of a DPCH.

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in a carrier. You can also add or delete channels using the buttons above the table (see descriptions below). Double-clicking a channel row activates the setup tables for that channel. You can use a maximum of 512 channels per carrier.

This button opens a window of predefined channel configuration selections according to the selected carrier type: Closed Basic W-CDMA/HSPA DL Rel 7 or Closed Basic W-CDMA/HSPA+ DL Rel 8. Double-clicking a configuration replaces the current configuration in the setup table. Select the carrier type from the Waveform or Carrier views.

Basic W-CDMA/HSPA DL Rel 7

Basic W-CDMA/HSPA+ DL Rel 8

The pre-defined reference measurement channel configurations for Basic W-CDMA/HSPA+ DL Rel 8 are physical channels only and do not include transport channel coding.

This button opens a drop-down menu for selecting a channel to add to the setup table. The channel is inserted above the currently highlighted channel in the table. Available downlink channels include:

This button deletes the currently highlighted channel(s) in the setup table. You can highlight multiple channels by holding down the CTRL key while selecting the channels. You can also use the SHIFT key to select a succession (group) of channels.

A yellow warning symbol shown with a channel entry indicates that the parameters of that channel conflict with another channel of the same carrier. An error message appears in the Status Window and the Status Bar indicating which channels conflict.

3GPP

Channel Number

View the channel number of the displayed parameters. The software accepts a maximum of 512 channels. You can change the channel configuration or add individual channels using the buttons at the top of the data summary table.

Name

View the channel type.

State

Double-click or use the drop-down menu to turn the channel on or off.

Power

Range: −60 to 0 dB

Enter the channel power level relative to the carrier power.

Rate

Choices: see Spreading Code for limits

Double-click or use the drop-down menu to set the channel symbol rate.

When grayed out, the rate is fixed for that channel.

For channels that have adjustable symbol rates, you may enter a symbol rate that exceeds the acceptable range, based on the selected spreading code. This condition generates an error, which you correct by selecting a proper spreading code for the symbol rate. The software allows this behavior so that you can set either value first.

Spreading Code

Range: (see table below)

DPCH, OCNS | 0–511 @ 7.5 ksps 0–255 @ 15 ksps 0–127 @ 30 ksps 0–63 @ 60 ksps 0–31 @ 120 ksps 0–15 @ 240 ksps 0–7 @ 480 ksps 0–3 @ 960 ksps
S-CCPCH | 0–255 @ 15 ksps 0–127 @ 30 ksps 0–63 @ 60 ksps 0–31 @ 120 ksps 0–15 @ 240 ksps 0–7 @ 480 ksps 0–3 @ 960 ksps
P-CCPCH, CPICH, PICH, E-AGCH | 0–255 @ 15 ksps fixed rate
HS-SCCH, E-RGCH, E-HICH | 0–127 @ 30 ksps fixed rate
HS-PDSCH | 0–15 @ 240 ksps fixed rate

Enter a value to set the channel spread code number. The spread code is an OVSF code. Ensure that the value entered does not create a code domain conflict with the other physical channels.

You may enter a spreading code value that exceeds the acceptable range, based on the selected symbol rate. This condition generates an error, which you correct by selecting the proper symbol rate for the spreading code. The software allows this behavior so that you can set either value first.

Timing Offset

Range: 0–149

Enter a value to set a timing offset for the selected channel. Each numeric value entered is equivalent to 256 chips or 1/10 of a timeslot offset. The timing offset affects the crest factor of the signal. By varying the timing offset, the probability of channels adding in phase and producing a high peak-to-average ratio or crest factor is minimized. Base stations vary the timing between channels so that amplifiers can operate at the most efficient level.

TPC

Range: 0000–7FFF

Enter the TPC value.

TPC Power

Range: −20 to 20 dB

Set the power level for the channel's TPC bits.

TFCI

Range: 0–1023

Enter a TFCI code. The number of TFCI bits sent to each timeslot is determined by the slot format. The TFCI is an optional field describing what services are in use (for example, data and video). Fixed rate service does not include TFCI.

If this cell is grayed out, you can enable it by turning on TFCI Field at the carrier property pane.

TFCI Power

Range: −20 to 20 dB

Set the power level for the TFCI bits.

Pilot Bits

Choices: (see table below)

DPCH | 4 @ 7.5 ksps 2, 4, 8 @ 15 ksps 4, 8 @ 30 ksps 8 @ 60 ksps 8 @ 120 ksps 16 @ 240 ksps 16 @ 480 ksps 16 @ 960 ksps
S-CCPCH | 0, 8 @ 15 ksps 0, 8 @ 30 ksps 0, 8 @ 60 ksps 0, 8 @ 120 ksps 0, 16 @ 240 ksps 0, 16 @ 480 ksps 0, 16 @ 960 ksps

Set the pilot bits. The number of bits available depends on the slot format of the channel.

Pilot Power

Range: −20 to 20 dB

Set the power level for the pilot bits.

Data

Select a data type using the Data Source Selection dialog box.

For E-HICH and E-RGCH enter a signature sequence index value (0 to 39). This value determines the signature hopping pattern, which is described in TS 25.211.

Without Option FFP, the HS-PDSCH uses only 16QAM modulation.

Scrambling Code

Range: 0–511

Enter a value to set the channel's primary scramble code.

Scramble Type

Double-click or use the drop-down menu to select a scramble type.

  • STD − Uses the standard scrambling code.

  • LEFT − Uses a left alternative scrambling code by adding 8192 to the scrambling code.

  • RIGHT − Uses a right alternative scrambling code by adding 16384 to the scrambling code.

Scramble Offset

Range: 0–15

Enter a scramble code offset value. The offset value is multiplied by 16 and added to the scramble code.

Related Topics

Configuring the Channel Setup View

Data Selection Dialog Box

Downlink Channel Structure

Frame Structures

Marker Selection Dialog Box

Understanding TFCI, TPC and Pilot Power Offsets

Understanding TPC Values

User Interface Basics


Uplink Channel Setup

Real Time

Go to topic Go to topic Go to topic

Channel Setup – Basic Uplink Carriers

Basic uplink carriers consist of the following:

  • Basic W-CDMA/HSPA UL Rel 7

  • Basic W-CDMA/HSPA+ UL Rel 8

Not all of the parameters shown here are available on all channels. This illustration is a composite of all uplink channel parameters and options accessed using the basic carriers, and is not a true representation of a DPCCH.

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in a carrier. You can also add or delete channels using the buttons above the table (see descriptions below). Double-clicking a channel row activates the setup tables for that channel. You can use a maximum of 512 channels per carrier.

This button opens a window of predefined channel configuration selections according to the selected carrier type:

  • Closed Basic W-CDMA/HSPA UL Rel 7

  • Closed Basic W-CDMA/HSPA+ UL Rel 8

Double-clicking a configuration replaces the current configuration in the setup table. Select the carrier type from the Waveform or Carrier views.

This button opens a drop-down menu for selecting a channel to add to the setup table. The channel is inserted above the currently highlighted channel in the table. Available uplink channels include:

This button deletes the currently highlighted channel(s) in the setup table. You can highlight multiple channels by holding down the CTRL key while selecting the channels. You can also use the SHIFT key to select a succession (group) of channels.

A yellow warning symbol shown with a channel entry indicates that the parameters of that channel conflict with another channel of the same carrier. An error message appears in the Status Window and the Status Bar indicating which channels conflict.

Sub-test Beta Tables

The tables below show the Beta factors from TS 34.121 for transmitter characteristics tests:

  • Release 6 Beta table C.10.1.4 (Sub-test 1–6)

  • Release 7 Beta table C.11.1.3 (Sub-tests 1–5)

  • Release 8 Beta table C.10.1.4 (Sub-tests 1–4)

  • Release 8 Beta table C.11.1.4 (Sub-test 1 Max Output Pwr with HS-DPCCH/E-DCH with 16QAM)

Release 6 Beta Tables 1–6

Beta factors for transmitter tests from TS 34.121 table C.10.1.4

Sub-test | βc | βd | βhs | βc/βd | βhs/βc
1 | 1/15 | 15/15 | 2/15 | 1/15 | 2
2 | 12/15 | 15/15 | 24/15 | 4/5 | 2
3 | 13/15 | 15/15 | 26/15 | 13/15 | 2
4 | 15/15 | 8/15 | 30/15 | 1 7/8 | 2
5 | 15/15 | 7/15 | 30/15 | 2 1/7 | 2
6 | 15/15 | OFF | 30/15 | 15/0 | 2

Power ratio relative to DPCCH (dB)

Sub-test | DPCCH | DPDCH | HS-DPCCH
1 | 0.00 | 23.52 | 6.02
2 | 0.00 | 1.94 | 6.02
3 | 0.00 | 1.24 | 6.02
4 | 0.00 | –5.46 | 6.02
5 | 0.00 | –6.62 | 6.02
6 | 0.00 | OFF | 6.02

Power ratio setting for Signal Studio (dB)

Sub-test | DPCCH | DPDCH | HS-DPCCH
1 | –23.52 | 0.00 | –17.50
2 | –6.02 | –4.08 | 0.00
3 | –6.02 | –4.78 | 0.00
4 | –6.02 | –11.48 | 0.00
5 | –6.02 | –12.64 | 0.00
6 | –6.02 | OFF | 0.00

Release 7 Beta Tables Sub Tests 1–5

Beta factors for transmitter tests from TS 34.121 table C.11.1.3

Sub-test | βc | βd | βd (SF) | βc/βd | βhs | βec | βed | βed (SF) | βed (Codes)
1 | 11/15 | 15/15 | 64 | 11/15 | 22/15 | 209/225 | 1309/225 | 4 | 1
2 | 6/15 | 15/15 | 64 | 6/15 | 12/15 | 12/15 | 94/75 | 4 | 1
3 | 15/15 | 9/15 | 64 | 15/9 | 30/15 | 30/15 | 47/15 47/15 | 4 | 2
4 | 2/15 | 15/15 | 64 | 2/15 | 4/15 | 2/15 | 56/75 | 4 | 1
5 | 15/15 | 15/15 | 64 | 15/15 | 30/15 | 24/15 | 134/15 | 4 | 1

Relative Power Ratio (dB)

Sub-test | DPCCH | DPDCH | HS-DPCCH | E-DPCCH | E-DPDCH
1 | –2.69 | 0.00 | 3.33 | 䂾.64 | 15.30
2 | –7.96 | 0.00 | –1.94 | –1.94 | 1.96
3 | 0.00 | –4.44 | 6.02 | 6.02 | 9.92
4 | –17.50 | 0.00 | –11.48 | –17.50 | –2.54
5 | 0.00 | 0.00 | 6.02 | 4.08 | 19.02

Power ratio setting for Signal Studio (dB)

Sub-test | DPCCH | DPDCH | HS-DPCCH | E-DPCCH | E-DPDCH
1 | –17.99 | –15.30 | –11.97 | –15.94 | 0.00
2 | –9.92 | –1.96 | –3.90 | –3.90 | 0.00
3 | –9.92 | –14.36 | –3.90 | –3.90 | 0.00
4 | –17.50 | 0.00 | –11.48 | –17.50 | –2.54
5 | –19.02 | –19.02 | –13.00 | –14.94 | 0.00

Release 8 Beta Tables Sub-Tests 1–4

Beta factors for transmitter tests from TS 34.121 table C.10.1.4—TFCS (12.2kbps) for HSDPA

Sub-test

βc

βd

βd

(SF)

βc/βd

βhs

(Note1,

Note2)

CM (dB)

(Note 3)

MPR (dB)

(Note 3)

1

2/15

15/15

64

2/15

4/15

0.0

0.0

2

12/15

(Note 4)

15/15

(Note 4)

64

12/15

(Note 4)

24/15

1.0

0.0

3

15/15

8/15

64

15/8

30/15

1.5

0.5

4

15/15

4/15

64

15/4

30/15

1.5

0.5

Note 1: ∆ACK, ∆NACK, and ∆CQI = 30/15 with βhs =30/15 * βc.

Note 2: For the HS-DPCCH power mask requirement test in clause 5.2C, 5.7A, and the Error Vector Magnitude (EVM) with HS-DPCCH test in clause 5.13.1A, and HSDPA EVM with phase discontinuity in clause 5.13.1AA,

∆ACK and ∆NACK = 30/15 with βhs =30/15 * βc, and

∆CQI = 24/15 with βhs = 24/15 * βc.

Note 3: CM = 1 for βc/βd = 12/15, βhs/βc = 24/15. For all other combinations of DPDCH, DPCCH, and HS-DPCCH the MPR is based on the relative CM difference. This is applicable for only UEs that support HSDPA in release 6 and later releases.

Note 4: For sub-test 2, the βc/βd ratio of 12/15 for the TFC during the measurement period (TF1, TF0) is achieved by setting the signaled gain factors for the reference TFC (TF1, TF1) to βc = 11/15 and βd =15/15.

Power ratio setting for Signal Studio (dB)

Sub-test | DPCCH | DPDCH | HS-DPCCH
1 | –17.50 | 0.000 | –11.48
2 | –6.02 | –4.08 | 0.00
3 | –6.02 | –11.48 | 0.00
4 | –6.02 | –17.50 | 0.00

Release 8 Beta Table Sub-test 1 with HS-DPCCH/E-DCH with 16QAM

Beta factors for transmitter tests from TS 34.121 table C.11.1.4—HS-DPCCH and E-DCH with 16QAM

Sub-test | βc | βd | βHS (Note1) | βec | βed (2xSF2) (Note 4) | βed (2xSF4) (Note 4) | CM (dB) (Note 2) | MPR (dB) (Note 2) | AG Index (Note 4) | E-TFCI (Note 5) | E-TFCI (boost)
1 | 1 | 0 | 30/15 | 30/15 | βed1: 30/15 βed2: 30/15 | βed1: 24/15 βed2: 24/15 | 3.5 | 2.5 | 14 | 105 | 105
Note 1: ∆ACK, ∆NACK, and ∆CQI = 30/15 with βhs =30/15 * βc. Note 2: CM = 3.5 and the MPR is based on the relative CM difference, MPR = MAX(CM-1,0). Note 3: DPDCH is not configured, therefore the βc is set to 1 and βd = 0 by default. Note 4: βed cannot be set directly, it is set by Absolute Grant Value. Note 5: All the sub-tests require the UE to transmit 2SF2+2SF4 16QAM E-DCH and they apply for UE using E-DPDCH category 7. E-DCH TTI is set to 2ms TTI and E-DCH table index = 2. To support this E-DCH configuration, DPDCH is not allocated. The UE is signaled to use the extrapolation algorithm.

3GPP

Channel Number

View the channel number of the displayed parameters. The software accepts a maximum of 512 channels. You can change the channel configuration or add individual channels using the buttons at the top of the data summary table.

Name

This cell displays the name of the selected channel.

State

Double-click or use the drop-down menu to turn the channel on or off.

I/Q Axis

Double-click or use the drop-down menu to select the channel's I or Q axis.

When grayed out, the I/Q axis is fixed for that channel.

Power

Range: −60 to 0 dB

Enter the channel power level relative to the carrier power.

Rate

Choices: see Spreading Code for limits

Double-click or use the drop-down menu to set the symbol rate for the selected channel.

When grayed out, the rate is fixed for that channel.

For channels that have adjustable symbol rates, you may enter a symbol rate that exceeds the acceptable range, based on the selected spreading code. This condition generates an error, which you correct by selecting a proper spreading code for the symbol rate. The software allows this behavior so that you can set either value first.

Spreading Code

Range: (see table below)

DPCCH, E-DPCCH, HS-DPCCH | 0–255 @ 15 ksps fixed rate
DPDCH | 0–255 @ 15 ksps 0–127 @ 30 ksps 0–63 @ 60 ksps 0–31 @ 120 ksps 0–15 @ 240 ksps 0–7 @ 480 ksps 0–3 @ 960 ksps
E-DPDCH | 0–255 @ 15 ksps 0–127 @ 30 ksps 0–63 @ 60 ksps 0–31 @ 120 ksps 0–15 @ 240 ksps 0–7 @ 480 ksps 0–3 @ 960 ksps 0–1 @ 1920 ksps

Enter a value to set the channel spread code number. The spread code is an OVSF code. Ensure that the value entered does not create a code domain conflict with the other physical channels.

You may enter a spreading code value that exceeds the acceptable range, based on the selected symbol rate. This condition generates an error, which you correct by selecting the proper symbol rate for the spreading code. The software allows this behavior so that you can set either value first.

TFCI

Range: 0–1023

Enter a TFCI code. The TFCI is an optional field describing what services are in use (for example, data and video). Fixed rate service does not include TFCI.

If this cell is grayed out, you can enable it by turning on TFCI Field from the carrier property pane.

TPC

Range: 0000–7FFF

Enter the TPC value.

Data

Select a data type using the Data Source Selection dialog box.

FBI Count

Range: 0–2

Enter the number of FBI bits to use for the FBI bit value. When the FBI count is 0, the FBI Bit Value cell grays out.

FBI Bit Value

Range:

FBI Count = 0: N/A (grays out)

FBI Count = 1: 0, 1

FBI Count = 2: 00, 01, 10, 11

Enter a binary value for the selected channel's FBI bits. Use FBI Count to set the number of available bits.

Related Topics

Configuring the Channel Setup View

Data Selection Dialog Box

Frame Structures

Understanding TFCI, TPC and Pilot Power Offsets

Understanding TPC Values

Uplink Channel Structures

User Interface Basics


Downlink Channel Setup Advanced

Real Time

Channel Setup – Advanced Downlink Carrier

Advanced downlink carriers consist of the following:

  • Adv W-CDMA/HSDPA DL Rel 6

  • Adv W-CDMA/HSPA+ DL Rel 10

This topic describes the parameters available in the advanced downlink Closed channel setup node.

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in a carrier. All of the advanced downlink carrier channel configurations (RMC/RMC+HSET) are created in accordance with the 3GPP standards.

This button opens a window of predefined channel configuration selections according to the selected carrier type:

  • Closed Adv W-CDMA/HSDPA DL Rel 6

  • Closed Adv W-CDMA/HSPA+ DL Rel 10

Double-clicking a configuration or clicking OK replaces the current configuration in the setup table. Select the carrier type from the Waveform or Carrier views.

This button opens a Closed drop-down menu for selecting a channel to add to the setup table. The channel is inserted above the currently highlighted channel in the table.

for Adv W-CDMA/HSDPA DL Rel 6

for Adv W-CDMA/HSPA+ DL Rel 10

This button deletes the currently highlighted channels in the setup table. You can highlight multiple channels by holding down the CTRL key while selecting the channels. You can also use the SHIFT key to select a succession (group) of channels.

This button is only available for Adv W-CDMA/HSPA+ DL Carrier Rel 10. You can normalize power (relative power) to make the total power 0dB.

Channel List and Parameters

The following lists show the available channels for the advanced downlink carrier. Click on the channel of interest to view its parameters with links to their descriptions:

  • P-CCPCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Rate

    Spreading Code

    Data

    Scrambling Code

    Scramble Type

    Scramble Offset

    BCH TTI

    BCH Rate Matching Attribute

    BCH Number of Blocks

    BCH Block Size

    BCH CRC

    BCH Coding Type

    BCH Data

    SFN State

    SFN Initial Value

    SFN Increment

    MCC

    MNC

    LAC

  • S-CCPCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Transport Position

    Slot Format

    Rate

    Spreading Code

    Timing Offset

    TFCI Field

    TFCI

    Pilot Bits

    Data

    Data Reset at Frame Start

    Number of FACH/PCH

    Scrambling Code

    Scramble Type

    Scramble Offset

    Modulation

    Transport Channel

    Data

    TTI

    Block Size

    Number of Blocks

    Block Number of Max TF

    CRC

    Coding Type

    Rate Matching Attribute

  • PSCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Rate

  • SSCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Rate

    Scrambling Code

    Scramble Type

    Scramble Offset

  • CPICH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Rate

    Spreading Code

    Data

    Scrambling Code

    Scramble Type

    Scramble Offset

  • PICH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Rate

    Spreading Code

    Timing Offset

    Data

    Scrambling Code

    Scramble Type

    Scramble Offset

  • DPCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Slot Format

    Rate

    Spreading Code

    Timing Offset

    TPC Pattern

    TPC Number of Steps

    TFCI Field

    TFCI

    TFCI Power

    Data

    Data Reset at Frame Start

    Scrambling Code

    Scramble Type

    Scramble Offset

    Transport Position

    Number of DCH

    Dedicated Transport Channel

    Data

    TTI

    Block Size

    Number of Blocks

    Block Size of Max TF

    Block Number of Max TF

    CRC

    Coding Type

    Rate Matching Attribute

  • HS-SCCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    HS-SCCH Type

    HS-SCCH Order State

    HS-SCCH Order Type

    HS-SCCH Order

    Rate

    Spreading Code

    Data

    Scrambling Code

    Scramble Type

    Scramble Offset

    TTI

    Inter TTI

    UE ID

    Alternative UE ID

    Block Size Info

    Number Code Blocks

    Number of Hybrid ARQ Process

    HS-PDSCH Modulation

    HS-PDSCH Number of Codes

    HS-PDCSH Code Offset

    ARQ Type

    HARQ: Maximum Number of HARQ Transmission

    HARQ: Redundancy Version Parameter Sequence

    HARQ: ACK/NACK Pattern

    Redundancy Version Parameter

    CRC Method

    DTX

    Block Size Reference

    Block Size Table Type

    MIMO Mode

    PCI

  • HS-PDSCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    HS-SCCH Type

    Rate

    Spreading Code

    Timing Offset

    Data

    Scrambling Code

    Scramble Type

    Scramble Offset

    Modulation

    TTI

    Inter TTI

    Block Size

    Number Code Blocks

    HS-DSCH Incremental Redundancy Buffer Size

    Number of Hybrid ARQ Process

    ARQ Type

    HARQ: Maximum Number of HARQ Transmission

    HARQ: Redundancy Version Parameter Sequence

    HARQ: ACK/NACK Pattern

    Redundancy Version Parameter

    CRC Method

    HS-DSCH Data

    DTX

  • E-RGCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    Power

    Rate

    Spreading Code

    Timing Offset

    Signature Sequence Index

    Relative Grant Value

    Scrambling Code

    Scramble Type

    Scramble Offset

  • OCNS Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Rate

    Spreading Code

    TPC

    TFCI

    Data

    Scrambling Code

    Scramble Type

    Scramble Offset

  • E-AGCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    Power

    Rate

    Spreading Code

    Timing Offset

    E-RNTI

    Absolute Grant Scope

    Absolute Grant Value

    Scrambling Code

    Scramble Type

    Scramble Offset

  • E-HICH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Rate

    Spreading Code

    Timing Offset

    Signature Sequence Index

    HARQ Acknowledgment Indicator

    Scrambling Code

    Scramble Type

    Scramble Offset

  • F-DPCH Closed parameters

    Click on a parameter to view its description.

    Channel Number

    Name

    State

    Power

    Slot Format

    Rate

    Spreading Code

    Timing Offset

    TPC Pattern

    TPC Number of Steps

    Noff1

    Ntpc

    Noff2

    Scrambling Code

    Scramble Type

    Scramble Offset

3GPP

Absolute Grant Scope

Range: 0, 1

Default: 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

For the E-AGCH channel, this cell sets the Absolute Grant Scope pattern.

Absolute Grant Value

Range: 0, 1, 2, ..., 31

Default: 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

For the E-AGCH channel, this cell sets the Absolute Grant Value pattern.

For the Absolute Grant Scope and Absolute Grant Value, users must input the value for each sub frame and separate the values with commas.

Take 4 frames (20 sub frames) for example, the input values are 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1.

If the E-DCH TTI is 10ms, users can set the values in one frame to be the same. For example, the input values of Absolute Grant Scope are 1,1,1,1,1,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0.

Alternative UE ID

Range: 0 to 65535

Default: 65535

For the HS-SCCH channel, this cell sets the identity of the UE different from the UE under test.

ARQ Type

Choices: NONE | HARQ

Default: HARQ

Double-click or use the drop-down menu to select the ARQ Type. This setting is available on the HS-PDSCH with the HSDSCH data selection and available on the HS-SCCH with the STD data selection.

NONE

HARQ settings are inactive (greyed out) and ignored by the software

HARQ

HARQ settings are active:

  • HARQ: Maximum Number of HARQ Transmission

  • HARQ: Redundancy Version Parameter Sequence

  • HARQ: ACK/NACK Pattern

Because the HS-SCCH uses the HARQ setting in its coding, it is always available on this channel with the STD data selection. However if the HS-DSCH is not the HS-PDSCH data type, the HS-PDSCH does not broadcast the HARQ even if the HS-SCCH setting is HARQ.

This setting is coupled between the HS-SCCH and the HS-PDSCH so that if it is set on one channel, it also changes the setting on the other channel.

BCH Block Size

For the P-CCPCH channel, this cell only provides information (not editable) on the BCH block size in the current predefined channel configuration, which complies with the 3GPP standards. The information in this cell is fixed, and only visible and relevant when BCH is the data selection for the Data cell.

BCH Coding Type

For the P-CCPCH channel, this cell only provides information (not editable) on the BCH coding type in the current predefined channel configuration, which complies with the 3GPP standards. The information in this cell is fixed, and only visible and relevant when BCH is the data selection for the Data cell.

BCH CRC

For the P-CCPCH channel, this cell only provides information (not editable) on the BCH cyclic redundancy bits in the current predefined channel configuration, which complies with the 3GPP standards. The information in this cell is fixed, and only visible and relevant when BCH is the data selection for the Data cell.

BCH Data

Choices: PN9 | PN15 | BCCH-BCH-Message| User Defined Bits

Default: BCCH-BCH-Message

This cell is available only when BCH is the current data selection for the P-CCPCH.

For the P-CCPCH channel type, when you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type.

BCH Number of Blocks

For the P-CCPCH channel, this cell only provides information (not editable) on the BCH number of blocks in the current predefined channel configuration, which complies with the 3GPP standards. The information in this cell is fixed, and only visible and relevant when BCH is the data selection for the Data cell.

BCH Rate Matching Attribute

For the P-CCPCH channel, this cell only provides information (not editable) on the BCH rate matching attribute in the current predefined channel configuration, which complies with the 3GPP standards. The information in this cell is fixed, and only visible and relevant when BCH is the data selection for the Data cell.

BCH TTI

For the P-CCPCH channel, this cell only provides information (not editable) on the BCH TTI in the current predefined channel configuration, which complies with the 3GPP standards. The information in this cell is fixed, and only visible and relevant when BCH is the data selection for the Data cell.

Block Number of Max TF

Range: 0 to 512

The behavior of this parameter is dependent upon the Transport Position selection.

Fixed Transport Position

This sets the block number of the TF which has the maximum transport bits in the TFS, this parameter is used to calculate the rate matching parameter max Nijtti for fixed positions of TrCHs. For more information, refer to 4.2.7.2.1.1 in TS 25.212.

For DPCH, take the following TFS for example, the Block Number of Max TF shall be set to 1, the Block Size of Max TF shall be set to 81.

TFS | TF0 | 0x0
 | TF1 | 1x39
 | TF2 | 1x81

For S-CCPCH, take the following TFS for example, the Block Number of Max TF shall be set to 3. The same Block Size is applied to multiple blocks in the TFS of S-CCPCH.

TFS | TF0 | 0x168
 | TF1 | 1x168
 | TF2 | 2x168
 | TF3 | 3x168

Flexible Transport Position

This sets the block number of the TF, which has the maximum sigma (RMi*Nij) in the TFCS and it is used to calculate RFi (see 4.2.7.2.2.1 in TS 25.212).

The following example shows the TFS for two transport channels mapped to an S-CCPCH:

TFS of TrCH1 | TF0 | 0x168
 | TF1 | 1x168
 | TF2 | 2x168
 | TF3 | 3x168
TFS of TrCH2 | TF0 | 0x360
 | TF1 | 1x360

From the above table, the TFCS would be as follows:

  • (TF0, TF0)

  • (TF1, TF0)

  • (TF2, TF0)

  • (TF3, TF0)

  • (TF0, TF1)

  • (TF1, TF1)

From the above list, using the TFC (TF1, TF1) with the formula shown in TS 25.212, 4.2.7.2.2.1, the value for the Block Number of Max TF setting for each transport channel is 1.

But if the TFCS were to change to allow the following combinations:

  • (TF0, TF0)

  • (TF1, TF0)

  • (TF2, TF0)

  • (TF3, TF0)

  • (TF0, TF1)

  • (TF1, TF1)

  • (TF2, TF1)

  • (TF3, TF1)

TFC (TF3, TF1) when used in the same formula, would make the value of the Block Number of Max TF setting 3 and 1.

It is similar for the DPCH, but with the addition of the Block Size of Max TF parameter, which sets the TF block size. This is required to fulfill the values for the formula from TS 25.212, 4.2.7.2.2.1.

Block Size

Range: 1 to 5000

Default: 244

For the HS-PDSCH, this cell only displays the block size of HS-DSCH. The block size depends on the block size information (Block Size Info) carried in the HS-SCCH and the modulation setting of the HS-PDSCH. The displayed block size is only valid for an HSDSCH Data selection.

The HS-SCCH uses the Block Size values in its coding even when the HS-DSCH is not the HS-PDSCH data type.

Block Size Info

Range: 0 to 63

Default: 0

Sets the block size of HS-DSCH and the Block Size Info coded in HS-SCCH.

For the HS-SCCH channel, the value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable when the Base Channel Configuration is ‘RMC Only’ with STD as the data selection.

When the Base Channel Configuration is of type 'RMC+HSET', the fixed value is still used in the coding of the HS-SCCH.

Block Size of Max TF

Range: 1 to 5000

The behavior of this parameter is dependent upon the Transport Position selection and it is used in combination with the Block Number of Max TF parameter.

Fixed Transport Position

Sets the block size of the TF which has the maximum transport bits in the TFS.

This parameter is just used to calculated the rate matching parameter max Nijtti for fixed positions of TrCHs. For more information, refer to section 4.2.7.2.1.1 in TS 25.212.

For DPCH, take the following TFS for example, the Block Size of Max TF shall be set to 81, the Block Number of Max TF shall be set to 1.

TFS | TF0 | 0x0
 | TF1 | 1x39
 | TF2 | 1x81

Flexible Transport Position

This sets the block size of the TF, which has the maximum sigma (RMi*Nij) in the TFCS and it is used to calculate RFi (see 4.2.7.2.2.1 in TS 25.212).

Block Size Reference

Range: 0 to 3

Default: 0

Sets the block size reference coded in HS-SCCH Type 2. For more information, refer to section 4.6A.2.2.1.1 in TS25.212.

Block Size Table Type

Range: Bit_Aligned | Octet_Aligned

Default: Bit_Aligned

Sets the transport block size table of HS-DSCH.

This parameter is coupled with Modulation. When Modulation is 64QAM, this parameter is set to Octet_Aligned. When Modulation is 16QAM or QPSK, this parameter can be Octet_Aligned or Bit_Aligned.

Channel Number

View the channel number of the displayed parameters. The software accepts a maximum of 512 channels. You can change the channel configuration or add individual channels using the buttons at the top of the data summary table.

CRC Method

This is a read only setting. The software displays and sets this parameter to Method 2 when the HS-SCCH Type is set to 2 (HS-SCCH less mode). When it is not displayed (HS-SCCH Type 1 or 3 selection), the software uses CRC Method 1.

This parameter is available with only the Adv W-CDMA/HSPA+ DL Rel 10 carrier.

Data

Closed Choices and Default values vary by channel type.

Channel Type | Choices/Default Values | Notes
CPICH | The data for this channel has a fixed 8-bit binary value of 00000000. |
DCH, DPCH, E-AGCH, OCNS | Choices: PN9 | PN15 | User Defined Bits Default: PN9 |
S-CCPCH | Choices: PN9 | PN15 | User Defined Bits | FACH/PCH Default: PN9 | When FACH/PCH is selected, user can set the number of transport channels by setting the Number of FACH/PCH.
E-HICH, E-RGCH | Choices: 0 to 39 Default: 0 | This value determines the signature hopping pattern, which is described in TS 25.211.
HS-PDSCH | Choices: PN9 | PN15 | User Defined Bits | HS-DSCH Default: PN9 | Value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable in when the Base Channel Configuration is ‘RMC Only'.
HS-SCCH | Choices: PN9 | PN15 | User Defined Bits | STD Default: STD | Value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable in when the Base Channel Configuration is ‘RMC Only’.
P-CCPCH | Choices: PN9 | PN15 | User Defined Bits | BCH Default: BCH |
PICH | Choices: PN9 | Paging Indicator | User Defined Bits Default: Paging Indicator |

When you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type.

Data Reset at Frame Start

Choices: True | False

Default: True

Sets whether to reset the continuous data at the frame start.

  • If true, data for each frame is same.
  • If false, data will be continuous.

Data Reset at Frame Start is editable only when data is PN or User Defined Bits.

DTX

Choices: Dummy | True

Default: Dummy

Double-click or use the drop-down menu to select the DTX in HS-PDSCH and HS-SCCH.

  • True DTX means no signal transmitted in DTX subframe.

  • Dummy DTX means signal will be transmitted in order to keep power constant.

E-RNTI

Range: 0, 1, 2, ..., 65535

Default: 0

For the E-AGCH channel, this cell sets the E-RNTI. The E-RNTI is the E-DCH Radio Network Identifier defined in TS 25.331. For more information, refer to section 4.10.2 in TS 25.212.

HARQ Acknowledgment Indicator

Range: -1, 0, 1

Default: 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

Sets the HARQ Acknowledgment Indicator pattern. The format of the input value of HARQ Acknowledgement Indicator is the same as that of Absolute Grant Scope in E-AGCH.

HARQ: ACK/NACK Pattern

Choices: ACK ALL | NACK ALL

Default: ACK ALL

For the HS-SCCH and HS-PDSCH channels, Double-click or use the drop-down menu to select the ACK/NACK pattern of the HS-DSCH.

To view this parameter on the HS-PDSCH or the HS-SCCH, the data selection must be HSDSCH for the HS-PDSCH and STD for the HS-SCCH. For both channels with the correct data selection, this parameter is active and used by the software only with the ARQ Type cell set to HARQ.

HARQ: Maximum Number of HARQ Transmission

Range: 1 to 8

Default: 4

For the HS-SCCH and HS-PDSCH channels, sets the maximum number of HARQ transmission.

To view this parameter on the HS-PDSCH or the HS-SCCH, the data selection must be HSDSCH for the HS-PDSCH and STD for the HS-SCCH. For both channels with the correct data selection, this parameter is active and used by the software only with the ARQ Type cell set to HARQ.

HARQ: Redundancy Version Parameter Sequence

Range: [0 to 7],[0 to 7],[0 to 7],[0 to 7],[0 to 7],[0 to 7],[0 to 7],[0 to 7]

Default: 0,0,0,0

For the HS-SCCH and HS-PDSCH channels, sets the sequence of RV parameters for HARQ feedback control.

To view this parameter on the HS-PDSCH or the HS-SCCH, the data selection must be HSDSCH for the HS-PDSCH and STD for the HS-SCCH. For both channels with the correct data selection, this parameter is active and used by the software only with the ARQ Type cell set to HARQ.

HS-DSCH Data

Choices: PN9 | PN15 | User Defined Bits

Default: PN9

This cell is available only when HSDSCH is the current data selection for the HS-PDSCH.

For the HS-PDSCH channel type, when you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type.

HS-DSCH Incremental Redundancy Buffer Size

Range: 960 to 2073600

Default: 9600

Sets the IR Buffer size per HARQ process of the HS-DSCH in the HS-PDSCH.

This value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable when the Base Channel Configuration is ‘RMC Only’ with an HS-PDSCH data selection of HSDSCH.

HS-PDSCH Code Offset

Range: 1 to 15

Default: 1

Sets the code offset of the HS-PDSCH, coded in the HS-SCCH and active with the STD data selection.

HS-PDSCH Modulation

Choice: QPSK | 16QAM | 64 QAM

Default: 16QAM

Double-click or use the drop-down menu to select the modulation-type for HS-PDSCH that is coded in the HS-SCCH.

This parameter is coupled with the Block Size Table Type parameter on the HS-PDSCH.

  • When Modulation is 64 QAM, Block Size Table Type should be Octet_Aligned.
  • When Modulation is 16 QAM or QPSK, Block Size Table Type can be Octet_Aligned or Bit_Aligned.

The value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable in HS-SCCH when the Base Channel Configuration is ‘RMC Only’ with the STD data selection.

When Modulation is set to 64QAM for HS-PDSCH, the parameter should follow this formula: |O - 1 – (P/8) * 15| mod 2 = (HS-SCCH number) mod 2. Where P is HS-PDSCH Number of Codes, O is HS-PDSCH Code Offset.

If it is not fulfilled, an error message is shown on status bar, the message can also be find in Tools->Status Window. You need modify the HS-PDSCH Code Offset to fulfill the formula.

HS-PDSCH Number of Codes

Range: 1 to 15

Default: 2

Sets the number of codes of the HS-PDSCH, coded in HS-SCCH.

The value is editable when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and when the Base Channel Configuration is of type ‘RMC Only’ the value is fixed and coupled to HS-PDSCH.

HS-SCCH Order

Range: Pattern with 0 and 1 | 000-111

Default: 000

Sets HS-SCCH order coded in HS-SCCH 'type 1' or 'type 3'. It is grayed out when HS-SCCH type is 'type 2'. See 3GPP 4.6C in TS25.212.

HS-SCCH Order State

Range: On | OFF

Default: OFF

Double-click or use the drop-down menu to turn the HS-SCCH order on or off.

This parameter is coupled with HS-SCCH Type, when HS-SCCH Type value is set to Type 2, HS-SCCH Order State is set to Off and grayed out.

HS-SCCH Order Type

Range: Pattern with 0 and 1 | 000-111

Default: 000

Sets HS-SCCH order type coded in HS-SCCH 'type 1' or 'type 3'. It is grayed out when HS-SCCH type is 'type 2'. See 3GPP 4.6C in TS25.212.

HS-SCCH Type

Range: Type 1 | Type 2 | Type 3

Default: Type 1

Double-click or use the drop-down menu to select HS-SCCH type:

● Type1 − The normal HS-SSCH Type .

● Type2 − HS-SSCH Less Operation.

● Type3 − the UE is configured in MIMO mode.

For the HS-PDSCH, this parameter is available only with the Adv W-CDMA/HSPA+ DL Rel 10 carrier.

Inter TTI

Range:1 to 16

Default: 1

For HS-PDSCH and HS-SCCH, this cell sets the inter transmission time interval. This parameter is coupled between the HS-PDSCH and the HS-SCCH. When changed on one channel, it changes on the other channel.

The value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable when the Base Channel Configuration is ‘RMC Only’ with the correct channel data selection of STD for the HS-SCCH and HSDSCH for the HS-PDSCH.

LAC

Range: [0 to F][0 to F][0 to F][0 to F]

Default: 0080

Location Area Code (2 Octets). LAC is used when P-CCPCH Data is BCH and BCH Data is BCCH-BCH-Message.

When BCH Data is not set to BCCH-BCH-Message, the software ignores this value.

MCC

Range: [0 to 9][0 to 9][0 to 9]

Default: 001

Mobile Country Code (MCC) is used when PCCPCH Data is set to BCH and BCH Data is set to BCCH-BCH-Message.

When BCH Data is not set to BCCH-BCH-Message, the software ignores this value.

MIMO Mode

Range: None | Single Stream | Dual stream

Default: None

Double-click or use the drop-down menu to select a MIMO precoding mode.

● None − None MIMO Mode. HS-DPCCH will use TxDiversity if “Total Number of Antennas” is 2.

● SingleStream − 1 precoding stream (1 HSDSCH block )mode.

● DualStream − 2 precoding stream(2 HSDSCH block) mode.

When MIMO Mode is set to Dual Stream, the parameter table shows Closed HS-DSCH2 Settings which is the same as parameters in HS-DSCH1 Settings.

MNC

Range: [0 to 9][0 to 9]

Default: 01

Mobile Network Code (MNC) is used when PCCPCH Data is set to BCH and BCH Data is set to BCCH-BCH-Message.

When BCH Data is not set to BCCH-BCH-Message, the software ignores this value.

Modulation

Choice:

  • HS-PDSCH: QPSK | 16QAM | 64 QAM

  • S-CCPCH: QPSK | 16QAM

Default:

  • HS-PDSCH: 16QAM

  • S-CCPCH: QPSK

Double-click or use the drop-down menu to select the modulation type. For the HS-PDSCH this setting is coupled with the HS-PDSCH Modulation parameter on the HS-SCCH.

For HS-PDSCH, the value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable when the Base Channel Configuration is ‘RMC Only’.

Name

View the selected channel type.

Noff1

Default: 2

This cell provides the number of Tx OFF 1 bits within the F-DPCH slot. It is not editable. See 5.3.2.6 in TS 25.211.

Noff2

Default: 16

This cell provides the number of Tx OFF 2 bits within the F-DPCH slot. It is not editable. See 5.3.2.6 in TS 25.211.

Ntpc

Default: 2

This cell provides the number of TPC bits within the F-DPCH slot. It is not editable. See 5.3.2.6 in TS 25.211.

The parameters Noff1, Noff2, and Ntpc are always read-only (not editable). The parameter values are determined by Slot Format. The coupling rules are defined in Closed Table 16C in TS25.211.

Slot Format #i | Channel Bit Rate (kbps) | Channel Symbol Rate (kbps) | SF | Bits/Slot | Noff1 Bits/Slot | Ntpc Bits/Slot | Noff2 Bits/Slot
0 | 3 | 1.5 | 256 | 20 | 2 | 2 | 16
1 | 3 | 1.5 | 256 | 20 | 4 | 2 | 14
2 | 3 | 1.5 | 256 | 20 | 6 | 2 | 12
3 | 3 | 1.5 | 256 | 20 | 8 | 2 | 10
4 | 3 | 1.5 | 256 | 20 | 10 | 2 | 8
5 | 3 | 1.5 | 256 | 20 | 12 | 2 | 6
6 | 3 | 1.5 | 256 | 20 | 14 | 2 | 4
7 | 3 | 1.5 | 256 | 20 | 16 | 2 | 2
8 | 3 | 1.5 | 256 | 20 | 18 | 2 | 0
9 | 3 | 1.5 | 256 | 20 | 0 | 2 | 18

Number Code Blocks

Range: 1 to 15

Sets the number of codes blocks for HS-PDSCH or HS-SCCH.

For HS-SCCH, this value is not editable and determined by Block Size Info.

For HS-PDSCH, this value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable when the Base Channel Configuration is ‘RMC Only’ with the HSDSCH data selection.

Number of DCH

Range: 0 to 8

Default: 2

Set the number of DCH in the DPCH. This parameter is available only when DCH is the DPCH data selection.

Number of FACH/PCH

Range: 0 to 8

Default: 2

Set the number of FACH or PCH in the S-CCPCH. This parameter is available only when FACH/PCH is the S-CCPCH data selection.

The number of transport channels is coupled with the Number of FACH/PCH.

Number of Hybrid ARQ Process

Range: 1 to 8

Default: 2

Sets the number of HARQ processes of the HS-SCCH and the HS-PDSCH. The values are coupled between the two channels, so if it is changed on one channel, the change also shows on the other channel.

For the HS-SCCH and HS-PDSCH, this value is fixed (not editable) when the Closed Base Channel Configuration is of type ‘RMC+HSET’ and editable when the Base Channel Configuration is ‘RMC Only’.

PCI

Range: 0 | 1 | 2 | 3

Default: 0

Enter a value to set the Precoding weight Control Information (PCI).

Pilot Bits

Choices: 0, 8 @ 15 ksps | 0, 8 @ 30 ksps | 0, 8 @ 60 ksps | 0, 8 @ 120 ksps | 0, 16 @ 240 ksps | 0, 16 @ 480 ksps | 0, 16 @ 960 ksps

Set the pilot bits. The number of bits available depends on the data format of the S-CCPCH channel.

Power

Range: -60 to 0 dB

Enter the channel power level relative to the carrier power.

Rate

Choices: see Spreading Code for limits

Double-click or use the drop-down menu to set the channel symbol rate.

  • For HS-SCCH, HS-PDSCH, P-CCPCH this is fixed value and not editable.

  • For DPCH, this value is coupled with the Slot Format cell and not editable.

  • For F-DPCH, this value is coupled with the Slot Format cell and not editable when grayed out.

For channels that have adjustable symbol rates, you may enter a symbol rate that exceeds the acceptable range, based on the selected spreading code. This condition generates an error, which you correct by selecting a proper spreading code for the symbol rate. The software allows this behavior so that you can set either value first.

Redundancy Version Parameter

Range: 0 to 7

Default: 0

Set the RV (Redundancy Version) parameter of the HS-DSCH, coded in the HS-SCCH. Set this value in either the HS-PDSCH or HS-SCCH.

This parameter is ignored when the ARQ Type parameter is set to HARQ, and is editable when set to NONE and the data type is STD on the HS-SCCH or HSDSCH on the HS-PDSCH.

Relative Grant Value

Range: -1, 0, 1

Default: 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

For the E-RGCH channel, this cell sets the Relative Grant Value pattern. The format of the input value of relative grant value is the same as that of Absolute Grant Scope in E-AGCH.

  • If the relative grant value is -1, the sequence selected by hopping index is used.
  • If the relative grant value is 1, the selected sequence will be reversed.
  • If the relative grant value is 0, DTX data is sent.

Scrambling Code

Range: 0−511

Default: 0

Enter a value to set the channel’s primary scramble code.

This parameter applies to all channels but the PSCH.

Scramble Offset

Range: 0 to 15

Default: 0

Enter a scramble code offset value. The offset value is multiplied by 16 and added to the scramble code.

This parameter applies to all channels but the PSCH.

Scramble Type

Choices: STD | LEFT | RIGHT

Default: STD

Double-click or use the drop-down menu to select a scramble type.

  • STD − Uses the standard scrambling code.

  • LEFT − Uses a left alternative scrambling code by adding 8192 to the scrambling code.

  • RIGHT − Uses a right alternative scrambling code by adding 16384 to the scrambling code.

This parameter applies to all channels but the PSCH.

SFN Increment

Choices: On | Off

Default: On

Double-click or use the drop-down menu to turn the SFN on or off in the P-CCPCH channel.

Editable when SFN State cell parameter is set to On. The value is ignored when SFN State is set to Off.

SFN Initial Value

Range: 0 to 4095

Default: 0

Enter the initial value for SFN.

Editable when SFN State cell parameter is set to On. The value is ignored when SFN State is set to Off.

SFN State

Double-click or use the drop-down menu to turn the SFN on or off.

Editable when BCH Data cell parameter is set to PN9, PN15, or User Defined Data. The value is ignored when BCH Data is set to BCCH-BCH-Message.

Signature Sequence Index

Range: 0 to 39

Default: 0

Sets the signature sequence index value. The E-RGCH signature sequence index value in Closed Table 16B is given by higher layers. For more information, refer to section 5.3.2.4 in TS 25.211.

Slot Format

To enter a value, highlight the existing value and enter the new slot number. The slot format determines rate and spreading code in addition to other control bits.

Channel Type | Range | Default
DPCH | 0 to 16 | 0
F-DPCH | 0 to 9 | 0

Spreading Code

Sets the Closed channel spread code number which affects the Rate cell limits. The spread code is an OVSF code. Ensure that the value entered does not create a code domain conflict with the other physical channels.

Channel Type | Range
CPICH, E-AGCH, P-CCPCH, PICH | 0-255 @ 15 ksps (fixed rate)
DPCH, OCNS, F-DPCH | 0–511 @ 7.5 ksps 0–255 @ 15 ksps 0–127 @ 30 ksps 0–63 @ 60 ksps 0–31 @ 120 ksps 0–15 @ 240 ksps 0–7 @ 480 ksps 0–3 @ 960 ksps
E-HICH, E-RGCH, HS-SCCH | Range: 0-127 @ 30 ksps (fixed rate)
HS-PDSCH | Range: 0-15 @ 240 ksps (fixed rate)
S-CCPCH | 0-255 @ 15 ksps 0-127 @ 30 ksps 0-63 @ 60 ksps 0-31 @ 120 ksps 0-15 @ 240 ksps 0-7 @ 480 ksps 0-3 @ 960 ksps

You may enter a spreading code value that exceeds the acceptable range, based on the selected symbol rate. This condition generates an error, which you correct by selecting the proper symbol rate for the spreading code. The software allows this behavior so that you can set either value first.

This parameter, does not apply to the PSCH channel.

E-RGCH and E-HICH

These two channel can use the same spreading code. When both are set to the same spreading code, the software will show this as a conflict by displaying the action to take in Status Bar and Status Window. Resolve the conflict by changing either the Timing Offset or Signature Sequence Index for one of the channels.

State

Double-click or use the drop-down menu to turn the channel on or off.

TFCI

Range: 0 to 1023

Default: 0

In the DPCH and S-CCPCH channels, this cell is the number of TFCI bits sent to each timeslot and is determined by the slot format. The TFCI is an optional field describing what services are in use (for example, data and video). Fixed rate service does not include TFCI.

If this cell is not editable, you can enable it by turning on TFCI Field at the carrier property pane.

TFCI Field

Double-click or use the pull-down menu to turn the TFCI capability on or off.

Turn this cell on to transmit the TFCI bit pattern defined in Channel Setup. It is determined by Slot Format. The coupling rule is defined in Closed Table 11 in TS 25.211.

  • When the Ntfci in Table 11 (TS 25.211) is 0, TFCI is grayed out and TFCI Field is set to Off.
  • When the Ntfci is not 0, TFCI is valid to set and TFCI Field is set to On.
  • When the Slot Format value is less than 12, the TFCI Field is read only.
  • When the Slot Format value is more than 11, the TFCI Field is valid to set. If TFCI Field is turned off, DTX shall be used in TFCI field.

TFCI Power

Range: −20 to 20 dB

For the DPCH channel, this cell sets the power level for the TFCI bits.

Timing Offset

E-RGCH and E-HICH—Advanced DL Release 10 Carrier

Choices: 17920 | -10240 | -2560 | 5120 | 12800 | 20480 | 28160 | 35840 | 43520 | 51200

Default: -17920

Select the timing offset for these channels. The value is expressed in chips.

All Other Channels

Range: 0 to 149

Enter a value to set a timing offset for the selected channel. Each integer value entered is equivalent to 256 chips or 1/10 of a timeslot offset.

The timing offset affects the crest factor of the signal. By varying the timing offset, the probability of channels adding in phase and producing a high peak-to-average ratio or crest factor is minimized. Base stations vary the timing between channels so that amplifiers can operate at the most efficient level.

TPC

Range: 0000 to 7FFF

Enter the TPC value for the OCNS channel.

TPC Number of Steps

Range: 1 to 80

Default: 1

For the DPCH channel and the F-DPCH channel, this cell sets the number of up and down power steps for the TPC Pattern selections Up/Down and Down/Up. For example with this cell set to 20 and the TPC Pattern set to Up/Down, the signal source transmits a power pattern that tells the basestation to step-up the power up in 1 dB increments for 20-steps and then down for 20-steps. The signal repeats this pattern until the parameter changes or the signal terminates.

TPC Pattern

Choices: Up/Down | Down/Up | All Up | All Down | User Defined Bits

Default: Up/Down

For the DPCH channel and the F-DPCH channel, this cell sets the TPC (transmit power control) pattern. This pattern instructs the base station to increase or decrease its power in 1 dB increments. When you click the cell, a dialog box button ( [image]) appears and provides access to the TPC Selection dialog box where you can select from the following choices:

Up/Down | This choice repetitively steps up and down the TPC pattern. Use the TPC Number of Steps cell to set the number of times that the power increases and then decreases.
Down/Up | This choice repetitively steps down and up the TPC pattern. Use the TPC Number of Steps cell to set the number of times that the power decreases and then increases.
All Up | This choice consecutively steps up the TPC pattern.
All Down | This choice consecutively steps down the TPC pattern.
User Defined Bits | This choice activates the User Defined Bits data editor, enabling you to create a custom TPC pattern: 1-power steps up, 0 to 16

Transport Position

Adv W-CDMA/HSPA+ DL Rel 10 Carrier

Choices: Fixed | Flexible

Default: Fixed

Set the transport position type to determine how rate matching is calculated. For more information, see 3GPP TS 25.212.

For the S-CCPCH, this parameter appears with the FACH/PCH Data selection

The choices for this parameter appear in the software's GUI only when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

All other Carriers

This is a fixed position only (not editable).

TTI

Choices: 10 ms | 20 ms | 40 ms | 80 ms

Default: 40 ms

For the HS-PDSCH and HS-SCCH channels, this value is fixed (not editable).

For the S-CCPCH Transport Channels, you can select the FACH or PCH TTI.

UE ID

Range: 0 to 65535

Default: 0

For the HS-SCCH channel, this sets the identity of UE under test.

Dedicated Transport Channel

The DCH settings are available only after selecting DCH as the DPCH Data type. To add or remove DCHs, use the Number of DCH cell.

Data

Choices: PN9 | PN15 | User Defined Bits

Default: PN9

When you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type. This cell is available only when DCH is the DPCH data selection, or, when FACH or PCH is the S-CCPCH data selection.

Block Size

Range: 1 to 50000

Default: 244

Sets the coupling block size for the selected dedicated transport channel DCH/FACH/PCH. This cell is available only when DCH is the DPCH data selection, or, when FACH or PCH is the S-CCPCH data selection.

Coding Type

Choices: 1/2 rate convolutional encoder | 1/3 rate convolutional encoder | turbo coder | no coding

Default: 1/3 rate convolutional encoder

Double-click or use the drop-down menu to set the DCH/FACH/PCH coding type. This cell is available only when DCH is the DPCH data selection, or, when FACH or PCH is the S-CCPCH data selection.

CRC

Choices: 0 | 8 | 12 | 16 | 24

Default: 16

Double-click or use the drop-down menu to set the DCH/FACH/PCH cyclic redundancy bits. This cell is available only when DCH is the DPCH data selection, or, when FACH or PCH is the S-CCPCH data selection.

Number of Blocks

Range: 1 to 512

Default: 1

Sets the DCH/FACH/PCH Number of Blocks. This cell is available when DCH is the DPCH data selection, or, when FACH or PCH is the S-CCPCH data selection.

Rate Matching Attribute

Range: 1 to 256

Default: 256

On the DPCH, enter a DCH rate matching attribute. This cell is available only when DCH is the DPCH data selection.

On the S-CCPCH, enter a FACH or PCH rate matching attribute. This cell is available only when FACH/PCH is the S-CCPCH data selection.

TTI

Choices: 10 ms | 20 ms | 40 ms | 80 ms

Default: 40 ms

Double click or use the pull-down menu to set the TTI for the selected channel. This cell is available only when DCH is the DPCH data selection.

S-CCPCH Transport Channel

The Transport Channel settings are available only after selecting FACH/PCH as the S-CCPCH Data type. To add or remove FACH/PCH, use the Number of FACH/PCH cell.

TFCI Field, TFCI, Pilot Bits are determined by Slot Format. The coupling rule is defined in Table 18 in TS 25.211.

When the Ntfci in Table18 (TS 25.211) is 0, TFCI is grayed out and TFCI Field is set to Off. When the Ntfci is not 0, TFCI is valid to set and TFCI Field is set to On.

When the Slot Format value is less than 8, the TFCI Field is read only. When the Slot Format value is more than 7, the TFCI Field is valid to set, if it is turn off, DTX shall be used in TFCI field. Only the S-CCPCH with QPSK is supported.

If the puncture rate of a transport channel with turbo coding exceeds 2/3, an error message is shown on the status bar.

Related Topic

Configuring the Channel Setup View

Data Selection Dialog Box

Downlink Channel Structure

Frame Structures

Marker Selection Dialog Box

Understanding TFCI, TPC and Pilot Power Offsets

Understanding TPC Values

User Interface Basics


Uplink Channel Setup Advanced

Real Time

Channel Setup – Advanced Uplink Carrier

Advanced uplink carriers consist of the following:

  • Adv W-CDMA/HSPA+ UL Rel 10

  • Adv W-CDMA/HSPA+ UL Rel 11 (MEU Option U03 or greater only)

This topic describes the parameters available in the advanced uplink Closed channel setup node.

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in a carrier. Unlike the channel configuration summary table for the basic uplink carrier selections, the advanced carrier does not allow channel additions or deletions. All of the advanced channel configurations (RMC, FRC, CELL_FACH) are created in accordance with the 3GPP standards.

This button opens a window of predefined channel configuration selections according to the selected carrier type:

Closed Adv W-CDMA/HSPA+ UL Rel 10

Closed Adv W-CDMA/HSPA+ UL Rel 11 (MEU Option U03 or greater only)

Double-clicking a configuration replaces the current configuration in the setup table. Select the carrier type from the Waveform or Carrier views.

3GPP

This table enables you to configure 3GPP channel parameters. The figure above shows the parameters for the DPCCH channel. These parameters will vary according to the channel type. For example, E-DPCCH, HS-DPCCH, DPDCH, and E-DPDCH all have different parameter sets than what is shown in the figure above. Toggle a channel type below to see a list of its associated parameters. Then click a channel parameter to jump to a description.

Closed DPCCH

Channel Number

Name

State

I/Q Axis

Power

Slot Format

Rate

Spreading Code

TFCI

TPC Pattern

TPC Number of Steps

FBI

Transmission Pattern

Closed E-DPCCH

Channel Number

Name

State

I/Q Axis

Power

Power (Alternate)

Rate

Spreading Code

TTI

E-TFCI Table Selection

E-TFC Index

E-TFCI Table Selection (Alternate)

E-TFC Index (Alternate)

Happy Bit

Data

TTI Pattern

Closed HS-DPCCH

Channel Number

Name

State

I/Q Axis

Delta ACK

Delta NACK

Delta CQI

Ahs for Delta ACK

Ahs for Delta NACK

Ahs for Delta CQI

ACK Power

NACK Power

CQI Power

Rate

Spreading Code

Subframe Delay

HS-DPCCH Pattern

Closed DPDCH

Channel Number

Name

State

I/Q Axis

Power

Rate

Spreading Code

Data

DCH1/DCH2 TTI

DCH1/DCH2 Rate Matching Attribute

DCH1/DCH2 Number of Blocks

DCH1/DCH2 Block Size

DCH1/DCH2 CRC

DCH1/DCH2 Coding Type

DCH1/DCH2

Closed E-DPDCH

Channel Number

Name

State

State (Alternate)

I/Q Axis

Power

Power (Alternate)

Rate

Rate (Alternate)

Spreading Code

Spreading Code (Alternate)

TTI

E-TFCI Table Selection

E-TFC Index

E-TFCI Table Selection (Alternate)

E-TFC Index (Alternate)

Data

E-DPDCH Maximum Channelization Codes

Modulation Capacity

PLnon-max

E-DCH

Modulation

Modulation (Alternate)

TTI Pattern

This cell displays the selected channel type.

State

This cell only provides information (grayed out) on the selected channel. For the E-DPDCH, the software uses the Channel Number, TTI, E-TFCI Table Selection, E-TFC Index, E-DPDCH Maximum Channelization Codes, Modulation Capacity and PLnon-max to determine the State.

State (Alternate)

On the E-DPDCH, this cell only provides information (grayed out) to use when ALT (Alternate parameter settings) is selected in the TTI Pattern Data Type Entry window. For the E-DPDCH, the software uses the Channel Number, TTI, E-TFCI Table Selection (Alternate), E-TFC Index (Alternate), E-DPDCH Maximum Channelization Codes, Modulation Capacity and PLnon-max to determine the State (Alternate).

Channel Number

View the channel number of the displayed parameters.

Name

View the channel type.

I/Q Axis

This cell only provides information (grayed out) on the selected channel data path as to whether it is on I or Q.

  • When MIMO with 4 Tx antennas is not configured and the Secondary Cell Enabled is > 3, I/Q Axis weill be I&Q.

  • When MIMO with 4 Tx antennas is configured and 2nd or 3rd Secondary Cell is active, I/Q Axis will be I&Q.

  • When Nmax-dpcch is 0,1,3,5, I/Q Axis will be Q.

  • When Nmax-dpcch is 2, 4, 6, I/Q Axis wil be I.

Power

Range: −60 to 0 dB

Enter the channel power level relative to the carrier power.

On E-DPDCH, the software ensures that the power values among the channels are maintained in accordance with the 3GPP standards. For example using the FRC 3 channel configuration, the standard states that a power difference of -3.01 dB be maintained between the E-DPDCH with SF2 and the E-DPDCH otherwise. With the E-DPDCH with SF2 set to 0 dB, the power level of the E-DPCCH otherwise is -3.01 dB. With the E-DPDCH otherwise set to -60 dB, the DPDCH minimum power is -56.99 dB. This means, even though the minimum power range value is -60 dB, the E-DPDCH with SF2 cannot go lower than -56.99 dB.

Power (Alternate)

Range: −60 to 0 dB

On the E-DPDCH, enter the channel power level relative to the carrier power to use when ALT (Alternate parameter settings) is selected in the TTI Pattern Data Type Entry window for a user-defined pattern. This cell is grayed out if the data entry type is MAIN ALL (no alternate parameter settings).

When the waveform encounters a slot set to ALT during waveform playback, it ignores the Power value as the channel power and instead uses the Power (Alternate) value for the channel power. Conversely when a slot is configured as MAIN or MAIN ALL (all slots set to MAIN), the waveform uses the Power value.

On E-DPDCH, the software ensures that the power values among the channels are maintained in accordance with the 3GPP standards. For example using the FRC 3 channel configuration, the standard states that a power difference of -3.01 dB be maintained between the E-DPDCH with SF2 and the E-DPDCH otherwise. With the E-DPDCH with SF2 set to 0 dB, the power level of the E-DPCCH otherwise is -3.01 dB. With the E-DPDCH otherwise set to -60 dB, the DPDCH minimum power is -56.99 dB. This means, even though the minimum power range value is -60 dB, the E-DPDCH with SF2 cannot go lower than -56.99 dB.

Slot Format

Range: 0 to 4

Default: 0

This cell applies to the DPCCH. To enter a value, highlight the existing value and enter the new slot number. The slot format determines the number of transmitted TFCI bits in addition to other control bits.

Rate

This cell only provides information (grayed out) on the symbol rate for the selected channel.

For the E-DPDCH, the software uses the Channel Number, TTI, E-TFCI Table Selection, E-TFC Index, E-DPDCH Maximum Channelization Codes , Modulation Capacity and PLnon-max to determine the Symbol Rate.

For the HS-DPCCH, the Rate value can be 15 ksps or 30 ksps, which is determined by Secondary Cell Enabled and MIMO settings. For more information, refer to TS 25.212 Table 15C.4.

  • When Secondary Cell Enabled is 0 or 1, HS-DPCCH Slot Format is 0 and Rate is 15 ksps.

  • When Secondary Cell Enabled is 3, HS-DPCCH Slot Format is 1 and Rate is 30 ksps.

  • When Secondary Cell Enabled is 2 and no cell is configured as MIMO, HS-DPCCH Slot Format is 0 and Rate is 15 ksps.

  • When Secondary Cell Enabled is 2 and at least one cell is configured as MIMO, HS-DPCCH Slot Format is 1 and Rate is 15 ksps.

Rate (Alternate)

On the E-DPDCH, this cell only provides information (grayed out) on the symbol rate for the alternate setting to use when ALT (Alternate parameter settings) is selected in the TTI Pattern Data Type Entry window. The software uses the Channel Number, TTI, E-TFCI Table Selection (Alternate), E-TFC Index (Alternate), E-DPDCH Maximum Channelization Codes, Modulation Capacity and PLnon-max to determine the Symbol Rate (Alternate).

Spreading Code

This cell only provides information (grayed out) on the spreading code for the selected channel.

For the E-DPDCH, the software uses the Channel Number, TTI, E-TFCI Table Selection, E-TFC Index, E-DPDCH Maximum Channelization Codes, Modulation Capacity and PLnon-max to determine the Spreading Code.

For the HS-DPCCH, the Spreading Code is defined by Rate and Nmax-dpdch (which is the number of DPDCH) as the following table. See 4.3.1.2.2 in TS 25.213 for more details.

Nmax-dpdch | Slot Format = 0 | Slot Format = 1
0 | 33 | 16
1 | 64 | 32

Spreading Code (Alternate)

On the E-DPDCH, this cell only provides information (grayed out) on the spreading code for the alternate setting to use when ALT (Alternate parameter settings) is selected in the TTI Pattern Data Type Entry window. The software uses the Channel Number, TTI, E-TFCI Table Selection (Alternate), E-TFC Index (Alternate), E-DPDCH Maximum Channelization Codes, Modulation Capacity and PLnon-max to determine the Spreading Code (Alternate).

TTI

Choices: 2 ms | 10 ms

On the E-DPCCH and E-DPDCH, double click or use the pull-down menu to set the TTI for the selected channel. The TTI information effects the Tx length of the TTI Pattern, even if Data is set to E-DCH. The software ensures that all the TTI values of the channels are set to the same value.

The information in this cell is only relevant when the E-DCH is the data selection for the Data cell.

TTI Pattern

Choices: Main All | User

This cell sets the TTI pattern for the E-DPCCH and E-DPDCH. When you click the cell, a dialog box button ( [image] ) appears and provides access to the TTI Pattern Selection dialog box where you can select or create TTI data patterns. Selecting User activates the data editor enabling you to enter the state and power, and designate main or alternate of any slot up to 15,330 slots. Select all main parameters (Main All) or use a user-defined file to assign either the main or alternate parameter settings for E-TFCI table selection, E-TFC index, and Power.

The Number of Frames cell in the advanced carrier view determines the length of the waveform. If the configured pattern length exceeds the waveform length, the software ignores the excess pattern slots.

DCH1 TTI / DCH2 TTI

Choices: 10 ms | 20 ms | 40 ms | 80 ms

On the DPDCH, double click or use the pull-down menu to set the DCH TTI. The information in these cells is only relevant when the DCH is the data selection for the Data cell.

DCH TTI is the transmit time interval for the data, which is the product of block size (determined by the software) and number of blocks. The TTI determines over how many consecutive frames the transport layer data is distributed. For example, since each frame is 10 milliseconds, a TTI of 40 milliseconds distributes the data over four frames.

DCH1 Rate Matching Attribute / DCH2 Rate Matching Attribute

Range: 1 to 256

Default: 256

On the DPDCH, enter a DCH rate matching attribute. The information in these cells is only relevant when the DCH is the data selection for the Data cell.

DCH1 Number of Blocks / DCH2 Number of Blocks

Range: 0 to 512

On the DPDCH, enter a DCH number of blocks. At least one of the DCH number of blocks should be set to more than 0. The information in these cells is only relevant when the DCH is the data selection for the Data cell.

DCH1 Block Size / DCH2 Block Size

This cell only provides information (grayed out) on the DCH block size in the current RMC channel configuration, which complies with the 3GPP standards. The information in these cells is only relevant when the DCH is the data selection for the Data cell.

DCH1 CRC / DCH2 CRC

This cell only provides information (grayed out) on the DCH cyclic redundancy bits in the current RMC channel configuration, which complies with the 3GPP standards. The information in these cells is only relevant when the DCH is the data selection for the Data cell.

DCH1 Coding Type / DCH2 Coding Type

This cell only provides information (grayed out) on the DCH coding type in the current RMC channel configuration, which complies with the 3GPP standards. The information in these cells is only relevant when the DCH is the data selection for the Data cell.

E-TFCI Table Selection

Choices: 0 | 1

On the E-DPCCH and the E-DPDCH, enter the value for this cell that selects the 3GPP standards Annex B table ( B.1 Table 0, B.2 Table 1, B.2a. Table 2, B.2b Table 3, B.3 Table 0 or B.4 Table 1) for the E-TFC Index cell value. Each table lists the E-TFC index values, which set the transport block size (bits) for the E-DCH. With the TTI set to 2 ms and the Modulation Capacity set to 16QAM (2x4PAM), the software internally increases the table value by two. For example, if the displayed table value is one and the previously stated conditions exist, the actual table value is three. Because this is done internally, the increased value does not appear in the UI. The software ensures that the same E-TFCI table selection value applies to both the E-DPDCH and E-DPCCH.

The table associated with the E-TFC Index description shows the default E-TFCI Table Selection value for the supported FRCs.

E-TFCI Table Selection (Alternate)

Choices: 0 | 1

Default: 0

On the E-DPCCH and the E-DPDCH, enter the value for this cell that selects the 3GPP standards Annex B table ( B.1 Table 0, B.2 Table 1, B.2a. Table 2, B.2b Table 3, B.3 Table 0 or B.4 Table 1) for the E-TFC Index (Alternate) cell value. Each table lists the E-TFC index values, which sets the transport block size (bits) for the E-DCH. With the TTI set to 2 ms and the Modulation Capacity set to 16QAM (2x4PAM), the software internally increases the table value by two. For example, if the displayed table value is one and the previously stated conditions exist, the actual table value is three. Because this is done internally, the increased value does not appear in the UI. The software ensures that the same E-TFCI table selection value for the alternate setting applies to both the E-DPDCH and E-DPCCH.

This cell is grayed out while the TTI Pattern is MAIN ALL. Select User to make the cell active. The software uses this value for the slots selected as ALT in the TTI Pattern.

The table associated with the E-TFC Index description shows the default E-TFCI Table Selection (Alternate) value for the supported FRCs.

E-TFC Index

On the E-DPCCH and E-DPDCH, enter the E-TFC index value. On the E-DPCCH, the information in this cell is only relevant when STD is the data selection for the Data cell.

The index number corresponds to a value that is the number of bits for the E-DCH (E-DPDCH transport channel) in accordance with the 3GPP standards Annex B tables, B.1 Table 0, B.2 Table 1, B.2a. Table 2, B.2b Table 3, B.3 Table 0 or B.4 Table 1. The following table shows the default index values for the supported FRCs along with their associated transport block size and E-TFCI table values. The software ensures that the same E-TFC index value applies to both the E-DPDCH and E-DPCCH.

Default E-TFC Index Value and E-TFCI Table Selection to E-DCH Block Size

FRC Selection | E-TFC Index | Transport Blk Size (Bits) | Table Selection
FRC1 (E-DPDCH testing) | 42 | 2706 | B.2 2 ms TTI E-DCH Transport Block Size Table 1
FRC1 (E-DPDCH testing) + HS-DPCCH
FRC1 (E-DPCCH missed detection test)
FRC2 | 70 | 5412
FRC2 + HS-DPCCH
FRC3 | 94 | 8100
FRC3 + HS-DPCCH
FRC4 (E-DPDCH Testing) | 41 | 5076 | B.4 10 ms TTI E-DCH Transport Block Size Table 1
FRC4 (E-DPDCH testing) + HS-DPCCH
FRC4 (E-DPCCH missed detection test)
FRC5 | 69 | 9780
FRC5 + HS-DPCCH
FRC6 | 118 | 19278
FRC6 + HS-DPCCH
FRC7 | 7 | 690
FRC7 + HS-DPCCH
FRC8 (Non E-DPCCH boosting) | 96 | 16218 | B.2b 2ms TTI E-DCH Transport Block Size Table 3*
FRC8 (Non E-DPCCH boosting) + HS-DPCCH
FRC8 (E-DPCCH boosting)

* When using 16QAM (2X4PAM) and a 2 ms TTI, the software internally increases the table value by two per the 3GPP standards. Because this is an internal process, the table value increase does not show in the user interface.

E-TFC Index (Alternate)

On the E-DPCCH and E-DPDCH, enter the E-TFC index value. On the E-DPCCH, the information in this cell is only relevant when STD is the data selection for the Data cell.

The index number corresponds to a value that is the number of bits for the E-DCH (E-DPDCH transport channel) in accordance with the 3GPP standards Annex B tables, B.1 Table 0, B.2 Table 1, B.2a. Table 2, B.2b Table 3, B.3 Table 0 or B.4 Table 1. The software ensures that the same E-TFC index value applies to both the E-DPDCH and E-DPCCH.

This cell is grayed out while the TTI Pattern is MAIN ALL. Select User to make the cell active. The software uses this value for the slots selected as ALT in the TTI Pattern.

The table associated with the E-TFC Index description shows the default index values for the supported FRCs.

E-DPDCH Maximum Channelization Codes

On the E-DPDCH, this cell only provides information (grayed out) on the spreading factor and number of E-DPDCHs to be used in the standard-based configuration. The maximum channelization codes are used together with the E-DCH configuration and PLnon-max parameter to automatically calculate the physical channel codes as defined in the standards.

Modulation Capacity

Choices: QPSK (2xBPSK) | 16QAM (2x4PAM)

On the E-DPDCH, double click or use the pull-down menu to set the modulation capacity. If the Modulation Capacity is set to 16QAM (2x4PAM) and TTI is set to 2 ms, the E-TFCI table selection is internally increased by 2.

PLnon-max

Range: 0.44 to 1

Default: 0.44

On the E-DPDCH, enter the PLnon-max value. The PLnon-max is used together with the E-DPDCH Maximum Channelization Codes and E-DCH configuration to automatically calculate the physical channel codes as defined in the 3GPP standards.

Happy Bit

Choices: HAPPY | Not HAPPY | User Defined Bits

Default: HAPPY

This bit is present during the uplink transmission of the E-DPCCH when it uses the STD data selection. When you click the cell, a dialog box button ( [image] ) appears and provides access to the Happy Bit Selection Closed dialog box from where you make the selection.

With the dialog box selection of User Defined Bits, the software allows the customized setting of each bit to be HAPPY or Not HAPPY for up to 65,536 E-DPCCH subframes or frames. The Happy bit notifies the basestation as to whether the UE is satisfied (happy) with the current Serving Grant based on available data rate, power, and capacity.

TFCI

Range: 0 to 1023

Default: 0

On the DPCCH, enter a TFCI code. The number of TFCI bits transmitted is dependent on the slot format. The TFCI bits inform the basestation of the UE's transport channel formatting.

TPC Pattern

Choices: Up/Down | Down/Up | All Up | All Down | User Defined Bits

Default: Up/Down

This cell sets the TPC (transmit power control) pattern. This pattern instructs the base station to increase or decrease its power in 1 dB increments. When you click the cell, a dialog box button ( [image] ) appears and provides access to the TPC Entry window where you can select from the choices

TPC Number of Steps

Range: 1 to 80

Default: 1

This cell sets the number of up and down power steps for the TPC Pattern selections Up/Down and Down/Up. For example with this cell set to 20 and the TPC Pattern set to Up/Down, the signal generator transmits a power pattern that tells the basestation to step-up the power up in 1 dB increments for 20-steps and then down for 20-steps. The signal repeats this pattern until the parameter changes or the signal terminates.

FBI

Choices: PN9 | PN15 | User Defined Bits

Default: PN9

This cell sets the FBI pattern for the DPCCH. When you click the cell, a dialog box button ( [image] ) appears and provides access to the Data Source Selection window where you can select or create data patterns. Selecting User Defined Bits activates the data editor enabling you to enter a binary value of any length up to 400,000 bits. If the software sees more bits than what it can use, it truncates the data and discards the unused bits

The FBI bits are used to implement closed loop format diversity by controlling the phase, or phase and amplitude of the second antenna of the base station. The FBI bits are also used for site selection diversity transmit power control during a soft handoff. The slot format determines the number of FBI bits per slot.

Transmission Pattern

Choices: Continuous | User Defined Burst Pattern

Default: Continuous

This cell sets the transmission pattern for the DPCCH. When you click the cell, a dialog box button ( [image] ) appears and provides access to the Transmission Pattern Selection dialog box where you can select or create data patterns. Selecting User Defined Burst Pattern activates the data editor enabling you to enter the state and the power of any slot up to 15,330 slots.

The Number of Frames cell in the advanced carrier view determines the length of the waveform. If the configured pattern length exceeds the waveform length, the software ignores the excess pattern slots.

For CELL_FACH channel configurations, this parameter is not visible, but is set to continuous by the software.

Data

Choices: PN9 | PN15 | DCH | E-DCH | STD | User Defined Bits

(The shown choices are a composite of the available choices, the actual choices vary by channel type.)

Default: Varies by channel type

When you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type. For channel configurations with multiple data channels, if you change the data type on one data channel, the software changes the other data channels to the same data type.

The E-DPDCH Data have four selections:

  • Continuous PN9 or PN15 sequences: The bit sequence is continuous between TX slots.

  • E-DCH: Coding data.

  • USER: A user-defined data pattern. If the data length is less than the TTI size, the data is repeated. If the data length is greater than the TTI size (depends on channel configuration), the user data is truncated at the data payload size that corresponds to one TTI length.

The diagram below illustrates the data flow for each data type with either 2 or 4 E-DPDCH States set to On.

DCH1/DCH2

Choices: PN9 | PN15 | User Defined Bits

Default: PN9

When the DPDCH Data cell selection is DCH, the software uses the two transport channels, DCH1 and DCH2, to provide the data. When you click the cell, a dialog box button ( [image] ) appears and provides access to the Data Source Selection window where you can select or create data patterns.

E-DCH

Choices: PN9 | PN15 | User Defined Bits

Default: PN9

When the E-DPDCH Data cell selection is E-DCH, the software uses the transport channel to provide the data. When you click the cell, a dialog box button ( [image] ) appears and provides access to the Data Source Selection window where you can select or create data patterns.

Modulation

This cell applies to the E-DPDCH and only provides information (grayed out) on the modulation type. It displays either BPSK or 4PAM. The software uses TTI, E-TFCI Table Selection, E-TFC Index, E-DPDCH Maximum channelisation codes, Modulation Capacity and PLnon-max to determine the modulation.

Modulation (Alternate)

This cell applies to the E-DPDCH and only provides information (grayed out) on the modulation type to use when ALT (Alternate parameter settings) is selected in the TTI Pattern Data Type Entry window. It displays either BPSK or 4PAM. The software uses TTI, E-TFCI Table Selection (Alternate), E-TFC Index (Alternate), E-DPDCH Maximum channelisation codes, Modulation Capacity and PLnon-max to determine the modulation.

Delta ACK

Range: 0 to 8

Default: 5

On the HS-DPCCH, enter the Delta ACK. The software defines the signaled value by using the Delta ACK, Delta NACK, Secondary Cell Enabled, MIMO or not, HARQ-ACK selection, and MIMO Type according to the following table. The signaled value is translated into the quantized amplitude ratios Ahs, in accordance with the 3GPP standards TS 25.213 Table 1A, to calculate the power of the HS-DPCCH slots carrying the HARQ Acknowledgment.

Some of the parameters mentioned above that affect the signaled value are only editable with a User-Defined HS-DPCCH Pattern. If left unedited, the software uses the default settings for these parameters.

Signaled Value to HS-DPCCH Parameters for the HARQ-ACK Field when Secondary Cell Active is 0 (from 3GPP TS 25.214 Table 2A)

HARQ-ACK message sent in one time slot | Ahs equals the quantized amplitude ratio translated from
ACK | Delta ACK
NACK | Delta NACK
PRE before single transport block or Post after a single transport block | MAX(Delta ACK, Delta NACK )
ACK/ACK | Delta ACK + 1
NACK/NACK | Delta NACK + 1
ACK/NACK or NACK/ACK or PRE before dual transport block or Post after a dual transport block | MAX( Delta ACK+1, Delta NACK+1)

Signaled Value to HS-DPCCH Parameters for the HARQ-ACK Field when Secondary Cell Active is not 0 (from 3GPP TS 25.214 Table 2B)

Secondary_Cell_Active | Condition | Ahs equals the quatized amplitude ratio translated from
 |  | Composite HARQ-ACK message(s) sent in one time slot contains...
 |  | at least one ACK but no NACK | at least one NACK but no ACK | both ACK and NACK, or a PRE, or a POST
1 | NA | Delta ACK + 1 | Delta NACK + 1 | MAX( Delta ACK+1, Delta NACK+1)
2 | Secondary_Cell_Enabled is 2 and MIMO is not configured in any cell | Delta ACK + 1 | Delta NACK + 1 | MAX( Delta ACK+1, Delta NACK+1)
2 | Secondary_Cell_Enabled is 2 and MIMO is configured in any cell | Delta ACK + 2 | Delta NACK + 2 | MAX( Delta ACK+2, Delta NACK+2)
3 | NA | Delta ACK + 2 | Delta NACK + 2 | MAX( Delta ACK+2, Delta NACK+2)

Delta NACK

Range: 0 to 8

Default: 5

On the HS-DPCCH, enter the Delta NACK. The software defines the signaled value with the Delta ACK, Delta NACK, HARQ-ACK selection, Secondary Cell Enabled, MIMO or not, and the MIMO Type according to the table in the Delta ACK description. The signaled value is translated into the quantized amplitude ratios Ahs in accordance with the 3GPP standards TS 25.213 Table 1A to calculate the power of the HS-DPCCH slots carrying HARQ Acknowledgment.

Some of the parameters mentioned above that affect the signaled value are only editable with a User-Defined HS-DPCCH Pattern. If left unedited, the software uses the default settings for these parameters.

Delta CQI

Range: 0 to 8

Default: 5

On the HS-DPCCH, enter the Delta CQI. The software defines the signaled value with the Secondary Cell Active, the MIMO Type and CQI Report according to the following table. The signaled value is translated into the quantized amplitude ratios Ahs in accordance with the 3GPP standards TS 25.213 Table 1A to calculate the power of the HS-DPCCH slots carrying CQI.

Some of the parameters mentioned above that affect the signaled value are only editable with a User-Defined HS-DPCCH Pattern. If left unedited, the software uses the default settings for these parameters.

The signaled value to HS-DPCCH parameters for the CQI field (Table 2C from 3GPP TS 25.214)

Secondary_Cell_Active | Condition | Ahs equals the quatized amplitude ratio translated from
 |  | MIMO is not configured | MIMO is configured
 |  |  | CQI of Type A | CQI of Type B
0 | NA | Delta CQI | Delta CQI+1 | Delta CQI
1 | Secondary_Cell_Enabled is 1 and MIMO is not configured in any cell | Delta CQI+1 | N/A | N/A
1 | Secondary_Cell_Enabled is 1 and MIMO is configured in any cell | Delta CQI | Delta CQI+1 | Delta CQI
2 | Secondary_Cell_Enabled is 2 and MIMO is not configured in any cell | Delta CQI | N/A | N/A
2 |  | Delta CQI+1 | N/A | N/A
2 | Secondary_Cell_Enabled is 2 and MIMO is configured in any cell | Delta CQI+1 | Delta CQI+2 | Delta CQI+1
3 | NA | Delta CQI+1 | Delta CQI+2 | Delta CQI+1

Ahs for Delta ACK

Range: 0.333 to 2

Default: 1

This cell applies to the HS-DPCCH and only provides information (grayed out) on the Ahs for Delta ACK. The software uses the Delta ACK to calculate the Ahs for Delta ACK in accordance with the 3GPP standards Table 1A.

Ahs for Delta NACK

Range: 0.333 to 2

Default: 1

This cell applies to the HS-DPCCH and only provides information (grayed out) on the Ahs for Delta NACK. The software uses the Delta NACK to calculate the Ahs for Delta NACK in accordance with the 3GPP standards Table 1A.

Ahs for Delta CQI

Range: 0.333 to 2

Default: 1

This cell applies to the HS-DPCCH and only provides information (grayed out) on the Ahs for Delta CQI. The software uses the Delta CQI to calculate the Ahs for Delta CQI in accordance with the 3GPP standards Table 1A.

ACK Power

Range: -60 dB to 0 dB

This cell applies to the HS-DPCCH and only provides information (grayed out) on the ACK power. The software uses Ahs for Delta ACK and the Power of the DPCCH to calculate the gain factor βhs for Delta ACK as follows, and then using the results, calculates ACK Power.

βhs = βcxAhs

NACK Power

Range: -60 dB to 0 dB

This cell applies to the HS-DPCCH and only provides information (grayed out) on the NACK power. The software uses Ahs for Delta NACK and the Power of the DPCCH to calculate the gain factor βhs for Delta NACK as follows, and then using the results, calculates NACK Power.

βhs = βcxAhs

CQI Power

Range: -60 dB to 0 dB

This cell applies to the HS-DPCCH and only provides information (grayed out) on the CQI power. The software uses Ahs for Delta CQI and the Power of the DPCCH to calculate the gain factor βhs for Delta CQI as follows, and then using the results, calculates the CQI Power.

βhs = βcxAhs

Subframe Delay

Range: 0 to 250 [256 chips unit]

Default: 0

On the HS-DPCCH, enter the subframe delay.

HS-DPCCH Pattern

Choices: Fixed Pattern | User Defined HS-DPCCH Pattern

Default: Fixed Pattern

This cell sets the HARQ pattern for the HS-DPCCH. When you click the cell, a dialog box button ( [image] ) appears and provides access to the HS-DPCCH Pattern Selection dialog box where you can select or create data patterns. The dialog box varies according to the selected carrier type:

Adv W-CDMA/HSPA+ UL Rel 10

Adv W-CDMA/HSPA+ UL Rel 11 (MEU Option U03 or greater only)

Selecting User Defined HS-DPCCH Pattern activates the data editor enabling you to configure a pattern that includes State, Power, HARQ, CQI, PCI, MIMO Type, and Cell Selection for up to 15330 slots.

The Number of Frames cell in the advanced carrier view determines the length of the waveform. If the configured pattern length exceeds the waveform length, the software ignores the excess pattern slots.

Related Topics

Data Selection Dialog Box

Frame Structures

Understanding TFCI, TPC and Pilot Power Offsets

Understanding TPC Values

Uplink Channel Structures

User Interface Basics

DPCCH Transmission Pattern Selection for Advanced UL

E-DPCCH/E-DPDCH TTI Pattern Selection for Advanced UL

HS-DPCCH Pattern Selection for Advanced UL (Release 10)

HS-DPCCH Pattern Selection for Advanced UL (Release 11)


Uplink Channel Setup Prach

Real Time

Channel Setup – Advanced PRACH Carrier

Advanced PRACH carriers consist of the following:

  • Adv W-CDMA/HSPA+ PRACH

Channel Configuration Summary Table

This table enables you to view the key parameters for each channel in a carrier. Unlike the channel configuration summary table for the basic uplink carrier selections, the advanced PRACH carrier does not allow channel additions or deletions.

This button opens a window of predefined channel configuration selections according to the selected carrier type:

  • Closed Adv W-CDMA/HSPA+ PRACH

Double-clicking a configuration replaces the current configuration in the setup table. Select the carrier type from the Waveform or Carrier views.

3GPP

Channel Number

View the channel number of the displayed parameters. The advanced PRACH carrier allows only one PRACH, so this cell always displays 1.

Name

This cell displays the selected channel type. Since PRACH is the only available channel type, this cell always displays PRACH.

State

Choices: On | Off

Default: On

Turn the channel on or off by either double clicking in the cell, or by clicking in the cell and using the drop-down arrow to display the choices.

If the channel is turned off, the software does not allow the generation or downloading of the waveform. The PRACH channel must be on to generate and download the waveform.

Message Part State

Choices: On | Off

Default: On

Set the message part to be either on or off. When set to Off, only the preamble is transmitted. If the channel is configured for only the preamble and you select the preconfigured Closed Preamble + Message channel setup, the software turns the Message Part state to On.

Message Control

Msg-Ctrl Channelization

Range: 0–255

Default: 15

Enter the channel code for the message-control part. Because the message control has a spread factor of 256, there are 256 channelization codes.

Msg-Ctrl Power

This cell only provides information (grayed out) and its value remains static.

Msg-Ctrl Symbol Rate

This cell only provides information (grayed out) and its value remains static.

Msg-Ctrl Slot Format

This cell only provides information (grayed out) and its value remains static.

Msg-Ctrl Data

Choices: PN9 | PN15 | 3GPP STD | User Defined Bits

Default: 3GPP STD

When you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type.

Message Data

Msg-Data Channelization

Range: 0–255

Default: 0

Enter the channel code for the message-data part. Because the message has a spread factor of 256, there are 256 channelization codes.

Msg-Data Power

This cell only provides information (grayed out) and its value remains static.

Msg-Data Symbol Rate

Choices: 15 ksps | 30 ksps | 60 ksps | 120 ksps

Default: 60 ksps

The Msg-Data Symbol Rate value is coupled with the Msg-Data Slot Format value in accordance with the 3GPP Closed specification 25.211 V8.3.0.

Msg-Data Slot Format

Choices: 0 | 1 | 2 | 3

Default: 2

The Msg-Data Slot Format value is coupled with the Msg-Data Symbol Rate value in accordance with the 3GPP Closed specification 25.211 V8.3.0.

Msg-Data Data

Choices: PN9 | PN15 | RACH | User Defined Bits

Default: RACH

When you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type. When the data type selection is RACH, the software uses the transport channel data cell to provide the data.

Physical

TFCI State

This cell only provides information (grayed out) and its value remains static.

TFCI

Range: 0–1023

Default: 0

Enter the TFCI value.

Signature

Range: 0–15

Default: 0

Enter the number of the signature to be repeated 256 times within the preamble.

Number of Preamble

Range: 0–100

Default: 1

Set the number of preambles. If using multiple preambles with an active message part, all of the preambles are sent prior to the message part.

Maximum Preamble Power

This cell only provides information (grayed out) and its value remains static.

Pp-m

This cell only provides information (grayed out) and its value remains static.

Tp-m

Range: 1–15

Default: 3

Enter the number of access slots that separate the preamble from the message part. The slot count starts from the beginning of the preamble to the beginning of the message part. If the message part is off, this setting has no effect.

Tp-p

Range: 1–60

Default: 3

Enter the number of access slots that separates the preambles. The slot count starts from the beginning of one preamble to the beginning of next preamble.

TTI

Choices: 10 ms | 20 ms

Default: 20 ms

Set the transmission time interval of the message part. If the message part is off, this setting has no effect.

Power Setup Mode

This cell only provides information (grayed out) and its setting remains static.

Transport Channel

RACH Block Size

Range: 0–5000

Default: 168

This cell sets the block size. The RACH data is encoded into the blocks. To determine the number of data bits being transmitted, multiply the block size with the number of blocks value.

RACH Number of Blocks

Range: 0–295

Default: 1

This cell sets the number of transport blocks coded onto one random access channel (RACH).

RACH CRC Size

Choices: 0 | 8 | 12 | 16 | 24

Default: 16

This cell specifies the number of cyclic redundancy code (CRC) bits that are added to each transport channel block.

RACH Data

Choices: PN9 | PN15 | User Defined Bits

Default: PN9

When the Msg-Data Data cell selection is RACH, the software uses the transport channel to provide the data. When you click the cell, a dialog box button ( [image] ) appears and provides access to Data Source Selection dialog box where you select the data type.

Related Topics

Carrier n - Uplink

Waveform Graph

CCDF Graph


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Compressed Mode

Use of a compressed mode (Slotted Mode) is necessary when making measurements on another frequency (inter-frequency) or on a different radio technology (inter-RAT). In the Compressed Mode, while the transmission and reception are stopped for a short time, the measurements are performed on another frequency or Radio Access Technology (RAT) during the transmission and reception stop time. After the stop time is over, the transmission and reception resumes. To ensure that the data is not lost, the data is compressed in the frame, creating empty space where the measurements can be performed.

Click Compressed Mode in the Closed tree view to access parameters in the General Settings table. The Closed diagram below the table updates as you make changes to the configuration.

Compressed mode is only available for the Advanced W-CDMA/HSPA+ Downlink Release 10 carrier.

General Settings

State

Choice: Off | On

Default: Off

Turns the DPCH compressed mode on or off. When DPCH compressed mode is on, ALC will turn off and only 1 DPCH channel is active. The timing offset for the DPCH channel is supported when compressed mode is on.

Compressed Mode Method

Choice: SF/2 | Higher Layer

Default: SF/2

Sets the DPCH compressed mode method. When set to Higher Layer, transport layer coding is supported with the Transport Position choice of Flexible.

Downlink Reference Compressed Mode Parameter

Choice: Reference Parameter 1.1 | Reference Parameter 1.2 | Reference Parameter 2.1 | Reference Parameter 2.2

Default: Reference Parameter 1.1

Sets the downlink reference compressed mode parameter defined in 3GPP standard TS25.101.

Power Offset

Range: 0 to 6

Default: 0

Sets the power offset (dB) for the compressed frame.

Frame Structure

Choice: TypeA | TypeB

Default: TypeA

Selects the frame structure type.

TGCFN

Range: 0 to 255

Default: 0

Sets the connection frame number (CFN) of the first radio frame of the first pattern within the transmission gap pattern.

TGL1

Choice: 3 | 4 | 5 | 7 | 10 | 14

Default: 7

Sets the TGL1 value, expressed in number of slots.

TGL2

Choice: 0 (TGL2=TGL1) | 3 | 4 | 5 | 7 | 10 | 14

Default: 0 (TGL2=TGL1)

Sets the TGL2 value, expressed in number of slots. If the value is set to 0 (omitted), then TGL2 = TGL1.

TGSN

Range: 0 to 14

Default: 3

Sets the transmission gap starting slot number (TGSN). TGSN is the slot number of the first transmission gap slot in the first radio frame of the transmission gap pattern.

TGPRC

Choice: 0 (infinite) to 511

Default: 0 (infinite)

Sets the number of transmission gap patterns in the transmission gap pattern sequence. Set TGPRC to 0 for infinite pattern repetition.

TGPL1

Range: 1 to 144

Default: 2

Sets the transmission gap pattern length (TGPL1), expressed in number of frames.

TGD

Range: 0 (undefined), 15 to 269

Default: 0 (undefined)

Sets the transmission gap start distance (TGD), which is the duration between the starting slots of two consecutive transmission gaps within a transmission gap pattern, expressed in number of slots. If TGD = 0, then only one transmission gap is available in the transmission gap pattern.


CCDF Graph

The software has two locations for the CCDF graph: the Waveform Setup view and the Channel Setup view. In the Waveform Setup view, the CCDF graph shows the composite plot and peak-to-average values for all carriers. In the Channel Setup view, the CCDF graph shows the plot and peak-to-average values for the current carrier. This topic describes the CCDF functionality using the graph in the Waveform Setup view.

The CCDF graph displays the probability (in percentage) of the generated waveform's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

The CCDF and Waveform graphs are minimized in the Waveform Setup node's initial view. To view the graphs, click and drag the Closed border above the CCDF and Waveform graphs.

Each time you adjust parameters and generate a waveform, a plot is added to the Closed graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Click to toggle the view of the band-limited Gaussian noise curve (blue).

Click to toggle the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button.

Click to make the current waveform curve (yellow) the reference curve (red). Click the Reference button to view the reference curve.

Related Topics

CDP Graph

Waveform Graph

Waveform Setup


Waveform Graph

Click Generate [image] or Generate and Download [image] from the main tool bar to generate an I/Q waveform and plot four different waveform graphs (Power, I+Q, I/Q, and Spectrum) in accordance with the current channel configuration. Any changes to the channel configuration do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Power plot shows the cumulative power of the carrier configuration.

Click this button to select from the list of different waveform plots. Selections include Power (shown above), Closed I+Q, Closed I|Q, and Closed Spectrum. Click the arrow to access a drop-down menu where you can make a direct selection. Clicking the button selects the next plot type in the list without displaying the menu.

I+Q plot shows the I and Q components overlayed.

I/Q plot shows the individual I and Q components.

Spectrum displays a composite of all the carriers.

The Waveform and CCDF graphs are minimized in the Waveform Setup node's initial view. To view the graphs, click and drag the Closed border above the CCDF and Waveform graphs.

Related Topic

CCDF Graph

Waveform Setup


CDP Graph

The code domain power (CDP) graph shows the position and power level of each downlink channel or uplink channel, relative to the spreading code applied. Select a channel setup in the Closed tree view then click the CDP tab to view the CDP distribution for that carrier. Click on a channel in the channel configuration summary table or double-click a channel in the graph to view the Closed parameter selections for that channel.

Hold the cursor over any individual channel to view a Closed tool tip showing the channel number, type, spreading code, rate, and power.

Tool tip showing CDP channel information.

Downlink Channels

Uplink Channels

Related Topics

CCDF Graph

Channel Setup - Downlink

Channel Setup - Uplink


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help, references and usage requirements.
Sample API Programs | provides information to guide you in using the API examples, included with the software, that can be modified for your application.
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7600B Signal Studio graphical user interface are documented in the N7600B Documented Class Library (N7600API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\W-CDMA-HSPA+.

Many of the links in the 3GPP W-CDMA-HSPA API help require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without the development environment, those links appear broken. After you obtain and download the IDE, the links will work.

Go to www.keysight.com/find/signalstudio for the latest software updates.

Sample API Programs

After the software is installed, it provides sample API programming files. You can use these samples as a starting point to develop your own API API programs using Microsoft® Visual C# .NET or a similar IDE application.

Numeric format

This software recognizes only US style numeric format, for example floating point is "."

Language Requirements

  • This software recognizes only US style numeric format, for example floating point is "."

  • Set locale to "en-US". To set the API to "en-US," the following commands must be completed prior to starting the user main routine:

    Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

    Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

    You can see these culture setting commands in Main .cs located in the SimpleControl sample program.

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

References

The Microsoft .NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

While installing the software, it places the following sample programs into two locations on your C: drive—both locations contain the same files:

  • ControlByGUI

  • RemotingByGUI

  • SimpleControl

  • SimpleRemoting

The two of the sample programs ControlByGUI and SimpleControl are provided to illustrate the basic program flow for automating signal configuration and playback in a .NET programming environment.

Using Microsoft Visual C# .NET, or a similar IDE, you can use these sample projects as a starting point to develop your own API programs.

Sample Program Locations

Windows 7 Sample Program Paths

  • C:\Users\<user name>\AppData\Roaming\Keysight\Signal Studio\W-CDMA-HSPA+\Samples

  • C:\ProgramData\Keysight\Signal Studio\W-CDMA-HSPA+\Samples

Windows XP Sample Program Paths

  • C:\Documents and Settings\All Users\Application Data\Keysight\Signal Studio\W-CDMA-HSPA+\Samples

  • C:\Documents and Settings\<user name>\Application Data\Keysight\Signal Studio\W-CDMA-HSPA+\Samples

Basic Program Flow

  1. Create API object.

  2. Configure the instrument connection.

  3. Clear all carriers.

  4. Configure the waveform.

  5. Add Test Model 1 with 64 DPCH downlink carrier.

  6. Generate and download the waveform to the signal generator.

  7. Turn on the RF output.

  8. End program and turn off the RF output.

Before editing the sample programs, make backup copies of all files. To save the files, you will need to right-click each file, select Properties, and de-select the Read-only attribute.

Migrating API Programs

When upgrading the software from Release 3.3 or earlier to the current release, or upgrading from Option EFP to Option FFP in the current release, there may be a need to add or replace a name space in the existing API programs for them to work (see the following table):

Current Software Release Options | Release 3.3 or Earlier—Migrate API Programs to Current Software Release |  |  |  | Current Release (Upgrade from EFP to FFP)
 | Not Recompiling | Recompiling | Not Recompiling | Recompiling
Option EFP | 1 | 2 | --- | --- | ---
Option FFP | --- | --- | 1 | 3 | 4

  1. No name space addition needed.

  2. Add name space "using Agilent.SignalStudio.N7600B.API.WCDMABasic;".

  3. Add name space "using Agilent.SignalStudio.N7600B.API.WCDMA2Basic;".

  4. Replace name space "using Agilent.SignalStudio.N7600B.API.WCDMABasic;" with "using Keysight.SignalStudio.N7600B.API.WCDMA2Basic;".

As shown in the table, if you do not recompile an existing API program when upgrading to the latest software release or to another option, there is no need to add the name space. However when upgrading to Option FFP, if you do not modify and recompile the programs, you will not be able to use the additional functionality that comes with the option.

Adding the required name space means that the program will contain three name space statements as shown in the following examples:

Option EFP

using Agilent.SignalStudio.N7600;

using Agilent.SignalStudio.N7600.API;

using Agilent.SignalStudio.N7600B.API.WCDMABasic;

Option FFP

using Agilent.SignalStudio.N7600;

using Agilent.SignalStudio.N7600.API;

using Agilent.SignalStudio.N7600B.API.WCDMA2Basic;

Failure to add the proper name space results in an error during compiling:

Error 1 The type or namespace name '<class name> could not be found (are you missing a using directive or an assembly reference?) <path to the program that contains the class> <line #> <column #> <program name>

SimpleControl Sample Project

The SimpleControl sample project (...\Samples\SimpleControl\SimpleControl.sln), provides a simple, basic program to generate and download waveforms using API commands.

To view the code, open SimpleControl.sln using the Microsoft Visual C# .NET application, or open Main.cs using another text editor, such as Notepad. Since the SimpleControl.sln program flow does not use a .NET GUI, you will see only the code contained in the Main.cs file in the Code Editor, as shown in Figure 1, below:

Figure 1. Source code of Main.cs in Microsoft Visual C# .NET

Control by GUI Sample Project

Using Microsoft Visual C# .NET, or a similar IDE, open the API_TEST project (...\Samples\ControlByGUI\API_TEST.sln). This displays a .NET API graphical user interface with two API mode selections (see Figure 2):

  • With GUI – settings that you configure using the .NET API GUI are displayed in the N7600B Signal Studio user interface, and are subsequently sent to the signal generator via the Signal Studio application. The Signal Studio GUI is automatically displayed when you select Debug mode. Using this mode allows you to see how changes in your program modify the parameters in the Signal Studio software interface.

  • No GUI – settings that you configure using the .NET API are not displayed in the N7600B Signal Studio user interface, but are sent directly to the API instance of the Signal Studio application and subsequently to the signal generator.

To view the C# code in the API_TEST project, select the TestApiForm.cs tab in the Code Editor window (see Figure 3).

Ensure that the .dll file Keysight.SignalStudio.N7600 is correctly displayed under References in the Solution Explorer.

Figure 2. API Graphical User Interface displayed in Microsoft Visual C# .NET

Figure 3. Source code of TestApiForm.cs in Microsoft Visual C# .NET


Using API in LabVIEW

Real Time

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


Using the Software – Real Time

User Interface Basics | provides tips on navigating the user interface
Menu Bar and Toolbar | describes the selections found in the pull down menus and the various toolbar icons
Status Bar | provides information related to the software status, connection status, carrier and channel parameters, waveform generation progress, and license status
Concepts | provides information about how to use the real-time W-CDMA/HSPA+ software.
Hardware | provides information about read-only hardware information for the real-time W-CDMA/HSPA+ software.
W-CDMA (DPCCH/DPDCH) | provides links to all of the W-CDMA DPCCH/DPDCH's features and topics.
W-CDMA (PRACH) | provides links to all of the W-CDMA PRACH's features and topics.
W-CDMA (CELL_FACH) | provides links to all of the W-CDMA PRACH's features and topics.
SCPI | provides links to all of the SCPI topics, including the SCPI descriptions, instrument compatible commands, and the SCPI command list).


Concepts – Real Time

Overview

This section describes the W-CDMA/HSPA+ channel structure and reference signals.

Setup and Connection

Illustrates the connections and signals necessary for the instrument to simulate your equipment when it is connected to a base station. Also, Illustrates the instruments connector's and the assigned signal types for real-time W-CDMA uplink.

PRACH - Timing Diagrams

  • Single PRACH

  • Multiple PRACH

  • PRACH Synchronization

Illustrates the PRACH single and multiple timing diagrams and the PRACH frame timing and frame numbering synchronization diagrams.

Power Control

Illustrates DPCH power control considerations when using an external signal.

Compressed Mode

  • Compressed Mode Signals and Parameters

  • Multiple TGPS Compressed Mode Frame Alignment

  • Frame Number Alignment

Illustrates the compressed mode frame alignment behavior for multiple Transmission Gap Pattern Sequence (TGPS) compressed mode, the frame number alignment, and settling time during a user event for DPCH compressed mode.

AUX I/O Connector Input Signals

Illustrates how W-CDMA uplink input and output signals align with respect to time, connectors, and signal types.

DPCH Synchronization Diagrams

Illustrates the:

  • timing alignment for the DPCH channel

  • frame number alignment for the DPCH channel

  • single synchronization mode behavior

Trigger Mode

Illustrates the trigger mode and the frame's synchronization and the early and late continuous triggering. And shows the baseband initial triggering and frame synchronization for early and late continuous triggers.

HSUPA HARQ TTI Scheduling

  • External input-based HARQ scheduling (TTI =10ms)

  • External input-based HARQ scheduling (TTI =2ms)

Illustrates the external input-based HARQ scheduling for a TTI = 10 ms and for TTI = 2 ms.

Continuous Packet Connectivity (CPC)

illustrates some oscilloscope signal examples for the CPC feature.

E-TFCI Switching

Illustrates the block diagrams for E-TFCI switching for Main and Alternate user patterns data with external triggering and a related timing diagram.

Related Topics

Concepts – Arb

provides conceptual information on a variety of subjects related to Arb (waveform playback).


Overview (Real-time)

The software supports the channels and reference signals as shown in Figure 1 below for an Uplink carrier compliant with the 3GPP standard release (March 2010). Refer to the Technical Overview for the 3GPP standard versions.

Figure 1. Supported channels and reference signals for HSPA Physical Layer

  • As part of the HSUPA structure, the Enhanced Dedicated Channel (E-DCH) is a transport channel for carrying user data in the uplink. At the physical layer this is done with two uplink channels:

    • E-DCH Dedicated Physical Data Channel (E-DPDCH), and

    • E-DCH Dedicated Physical Control Channel (E-DPCCH).

  • The E-DPCCH carries control information associated to the E-DPDCH for decoding the uplink channels including the E-DCH.

  • The real-time downlink channel SCPI commands are not supported in this release.

Supported Features

Description

Uplink/Downlink

Uplink only

Supported channels

DPCCH

DPDCH

  • DCHn

HS-DPCCH

HSUPA

  • E-DPCC

  • E-DPDCH

PRACH

  • RACH

Dynamically controlled parameters

HARQ ACK/NACK (external signal/user data)

Number of carriers

1 (single carrier per baseband section of the instrument)

Fast packet scheduling

Adaptive Modulation and Coding (AMC)

Provide "always on" connectivity testing

Continuous Packet Connectivity (CPC) with:

  • Discontinuous Reception (DRX)

  • Discontinuous Transmission (DTX)


Setup and Connection

Figures 1, 2, and 3 show the EXG/MXG connections and signals necessary for PRACH and DPCH configurations. The setups shown are for simulating your equipment connections for various base station configurations.

Figure 1 demonstrates the PRACH and DPCH connections for a base transceiver station (BTS).

Figure 1 EXG/MXG Base Transceiver Station (BTS) Setup

This figure shows how to configure a dynamic DPCH power control using an external signal. In this closed loop example, the EXG/MXG is used to communicate a UE response to TPC commands.

Figure 2 Connecting the EXG/MXG to a Base Station

Figure 3 illustrates some of the signals and connectors for a EXG/MXG base station configuration.

Figure 3 Cable Connections


PRACH – Timing Diagrams

Single PRACH

Multiple PRACH

PRACH Synchronization


Single PRACH Timing Diagrams

This topic contains the single PRACH output on an MXG/EXG. The trace below is a signal generator output signal on a signal analyzer.


Multiple PRACH Timing Diagrams

This topic contains the timing diagrams and transmitted signals for a Multiple PRACH.

  • Figure 1 Transmitting PRACHs

  • Figure 2 Multiple PRACH Timing Setup

  • Figure 3 Transmitted Multiple PRACH Signal

  • Figure 4 PRACH Signal Alignment

The multiple PRACH feature of the instrument lets you simulate multiple UEs (user equipment/mobile) attempting to contact a base transceiver station (BTS). This feature is especially beneficial for BTS overload testing when multiple instruments are used. The following is a list of some of the characteristics you will find in the multiple PRACH feature:

  • 80 ms transmission/time period with access slot resolution

  • 60 access slots (80 ms / 1.33 ms = 60) numbered 0 to 59

  • transmission simulation of eight UEs using independent signatures that automatically assigns the channel codes in accordance with the 3GPP TS 25.213

  • transmission of an individual UE’s PRACH multiple times (up to 8 times) within the 80 ms time period

    The number of times a UE’s PRACH can be transmitted is dependent on the number of access slots each PRACH occupies.

  • incorporate AWGN (additive white Gaussian noise) with the multiple PRACH transmission

  • transmit the preamble or the preamble plus the message part

  • synchronize multiple instruments to increase the number of UEs/PRACHs

Understanding the 80 ms Transmission/Time Period

The multiple PRACH feature incorporates an 80 ms time period in which to transmit the multiple PRACHs/UEs. This 80 ms period has access slot resolution, so it contains 60 selectable access slots (0–59). The entire 80 ms period is transmitted each time, even if only one access slot is utilized. Within this 80 ms period you have eight available UEs. All eight can be active at the same time, and each UE has the capability of transmitting its PRACH up to eight times.

However a single UE retransmission of its PRACH cannot overlap its previous PRACH transmission within the same 80 ms period. For example, if UE1’s PRACH is 11.5 access slots long and its first PRACH transmission starts in access slot zero, then the second PRACH transmission for UE 1 must start, at a minimum, in access slot 12. If it was configured to begin in access slot 11, the second transmission would not occur because slot 11 is partially occupied by the first PRACH transmission. But different UEs can transmit in access slots occupied by other UEs. Figure 1 illustrates an example of when a PRACH retransmission for the same UE is ignored. It also demonstrates how PRACHs can occupy the same access slots when they are transmitted by different UEs.

Figure 1 Transmitting PRACHs

If a third PRACH transmission was configured that overlapped the second PRACH transmission for UE1, the third transmission would occur because the second transmission is ignored/not transmitted.

The multiple PRACH feature is configured from the factory to have UE 1 on and set to start in access slot zero. This is so you can have a PRACH signal just by turning on the PRACH Generation Mode to Multiple. See also, your instrument's documentation.

In accordance with the 3GPP standards, there are 16 different signatures to choose from for each UE, and the different signatures point to the appropriate channel codes for the control part and data part. These codes are automatically selected when a signature is chosen and are listed in the ChCode Ctl Dat columns. The control part is always spread with the channelization code of spread factor 256. The spread factor for the data part is determined by the slot format, but the node that the channelization code resides on is determined by the signature.

As seen in the Closed Multi PRACH Settings tab, there are eight positions per UE for assigning access slot numbers. When a position has not been assigned an access slot, the box is unchecked. If all eight positions contain unchecked boxes, this has the same affect as turning the UE off. This is because there are no PRACHs to transmit for the UE. You can transmit eight PRACHs per UE by transmitting only the preamble. Since a preamble only occupies one access slot, there would be no overlapping of the PRACH transmissions for an individual UE.

There are multiple ways the instrument can trigger external measurement equipment for measuring the multiple PRACH signal. Some examples of these are shown in the following list:

  • 80 ms frame pulse This coincides with the frame boundaries for SFN mod 8=0.

  • 10 ms frame pulse This denotes the SFN frame boundaries.

  • Preamble pulse This indicates the beginning of the access slot for each preamble transmission.

  • Message pulse This signifies the start of an access slot where the message part is being transmitted.

  • PRACH pulse This denotes the access slot boundaries between PRACH repetitions.

The following image, is for working with three UEs. This illustrates how different UEs can occupy the same access slots, and how to repeat/retransmit a UE’s PRACH. Figure 2 shows a graphical representation of the multiple PRACH transmission, while Figure 3 displays the same signal configuration on a signal analyzer.

Figure 2 Multiple PRACH Timing Setup

Figure 3 Transmitted Multiple PRACH Signal

Figure 4 shows an example of PRACH output timing alignment.

Figure 4 PRACH Signal Alignment


PRACH Synchronization Timing Diagram

This topic contains the PRACH Frame Timing Alignment and Frame Number Alignment synchronization timing diagrams.

Figure 1 illustrates the frame timing alignment for the PRACH channel. Delay time is defined by the sum of the timing offset and timeslot offset minus the Tp-a value.

Figure 1 PRACH Synchronization – Frame Timing Alignment

Figure 2 illustrates the frame number alignment for the PRACH channel. The frame number is aligned by the frame sync trigger signal from the BTS. Best results are achieved when the frame clock is set to 80 or 2560 ms, or a system frame number reset signal is used. When the synchronization trigger is a frame clock of 10, 20, or 40 ms, the signal generator can align frame timing. However, an 80 ms period must equal the cycle of sub-channel 0 and frame boundary to achieve frame number alignment. (The signal generator’s frame number alignment can be observed on the 80 ms frame pulse from the rear panel.)

Figure 2 PRACH Synchronization – Frame Number Alignment


Power Control

This topic shows the DPCH external power control signals.

Figure 1 shows how the external power control feature is implemented.

Figure 1 DPCH Power Control

Figure 2 illustrates the DPCH power control using an external signal. When the Power Hold State is turned off, the instrument's output responds to the power control trigger signal. The transmit power control signal is sent from the base station and indicates whether to increase or decrease the power level. Increases and decreases are done in increments of the specified Power Step. Once the power level has reached the specified Maximum Power, signals requesting an increase in the power level will be ignored (the power is clipped to Maximum Power).

Figure 2 DPCH Power Control


Compressed Mode – Timing Diagrams

Compressed Mode Signals and Parameters

Multiple TGPS Compressed Frame Alignment

Frame Number Alignment


Compressed Mode Signals and Parameters

This topic shows some of the compressed mode's features as displayed on a signal generator.


Multiple Transmission Gap Pattern Sequence (TGPS) Compressed Frame Alignment

This topic shows the following compressed mode alignment features:

  • incorrect multiple TGPS compressed frame alignments

  • correct multiple TGPS compressed frame alignments

  • spectrum analyzer displayed output

And, a DPCH signal alignment timing diagram

When multiple TGPSs are used, it is very important to ensure that there are no overlapping compressed frames configured for the same frame position. If compressed frame overlapping occurs, the instrument discontinues the compressed frame transmission (compressed frame start trigger is terminated) and normal frames are transmitted. When the compressed frames from a multiple TGPS signal are properly aligned, the output is a composite signal that contains the compressed frames from all the pattern sequences. Both conditions are demonstrated in Figure 1 and Figure 2, respectively.

Figure 1 Multiple TGPS Compressed Frame Alignment (Incorrect)

Figure 2 Multiple TGPS Compressed Frame Alignment (Correct)

In Figure 3, you can see two transmissions for TGPSI 1 and one full and a partial transmission for TGPSI 2. Notice the one frame offset for the start of TGPSI 2 that was created by setting its TGCFN field to one.

Figure 3 MultipleTGPIs on the Spectrum Analyzer Display

Figure 4 shows an example of DPCH output timing alignment

Figure 4 DPCH Signal Alignment


Frame Number Alignment

This topic shows the DPCH synchronization and frame number alignment for continuous (infinity) and compressed mode with compressed frame number (CFN).

Figure 1 illustrates the frame number alignment for compressed mode when the TGPRC data field is set to Infinity. In this case, the frame clock period must be equal to or be a multiple of the compressed mode (TG pattern length) definition.

Figure 1 DPCH Synchronization - Frame Number Alignment for Continuous (Infinity) Compressed Mode

Figure 2 illustrates the frame number alignment for compressed mode when it is required to align with CFN number counting. This mode of operation requires a frame clock of 2560 ms or a system frame number reset signal as the frame sync trigger.

Figure 2 DPCH Synchronization - Frame Number Alignment for Compressed Mode with CFN Number Count


AUX I/O Connector Input Signals

The AUX I/O connector has two nodes that control this port:

  • Instrument—Controls the general operating mode of the AUX I/O that applies to all of the AUX I/O signals.

  • Signal IO—Defines which specific signals are going to be input/output on the AUX I/O port. These are specific to your application and to the type of Signal Studio software used. W-CDMA/HSPA+ has three choices for the Signal IO node:

    • Signal IO (DPCCH/DPDCH)

    • Signal IO (PRACH)

    • Signal IO (CELL_FACH)

This topic covers the use case for the AUX input signals and has the following sections (For more information—including AUX external signals—refer to Using the Keysight X-Series Signal Generator AUX I/O Port , AUX I/O Input/Output Pin-outs and Signals Closed figure and Table 1):

  • Overview

  • Switching AUX I/O Port Modes

  • Operational Signaling Modes

    • AUX I/O Port: Input Signaling

    • AUX I/O Port: External Device Signaling (Example)

Closed Table 1. AUX IO Input/Output Pin-outs and Signals
AUX I/O Input/Output Pin-outs and Signals for Real-time Signal Studio
Pin Number | Connector Label/Signal |  | Notes
 | Input | Output |
1 |  | Marker 1 Signal |
2 |  | Marker 2 Signal (Playback only) |
3 |  | Marker 3 Signal |
4 |  | Marker 4 Signal |
5 | -- | -- | Future Use
6 | AUX Strobe |  |
7 |  | 10 MHz Clock |
8 | AUX0 |  |
9 | AUX1 |  |
10 | AUX2 |  |
11 | AUX3 |  |
12 | AUX4 |  |
13 | AUX5 |  |
14 | AUX6 |  |
15 | AUX7 |  |
16 | AUX8 |  |
17 | AUX9 |  |
18 | AUX10 |  |
19 | AUX11 |  |
20 | GND | GND |
21 | AUX12 |  | Future Use
22 | GND | GND |
23 | AUX13 |  | Future Use
24 | GND | GND |
25 | AUX14 |  | Future Use
26 | GND | GND |
27 | AUX15 |  | Future Use
28 | GND | GND |
29 |  | AUX Sample Clock |
30 | GND | GND |
31 |  | AUX out 0 | Future Use
32 | GND | GND |
33 |  | AUX out 1 | Future Use
34 | GND | GND |
35 |  | AUX out 2 | Future Use
36 | GND | GND |

Overview

The AUX input signals are used to provide feedback to the real-time signal generation software, such as N7600B Signal Studio for real-time W-CDMA/HSPA+ signals.

For the N7600B operation, AUX input signaling can be used to provide testing of real-time signal controlling, such as power control loop testing and HARQ testing. An external signal is connected to the AUX input port and used to change signal behavior and to signal a power change for each signal frame for the power control testing, ACK/NACK pattern for HARQ ACK/NACK testing, depends on each feedback signal purpose.

The following feedback signals are available on N7600B:

DPCCH/DPDCH Configuration Mode

  • Tx Power Control Up/Down Pattern

  • Compressed Mode Start Trigger

  • Compressed Mode Stop Trigger

  • DPCCH TPC User File Trigger

  • HSUPA HARQ ACK/NACK Pattern

  • HSUPA TFC T-TFCI Pattern

PRACH configuration mode

  • PRACH Start Trigger

  • AICH Trigger

CELL_FACH

  • Tx Power Control Up/Down Pattern

The AUX input port can be configured in the Signal IO node of the N7600B software. Refer to Figures 1, 2, and 3.

The AUX port has a “Multiplexed” mode and a “Dedicated” mode. Figure 4 indicates that the AUX I/O port is set to “Multiplexed” mode. In Figure 1, notice the 5. Aux Pin/Bit Select parameter area, where the AUX0 pin is selected. This means that the W-CDMA/HSPA+ real-time system will expect you to supply a power control feedback signal using the AUX 0 of the AUX I/O connector.

For the PRACH Signal IO node AUX 0 and AUX 1 are expected to be used for triggering (Figure 2).

For the CELL_FACH Signal IO node AUX 0 is expected to be used for triggering (Figure 3).

Figure 1. Signal IO Node (DPCCH/DPDCH)

Figure 2. Signal IO Node (PRACH)

Figure 3. Signal IO Node (CELL_FACH)

Figure 4. Instrument Node

Signal IO Node AUX Input Parameters

This section describes the Signal IO node, as it relates to the AUX I/O port input signals. The following AUX port settings are displayed in Figures 1, 2, and 3. For more information, refer to Signal IO DPCCH/DPDCH), Signal IO (PRACH), and Signal IO (CELL_FACH).

AUX Port Generation Settings:

  • Signal IO Node

    • AUX Pin/Bit Select (DPCCH/DPDCH)

    • AUX Pin/Bit Select (PRACH)

    • AUX Pin/Bit Select (CELL_FACH)

Aux Port General Settings

State

On or Off — Off means the AUX signaling is ignored

Data Polarity

Positive or Negative — Positive means a 3.3-volt signal is interpreted as a ‘1’ and a 0-volt signal is a ‘0’. Negative selection inverts this so that a 3.3-volt signal is interpreted as ‘0’ and 0-volt signal is interpreted as ‘1’.

Multiplexed Mode Setup

In the Instrument node, the AUX IO Global Controls > Operating Mode can be selected as “Multiplexed” or “Dedicated” – in this case it is selected as “Multiplexed”. Refer to Figure 3 or to the MXG/EXG's User Guide (p/n: N5180-90056).

First Address

For the MXG/EXG it is not necessary to select any Group addresses, so these can be left in their default state.

Second Address

For the MXG/EXG it is not necessary to select any Group addresses, so these can be left in their default state.

Dedicated Mode Setup

  • When “Dedicated” mode is selected, these fields are used to select the AUX port pin and baud rate of the dedicated connection.

  • You can switch between AUX port modes “Dedicated” and “Multiplexed” by selecting the Hardware > Instrument node in the software's tree node, or by using a SCPI command, or by using the instrument front panel. Refer to Figure 3 or to the MXG/EXG's User Guide (p/n: N5180-90056).

Aux Port Pin

Because the AUX port mode is selected as “Multiplexed” these settings are not active, and are shown in grey text. When “Dedicated” mode is selected, this field is used to select the AUX pin of the dedicated connection.

Baud Rate

Because the AUX port mode is selected as “Multiplexed” these settings are not active, and are shown in grey text. When “Dedicated” mode is selected, this field is used to select the baud rate of the dedicated connection.

AUX Pin/Bit Select (DPCCH/DPDCH)

  • In Dedicated mode, the BIT values BIT0 to BIT5 are set by the software and are not editable.

Transmit (Tx) Power Control Up/Down Pattern

This enables you to select which AUX pin (AUX0 ... AUX11) will be routed to control the N7600B up/down power control function.

Compressed Mode Start Trigger

Sets the AUX pin of the multiplexed mode for the compressed mode start trigger.

Compressed Mode Stop Trigger

Sets the AUX pin of the multiplexed mode for the compressed mode stop trigger.

DPCCH TPC User File Trigger

Sets the AUX pin of the multiplexed mode for the DPCCH TPC user file trigger.

HSUPA HARQ ACK/NACK Pattern

Sets the AUX pin of the multiplexed mode for the DPCCH TPC user file trigger.

HSUPA TFC E-TFCI Pattern

Sets the AUX pin of the multiplexed mode for the HSUPA TFC E-TFCI pattern.

AUX Pin/Bit Select (PRACH)

  • In Dedicated mode, the BIT values BIT0 to BIT1 are set by the software and are not editable.

PRACH Start Trigger

Sets the AUX pin of the multiplexed mode for the PRACH start trigger.

AICH Trigger

Sets the AUX pin of the multiplexed mode for the AICH trigger.

AUX Pin/Bit Select (CELL_FACH)

  • In Dedicated mode, the BIT value of BIT0 is set by the software and are not editable.

Tx Power Control Up/Down Pattern

Sets the AUX pin of the multiplexed mode for the CELL_FACH pattern.

Switching AUX input Port Modes

The AUX port has a “Multiplexed” mode and a “Dedicated” mode. In “Multiplexed” mode, auxiliary signaling is sent using level-sensitive binary signaling (3.3V LV TTL) connected to one or more AUX port input bits. In “Dedicated” mode, auxiliary signaling is sent using an RS232C like serial signal at a specified baud rate to a selected AUX port input bit.

The AUX port mode can be selected in the Instrument node's AUX IO Global Controls > Operating Mode parameter (see Figure 4), by sending a SCPI command, or by using the instrument's front panel. Refer to the MXG/EXG's User Guide (p/n: N5180-90056).

AUX Port Global Controls

In the Instrument node there are four AUX Port Global controls.

Operating Mode | Select “Multiplexed” or “Dedicated". These functions as described Signal IO Node AUX Input Parameters.
Input Strobe | There are two selections: Free Run or User. In Free Run mode, the instrument samples the values of the AUX input signals (AUX0 ... AUX11), according to the instruments internal timing – this happens at about 3.5 MHz. In User mode, you must supply a strobe (triggering) signal which causes the AUX input signals to be sampled.
Input Strobe Polarity | You can choose Positive or Negative polarity. With positive polarity, the AUX input signals are sampled via the rising edge (0V to 3.3V transition) of a pulse (AUX strobe) supplied by you to the AUX I/O connector pin 6. With a negative polarity the AUX input signals are sampled on the falling edge of AUX strobe.
Output Strobe Polarity | Determines when the AUX input signals have been sampled by looking at the AUX sample clock (connector pin 29) signal. If the Output Strobe Polarity is positive, this will be a positive going pulse (about 200 ns pulse width), which is triggered when the AUX input signals are sampled. If the polarity is negative, the AUX sample clock will be a series of negative going pulses about 200 ns pulse width.

Operational Signaling Modes

  • AUX I/O Port: Input Signaling

  • AUX I/O Port: External Device Signaling (Example)

AUX I/O Port: Input Signaling

The Auxiliary I/O port is designed to support your real-time signal generation software configuration with the instrument, and to interface with different configurations of external equipment under test.

For example, consider a sample configuration where you are using W-CDMA/HSPA+uplink signal generation software to control the instrument. The N7600B software can be configured to accept a power up or power down command from external equipment to enable testing of power control loops in base stations.

Auxiliary signaling can be delivered from external equipment in one of two formats.

  • Multiplexed: A low-voltage, TTL format where your equipment uses a binary signal connected to the AUX port in an LV TTL format with 0-volts representing a ‘0’, 3.3-volts representing a ‘1'.

    If this signal cannot be delivered directly from the external equipment, an inexpensive interface board can be used to connect to external equipment with a USB connection, for example the USB Bit Whacker (SKU: DEV-00762, www.sparkfun.com), can be used to interface from your external equipment with a USB connection to the Keysight Auxiliary I/O port.

  • Dedicated: A serial format where your equipment uses a serial-port connection, with an LV TTL RS-232 type protocol. Baud rates from 9600 to 460800 are supported in this format. For this purpose, a device can use any low voltage transistor to transistor logic (LV TTL) line that can generate RS-232 type signals, or some simple USB to RS-232 TTL signaling devices can be used. See Figure 4.

    The default serial format Positive is illustrated in Figures 4 and 5. Each signaling transmission consists of an 8-bit character (bits b7 b6 b5 b4 b3 b2 b1 b0, b0 is least-significant bit, b7 is most significant bit). The signaling transmission consists of a start bit ‘0’, followed by the 8 data bits (transmitted LSB first) followed by a stop bit ‘1’. The bit rate can be one of 9600, 19200, 38400, 57600, 115200, 230400, or 460800 bits per second.

    If the polarity is selected as Negative (inverted), then the expected signal will be the inverted form shown in Figure 6.

Figure 4. Serial Data Transmission Format–Polarity is Positive (Default)

Figure 5. Polarity is Positive - Hex Example

Figure 6. Serial Data Transmission Format–Polarity is Inverted

AUX I/O Port: External Device Signaling (Example)

Again, using the W-CDMA/HSPA+ example in AUX I/O Port: Input Signaling. In this example, your external equipment must communicate a command to control the instrument's W-CDMA/HSPA+ reverse link transmission power for the next frame. The external device transmits a signal to either increase or decrease power. This occurs on each frame. See Figure 7.

The diagram below shows a typical interconnect diagram with a W-CDMA/HSPA+ base station for purposes of doing base station receiver test. In this example, the instrument RF signal is connected to the input of the base station, an even-second trigger signal is sent from the base station to the instrument PAT TRIG input (BNC connector on the rear panel) enabling the instrument to synchronize it’s frame timing with the base station, and a power control feedback signal connected to the AUX port of the instrument. Refer to Power Control.

Figure 7. W-CDMA Base Station Receiver Testing Connections

In this case, a single binary signal could be used, where a ‘1’ means to increase power and a ‘0’ means to decrease power. The external equipment generates an LV TTL signal for each frame. For this configuration, your equipment connection to the instrument can be as simple as a cable with a single signal wire and a ground connection. For example: connecting the LV TTL signal to pin 8 of the AUX port connector, and ground to pin 20.

The single line's signaling format can be selected as Multiplexed or Dedicated. The instrument's interface enables selection of the signaling format by pressing the following keys:

Mode > Real-Time Applications > Real-Time Apps System Settings > AUX Port Setup > Operating Mode > Dedicated or Multiplexed

  • In the case of Multiplexed mode, the external equipment can send a 3.3-volt signal or 0-volt signal with each frame to communicate a command to increase or decrease power in the next frame.

  • In the case of Dedicated mode, the external equipment can send a single character each frame to indicate a command to increase or decrease power in the next frame. Any one of these 8-bits, can be used to control the power level in the next frame. In Dedicated mode, your external equipment sends one serial character for each frame.

The instrument's AUX pins, AUX0 to AUX11, are available for delivering auxiliary commands from 1- to 12-bits in width in Multiplexed mode.

In Dedicated mode, where serial format signaling is used, serial signaling can be connected to any one of the pins AUX0 to AUX11.

Dedicated Mode

In Dedicated mode, all signaling is delivered in the serial format as described in AUX I/O Port:Input Signaling. Serial command signals can be connected to the AUX0 to AUX11 pins of the AUX I/O connector. The serial format transmits 8-bits at a time to the instrument. These bits can be mapped to the auxiliary signaling functions of Signal Studio's real-time signal generation software.

The bit assignment on the dedicated mode is fixed for N7600B. The next list shows the bit assignment to the feedback signals on the dedicated mode. The bit assignments are changed by the setting of the channel configuration mode, DPCCH/DPDCH, PRACH, or CELL_FACH mode.

DPCCH/DPDCH Configuration Mode

  • Tx Power Control Up/Down Pattern

BIT0

  • Compressed Mode Start Trigger

BIT1

  • Compressed Mode Stop Trigger

BIT2

  • DPCCH TPC User File Trigger

BIT3

  • HSUPA HARQ ACK/NACK Pattern

BIT4

  • HSUPA TFC T-TFCI Pattern

BIT5

PRACH configuration mode

  • PRACH Start Trigger

BIT0

  • AICH Trigger

BIT1

CELL_FACH

  • Tx Power Control Up/Down Pattern

 BIT0

Multiplexed Mode

In Multiplexed mode, auxiliary commands are delivered as 1- to 12-bit wide commands in LV TTL format.

The same feedback signals supported on the dedicated mode are also available on the multiplexed mode.

Related Topics

Keysight X-Series Signal Generator's User Guide (p/n: n5180-90056)


DPCH Synchronization

This topic shows the following:

  • DPCH Synchronization Frame Timing Alignment

  • DPCH Synchronization Frame Numbering Alignment

DPCH Synchronization – Frame Timing Alignment

Figure 1 illustrates the timing alignment for the DPCH channel. There are two possible instrument modes for determining the delay timing of the DPCH Synchronization - Frame Timing Alignment:

  • N5172B/N5182B Normal Mode: Frame timing is determined by the External Delay Time.

  • E4438C Signal Generator Compatible Mode: Frame timing is determined by the sum of T0 (1024 chips = the standard timing offset between downlink and uplink), timing offset, and timeslot offset.

Figure 1 DPCH Synchronization - Frame Timing Alignment

DPCH Synchronization – Frame Numbering Alignment

Figure 2 illustrates the frame number alignment for the DPCH channel. The frame number is aligned by the frame synchronization trigger signal from the base station (BTS). When using the frame clock, set the frame clock period to be equal or greater than the longest transport channel TTI period (select 10, 20, 40, or 80 ms). In Figure 2, Reference Measurement Channel 12.2k requires a frame clock of 20 ms or longer to achieve the correct frame number alignment. Using a frame clock of 10 ms would cause an unpredictable frame timing alignment with the transport channel TTI period. Best results are achieved when the frame clock is set to 80 or 2560 ms, or a system frame number reset signal is used.

Figure 2 DPCH Frame Number Alignment


Trigger Mode

This topic describes the trigger mode and synchronization for the instrument.

  • Trigger Mode and Synchronization

  • Single Frame Synchronization — Compatible Mode (Detailed)

  • Baseband Initial Triggering and Frame Synchronization for Early and Late Continuous Triggers

The instrument’s frame synchronization method depends on the trigger mode selected:

Single Trigger | The frame timing is adjusted at the first trigger. All triggers, except the first one are ignored and not used for instrument frame timing.
Continuous Trigger | All external triggers are used to adjust the instrument’s frame timing.

Figure 1 , Figure 2 and Figure 3 describe the triggering modes and synchronization patterns.

Figure 1 Trigger Mode and Synchronization

Single Frame Synchronization

Figure 3 illustrates the single synchronization mode behavior, when the instrument is in E4438C compatible mode. Refer to your instrument's documentation at www.keysight.com for the correct instrument SCPI commands. For the N7600B W-CDMA/HSPA+ specific SCPI commands, refer to SCPI.

The software was set for a single frame synchronization mode measurement:

  1. Instrument is armed (Refer to instrument's display). The RF signal is set automatically set to CW.

  2. The first trigger occurs. The MXG/EXG responds to the trigger signal (Pattern Trigger in 1) and initiates the trigger delay count to align the frame timing with the trigger timing.

    • For the DPCH mode, the trigger delay value is: 1024 chip + Timing Offset + Timeslot Offset + SFN-CFN Offset + External Delay Time

    • After the delay count is completed, the instrument stops the CW signal output and starts the W-CDMA modulated signal output.

  3. At this point, if a second trigger occurs, the MXG/EXG ignores the second trigger, because after the first trigger, the instrument has already aligned with the timing at “2”.

  4. Customer executes the “Apply” operation. The generated IQ/RF signal is unstable for a short time, and frame timing aligned at “2" is interrupted. The W-CDMA application is ready to receive a trigger signal.

  5. The trigger state is armed. But, there is no front panel indication of the instrument being armed. At this step, the output signal is W-CDMA modulated, but the modulated signal is uncorrected.

  6. Customer executes a trigger signal. MXG/EXG responds to the trigger signal (Pattern Trigger in 1) and starts the trigger delay count to align the frame timing with the trigger timing.

  7. The trigger delay count has been completed. The MXG/EXG adjusts its power level.

    The trigger delay time shown at this point includes the following: trigger detection and the (trigger delay + sync marker frame cycle (W-CDMA default is 80 ms).

  8. MXG/EXG starts a newly synched frame generation. The trigger signal has aligned at "7", so additional trigger signals will be ignored, until the W-CDMA real-time is toggled (On/Off) or software's "Apply" is executed.

Figure 2 E4438C Compatible Mode – Single Frame Synchronization Mode Behavior

For the following timing diagrams, the transmission time interval (TTI) can be set to 10 ms, 20 ms, 40 ms, or 80 ms.

Figure 3 Baseband Initial Triggering and Frame Synchronization for Early and Late Continuous Triggers

The instrument checks the timing difference between the external trigger and the internal frame timing whenever an external trigger is received. If the single trigger mode is selected, the instrument checks the timing difference between the external trigger and the internal frame timing when the first trigger is received. If continuous trigger mode is selected, timing is checked at each trigger signal.


External Input-Based HARQ TTI Scheduling

External Input-Based HARQ Scheduling (TTI = 10 ms)

External Input-Based HARQ Scheduling (TTI = 2 ms)


External Input-Based HARQ Scheduling (TTI = 10 ms)

The Tsample_delay value is applicable for both the Dedicated and the Multiplexed modes.

Tsample_delay value can be set in the HSUPA node or via SCPI command. Refer to HARQ ACK/NACK Pattern Delay for External.

In order to sample successfully, Tsample_delay value should indicate the center part of the Ack/Nack feedback. Refer to figure above.

In this example, Tsample_delay = 96000 chip (= 25 ms * 3.84 MHz)

Tsample_delay = The delay of the external trigger for the HARQ Ack/Nack feedback

(i.e. The Tsample_delay value can be set by the W-CDMA Uplink > Channels > HSUPA > HARQ ACK/NACK Pattern Delay for External parameter.)


External Input-Based HARQ Scheduling (TTI = 2 ms)

The Tsample_delay value is applicable for both the Dedicated and the Multiplexed modes.

Tsample_delay value can be set in the HSUPA node or via SCPI command. Refer to HARQ ACK/NACK Pattern Delay for External.

In order to sample successfully, Tsample_delay value should indicate the center part of the Ack/Nack feedback. Refer to figure above.

In this example, Tsample_delay = 34560 chip (= 9 ms * 3.84 MHz)

Tsample_delay = The delay of the external trigger for the HARQ Ack/Nack feedback

(i.e. The Tsample_delay value can be set by the W-CDMA Uplink > Channels > HSUPA > HARQ ACK/NACK Pattern Delay for External parameter.)


Continuous Packet Connectivity (CPC)

This topic illustrates some oscilloscope signal examples for the CPC feature.

  • E-DCH TTI = 2 msec

  • E-DCH TTI = 10 msec

Where E-DCH TTI = 2 msec:

E-DCH TTI = 2 msec

UE_DTX_cycle_1 = 20 subframes

UE_DTX_burst_1 = 2 subframes

Preamble length = 2 slots

Postamble length = 1 slot

Where E-DCH TTI = 10 msec

E-DCH TTI = 10 msec

UE_DTX_cycle_1 = 20 subframes

UE_DTX_burst_1 = 5 subframes

Preamble length = 2 slots

Postamble length = 1 slot


E-TFCI Switching

This topic illustrates the E-TFCI switching.


Instrument (MXG/EXG Real-Time Software)

This topic describes the parameters available in the Closed Instrument node for real-time Signal Studio products. Some parameters will vary by product.

State On

State Off

Update from Instrument

Preset

DC Cal

Power Search

Hint

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Baseband

6. AUX IO Global Controls

7. Trigger

8. Real-time AWGN Setup

State On

Turns the application on, generating the real-time IQ signal in the connected instrument with the parameters you set in the software.

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe]?

State Off

Turns the application off, disabling the real-time IQ and RF signals on the connected instrument.

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe]?

Update from Instrument

Retrieves the parameters from the connected instrument and updates the Instrument node settings.

Preset

Sets the signal generator to the factory-defined default state.

:SYSTem:PRESet

*RST

DC Cal

Performs a one to two second adjustment that is not traceable to a standard. However, it will minimize errors associated with offset voltages. This adjustment minimizes errors for the current instrument setting and at a single frequency. The DC adjustment is volatile and must be repeated with each instrument setting change.

:CALibration:IQ:DC

*OPC

Power Search

Coupling:The ALC must be Off to use this feature.

Executes a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

[:SOURce]:POWer:ALC:SEARch ONCE

*OPC

Hint

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

[:SOURce]:FREQuency[:CW] <val><unit>

[:SOURce]:FREQuency[:CW]?

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude] <val><unit>

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]?

RF Output

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

:OUTPut[:STATe] ON|OFF|1|0

:OUTPut[:STATe]?

3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

[:SOURce]:DM:IQADjustment[:STATe]?

I Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:IOFFset <val><unit>

[:SOURce]:DM:IQADjustment:IOFFset?

Q Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QOFFset <val><unit>

[:SOURce]:DM:IQADjustment:QOFFset?

I/Q Gain Balance

Range: –1 dB to 1 dB

Default: 0.000 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:GAIN[1] <val><unit>

[:SOURce]:DM:IQADjustment:GAIN[1]?

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0.00 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QSKew <val><unit>

[:SOURce]:DM:IQADjustment:QSKew?

I/Q Timing Skew Path

This cell is grayed out and provides no function.

I/Q Correction Optimized Path

Choice: RF Output | Ext I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:DM:CORRection:OPTimization RFOut|EXTernal

[:SOURce]:DM:CORRection:OPTimization?

I/Q Skew

Range: –500 ns to 500 ns

Default: 0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

[:SOURce]:DM:IQADjustment:SKEW <val><unit>

[:SOURce]:DM:IQADjustment:SKEW?

I/Q Delay

Range: –250 ns to 250 ns

Default: 0.0 seconds

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

[:SOURce]:DM:IQADjustment:DELay <val><unit>

[:SOURce]:DM:IQADjustment:DELay?

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

[:SOURce]:POWer:ALC[:STATe] ON|OFF|1|0

[:SOURce]:POWer:ALC[:STATe]?

ALC Bandwidth

Choice: Auto | 200 Hz | 2 kHz | 20 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO ON|OFF|1|0

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO?

[:SOURce]:POWer:ALC:BANDwidth|BWIDth 200Hz|2kHz|20kHz

[:SOURce]:POWer:ALC:BANDwidth|BWIDth?

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:ALC:SEARch:REFerence RMS|FIXed|MANual|MODulated

[:SOURce]:POWer:ALC:SEARch:REFerence?

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:PROTection[:STATe] ON|OFF|1|0

[:SOURce]:POWer:PROTection[:STATe]?

5. Baseband

Sample Rate

Range: dependent on the instrument and its configuration—refer to the instrument's Data Sheet for the range

Default: 3.840000 MSa/s

Modify the Sample Rate by entering a value within the limits of the instrument.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:SAMPle:RATE?

Runtime Scaling

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Adjusts the scaling of the I and Q data. Reducing the runtime scaling prevents over ranges from occurring. Runtime scaling is also used to scale signals relative to each other.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:RSCaling <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:RSCaling?

Frequency Offset

Range: -60 MHz to 60 MHz

Default: 0 Hz

Moves the baseband signal above or below the carrier by the specified frequency. When simulating adjacent channel interferers, this allows you to offset the waveforms to avoid overlap between the waveforms.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:FREQuency:OFFSet?

Input RMS Source

Identifies where the instrument gets the RMS voltage value of the signal to ensure the correct amplitude of the signal is at the output of the signal generator when the power calibration is performed.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POWer:SOURce

6. AUX IO Global Controls

Operating Mode

Choice: Multiplexed | Dedicated

Default: Multiplexed

Double-click or use the drop-down menu to select the AUX I/O port operating mode.

Multiplexed − configures the AUX I/O port operating mode to Multiplexed for real-time applications.

Dedicated − configures the AUX I/O port operating mode to Dedicated for real-time applications.

[:SOURce]:IQ:AUX:OPERating:MODE DEDicated|MULTiplexed

[:SOURce]:IQ:AUX:OPERating:MODE?

Input Strobe

Choice: Free Run | User

Default: Free Run

Double-click or use the drop-down menu to select the AUX I/O port input strobe. In Dedicated operating mode, the instrument will always be in Free Run mode. If Multiplexed mode is selected, either Free Run or User input strobe mode can be selected.

Free Run − new input data is latched based on an internal clock.

User − a user supplied strobe signal is used to latch data.

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE] FREE|USER

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE]?

Input Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the user external input strobe signal. This external input strobe signal must be at least 200 ns wide, and user must hold assert 16 input data bits stable 20 ns before the active edge of the user input strobe and hold the data stable for at least 100 ns after the active edge of the user input strobe.

Positive − a rising edge of the external strobe signal will latch the data.

Negative − a falling edge will latch the data.

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe?

Output Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the AUX output sample clock. This signal indicates that the 16 input data bits have been latched and will be output in both Free Run and external input strobe mode. The output pulse will be at least 200 ns wide.

Positive − a pulse with a rising edge will be asserted to indicate when the 16 input data bits have been latched.

Negative − a pulse with a falling edge will be asserted to indicate when the 16 input data bits have been latched.

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe?

7. Trigger

Trigger Type

Choice: Free Run | Trigger & Run

Default: Free Run

Coupling: In multiple-instrument configurations, the Trigger Type is set to Trigger and Run for all and cannot be changed

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run − immediately triggers when you turn the format on.

Trigger & Run − waits for and starts on the first trigger; ignores subsequent triggers.

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE] FREE|TRIGger

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE]?

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Coupling: In multiple-instrument configurations, this parameter can only be changed on Instrument 1.

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External − enables you to trigger a waveform with an externally supplied trigger signal.

Bus − enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

[:SOURce]:IQ:OUTPut:TRIGger:SOURce KEY|BUS|EXTernal

[:SOURce]:IQ:OUTPut:TRIGger:SOURce?

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Selects the rear-panel connector for the external trigger source. This parameter is enabled only if external triggering is selected as the trigger source.

Pattern Trigger In 1 − selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 − selects the PATTERN TRIG IN 2 (AUXILIARY I/O) rear panel connector

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce EPT1|EPT2|EPTRIGGER1|EPTRIGGER2

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce?

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select external (Ext) as the trigger source.

Positive − the signal generator triggers an event when it detects a rising edge on the PAT TRIG IN signal.

Negative − the signal generator triggers an event when it detects a falling edge on the PAT TRIG IN signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity POSitive|NEGative

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity?

External Delay Time

Range: 0 s to 41 s

Default: 0 s

Enter a value to set a delay time between when an external trigger is received and when it is applied to the signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay <val>

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay?

8. Real-time AWGN Setup

Real-time AWGN

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the AWGN generator.

On − enables the AWGN.

Off − disables the AWGN.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe]?

Signal to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Enter a value to set the signal to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR?

Integration Bandwidth

Choice: Auto | Manual

Default: Auto

Specifies the integration bandwidth is auto or manual.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO?

Integration Bandwidth

Range: 1.0 Hz to 200.000 MHz, the limits are affected by the instrument types and options.

Default: 3.840000 MHz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth?

Flat Noise Bandwidth

Range: 1.0 Hz to 160.000 MHz, the limits are affected by the instrument types and options.

Default: 1.0 Hz

Enter a value to set the flat noise bandwidth, which is typically set wider than the carrier bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth?


W-CDMA Uplink (DPCCH/DPDCH)

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. General Settings

Channel Configuration Mode

Choice: DPCCH/DPDCH | PRACH | CELL_FACH

Default: DPCCH/DPDCH

Double-click or use the drop-down menu to set the channel configuration mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE PRACh|DPCCh|CFACh

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE?

Filter Type

Choice: Root Nyquist | Nyquist | Gaussian | Rectangle | IS95 | IS95 w/EQ | IS95 Mod | IS95 Mod w/EQ | APCO 25 C4FM | UN3/4 GSM Gaussian | User FIR Filter | User File

Default: Root Nyquist

Set the filter type by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Filter Setup dialog box.

See Filter Setup, for descriptions of the various filter selections and how to use this dialog box.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer RNYQuist|NYQuist|GAUSsian|RECTangle|IS95|IS95_EQ|IS95_MOD|IS95_MOD_EQ|AC4Fm|UGGaussian|PATTern|"<user_FIR>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer?

If you select RNYQuist, NYQuist, or GAUSsian, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel EVM|ACP

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel?


Channels (DPCCH/DPDCH)

Buttons and Tabs

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

This button opens the RMC/FRC Wizard dialog box. This dialog box can be used to set up the Reference Measurement Channel (RMC) or the Fixed Reference Channel (FRC).

This tab accesses the 1. General Settings parameters.

This tab accesses the Code Domain Graphics dialog box.

1. General Settings

Scrambling Code

Range: 0 to 16777215

Default: 0

Sets the scrambling code number.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SCRamblecode?

Code Domain Graphics

Controls the states and power levels for the uplink channels. Also, displays the channel coding, spreading factor (SF), and data-type information.


DPCCH

The Dedicated Physical Control Channel (DPCCH) transmits the connection-mode signaling and control to the UEs.

1. DPCCH | 2. DPCCH Data
State | DPCCH Data
Power |
Channel Code |
Slot Format |
Symbol Rate |
Spreading Factor |
TFCI State |
TFCI Data |
FBI State |
FBI Data |
TPC Pattern |
TPC Number of Steps |
TPC Pattern Trigger State |

DPCCH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. DPCCH

State

Choice: Off | On

Default: On

Enables or disables the DPCCH state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh[:STATe]?

Power

Range: –40 to 0 dB

Default: –2.69 dB

Enter the DPCCH power level in dB.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:POWer?

Channel Code

Range: 0 to 255

Default: 0

Sets the channel code of DPCCH. This field is enabled when only the DPCCh and/or DPDCH state are set to On. Indicates the calculated channel code of DPCCH when other channel states are set to On.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:CCODe?

Slot Format

Range: 0 to 5

Default: 0

Sets the slot format of DPCCH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:SLOTformat?

Symbol Rate

Indicates the Symbol Rate (symbol per second: sps) for DPCCH. This value is fixed to 15 ksps.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:RATE?

Spreading Factor

Indicates the Spreading Factor for DPCCH. This parameter is not editable.

TFCI State

Displays the TFCI State. This state is not editable and linked to the value of the DPCCH Slot Format.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI[:STATe]?

UI Parameter: TFCI State

TFCI Data

Choice: PN9 | PN15 | FIX | Custom Pattern | User File

Default: FIX [10-bit] (0)

FIX Range: 0 to 1023 (0x3FF), Default: 0

Edit the TFCI Data for the dedicated physical control channel (DPCCH) on the cell. Then click on the dialog box icon [image] to launch the Closed TFCI Data dialog box.

Opens a that sets the Transport format combination indicator for DPCCH.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

Custom Pattern | Sets the E-DPCCH data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 10 patterns.
User File | This variable specifies a data pattern that has been stored in memory.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern PN9|PN15|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern?

If you select PATTern or FIX, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:PATTern?

FBI State

Displays the DPCCH FBI state. This state is not editable and linked to the value of the DPCCH Slot Format.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI[:STATe]?

FBI Data

Choice: FIX | PN9 | PN15 | Custom Pattern | User File

Default: FIX [30-bit] (0x00000000)

FIX Range: 0 to 0x3FFFFFFF, Default: 0

Edit the FBI pattern (30-bit) for the dedicated physical control channel (DPCCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed FBI Data dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern PN9|PN15|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern?

If you select PATTern or FIX, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:PATTern?

TPC Pattern

Choice: PN9 | PN15 | FIX4 | Up/Down | Down/Up | Up All | Down All | Custom Pattern | User File

Default: Up/Down

Edit the TPC pattern by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed TPC Pattern dialog box.

The increase/decrease direction for UE power level changes is determined by the transmit power control (TPC) pattern.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern PN9|PN15|FIX4|UDOWn|DUP|UALL|DALL|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:PATTern?

Number of Steps

Choice: 1 to 80

Default:1

Sets the number of steps for increasing/decreasing the user's equipment (UE) power.

If the parameter set by the following command is changed while the signal is active, Play must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:NSTeps <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:NSTeps?

TPC Pattern Trigger State

Choices: On | Off

Default: Off

Enables or disable the TPC Patter Trigger State.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe] OFF|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe]?

2. DPCCH Data

DPCCH Data

Choice: PN9 | PN15 | FIX4 | Standard | Custom Pattern | User File

Default: Standard

Edit the data pattern for the dedicated physical control channel (DPCCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed DPCCH Data dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA PN9|PN15|FIX4|STD|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:PATTern?


DPDCH

The Dedicated Physical Data Channel (DPDCH) transmits the higher layer information (e.g. user data, ...).

See also, DCH.

1. DPDCH | 2. DPDCH Data | 3. Transport Channel BER
State | Data | Transport Channel BER
Power | Number of DCH | Transport Channel BER Cycle Length
Channel Code |  | Transport Channel BER Error Insertion Length
Slot Format |  |
Symbol Rate |  |
Spreading Factor |  |
Nmax-dpdch |  |

DPDCH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. DPDCH

State

Choice: Off | On

Default: On

Enables or disables the DPDCH state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh[:STATe]?

Power

Range: –40 to 0 dB

Default: 0 dB

Enter the DPDCH power level in dB.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command, Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:POWer?

Channel Code

Range: 0 to 255

Default: 16

Sets the channel code of DPDCH. This field is enabled when only the DPCCh and/or DPDCH states are set to On. Indicates the calculated channel code of DPDCH when other channel states are set to On.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command, Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:CCODe?

Slot Format

Range: 0 to 6

Default: 2

Sets the slot format of DPDCH. This value is coupled to Symbol Rate.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command, Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:SLOTformat?

Symbol Rate

Selection: 15 ksps | 30 ksps | 60 ksps | 120 ksps | 240 ksps | 480 ksps | 960 ksps

Default: 60 ksps

Sets the Symbol Rate (symbol per second: sps) for DPDCH. This value is coupled to Slot Format.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command, Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:RATE?

Spreading Factor

Indicates the Spreading Factor for DPDCH. This parameter is not editable.

Nmax-dpdch

Choice: 0 | 1

Default: 1

Sets the maximum number of DPDCH (Nmax-dpdch) to control channel assignment.

This field is available when the DPDCH State is Off. When DPDCH State is On, this field is always 1.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command, Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:NMDPdch 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:NMDPdch?

2. DPDCH Data

Data

Choice: PN9 | PN15 | FIX4 | DCH|Custom Pattern| User File

Default: DCH

Edit the Data for the dedicated physical data channel (DPDCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command, Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA PN9|PN15|FIX4|DCH|"<filename>"|TRANspch|PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:PATTern?

Number of DCH

Range: 1 to 6

Default: 2

Sets the number of DCH for DPDCH coding source.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command, Apply Needed ( [image]) button must be executed for the change to occur.

If you are using DCH, the following command enables or disables each DCHn. There is no SCPI command for directly choosing the Number of DCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]| 2|3|4|5|6[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]| 2|3|4|5|6[:STATe]?

3. Transport Channel BER

Transport Channel BER

Range: 0.000000 to 1.000000

Default: 0.000000

Shows the value of the DPDCh Transport channel BER. This value is calculated by the DPDCH Transport channel BER cycle length and error insertion length.

Transport Channel BER Cycle Length

Range: 0 to 65535

Default: 0

Sets the cycle length of the DPDCh Transport channel BER.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER[:CLENgth] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER[:CLENgth]?

Transport Channel BER Error Insertion Length

Range: 0 to 4095

Default: 0

Sets the error insertion length of the DPDCH Transport channel BER.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER:ELENgth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER:ELENgth?

Related Topics

DCHn


DCHn

The Dedicated Channel (DCH) is a downlink or uplink transport channel. The DCH can be transmitted over the entire cell or over only a part of the cell using beam-forming antennas.

1. DCH | 2. DCH Data | 3. Error Insertion Settings
Block Size | Data | Error Insertion Mode
Coding Type |  | BLER
CRC Length |  | BLER Error Blocks
TTI |  | BLER Total Blocks
Bits Per Frame |  | BER
Bit Rate |  | BER Error Bits
Puncture Rate |  | BER Total Bits
Maximum Puncture Rate |  |
Rate Matching Attribute |  |
Number of Blocks |  |

DCHn Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. DCH

Block Size

Range: 0 to 5000

Default: 244 (DCH1), 100 (DCH2), 20 (DCH3-6)

Sets the coupling block size for the selected dedicated transport channel (DCH).

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BLKSize <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BLKSize?

Coding Type

Choice: 1/2 Rate Convolutional Encoder | 1/3 Rate Convolutional Encoder | Turbo Coder | No Coding

Default: 1/3 Rate Convolutional Encoder (DCH1-2), 1/2 Rate Convolutional Encoder (DCH3-6)

Sets the coding type of the data for the DPCH.

1/2 Rate Convolutional Encoder | This choice selects a coding with the 1/2 rate convolutional encoder.
1/3 Rate Convolutional Encoder | This choice selects a coding with the 1/3 rate convolutional encoder.
Turbo Coder | This choice selects a coding with the turbo coder.
No Coding | This choice selects no coding type.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CODE HCONv|TCONv|TURBo|NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CODE?

CRC Length

Choice: 0 | 8 | 12 | 16 | 24

Default: 16 (DCH1), 12 (DCH2), 8 (DCH3-6)

Sets the number of the cyclic redundancy check (CRC) bits for DCH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CRC 0|8|12|16|24

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CRC?

TTI

Choice: 10 | 20 | 40 | 80 (ms)

Default: 20 ms (DCH1), 40 ms (DCH2), 10 ms (DCH3-6)

Sets the transmission time interval (TTI) allowed for DCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:TTI 10000|20000|40000|80000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:TTI?

Bits Per Frame

This parameter indicates the bits per frame for the selected dedicated transport channel (DCH). This parameter is not editable.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BPFRame?

Bit Rate

The bits rate for the selected dedicated transport channel (DCH). This parameter is not editable.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BRATe?

Puncture Rate

The percentage of the total bits removed from or added to the fully coded channel. This parameter is not editable.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:PPERcentage?

Maximum Puncture Rate

Indicates the allowed maximum puncture rate. This parameter is not editable.

Rate Matching Attribute

Range: 1 to 256

Default: 256 (DCH1-2), 1 (DCH3-6)

Sets the rate matching attribute.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:RMATch <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:RMATch?

Number of Blocks

Range: 0 to 512

Default: 1

Sets the number of blocks transmitted by the active dedicated transport channel (DCH).

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:NBLock <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:NBLock?

2. DCH Data

Data

Choice: PN9 | PN15 | FIX4 |Custom Pattern | User File

Default: PN9

Edit the Data pattern for the dedicated transport channel (DCH) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data dialog box .

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

PN9 | Sets DCH data pattern to PN9.
PN15 | Sets DCH data pattern to PN15.
FIX4 | Sets the DCH data pattern to FIX4 (4-bit binary).
Pattern | This choice selects custom as the data source.
User File | This variable represents a data pattern file stored in instrument memory. The data pattern must contain at least one bit or the Play feature will not work.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA PN9|PN15|FIX4|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:PATTern?

3. Error Insertion Settings

Error Insertion Mode

Choice: None | BER | BLER

Default: None

Sets the error insertion mode.

BLER | This choice selects a block error rate (BLER) mode.
BER | This choice selects a bit error rate (BER) mode.
NONE | This choice selects no BLER or BER mode (no error blocks or bits inserted).

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:EINSert BLER|BER|NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:EINSert?

BLER

Range: 0 to 1, Resolution: 0.001

Default: 0

Sets the BLER for the BLER insertion.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BLER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BLER[:VALue]?

BLER Error Blocks

Shows the number of error blocks for the BLER error insertion.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]:DCH[1]|2|3|4|5|6:DATA:BLER:ERRor:BLOCk?

BLER Total Blocks

Shows the number of total blocks for the BLER error insertion.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]:DCH[1]|2|3|4|5|6:DATA:BLER:TOTal:BLOCk?

BER

Range: 0 to 1, Resolution: 0.0001

Default: 0

Sets the BER for the BLER insertion.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER[:VALue]?

BER Error Bits

Shows the number of error bits for the BER error insertion.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER:ERRor:BIT?

BER Total Bits

Shows the number of total bits for the BER error insertion.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER:TOTal:BIT?

Related Topics

DPDCH


HS-DPCCH

The High-speed Dedicated Physical Control Channel (HS-DPCCH) transmits the ACK/NACK information for the physical layer re-transmissions and the channel quality information (CQI) that is used in the Node B scheduler to determine which terminal to transmit and at which data rate.

1. General Settings | 2. Dual Cell and MIMO Settings
State | Secondary Cell Active
Channel Code | Primary Cell MIMO State
CQI Part Power | Secondary Cell MIMO State
ACK Part Power | Delta-ACK
NACK Part Power | Delta-NACK
Subframe Delay (256 Chips Unit) | Delta-CQI
ACK/NACK Pattern | Primary Cell MIMO ACK/NACK Pattern
CQI Pattern | Secondary Cell ACK/NACK Pattern (non-MIMO)
HS-DSCH Configured | Secondary Cell MIMO ACK/NACK Pattern
 | Primary Cell CQI (Dual Cell (non-MIMO))
 | Secondary Cell CQI (Dual Cell (non-MIMO))
 | CQI Feedback Cycle
 | CQI Repetition Factor
 | CQI MIMO CQI1
 | CQI MIMO CQI2
 | CQI MIMO M/N Ratio
 | CQI MIMO PCI
 | CQI MIMO Preferred Number of Transport Blocks
 | CQI Data Fix Pattern
 | ACK-NACK Repetition Factor
 | Preamble Mode

HS-DPCCH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. General Settings

State

Choice: Off | On

Default: On

Enables or disables the HS-DPCCH state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch[:STATe]?

Channel Code

Indicates the channel code for HS-DPCCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CCODe?

CQI Part Power

Range: –40 to 0

Default: –2.69

Set the power level for the CQI part of the uplink HS-DPCCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPOWer?

ACK Part Power

Range: –40 to 0

Default: –2.69

Sets the power level for the ACK part of the uplink HS-DPCCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APOWer?

NACK Part Power

Range: –40 to 0

Default: –2.69

Set the power level for the NACK part of the uplink HS-DPCCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:NPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:NPOWer?

Subframe Delay (256 Chips Unit)

Range: 0 to 250

Default: 0

Sets the subframe delay of the uplink HS-DPCCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SFDelay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SFDelay?

ACK/NACK Pattern

Choice: DTX All | ACK All | NACK All | Custom Pattern| User File

Default: ACK All

Edit the ACK/NACK Pattern of the uplink HS-DPCCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed ACK/NACK Pattern dialog box.

This is also used as the primary cell ACK/NACK pattern (non-MIMO).

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

DTX All | This choice sets all subframes to DTX. DTX is represented by 10.
ACK All | An ACK response is represented by 00.
NACK All | A NACK response is represented by 01.
Custom Pattern |
User File | This variable represents an ACK pattern file stored in signal generator memory. The file must contain 2,560-bits of data (2 bit per subframe) or the Play will execute.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern NONE|ACK_ALL|NACK_ALL|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern?

If you select PATTern, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern:PATTern?

CQI Pattern

Choice: DTX All | FIX | Custom Pattern|User File

Default: DTX All

Edit the CQI pattern of the uplink HS-DPCCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed CQI Pattern dialog box.

This value is valid when the secondary cell state is Off and the primary cell MIMO state is Off. The FIX value is used as the CQI value for dual cell/MIMO cases when the secondary cell state is On or MIMO state is On.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

  • A CQI response range is one to thirty using 8 bit, 00000001 to 00011110.

  • DTX is represented by 11111111

DTX All | This choice sets all subframes to DTX.
FIX | The FIX value is used as the CQI value for dual cell/MIMO cases when the secondary cell state is On or MIMO state is On.
Custom Pattern | Sets the DPCCH FBI data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 81920 patterns.
User File | This variable represents a bit file stored in signal generator memory. The file must contain 10,240-bits of data (8 bit per subframe) or the apply function (uplink apply command) will not work.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern NONE|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern?

If you select PATTern or FIX, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:PATTern?

HS-DSCH Configured

Choice: No | Yes

Default: Yes

Sets the HS-DSCH configured state to control channel assignment. This field is available when HS-DPCCH state is Off. When HS-DPCCH state is On, this field is always "Yes".

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HCONfig 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HCONfig?

2. Dual Cell and MIMO Settings

Secondary Cell Active

Choice: 0 | 1

Default: 0

Select the HS-DPCCH secondary cell active.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:ACTive <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:ACTive?

Primary Cell MIMO State

Choice: On | Off

Default: Off

Enables or Disables the HS-DPCCH primary cell MIMO state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO[:STATe] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO[:STATe]?

Secondary Cell MIMO State

Choice: On | Off

Default: Off

Enables or disables the HS-DPCCH secondary cell MIMO state. This value is valid when the secondary cell state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO[:STATe] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO[:STATe]?

Delta-ACK

Range: 0 to 8

Default: 0

Sets the Delta-ACK. This value is valid when the secondary cell state is On or the primary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DACK <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DACK?

Delta-NACK

Range: 0 to 8

Default: 0

Sets the Delta-NACK. This value is valid when the secondary cell state is On or the primary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DNACk <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DNACk?

Delta-CQI

Range: 0 to 8

Default: 0

Sets the Delta-CQI. This value is valid when the secondary cell state is On or the primary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DCQI <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DCQI?

Primary Cell MIMO ACK/NACK Pattern

Choice: DXT All | ACK All | NACK All | ACK/ACK All | ACK/NACK All | NACK/ACK All | NACK/NACK All | Custom Pattern| User File

Default: ACK/ACK All

Edit the primary cell MIMO ACK/NACK Pattern of the uplink HS-DPCCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Primary Cell MIMO ACK/NACK Pattern dialog box.

This value is valid when the primary cell MIMO state is On.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern NONE|ACK_ALL|NACK_ALL|ACKACK_ALL|ACKNACK_ALL|NACKACK_ALL|NACKNACK_ALL|PATTern|<”filename”>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern?

If you select PATTern or <"filename">, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern:PATTern?

Secondary Cell ACK/NACK Pattern (non-MIMO)

Choice: DXT All | ACK All | NACK All| Custom Pattern | User File

Default: ACK All

Edit the secondary cell ACK/NACK pattern (non-MIMO) transmission pattern of the uplink HS-DPCCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Secondary Cell ACK/NACK Pattern (non-MIMO) dialog box.

This value is valid when the secondary cell state is On and the secondary cell MIMO state is Off.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern NONE|ACK_ALL|NACK_ALL|PATTern|<”filename”>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern?

If you select <"filename"> or PATTern use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern:PATTern?

Secondary Cell MIMO ACK/NACK Pattern

Choice: DXT All | ACK All | NACK All | ACK/ACK All | ACK/NACK All | NACK/ACK All | NACK/NACK All| Custom Pattern | User File

Default: ACK/ACK All

Edit the secondary cell MIMO ACK/NACK transmission pattern of the uplink HS-DPCCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Secondary Cell MIMO ACK/NACK Pattern dialog box .

This value is valid when the secondary cell state is On and the secondary cell MIMO state is On.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern NONE|ACK_ALL|NACK_ALL|ACKACK_ALL|ACKNACK_ALL|NACKACK_ALL|NACKNACK_ALL|PATTern|<”filename”>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern?

If you select <"filename"> or PATTern use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern:PATTern?

Primary Cell CQI (Dual Cell (non-MIMO))

Range: 0 to 14

Default: 0

Sets the primary cell CQI for dual cell (non-MIMO) case. This value is valid when the secondary cell state is On and the both of primary and secondary cell MIMO states are Off.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:DCELl:CPATtern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:DCELl:CPATtern:FIX?

Secondary Cell CQI (Dual Cell (non-MIMO))

Range: 0 to 14

Default: 0

Sets the secondary cell CQI for dual cell (non-MIMO) case. This value is valid when the secondary cell state is On and the both of Primary and Secondary cell MIMO states are Off.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:DCELl:CPATtern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:DCELl:CPATtern:FIX?

CQI Feedback Cycle

Choice: 0 | 2 | 4 | 8 | 10 | 16 | 20 | 32 | 40 | 64 | 80 | 160

Default: 0

Sets the CQI Feedback Cycle. This value is valid when the secondary cell state is On or the primary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:FCYCle <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:FCYCle?

CQI Repetition Factor

Range: 1 to 4

Default: 1

Sets the CQI repetition factor. This value is valid when the secondary cell state is On or the primary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:RFACtor <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:RFACtor?

CQI MIMO CQI1

Range: 0 to 14

Default: 0

Sets the CQI MIMO CQI1. This value is valid when the primary or secondary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:CPATtern[1]:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:CPATtern[1]:FIX?

CQI MIMO CQI2

Range: 0 to 14

Default: 0

Sets the CQI MIMO CQI2. This value is valid when the primary or secondary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:CPATtern2:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:CPATtern2:FIX?

CQI MIMO M/N Ratio

Choice: 1/1 | 1/2 | 2/3 | 3/4 | 4/5 | 5/6 | 6/7 | 7/8 | 8/9 | 9/10

Default: 1/1

Sets the CQI MIMO M/N Ratio. This value is valid when the secondary cell state is On or the primary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:MNRatio MN1_1|MN1_2|MN2_3|MN3_4|MN4_5|MN5_6|MN6_7|MN7_8|MN8_9|MN9_10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:MNRatio?

CQI MIMO PCI

Range: 0 | 3 (when CQI MIMO preferred number of transport blocks is 1)

Range: 0 to 3 (when CQI MIMO preferred number of transport blocks is 2)

Default: 0

Sets the CQI MIMO PCI. This value is valid when the primary or secondary MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PCI <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PCI?

CQI MIMO Preferred Number of Transport Blocks

Range: 1 to 2

Default: 1

Sets the CQI MIMO preferred number of transport blocks. This value is valid when the primary or secondary MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PNTBlocks <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PNTBlocks?

CQI Data Fix Pattern

Range: 0 to 30

Default: 0

Sets the CQI Fix data.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:FIX?

ACK-NACK Repetition Factor

Range: 1 to 4

Default: 1

Sets the ACK-NACK repetition factor. This value is valid when the secondary cell state is On or the primary cell MIMO state is On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:ANACk:RFACtor <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:ANACk:RFACtor?

Preamble Mode

Choice: Off | On

Default: Off

Enables or disables the preamble mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PMODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PMODe?


HSUPA - General Settings

High-speed Uplink Packet Access (HSUPA) offers greater efficiencies with the following:

  • transport channel Enhanced Dedicated Channel (E-DCH) and

  • physical channels:

    • Enhanced Dedicated Physical Control Channel (E-DPCCH) and

    • Enhanced Dedicated Physical Data Channel (E-DPDCH) and

    See also HARQ Process States.

1. General Settings

HSUPA State

TTI

HARQ Mode

Retransmission Sequence Number

RV Index

Maximum Number of Retransmissions

HARQ ACK/NACK Pattern

HARQ ACK/NACK Pattern Delay for External

TFC E-TFCI Pattern

TFC E-TFCI Pattern Delay for External

E-TFCI Table Selection (Main)

E-TFCI Table Selection (Alternate)

E-TFC Index (Main)

E-TFC Index (Alternate)

Happy Bit

HSUPA DTX Control Mode

E-DCH Data Block Size

HSUPA Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. General Settings

HSUPA State

Choice: Off | On

Default: On

Enables or disables the HSUPA state. This field controls the state of E-DPDCH and E-DPCCH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa[:STATe]?

TTI

Choice: 2 | 10 (ms)

Default: 10 ms

Sets the transmission time interval (TTI) of HSUPA in ms.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TTI 2|10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TTI?

HARQ Mode

Choice: None | IR (Incremental Redundancy) | CC (Chase Combining)

Default: None

Sets the HARQ mode. This field controls signaling pattern of HARQ.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ[:MODE] NONE|IREDundancy|CCOMbining

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ[:MODE]?

Retransmission Sequence Number

Range: 0 to 3

Default: 0

Set Retransmission Sequence Number (RSN). This field is enabled when HARQ mode is set to None.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RSN 0|1|2|3

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RSN?

RV Index

Range: 0 to 3

Default: 0

Sets the Redundancy Version (RV) Index. This field is enabled when HARQ Mode is None.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RVINdex 0|1|2|3

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RVINdex?

Maximum Number of Retransmission

Range: 0 to 15

Default: 15

Sets the maximum number of HARQ retransmission. This field is disabled when HARQ mode is None.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:MNRTrans <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:MNRTrans?

HARQ ACK/NACK Pattern

Choice: ACK All | Custom Pattern| User File | External

Default: ACK All

Edit the HARQ ACK/NACK Pattern by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed HARQ ACK/NACK Pattern dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

ACK All | This choice configures 1,280 subframes (if TTI=2ms) or 1,280 frames (if TTI=10ms) for a simulated ACK only response.
Custom Pattern | Sets the HARQ ACK/NACK data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 18,000 patterns.
User File | This variable represents an ACK pattern file stored in instrument memory.
External | Sets the HARQ ACK/NACK data pattern to External. This choice specifies an external HARQ ACK/NACK pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern ACK_ALL|NACK_ALL|EXTernal|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern?

If you select PATTern, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern:PATTern?

HARQ ACK/NACK Pattern Delay for External

Range: 0 to 115200 (TTI = 10ms), 0 to 53760 (TTI = 2ms),

Default: 7680, Resolution: 256

Sets the delay of the external trigger for the HARQ ACK/NACK Pattern. Refer to External Input-Based HARQ Scheduling (TTI = 2 ms) and to External Input-Based HARQ Scheduling (TTI = 10 ms).

Couplings:

  • HSUPA State = On,

  • HARQ Mode = IR or CC, and

  • HARQ ACK/NACK Pattern = External.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:DELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:DELay?

TFC E-TFCI Pattern

Choice: Main All | External| Custom Pattern | User File

Default: Main All

Edit the TFC E-TFCI Pattern by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed TFC E-TFCI Pattern dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

Main All

This choice configures all subframes for a simulated MAIN only response.

External

This choice selects an external signal to control the data pattern.

Custom Pattern

Sets the TFC E-TFCI data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 18,000 patterns.

User File

This variable represents a MAIN/ALT pattern file. Create this file using the TFC pattern Data Type Entry window and download the file to the instrument. Create a bit file with the following bit patterns:

  • A Main All response is represented by 0.

  • An alternate response is represented by 1.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern MAIN|EXTernal|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern?

If you select <"filename"> or PATTern, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern:PATTern?

TFC E-TFCI Pattern Delay for External

Range: 0 to 115200 (TTI = 10ms), 0 to 53760 (TTI = 2ms)

Default: 7680, Resolution: 256

Sets the delay of the external trigger for the TFC E-TFCI Pattern.

[:SOURce]:RADio:WCDMa:TGPP:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:DELay <val>

[:SOURce]:RADio:WCDMa:TGPP:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:DELay?

E-TFCI Table Selection (Main)

Choice: 0 | 1

Default: 1

Sets the table number of E-DCH Transport Block Size Table for the main setting.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETABle 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETABle?

E-TFCI Table Selection (Alternate)

Choice: 0 | 1

Default: 1

Sets the table number of E-DCH Transport Block Size Table for the alternate setting. This field is disabled when TFC E-TFCI Pattern is "Main All".

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETABle 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]ETABle?

E-TFC Index (Main)

Range: 0 to 127 (TTI = 2ms, E-TFCI Table Selection = 0)

Range: 0 to 125 (TTI = 2ms, E-TFCI Table Selection = 1)

Range: 0 to 127 (TTI = 10ms, E-TFCI Table Selection = 0

Range: 0 to 120 (TTI = 10ms, E-TFCI Table Selection = 1)

Default: 41

Sets E-TFCI Index for the main setting.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETFCi <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETFCi?

E-TFC Index (Alternate)

Range: 0 to 127 (TTI = 2ms, E-TFCI Table Selection = 0)

Range: 0 to 125 (TTI = 2ms, E-TFCI Table Selection = 1)

Range: 0 to 127 (TTI = 10ms, E-TFCI Table Selection = 0

Range: 0 to 120 (TTI = 10ms, E-TFCI Table Selection = 1)

Default: 41

Sets E-TFCI Index for the alternate setting. This field is disabled when the TFC E-TFCI Pattern is "Main All".

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETFCI <value>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]ETFCI?

Happy Bit

Choice: Happy | Not Happy | Custom Pattern | User File

Default: Happy

Edit the Happy Bit by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Happy Bit dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

Happy

This choice sets the happy bit to happy.

Not Happy

This choice sets the happy bit to not happy.

Custom Pattern

This choice sets the custom pattern for entering the number of Happy or Not Happy bit patterns.

User File

This variable represents a happy bit pattern file. Create this file by using the Happy Bit Pattern Data Type Entry window and download the file to the instrument. Create a bit file with the following bit patterns:

  • A not happy response is represented by 0.

  • A happy response is represented by 1.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT HAPPy|NHAPpy|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT?

If you select PATTern, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT:PATTern?

HSUPA DTX Control Mode

Choice: Process | Custom Pattern | User File

Default: Process

Edit the HSUPA DTX Control Mode by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed HSUPA DTX Control Mode dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode PROCess|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode?

If you select <"filename"> or PATTern, use the following commands to create the pattern::

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode:PATTern?

E-DCH Data Block Size

Range: 18 to 20000

Indicate the block size of HSUPA transport channel (E-DCH). This item is called "Information Bit Payload (N-INF)" in TS 25.141.


E-DPCCH

In the uplink, the Enhanced Dedicated Physical Control Channel (E-DPCCH) provides information to the Node-B on how to decode the Enhanced Dedicated Physical Data Channel (E-DPDCH).

E-DPCCH | Miscellaneous Information
State | IQ Branch Mapping
Power (Main) | Channel Code
Power (Alternate) | Spreading Factor
Data | Bit Rate [kbps]

E-DPCCH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

E-DPCCH

State

Choice: Off | On

Default: On

Enables or disables the E-DPCCH state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch[:STATe]?

Power (Main)

Range: –40 to 0 dB

Default: –2.69 dB

Enter the E-DPCCH power level in dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:POWer?

Power (Alternate)

Range: –40 to 0 dB

Default: –2.69 dB

Enter the alternate E-DPCCH power level in dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPCch:POWer?

Data

Choice: PN9 | FIX4 | Standard | Custom Pattern | User File

Default: Standard

Edit the Data of the uplink E-DPCCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA PN9|FIX4|STD|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:PATTern?

Miscellaneous Information

IQ Branch Mapping

Default: I

Indicate the E-DPCCH IQ Branch Mapping.

Channel Code

Default: 1

Indicate the E-DPCCH Channel Code.

Spreading Factor

Default: 256

Indicate the E-DPCCH Spreading Factor.

Bit Rate [kbps]

Default: 15

Indicate the E-DPCCH Bit Rate [kbps].


E-DPDCH

In the uplink, the Enhanced Dedicated Physical Data Channel (E-DPDCH) is the physical channel used by the Enhanced Dedicate Control Channel (E-DCCH) to transmit user data.

1. E-DPDCH | 2. E-DCH
State | Data (Main)
Power (Main) | Data (Alternate)
Power (Alternate) | Miscellaneous Information (E-DCH)
SF and Number of E-DPDCHs (Main) | CRC Length
SF and Number of E-DPDCHs (Alternate) | Coding Type
Maximum Channel Codes | Coding Rate
Modulation Capability | Puncture Rate [%]
PL non-max |
Data |
Miscellaneous Information (E-DPDCH) |
Binary Channel Bits per TTI (N-BIN) |
IQ Branch Mapping |
Channel Code |
Spreading Factor |
Bit Rate [kbps] |

E-DPDCH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

E-DPDCH

State

Choice: Off | On

Default: On

Enables or disables the E-DPDCH state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch[:STATe]?

Power (Main)

Range: –40 to 0 dB

Default: 0 dB

Set the E-DPDCH power in dB. This power is assigned to each E-DPDCH when multiple E-DPDCHs are configured. The entered power is typically set to the channels as SF4. Where the E-DPDCHs are configured to SF2x2 + SF4x2, the channel power of SF2 is 3.01 dB higher than the entered power.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:POWer?

Power (Alternate)

Range: –40 to 0

Default: 0

Set the power of the alternate E-DPDCH setting in dB. This field is disabled when TFC E-TFCI Pattern is MAIN ALL. This power is assigned to each e_DPDCH when multiple E-DPDCHs are configured. The entered power is set to the channels as SF4. Where the E-DPDCHs are configured to SF2x2 + SF4x2, the channel power of SF2 is 3.01 dB higher than the entered power.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:POWer?

SF and Number of E-DPDCHs (Main)

Choice: SF256x1 | SF128x1 | SF64x1 | SF32x1 | SF16x1 | SF8x1 | SF4x1 | SF4x2 | SF2x2 | SF2x2+SF4x2 | AUTO

Default: SF4x1

Select Spreading Factor (SF) and Number of E-DPDCHs configuration on the main setting.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:SNPHchs SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2|AUTO

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:SNPHchs?

SF and Number of E-DPDCHs (Alternate)

Choice: SF256x1 | SF128x1 | SF64x1 | SF32x1 | SF16x1 | SF8x1 | SF4x1 | SF4x2 | SF2x2 | SF2x2+SF4x2

Default: SF4x1

Select Spreading Factor (SF) and Number of E-DPDCHs configuration on the alternate setting. This field is disabled when TFC E-TFCI Pattern is MAIN ALL.

SF256x1 | Set the spreading factor to 256 and the number of E-DPDCH to 1
SF128x1 | Set the spreading factor to 128 and the number of E-DPDCH to 1
SF64x1 | Set the spreading factor to 64 and the number of E-DPDCH to 1
SF32x1 | Set the spreading factor to 32 and the number of E-DPDCH to 1
SF16x1 | Set the spreading factor to 16 and the number of E-DPDCH to 1
SF8x1 | Set the spreading factor to 8 and the number of E-DPDCH to 1
SF4x1 | Set the spreading factor to 4 and the number of E-DPDCH to 1
SF4x2 | Set the spreading factor to 4 and the number of E-DPDCH to 2
SF2x2 | Set the spreading factor to 2 and the number of E-DPDCH to 2
SF2x2+SF4x2 | Set the spreading factor to 4 for 2 E-DPDCHs and the spreading factor to 2 for 2 E-DPDCHs

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:SNPHchs SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]EDPDch:SNPHchs?

Maximum Channel Codes

Choice: SF256x1 | SF128x1 | SF64x1 | SF32x1 | SF16x1 | SF8x1 | SF4x1 | SF4x2 | SF2x2 | SF2x2 + SF4x2

Default: SF2x2 + SF4x2

Select Spreading Factor (SF) and the number of E-DPDCHs configuration. This field is enabled when SF and Number of E-DPDCHs is "AUTO".

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCCodes SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCCodes?

Modulation Capability

Choice: QPSK (2 x BPSK) | 16QAM (2 x 4PAM)

Default: QPSK

Set the E-DPDCH modulation capability

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCAPability QPSK|QAM16

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCAPability?

PL-non-max

Range: 0.44 to 1.0

Default: 0.44

Set the PL non-max E-DPDCH setting. This field is enabled when SF and Number of E-DPDCHs is AUTO.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:PLNMax <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:PLNMax?

Data (E-DPDCH)

Choice: PN9 | FIX4 | E-DCH | Custom Pattern| User File

Default: E-DCH

Edit the Data of the uplink E-DPDCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data dialog box. When E-DCH is selected, this applies the defined data in the E-DCH data and to the E-DCH coding.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

E-DCH | This choice selects the transport channel as the data source.
Custom Pattern | Sets the E-DPDCH data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 81,920 patterns.
"<filename>" | This variable represents a data pattern file stored in instrument memory. The data pattern must contain at least one bit or the Play function will not work .

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA PN9|FIX4|EDCH|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:PATTern?

Miscellaneous Information (E-DPDCH)

Binary Channel Bits per TTI (N-BIN)

Indicates the Binary Channel Bits per TTI (N-BIN). The alternate field is disabled when TFC E-TFCI Pattern is set to MAIN ALL. This parameter is not editable.

IQ Branch Mapping

Indicates the IQ branch assignment [I or Q] of E-DPDCH. When multiple E-DPDCHs are configured, multiple IQ assignment are indicated. The alternate field is disabled when TFC E-TFCI Pattern is MAIN ALL. This parameter is not editable.

Channel Code

Indicates the E-DPDCH Channel Code that is currently configured. When multiple E-DPDCHs are configured, multiple Channel Code assignments are indicated. The alternate field is disabled when TFC E-TFCI Pattern is MAIN ALL. This parameter is not editable.

Spreading Factor

Indicates the E-DPDCH Spreading Factor(s) that is currently configured. When multiple E-DPDCHs are configured, multiple Spreading Factor assignments are indicated. The alternate field is disabled when TFC E-TFCI Pattern is MAIN ALL. This parameter is not editable.

Bit Rate [kbps]

Indicates the E-DPDCH Bit Rate [kbps] that is currently configured. When multiple E-DPDCHs are configured, multiple bit rate assignments are indicated. The alternate field is disabled when TFC E-TFCI Pattern is MAIN ALL. This parameter is not editable.

E-DCH

Data (Main)

Choice: PN9 | FIX4 | Custom Pattern | User File

Default: PN9

Edit the Data (Main) of the uplink E-DCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data (Main) dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

PN9 | Sets E-PCH data pattern to PN9.
FIX4 | Sets the E-DPCCH data pattern to FIX4 (4-bit binary).
Custom Pattern | Sets the E-DCH data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 81,920 patterns.
"<filename>" | This variable represents a data pattern file stored in instrument memory. The data pattern must contain at least one bit or the Play function will not work.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA PN9|FIX4|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:PATTern?

Data (Alternate)

Choice: PN9 | FIX4 | Custom Pattern | User File

Default: PN9

Edit the Data (Alternate) of the uplink E-DCH by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data (Alternate) dialog box. This field is disabled when the TFC E-TFCI Pattern is set to Main All.

PATTern | Sets the data of the alternate E-DCH to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 81,920 patterns.
"<filename>" | This variable represents a data pattern file stored in instrument memory. The data pattern must contain at least one bit or the Play function will not work.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA PN9|FIX4|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:PATTern?

Miscellaneous (E-DCH)

CRC Length

Indicates the CRC Length of E-DCH. This parameter is not editable.

Coding Type

Indicates the Coding Type of E-DCH. This parameter is not editable.

Coding Rate

Indicates the Coding Rate of E-DCH. This parameter is not editable.

Puncture Rate [%]

Indicate the Puncture Rate [%]. The puncture rate should be greater than 33 %. This parameter is not editable.

Puncture Rate [%] = Ne,data,j / Ne,j * 100. [defined in 3GPP STD TS 25.212 4.8.4.1]


CPC

The Continuous Packet Connectivity (CPC) is part of the discontinuous uplink Enhanced Dedicated Physical Control Channel (E-DPCCH) transmission.

1. CPC

State

UE DTX Cycle 1

UE DTX Cycle 2

UE DPCCH Burst 1

UE DPCCH Burst 2

Inactivity Threshold for UE DTX Cycle 2

UE DTX Long Preamble Length

Preamble Length of DPCCH

Enabling Delay

UE DTX DRX Offset

Signal Delay

CPC Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. CPC

State

Choice: Off | On

Default: Off

Enables or disables the discontinuous uplink DPCCH transmission (CPC) state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC[:STATe]?

UE DTX Cycle 1

Choice: 1|4|5|8|10|16|20 for TTI 10 ms.

Choice: 1|5|10|20 for TTI 2 ms.

Default: 10

Sets HSPA UL Discontinuous DPCH transmission parameter, UE DTX Cycle 1.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe1 1|4|5|8|10|16|20

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe1?

UE DTX Cycle 2

Choice: 4 | 5 | 8 | 10 | 16 | 20 | 32 | 40 | 64 | 80 | 128 | 160 for TTI 10ms

Choice: 5 | 10 | 20 | 40 | 80 | 160 for TTI 2ms.

Default: 10

Sets HSPA UL Discontinuous DPCCH transmission parameter, UE DTX Cycle 2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe2 4|5|8|10|16|20|32|40|64|80|128|160

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe2?

UE DPCCH Burst 1

Choice: 1 | 2 | 5

Default: 1

Sets HSPA UL Discontinuous DPCCH transmission parameter, UE DPCCH Burst 1.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst[1] 1|2|5

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst[1]?

UE DPCCH Burst 2

Choice: 1 | 2 | 5

Default: 1

Sets HSPA UL Discontinuous DPCCH transmission parameter, UE DPCCH Burst 2.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst2 1|2|5

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst2?

Inactivity Threshold for UE DTX Cycle 2

Choice: 1 | 4 | 8 | 16 | 32 | 64 | 128 | 256

Default: 1

Sets HSPA UL Discontinuous DPCCH transmission parameter, Inactivity Threshold for UE DTX Cycle 2.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:ITCYcle2 1|4|8|16|32|64|128|256

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:ITCYcle2?

UE DTX Long Preamble Length

Choice: 2 | 4 | 15

Default: 2

Sets HSPA UL Discontinuous DPCCH transmission parameter,UE DTX Long Preamble Length.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:LPLength 2|4|15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:LPLength?

Preamble Length of DPCCH

Choice: 2 | 4

Default: 2

Sets the preamble length of DPCCH in Discontinuous DPCCH transmission mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:PLENgth 2|4

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:PLENgth?

Enabling Delay

Choice: 0 | 1 | 2 | 4 | 8 | 16 | 32 | 64 | 128

Default: 0

Sets HSPA UL Discontinuous DPCCH transmission parameter, Enabling Delay.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:EDELay 0|1|2|4|8|16|32|64|128

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:EDELay?

UE DTX DRX Offset

Range: 0 to 159

Default: 0

Sets HSPA UL Discontinuous DPCCH transmission parameter, UE DTX DRX Offset.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:OFFSet <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:OFFSet?

Signal Delay

Range: 0 to 4095

Default: 0

Sets the delay value between starting the signal generation and starting the Enabling Delay count.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:SDELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:SDELay?


Transmission (Tx) Power Control

These settings control the real-time transmission power control functionality for the W-CDMA signal.

1. Transmission Power Control

State

Trigger Source

Power Hold State

Maximum Power

Minimum Power

Initial Power

Power Step

Up/Down Pattern

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Resets the transmission power control to the Initial Power value.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:RESet

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:RESet?

This button enables and disables the Power Hold State parameter. This button is available when Trigger Source is set to Power Hold State and State is set to On.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD 1|0|ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD?

1. Transmission Power Control

State

Choice: Off | On

Default: Off

Enables or disables the transmission power control.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe[:SELect] NORMal|TPControl

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe[:SELect]?

Trigger Source

Choice: Power Hold State | Immediate

Default: Power Hold State

Sets the Transmission Power Control (TPC) trigger source. When this value is set to "Power Hold State", the power control operation is started by the Power Hold State value. When this value is set to "Immediate", the power control operation is started immediately.

Power Hold State

Choice: Off | On

Default: On

Indicates the Power Hold State for the Transmission Power Control mode. This value is reset to the default value every time on Play.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD 1|0|ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD?

Maximum Power

Default: 0 dB

Indicates the maximum power in dB for transmission power control limit.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MAXimum?

Minimum Power

Range: –40 to 0 (dB)

Default: –40 dB

Sets the minimum power in dB. The down power control is ignored when the transmission power has reached this power level.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MINimum?

Initial Power

Range: –40 to 0 (dB)

Default: –0 dB

Sets the minimum power in dB. The down power control is ignored when the transmission power has reached this power level.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:INITial <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:INITial?

Power Step

Choice: 0.5 | 1.0 | 2.0 | 3.0 (dB)

Default: 0.0 dB

Sets the power step of the transmission power control in dB.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:STEP DB0_5|DB1_0|DB2_0|DB3_0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:STEP?

Up/Down Pattern

Choice: Custom Pattern | User File | External

Default: External

Select the transmission power control up/down pattern.

External | Sets the Transmission Power Control (TPC) data pattern to External. This choice specifies an external TPC pattern.
Custom Pattern (PATTern) | Sets the Transmission Power Control (TPC) data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 3,840 patterns.
User File ("<filename>") | This selection specifies a data pattern that has been stored in memory.

Edit the Up/Down Pattern by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Up/Down Pattern dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern EXTernal|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern:PATTern?


Compressed Mode - General Settings

Use of a compressed mode (Slotted Mode) is necessary when making measurements on another frequency (inter-frequency) or on a different radio technology (inter-RAT). In the Compressed Mode, while the transmission and reception are stopped for a short time, the measurements are performed on another frequency or Radio Access Technology (RAT) during the transmission and reception stop time. After the stop time is over, the transmission and reception resumes. To ensure that the data is not lost, the data is compressed in the frame, creating empty space where the measurements can be performed.

1. General Settings

State

Compressed Mode Trigger Source

Power Offset

Downlink Reference Compressed Mode Parameter

Compressed Mode - General Configuration Summary Table

This section defines the buttons that are available in the Compressed Mode node.

Button

Description

Notes

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

This button starts the compressed mode pattern generation. See :TGAP:STARt:TRIGger[:SEND].

To be active, the compressed mode start/stop buttons require:

  • Compressed mode is enabled

  • At least one TGPS is active

  • State is enabled (needs to be running)

  • No setting conflicts in other areas

This button stops the compressed mode pattern generation. See :TGAP:STOP:TRIGger[:SEND].

[:SOURce]:RADio:WCDMa:TGPP[:BBG[1]|n]:ULINk:TGAP:STARt:TRIGger[:SEND]

[:SOURce]:RADio:WCDMa:TGPP[:BBG[1]|n]:ULINk:TGAP:STOP:TRIGger[:SEND]

1. General Settings

State

Choice: Off | On

Default: On

Enables or disables the compressed mode state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP[:STATe]?

Compressed Mode Trigger Source

Choice: Trigger | Immediate

Default: Trigger

Sets the compressed mode start trigger mode. When this value is set to "Trigger", the compressed mode starts with the trigger operation. When this value is set to "Immediate", the compressed mode starts immediately.

Power Offset

Range: Auto | 0 to 6

Default: Auto

Sets the power offset.

Edit the Power Offset of the uplink Compresses Mode by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Setting dialog box.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:POFFset AUTO

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:POFFset?

Downlink Reference Compressed Mode Parameter

Choice: Reference Parameter 1.1 | Reference Parameter 1.2 | Reference Parameter 2.1 | Reference Parameter 2.2

Default: Reference Parameter 1.1 (Modified)

Sets the downlink reference compressed mode parameter defined in 3GPP standard TS25.101. When the parameters are set individually, "Modified" is indicated.

Edit the Downlink Reference Compressed Mode Parameter of the uplink Compresses Mode by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Downlink Reference Compressed Mode Parameter dialog box.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:RPARameter DREF11|DREF12|DREF21|DREF22

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:RPARameter?

Related Topics

TGPSn


Compressed Mode - TGPSn

These settings control the real-time transmission gap pattern sequence identifier (TGPSI) functionality. The current settings for the TGPSn selected are displayed below the parameter settings in the Closed transmission gap graphic. The transmission gap graphic updates whenever a change is made to the related parameters in the current TGPS tab.

There are up to 6 TGPS.

TGPSI

TGPS

TGCFN

TGPRC

TGSN

TGL1

TGL2

TGD

TGPL1

Method

Compressed Mode - TGPSn Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA Uplink's tree nodes.

Button

Description

Notes

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

This button starts the compressed mode pattern generation.

[:SOURce]:RADio:WCDMa:TGPP[:BBG[1]|n]:ULINk:TGAP:STARt:TRIGger[:SEND]

To be active, the compressed mode start/stop buttons require:

  • Compressed mode is enabled

  • At least one TGPS is active

  • State is enabled (needs to be running)

  • No setting conflicts in other areas

This button stops the compressed mode pattern generation.

[:SOURce]:RADio:WCDMa:TGPP[:BBG[1]|n]:ULINk:TGAP:STOP:TRIGger[:SEND]

1. General

TGPS

Choice: Active | Inactive

Default: Inactive

Sets the Compressed Mode state.

If the parameter set by the following command is changed while the signal is active, Play must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PS ACTive|INACtive

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PS?

TGCFN

Range: 0 to 255

Default: 0

Sets the connection frame number (CFN) of the first radio frame of the first pattern within the transmission gap pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CFN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CFN?

TGPRC

Range: 0 (Infinity) to 511

Default: 0 (Infinity)

Sets the number of transmission gap patterns in the transmission gap pattern sequence. Set TGPRC to 0 for infinite pattern repetition.

For the command/query, if <val> = 0, then INFinity is returned by the SCPI query.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PRC <val>|INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PRC?

TGSN

Range: 0 to 14 (Slot)

Default: 11 (Slots)

Sets the transmission gap starting slot number (TGSN). TGSN is the slot number of the first transmission gap slot in the first radio frame of the transmission gap pattern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:SN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:SN?

TGL1

Choice: 3 | 4 | 5 | 7 | 10 | 14 (Slot)

Default: 7 Slots

Sets the TGL1 value, expressed in number of slots.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L1 3|4|5|7|10|14

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L1?

TGL2

Choice: Omitted (TGL2 = TGL1) | 3 | 4 | 5 | 7 | 10 | 14 (Slot)

Default: Omitted

Sets the TGL2 value, expressed in number of slots. If the Omitted is selected, TGL2 = TGL1.

For the command/query, if <val> = 0, then UNDefined is returned by the SCPI query.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L2 3|4|5|7|10|14|OMITted

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L2?

TGD

Range: 0 (Undefined), 15 to 269 (Slot)

Default: 0 Slot

Sets the transmission gap start distance (TGD), which is the duration between the starting slots of two consecutive transmission gaps within a transmission gap pattern, expressed in number of slots. If TGD = 0, then only one transmission gap is available in the transmission gap pattern.

Edit the transmission gap distance (TGD) of the uplink Compressed Mode by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Setting dialog box.

For the command/query, if <val> = 0, then UNDefined is returned by the SCPI query.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:D <val>|UNDefined

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:D?

TGPL1

Range: 1 to 144 (Frame)

Default: 2 Frames

Sets the transmission gap pattern length (TGPL1), expressed in number of frames.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL1 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL1?

Method

Choice: SF/2 | Higher Layer

Default: SF/2

Sets the DPCH compression mode method.

SF/2 | This choice selects a compressed mode method that reduced the spread factor (SF) by 2. This is done by increasing the data rate by reducing the spreading factor in half. When the dedicated physical data channel’s (DPDCH) symbol rate is 960 kbps, the frame is not compressed because it uses the lowest SF value and it cannot be reduced.
Higher Layer | This choice selects a higher layer scheduling method. The emulated higher layer scheduling method mode keeps the same physical layer data rate even when a transmission gap is created.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CMMethod SF2|HIGHer

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CMMethod?


Signal IO (DPCCH/DPDCH)

These settings control the signal I/O ports.

1. Markers | 2. Aux Port General Settings | 3. Multiplexed Mode
Marker 1 Signal | State | First Address
Marker 3 Signal | Data Polarity | Second Address
Marker 4 Signal |  |
4. Dedicated Mode Setup | 5. Aux Pin/Bit Select
Aux Port Pin | Tx Power Control Up/Down Pattern
Baud Rate | Compressed Mode Start Trigger
 | Compressed Mode Stop Trigger
 | DPCCH TPC User File Trigger
 | HSUPA HARQ ACK/NACK Pattern
 | HSUPA TFC E-TFCI Pattern Input Port

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. Markers

Marker 1 Signal, Marker 3 Signal, and Marker 4 Signal

Choice: None | Play Flag | 80ms Frame Pulse | CFN #0 Pulse | HSUPA ACK/NACK

Choice (additional for Marker 4 only): DPCCH | E-DCH | HS-DPCCH HARQ | HS-DPCCH CQI

Default: 80ms Frame Pulse

Double-click or use the drop-down menu to select Marker signal.

None | indicates no marker signal
Play Flag | indicates frame start timing and state if signal is being generated or not.
80ms Frame Pulse | indicates 80 ms frame boundary.
CFN #0 Pulse | indicates CFN boundary which represents beginning of CFN count 0 frame.
HSUPA ACK/NACK | indicates sampled external ACK/NACK feedback signal.
And only for Marker 4:
DPCCH | indicates DPCCH signaling position.
E-DCH | indicates E-DCH signaling position.
HS-DPCCH HARQ | indicates HS-DPCCH HARQ signaling position.
HS-DPCCH CQI | indicates HS-DPCCH CQI signaling position.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided[:DPCH]:TYPE NONE|PFLag|F80Pulse|CFNPulse|ANAK

These additional arguments are available only for Marker4: DPCCh|EDCH|HSDPCCH_HARQ|HSDPCCH_CQI

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided[:DPCH]:TYPE?

2. Aux Port General Settings

State

Choice: On|Off

Default: On

Enables or disables the Aux Port General Settings. When disabled, all data sent to the AUX port will be ignored by this I/Q channel.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe]?

Data Polarity

Choices: Positive|Negative

Default: Positive

Determines whether AUX input data will be inverted or not.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity?

3. Multiplexed Mode Setup

First Address

Choices: Group 1 to Group 15

Default: Group 1

Selects an additional address (different from a broadcast address) to receive the AUX I/O data. The data that comes with this address value is transmitted to this I/Q channel.

This setting is inactive (grayed out) unless Multiplexed is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1 NONE|GROUP1|GROUP2|GROUP3|GROUP4|GROUP5|GROUP6|GROUP7|GROUP8|GROUP9|GROUP10|GROUP11|GROUP12|GROUP13|GROUP14|GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1?

Second Address

Choices: Group 1 to Group 15

Default: Group 2

Selects another additional address (different from a broadcast address) to receive the AUX I/O data. The data that comes with this address value is transmitted to this I/Q channel.

This setting is inactive (grayed out) unless Multiplexed is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2 NONE|GROUP1|GROUP2|GROUP3|GROUP4|GROUP5|GROUP6|GROUP7|GROUP8|GROUP9|GROUP10|GROUP11|GROUP12|GROUP13|GROUP14|GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2?

4. Dedicated Mode Setup

Aux Port Pin

Choices: Unassigned|AUX0|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

Default: AUX1

Selects a serial pin from which the application channel wants to receive AUX port data.

This setting is inactive (grayed out) unless Dedicated is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN NONE|AUX0|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN?

Baud Rate

Choices: 9600| 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800

Default: 115200 (symbol/s)

Specifies how fast serial data is transmitted (in symbol per second).

This setting is inactive (grayed out) unless Dedicated is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE 9600|14400|19200|38400|57600|115200|230400|460800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE?

5. Aux Pin/Bit Select

For more informaiton on the Aux IO (pins/bits selections), see the AUX I/O Connector Signal Input topic.

Tx Power Control Up/Down Pattern

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0|AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX0

Sets the AUX pin for the up/down pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.

Compressed Mode Start Trigger

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0|AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX1

Sets the AUX pin for the compressed mode start trigger.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STARt:TRIGger:INPut:MULTiplexed:PIN AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STARt:TRIGger:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.

Compressed Mode Stop Trigger

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0|AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX2

Sets the AUX pin for the compressed mode stop trigger

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STOP:TRIGger:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STOP:TRIGger:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.

DPCCH TPC User File Trigger

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX3

Sets the AUX pin for the DPCCH TPC user file trigger.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.

HSUPA HARQ ACK/NACK Pattern

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0|AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX4

Sets the AUX pin for the HSUPA HARQ ACK/NACK pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:INPut:MULTiplexed:PIN

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.

HSUPA TFC E-TFCI Pattern

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0|AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX5

Sets the AUX pin for the HSUPA TFC E-TFCI pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.


Dialog Boxes (DPCCH/DPDCH)

Filter Setup | describes the filter choices and the settings available
Data Setup Dialog Box | describes the data choices and settings available to define a custom pattern for the payload


Filter Setup Dialog Box

This topic explains the filter setup dialog box for the W-CDMA (DPCCH/DPDCH), W-CDMA (PRACH), and W-CDMA (CELL_FACH) real-time filter parameters.

Use the following links to navigate to and view the various figures and available settings:

Filter Setup Figures |  | Tabs |  |  |
 | Selections and Tables |  | FIR |  |
 | Generate User FIR |  |  | FIR Tab Buttons
Selections |  |  |  |  | Insert
 | Root Nyquist |  |  |  | Delete
 | Nyquist |  |  |  | Mirror
 | Gaussian |  |  |  | Delete
 | Rectangle |  |  |  | Load Default
 | IS95 |  |  |  | Return
 | IS95 Mod |  |  | FIR Tab Tables
 | APCO 25 C4FM |  |  |  | User Filter Setting
 | User FIR Filter |  |  |  | Default Filter Setting
 | User File |  |  | Plot h(t)
 | IS95 w/EQ |  |  | Plot FFT
 | IS95 Mod w/EQ |  |  |  |
 | UN3/4 GSM Gaussian |  |  |  |
Buttons |  |  |  |  |
 | Browse |  |  |
 | Insert |  |  |  |
 | Export |  |  |  |
 | Clear |  |

Filter Setup Figures

Selections and Tables

Generate User FIR Filter using Default Filter Setting Table

Selections

Root Nyquist

Default setting for the Filter (W-CDMA) parameter.

Selects a Root Nyquist filter and enables the Alpha and Optimizing Mode settings.

W-CDMA SCPI Command

Alpha

Range: 0.000 to 1.000

Default: 0.220

Coupling: not visible until Root Nyquist or Nyquist is the filter selection

Enter a value to set the Alpha.

W-CDMA SCPI Command

Optimizing Mode

Choices: ACP or EVM

Default: EVM

Coupling: not visible until Root Nyquist or Nyquist is the filter selection

Enter a value to set the Optimizing Mode.

W-CDMA SCPI Command

Nyquist

Selects a Nyquist filter and enables the Alpha and Optimizing Mode settings.

W-CDMA SCPI Command

Gaussian

Selects a Gaussian filter and enables the Filter BbT setting.

W-CDMA SCPI Command

Rectangular

Selects a Rectangular filter.

W-CDMA SCPI Command

IS95

Selects a filter that meets the IS95 standard.

W-CDMA SCPI Command

IS95 w/EQ

This filter is a combination of the IS-95 filter (above) and the equalizer filter described in the IS-95 standard and is best suited for IS-95 baseband filtering.

W-CDMA SCPI Command

IS95 Mod

This filter meets the criteria of the IS-95 error function (for improved adjacent channel performance) with lower passband rejection than the filter specified in the IS-95 standard.

W-CDMA SCPI Command

IS95 Mod w/EQ

This filter is a combination of the equalizer filter described in the IS-95 standard and a filter that meets the criteria of the IS-95 error function (for improved adjacent channel performance), with lower passband rejection.

W-CDMA SCPI Command

APCO 25 C4FM

This is a predefined Association of Public Safety Communications Officials (APCO) specified compatible 4-level frequency modulation (C4FM) filter.

W-CDMA SCPI Command

UN3/4 GSM Gaussian

This is a GSM Gaussian filter with a fixed BbT value of 0.300.

W-CDMA SCPI Command

Filter BbT

Range: 0.100 to 1.000

Default: 0.500

Coupling: not visible until Gaussian is the filter selection

Enter a value to set the BbT.

W-CDMA SCPI Command

User FIR Filter

Select this choice to expand the Filter Setup dialog box that provides tabs and additional buttons to configure a user FIR filter.

GSM SCPI Command — select PATTern from the command choices then use the GSM Pattern command to configure the filter pattern by setting the oversample ratio and filter coefficients

EDGE SCPI Command — select PATTern from the command choices then use the EDGE Pattern command to configure the filter pattern by setting the oversample ratio and filter coefficients

User File

Select this choice to load a predefined and saved FIR filter file. When selected, the Browse button becomes active.

W-CDMA SCPI Command — select "<user_FIR>" from the command choices

Buttons

Browse

Coupling: This button is enabled with the User File filter selection.

Click this button to open the Open user file dialog box to navigate to and select a previously configured and saved FIR filter file.

Import

Coupling: This button becomes visible with the User FIR Filter selection.

Use this button to load a previously defined and saved FIR filter configuration–launches the Open user defined data dialog box for navigation to a FIR filter file.

Export

Coupling: This button becomes visible with the User FIR Filter selection.

Use this button to save a defined FIR filter configuration–launches the Save user defined data dialog box for navigation to the desired location.

Clear

Coupling: This button becomes visible with the User FIR Filter selection.

This button clears the indexes and values leaving only Index 0 set to a value of zero.

Tabs

The tabs become visible with the User FIR Filter selection.

FIR

Provides the buttons and settings to configure the User FIR Filter:

FIR Tab Buttons

Insert

This button inserts a new index (coefficient) prior to the highlighted index. The value of the new index is copied from the highlighted index. After inserting a new index, change its value by highlighting it and entering a new value.

  • Index—The maximum number of indexes (coefficients) is 128 (Oversample Ratio x Length in Symbols).

  • Value—Range: 0.000000 to 1.000000, use to set the coefficient value

The maximum number of indexes is 128 (Oversample Ratio x Length in Symbols).

Delete

This button deletes the highlighted index.

Mirror

This button adds indexes (coefficients) by mirroring the current indexes.

Load Default

This button:

  • replaces the User Filter Settings table with the Default Filter Setting table

  • loads default settings into the Default Filter Settings table for the initial access during the current software session. If changes are made to the settings, subsequent Load Default button clicks loads the Default Filter Settings table with the modified settings.

Generate

This button appears after clicking the Load Default button and generates the filter coefficients using the settings from the Default Filter Setting table–coefficient indexes and values appear in the Index and Value columns of the tab. After the coefficient generation, the table changes back to the User Filter Setting table.

Return

This button appears after clicking the Load Default button. It returns to the User Filter Setting table without generating the coefficients.

FIR Tab Tables

The tables appear in the Filter Settings field.

User Filter Setting

  • Oversample Ratio

    Range: 1–16

    Default: 4

This cell provides the oversample ratio (OSR) value (number of filter coefficients per symbol) applied to the FIR filter design. It uses two modes of operation:

  • set the value by highlighting and entering a new value

  • displays the oversampling ratio set in the Default Filter Setting table.

  • Length in Symbols

This cell only displays the number of symbols with a maximum of 32. Its value is derived from the Oversample Ratio value and the number of coefficients (index). This cell also displays the Filter Symbols value set in the Default Filter Setting table.

Default Filter Setting

Click the Load Default FIR button to view this table

  • Oversample Ratio

    Range: 1–16

    Default: 4

This cell enables you to set the oversample ratio (OSR) value (number of filter coefficients per symbol) to be applied to the user FIR filter design. After generating the filter, the Oversample Ratio displays in the Oversample Ratio cell of the User Filter Setting Table.

  • Filter Symbols

    Range: 1–32

    Default: 8

Set the number of filter symbols.

This cell selects the number of symbols for the current FIR filter. The FIR table editor allows a maximum filter length of 128 coefficients (OSR x Filter Symbols).

After generating the filter, the Filter Symbols value displays in the Length in Symbols cell of the User Filter Setting Table.

  • Filter Type

    Choices: RootNyquist | Nyquist | Gaussian | Rectangle

    Default: RootNyquist

Click the cell and use the drop down arrow to display and select a filter.

  • Filter Alpha

    Range: 0.000–1.000

    Default: 0.350

Available with the RootNyquist and Nyquist filter selections. With other filter selections, this setting is grayed out and displays N/A.

  • Filter BbT

    Range: 0.000–1.000

    Default: 0.300

Available with the Gaussian filter selection. With other filter selections, this setting is grayed out and displays N/A.

  • Window Type

    Choices: None | Hamming | Hann | Kaiser

    Default: None

This cell accesses a menu for applying a windowing function to the selected filter. The default is to use no windowing (None), which optimizes the passband response (EVM). Several windowing selections are provided in this menu which can be applied to smooth the filter’s transition to zero. Windowing improves out of band performance (ACP) but simultaneously degrades EVM. With the Kaiser selection, the Beta cell is enabled for setting the windowing Beta.

  • Beta

    Range: 1.000–10.000

    Default: 4.000

This cell activates when you select the Kaiser windowing function. The default Beta factor provides a good solution for optimizing out-of-band performance (ACP), without seriously compromising passband performance (EVM).

Changing the Beta factor adjusts the trade-off between ACP and EVM:

  • Decreasing the value improves EVM.

  • Increasing the value improves ACP.

Plot h(t)

Use this tab to view the Closed plot of the User FIR filter impulse response in time:

This plot was generated using the default settings of the Default Filter Setting table (root Nyquist filter with an oversample ratio of 4).

Plot FFT

Use this tab to view the Closed plot of the filter frequency response (calculated using a fast Fourier transform).

This plot was generated using the default settings of the Default Filter Setting table (root Nyquist filter with an oversample ratio of 4).


Data Setup Dialog Boxes (Custom Pattern, Happy Bit, ...)

This topic explains the data setup dialog boxes and their parameters for the following channels and features. When configuring the data for timeslots that have a data entry, each timeslot's data setup dialog box is separate and independent of the other timeslots. Access to these dialog boxes is through the following nodes and settings:

Node | Setting
DPCCH | TFCI Data
 | FBI Data
 | TPC Pattern
 | DPCCH Data
DPDCH | Data
DCH Data | Data
HS-DPCCH | ACK/NACK Pattern
 | CQI Pattern
 | Primary Cell MIMO ACK/NACK Pattern
 | Secondary Cell ACK/NACK Pattern (non-MIMO)
 | Secondary Cell MIMO ACK/NACK Pattern
HSUPA | HARQ ACK/NACK Pattern
 | TFC E-TFCI Pattern
 | Happy Bit
E-DPCCH | Data
E-DPDCH | Data
E-DCH | Data (Main)
 | Data (Alternate)
Tx Power Control | Up/Down Pattern

Use the following links to navigate to and view the figures and available settings:

Data Setup Dialog Box Figures |  | Pattern Editor
 | Typical Data Setup |  | Pattern Editor Buttons
 | Custom Pattern Only Selection |  |  | Open Pattern File
 | ACK/NACK Pattern |  |  | Save to file
 | CQI Pattern |  |  | Clear
 | Primary Cell MIMO ACK/NACK Pattern |  |  | Insert PN9
 | Secondary Cell ACK/NACK Pattern (non-MIMO) |  |  | Insert PN15
 | Secondary Cell MIMO ACK/NACK Pattern |  |  | 1
 | HARQ ACK/NACK Pattern |  |  | 0
 | Happy Bit |  |  | <--
Selections |  |  |  |
 | Standard |  |  |
 | PN9 | PN15 | FIX4 |  |  |
 | External |  |  |
 | Custom Pattern |  |  |
 | User File |  |  |
Button |  |  |  |
 | Browse |  |  |

Data Setup Dialog Box Figures

Typical Data Setup

This is typically the dialog box shown when PN sequences are part of the data selections. Select Custom Pattern to expand the dialog box to create a custom bit pattern.

Custom Pattern Only Selection

This is the dialog box shown when Custom Pattern is selected. Select Custom Pattern to expand the dialog box to create a custom training sequence.

ACK/NACK Pattern—Expanded View

This is the dialog box shown for selecting a ACK/NACK pattern. Select Custom Pattern to expand the dialog box to create a custom training sequence.

CQI Pattern—Expanded View

This is the data dialog box that appears when selecting the data choices for the CQI Pattern. Select Custom Pattern to expand the dialog box to create a custom bit pattern.

Primary Cell MIMO ACK/NACK Pattern

This is the data dialog box that appears when selecting the data choices for the Primary Cell MIMO ACK/NACk Pattern. Select Custom Pattern to expand the dialog box to create a custom bit pattern.

Secondary Cell ACK/NACK Pattern (non-MIMO)

This is the data dialog box that appears when selecting the data choices for the Secondary Cell ACK/NACk Pattern (non-MIMO). Select Custom Pattern to expand the dialog box to create a custom bit pattern.

Secondary Cell MIMO ACK/NACk Pattern

This is the data dialog box that appears when selecting the data choices for the Secondary Cell MIMO ACK/NACk Pattern. Select Custom Pattern to expand the dialog box to create a custom bit pattern.

HARQ ACK/NACK Pattern

This is the data dialog box that appears when selecting the data choices for the HARQ ACK/NACk Pattern. Select Custom Pattern to expand the dialog box to create a custom bit pattern.

Happy Bit

This is the data dialog box that appears when selecting the data choices for the Happy Bit. Select Custom Pattern to expand the dialog box to create a custom bit pattern.

Selections

Each data selection lists the links to the SCPI commands, where applicable, that also makes the data selection. The links use the setting name (cell name) that accesses the data setup dialog box. When clicked, the links go to the topic with the setting description that includes the SCPI command. For a complete listing of the nodes and settings that use this topic, see the node and setting table at the top.

Standard

Selects the data type where the data is based on the 3GPP standards.

PN9 | PN15 | FIX4

These selections generate a pseudo-random bit pattern in accordance with the ITU standard for the selected PN sequence or and on a 4-bit binary.

DPCCH

  • TFCI Data SCPI Command

  • FBI Data_SCPI Command

  • TPC Pattern SCPI Command

  • DPCCH Data SCPI Command

DPDCH

  • Data SCPI Command

DCH

  • Data SCPI Command

HS-DPCCH

  • ACK/NACK Pattern SCPI Command

  • CQI Pattern SCPI Command

  • Primary Cell MIMO ACK/NACK Pattern

  • Secondary Cell ACK/NACK Pattern (non-MIMO)

  • Secondary Cell MIMO ACK/NACK Pattern

HSUPA

  • HARQ ACK/NACK Pattern SCPI Command

  • TFC E-TFCI Pattern SCPI Command

  • Happy Bit SCPI Command

E-DPCCH

  • Data SCPI Command

E-DPDCH

  • Data SCPI Command

  • E-DCH

    • Data (Main) SCPI Command

    • Data (Alternate) SCPI Command

External

This choice selects an external user signal connected to the instrument as the modulating data stream. Refer to the instrument's user's documentation for the connector information.

External is not a data choice when channel coding is turned on for Normal GMSK and Normal 8PSK timeslots.

HARQ ACK/NACK Pattern

TFC E-TFCI Pattern

Up/Down Command

Custom Pattern

This selection opens the Pattern Editor with related buttons that lets you customize the transmitted data using up to 128,000 bits.

When the data setup dialog box is launched , it only shows the preselected Custom Pattern selection and the Pattern Editor.

TFCI Data SCPI Command — select Pattern from the command choices

FBI Data SCPI Command — select Pattern from the command choices

TPC Pattern SCPI Command — select Pattern from the command choices

DPCCH Data SCPI Command — select Pattern from the command choices

DPDCH Data SCPI Commands — select Pattern from the command choices

DCH Data SCPI Command — select Pattern from the command choices

ACK/NACK Pattern SCPI Command — select Pattern from the command choices

  • CQI Pattern SCPI Command — select Pattern from the command choices

    • Primary Cell MIMO ACK/NACK Pattern SCPI Command — select Pattern from the command choices

    Secondary Cell ACK/NACK Pattern (non-MIMO) SCPI Command — select Pattern from the command choices

    Secondary Cell MIMO ACK/NACK Pattern SCPI Command — select Pattern from the command choices

    HARQ ACK/NACK Pattern SCPI Command — select Pattern from the command choices

    TFC E-TFCI Pattern SCPI Command — select Pattern from the command choices

  • Happy Bit SCPI Command — select Pattern from the command choices

    • E-DPCCH Data SCPI Command — select Pattern from the command choices

    E-DPDCH Data SCPI Command — select Pattern from the command choices

    E-DCH Data (Main) SCPI Command — select Pattern from the command choices

    E-DCH Data (Alternate) SCPI Command — select Pattern from the command choices

    Tx Power Control Up/Down Pattern SCPI Command — select Pattern from the command choices

    User File

    Select this choice to load a predefined and saved custom data file. When selected, the Browse button becomes active.

    To use all of the data in the file, the file must supply enough bits to fill the desired number of timeslots (the same timeslot in multiple frames). When there are not enough bits remaining in the file to fill a timeslot, the remaining bits are ignored and the software reuses the file from the beginning. For example, if the timeslot requires 114 data bits and there is a need to fill the timeslot over 10 frames, then the minimum file size would be 1,140 bits. If the file size was only 1,000 bits, the data would be parsed over eight frames. On the ninth frame, the software would ignore the remaining 88 bits and reuse the file from the beginning.

    When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

    TFCI Data SCPI Command — select "<file name"> from the command choices

    FBI Data SCPI Command — select "<file name"> from the command choices

    TPC Pattern SCPI Command — select "<file name>" from the command choices

    DPCCH Data SCPI Command — select "<file name>" from the command choices

    DPDCH Data SCPI Commands — select "<file name>" from the command choices

    DCH Data SCPI Command — select "<file name>" from the command choices

    ACK/NACK Pattern SCPI Command — select "<file name>" from the command choices

  • CQI Pattern SCPI Command — select "<file name>" from the command choices

    • Primary Cell MIMO ACK/NACK Pattern SCPI Command — select "<file name>" from the command choices

    Secondary Cell ACK/NACK Pattern (non-MIMO) SCPI Command — select "<file name>" from the command choices

    Secondary Cell MIMO ACK/NACK Pattern SCPI Command — select "<file name>" from the command choices

    HARQ ACK/NACK Pattern SCPI Command — select "<file name>" from the command choices

    TFC E-TFCI Pattern SCPI Command — select "<file name>" from the command choices

  • Happy Bit SCPI Command — select "<file name>" from the command choices

    • E-DPCCH Data SCPI Command — select "<file name>" from the command choices

    E-DPDCH Data SCPI Command — select "<file name>" from the command choices

    E-DCH Data (Main) SCPI Command — select "<file name>" from the command choices

    E-DCH Data (Alternate) SCPI Command — select "<file name>" from the command choices

    Tx Power Control Up/Down Pattern SCPI Command — select "<file name>" from the command choices

    Button

    For buttons associated with the Pattern Editor, see Pattern Editor Buttons.

    Browse

    Coupling: This button is enabled with the User File selection.

    Click this button to open the Open user defined data dialog box to navigate to and select a previously configured and saved custom data file.

    Pattern Editor

    Use the PATTERN EDITOR to create custom bit patterns.The Closed PATTERN EDITOR area contains buttons to open, save, or clear user data along with the ability to insert PN9 or PN 15 data.

    There are multiple ways to insert data:

    • using the 1 and 0 keys on the keyboard

    • using the Insert PN9 or Insert PN15 buttons

    • load a pattern file

    • use the 1 and 0 buttons on the PATTERN EDITOR

    • pasting data from a file or from within the current view

    (The keyboard shortcuts Cntl+C and Cntl+V work for user data entry.)

    To use the keyboard to insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data.

    To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data using the backspace button, keyboard Delete key, keyboard Backspace key, or the keyboard shortcut Cntl+x.

    The maximum number of bits for the PATTERN EDITOR entry area is 128,000, which is also the maximum file size.

    Pattern Editor Buttons

    Open Pattern File

    Coupling: This button becomes visible with the Custom Pattern selection.

    This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area.

    The maximum file size is 128,000 bits. If the imported file is larger than 128,000 bits, the software truncates the bits to conform to the maximum file size.

    Save to file

    Coupling: This button becomes visible with the Custom Pattern selection.

    This button saves the current data pattern shown in the PATTERN EDITOR entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file.

    Clear

    Coupling: This button becomes visible with the Custom Pattern selection.

    Use this button to clear all data from the PATTERN EDITOR.

    Insert PN9 | Insert PN15

    Coupling: This button becomes visible with the Custom Pattern selection.

    These buttons insert a fixed pattern pseudo-random bit sequence into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153 and ITU standard for the selected PN sequence. Repeated clicking of this button adds additional PN9/PN15 sequences until another insertion of the PN sequence would exceed the maximum number of bits (128,000). When this happens, the software displays a warning that it cannot insert another PN sequence.

    If more bits are required after this warning and the there are less than the maximum number of bits showing, insert a smaller PN sequence (if using PN15, use PN9), highlight a section of the data and paste it, or use the 1 and 0 buttons.

    To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0, or the PATTERN EDITOR 1 and 0 buttons. The software inserts the data at the cursor position and does not allow data in excess of 128,000 bits.

    Coupling: This button becomes visible with the Custom Pattern selection.

    Use this button to enter ones into the PATTERN EDITOR. The ones start at the current cursor location. To change the entry location in the data, simply reposition the cursor, and then click the button.

    Coupling: This button becomes visible with the Custom Pattern selection.

    Use this button to enter zeros into the PATTERN EDITOR. The zeros start at the current cursor location. To change the entry location in the data, simply reposition the cursor, and then click the button.

    Coupling: This button becomes visible with the Custom Bit Pattern selection.

    Click this button to backspace/delete data.


W-CDMA Uplink (PRACH)

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Begins the PRACH transmission. This button is active when the PRACH Start Trigger Source is set to Trigger in the PRACH node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

1. General Settings

Channel Configuration Mode

Choice: DPCCH/DPDCH | PRACH | CELL_FACH

Default: DPCCH/DPDCH

Double-click or use the drop-down menu to set the channel configuration mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE PRACh|DPCCh|CFACh

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE?

Filter Type

Choice: Root Nyquist | Nyquist | Gaussian | Rectangle | IS95 | IS95 w/EQ | IS95 Mod | IS95 Mod w/EQ | APCO 25 C4FM | UN3/4 GSM Gaussian | User FIR Filter | User File

Default: Root Nyquist

Set the filter type by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Filter Setup dialog box.

See Filter Setup, for descriptions of the various filter selections and how to use this dialog box.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer RNYQuist|NYQuist|GAUSsian|RECTangle|IS95|IS95_EQ|IS95_MOD|IS95_MOD_EQ|AC4Fm|UGGaussian|PATTern|"<user_FIR>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer?

If you select RNYQuist, NYQuist, or GAUSsian, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel EVM|ACP

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel?


Channels (PRACH)

Buttons and Tabs

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Begins the PRACH transmission. This button is active when the PRACH Start Trigger Source is set to Trigger in the PRACH node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

This button opens the RMC/FRC Wizard dialog box. This dialog box can be used to set up the Reference Measurement Channel (RMC) or the Fixed Reference Channel (FRC).

1. General Settings

Scrambling Code (PRACH)

Range: 0 to 8191

Default: 0

Sets the scrambling code number for the PRACH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SCRamblecode?


PRACH Settings

These settings control the real-time baseband and W-CDMA functionality.

For more information, refer to the Multi PRACH Settings tab and to the PRACH Structure tab.

1. General Settings | 2. Transmission Settings | 3. Trigger Settings
PRACH Generation Mode | Number of PRACH Number of PRACH (Multiple PRACH Mode) | PRACH Start Trigger Source
 | Start Sub-Channel |

PRACH Settings Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Begins the PRACH transmission. This button is active when the PRACH Start Trigger Source is set to Trigger in the PRACH node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

1. General Settings

PRACH Generation Mode

Choice: Single|Multiple

Default: Single

Sets the PRACH generation type.

Single | This choice generates a single PRACH.
Multiple | This choice generates up to eight PRACHes.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MODE[:SELect] SINGle|MULTi

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MODE[:SELect]?

2. Transmission Settings

Number of PRACH

Range: 1 to 2147483647 | Infinity

Default: 1

Sets the repetition number of PRACH (Preamble + Message part).

Infinity

This choice means the repeating number will continue while the PRACH mode is selected and the start trigger is ignored.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:NUMBer <val>|INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:NUMBer?

Number of PRACH (Multiple PRACH Mode)

Range: 1 to 2147447836 | Infinity

Default: 1

Sets the repetition number of PRACH (80 ms Multiple PRACH configuration).

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:NUMBer <val>|INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:NUMBer?

Start Sub-Channel

Range: 0 to 11

Default: 0

Sets the sub-channel number for starting of the PRACH signal.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SUBChannel <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SUBChannel?

3. Trigger Settings

PRACH Start Trigger Source

Choices: Immediate|Trigger

Default: Immediate

Sets the trigger source of PRACH.

Immediate: This choice resets the waveform and immediately replays waveform from the start.

Trigger: This choice plays the waveform after receiving the PRACH start trigger.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:SOURce IMMediate|TRIGger

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:SOURce?

Related Topics

PRACH Structure

Preamble

RACH


Preamble

These settings control the PRACH preamble.

See also, PRACH , Message, Multi PRACH Settings, and Closed PRACH Structure.

1. General Settings | 2. Transmission Settings
Signature (Single PRACH Mode) | Number of Preambles Number of Preambles (Multiple PRACH Mode) Initial Power Initial Power (Multiple PRACH Mode) Maximum Power Maximum Power (Multiple PRACH Mode) Power Ramp Step Power Ramp Step (Multiple PRACH Mode) Tp-p

Preamble Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Begins the PRACH transmission. This button is active when the PRACH Start Trigger Source is set to Trigger in the PRACH node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

1. General Settings

Signature (Single PRACH Mode)

Range 0 to 15

Default: 0

Sets the signature code of PRACH Preamble.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:SIGNature <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGLe]:PREamble:SIGNature?

2. Transmission Settings

Number of Preambles

Choice: 1 to 8388607 | Infinity

Default: 1

Sets the repetition number of the PRACH preamble. This value is clipped when <Number of Preamble> * <Power Ramp Step> exceeds 30 dB.

Edit the Number of Preambles by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Number of Preambles dialog box.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:NUMBer <val>|INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:NUMBer?

Number of Preambles (Multiple PRACH Mode)

Shows the repetition number of the PRACH preamble. The repetition number is fixed to 1 when the Multiple PRACH mode is on.

Edit the Number of PRACH (Multiple PRACH Mode) by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Number of PRACH (Multiple PRACH Mode) dialog box. See also, Multi PRACH Settings topic.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:NUMBer?

Initial Power

Shows the initial preamble power from Maximum Power, Power Ramp Step, and the Number of Preambles. This parameter is not editable.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:INITial?

Initial Power (Multiple PRACH Mode)

Shows the initial preamble power (for Multiple PRACH Mode) from Maximum Power, Power Ramp Step, and the Number of Preambles. In Multiple PRACH Mode, the Initial Power is always the same value as the Maximum Power. See also, Multi PRACH Settings topic.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:INITial?

Maximum Power

Range: –144.06 to 30 (dB)

Default: 0 dB

Sets the maximum power of PRACH Preamble.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MAXimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MAXimum?

Maximum Power (Multiple PRACH Mode)

Range: –162.06 to 20 (dB)

Default: 0 dB

Sets the maximum power of PRACH Preamble (for Multiple PRACH Mode).

In Multiple PRACH Mode, the Maximum Power is always the same value as the Initial Power. See also, Multi PRACH Settings topic.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:MAXimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:MAXimum?

Power Ramp Step

Range: 0 to 10 (dB)

Default: 0 dB

Sets the preamble power ramping level. This value is available when the number of Preambles is not "Infinity". This value is set to 0 when the number of Preambles is set to "Infinity".

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:RSTep <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:RSTep?

Power Ramp Step (Multiple PRACH Mode)

Shows the power ramping level of preambles. This value is fixed to 0.0 dB because only one preamble is allowed in the multiple PRACH mode. See also, Multi PRACH Settings topic.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:RSTep?

Tp-p

Range: 1 to 60 (Access Slot)

Default: 3 Access Slots

Sets Tp-p (timing duration preamble to preamble in access slots).

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPP <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPP?

Related Topics

Multi PRACH Settings


Message

These settings control the PRACH message functionality.

For more information, refer to the Multi PRACH Settings tab and to the PRACH Structure tab.

1. General Settings | 2. Transmission Settings | 3. Control Part Settings | 4. Data Part Settings
State State (Multiple PRACH Mode) Power (Control Part + Data Part) | Power Setup Mode Transmission Message Power Transmission Message Power (Multiple PRACH Mode) Pp-m Pp-m (Multiple PRACH Mode) Tp-m | Power Data Channel Code Slot Format Symbol Rate TFCI State TFCI Data | Power Data Channel Code Slot Format Symbol Rate

Message Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Begins the PRACH transmission. This button is active when the PRACH Start Trigger Source is set to Trigger in the PRACH node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

1. General Settings

State

Choice: On | Off | AICH

Default: On

Sets the state of the PRACH message part. The "AICH" selection enables the acquisition indication channel (AICH) preamble power ramping mode.

On | This choice enables the message part to be generated after the number of preambles are generated. The “Number of Preamble” must be specified.
Off | This choice does not allow the message part to be generated. Only the preambles are transmitted.
AICH | This choice enables the acquisition indication channel preamble power ramping mode.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage[:STATe] ON|OFF|AICH

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage[:STATe]?

If you select PRACH message part, use this query to verify the state status.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1][:STATe]?

State (for Multiple PRACH Mode)

Choice: On | Off

Default; On

Sets the state of the PRACH message part for the multiple PRACH generation mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage[:STATe] 0|1|ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage[:STATe]?

If you select PRACH message part (Multi), use this query to verify the state status.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1][:STATe]?

Power (Control Part + Data Part)

Shows the message total power dB accumulated the message control part power dB and the message data part power dB.

2. Transmission Settings

Power Setup Mode

Choice: Pp-m | Total

Default: Pp-m

Sets the message part power setup mode. The Pp-m selection defines the message power from Pp-m (power difference from the preamble power to the message control part power). The Total selection defines the message power from the total message power.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:PREamble:POWer:MODE PPM|TOTal

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:PREamble:POWer:MODE?

Transmission Message Power

Range: –144 to 30 (dB)

Default: –1.44E+002 dB

Sets the message total power value for the signal PRACH mode. This value is used when Power Setup Mode is "Total".

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:TPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:TPOWer?

Transmission Message Power (Multiple PRACH Mode)

Range: -162.06 to 20 (dB)

Default: 0 dB

Sets the message total power value for the multiple PRACH mode. This value is used when the Power Setup Mode is set to "Total". This value indicates the power of one PRACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage:TPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage:TPOWer?

Pp-m

Range: –20 to 10 (dB)

Default: –4.56 dB

Sets Pp-m (the power difference from the last preamble power to the power of the message control part).

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:PPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:PPM?

Pp-m (for Multiple PRACH Mode)

Range: –20 to 10 (dB)

Default: –4.56 dB

Sets Pp-m (the power difference between the preamble and the message control part in PRACH) for the multiple PRACH generation mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:PPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:PPM?

Tp-m

Range: 1 to 15 (Access Slot)

Default: 3 Access Slots

Sets Tp-m (timing duration preamble to message part in access slots).

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPM?

3. Control Part Settings

Power

Range: –40 to 0 (dB)

Default: –2.69 dB

Sets the power level of the PRACH message control part.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer?

Data

Choice: PN9 | PN15 | FIX4 | Standard | Custom Pattern | User Data

Default: Standard

Edit the Data of the PRACH message control part by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data dialog box .

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA PN9|PN15|FIX4|PATTern|"<filename>"|STD

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:PATTern?

Channel Code

Range: 0 to 255

Default: 15

Sets the channelization code for the PRACH message control part.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:CCODe?

Slot Format

Default: 0

Indicates the message control part slot format for PRACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:SLOTformat?

Symbol Rate

Default: 15 ksps

Indicates the Symbol Rate (symbol per second: sps) for PRACH Message-Control part. This value is fixed to 15 ksps.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:RATE?

TFCI State

Default: On

Indicates the state of the transport format combination indicator (TFCI) bits.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI[:STATe]?

TFCI Data

Choices: PN9 | PN15 | FIX | Custom Pattern | User File

Default: FIX [10-bit] (0)

FIX Range: 0 to 1023 (0x3FF), Default: 0

Sets a bit pattern to be inserted into the transport format combination indicator (TFCI).

Example: When using Custom Pattern choice, for a HEX value of 3, in the TFCI Data dialog window enter: 11 or 0000000011.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern PN9|PN15|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPAR:TFCI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:PATTern?

4. Data Part Settings

Power

Range: –40 to 0 (dB)

Default: 0 dB

Sets the power level of PRACH message data part.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:POWer?

Data

Choice; PN9 | PN15 | FIX4 | RACH| Custom Pattern | User Data

Default: RACH

Edit the Data type to be inserted into PRACH message data part by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Data dialog box.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

Custom Pattern | Sets the Transmission Power Control (TPC) data pattern to Custom Pattern. The value of this command is a string which is represented ‘0’ or ‘1’. The maximum data length is 3,840 patterns.
User Data | This variable specifies a data pattern that has been stored in memory.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA PN9|PN15|FIX4|PATTern|"<filename>"|TRANspch

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern::

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:PATTern?

Channel Code

Range: 0 to 255 (Slot format = 0), 0 to 127 (Slot format = 1), 0 to 63 (Slot format = 2), 0 to 31 (Slot format = 3)

Default: 0

Sets the channelization code for the PRACH message data part.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:CCODe?

Slot Format

Range: 0 to 3

Default: 2

Sets the slot format for the message data part of PRACH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:SLOTformat?

Symbol Rate

Selection: 15 ksps | 30 ksps | 60 ksps | 120 ksps

Default: 60 ksps

Sets the Symbol Rate (symbol per second: sps) for PRACH Message-Data part. This value is coupled to Slot Format.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:RATE?

Related Topics

PRACH

RACH.


RACH

These settings control the uplink transport Random Access Channel (RACH).

See also, PRACH and Message.

1. General Settings | 2. Error Insertion Settings
Data | Error Insertion Mode
Block Size | BLER
Number of Blocks | BLER Error Blocks
Coding Type | BLER Total Blocks
TTI | BER
Rate Matching Attribute | BER Error Bits
CRC Length | BER Total Bits
Bits Per Frame |
Puncture Rate |
Maximum Puncture Rate |
Bit Rate |

RACH Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Begins the PRACH transmission. This button is active when the PRACH Start Trigger Source is set to Trigger in the PRACH node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

1. General Settings

Data

Choice: PN9 | FIX4 | Custom Pattern | User Data

Default: PN9

Sets the type of data to be inserted into RACH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA PN9|FIX4|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA?

If you select <"filename">, PATTern or FIX4, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:FIX4

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:PATTern

Block Size

Range: 0 to 5000

Default: 168

Sets the transport block size for RACH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BLKSize <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BLKSize?

Number of Blocks

Range: 0 to 4095

Default: 1

Sets the number of transport blocks coded into RACH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:NBLock <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:NBLock?

Coding Type

Indicates the type of channel coding for RACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:CODE?

TTI

Choice: 10 | 20 (ms)

Default: 20 ms

Sets the transmission time interval (TTI) for RACH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

For the following commands, either can be used to set the RACH TTI.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TTI 10000|20000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:TTI 10000|20000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:TTI?

Rate Matching Attribute

Indicates the rate match parameters of RACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:RMATch?

CRC Length

Choice: 0 | 8 | 12 | 16 | 24

Default: 16

Sets the number of cyclic redundancy code (CRC) bits that are to be added to each transport channel block.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:CRC 0|8|12|16|24

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:CRC?

Bits Per Frame

Indicates the bits per frame for RACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BPFRame?

Puncture Rate

Indicates the puncture rate removed from or added to the fully coded channel of RACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:PPERcentage?

Maximum Puncture Rate

Indicates the allowed maximum puncture rate.

Bit Rate

Indicates the bit rate for RACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BRATe?

2. Error Insertion Settings

Error Insertion Mode

Choice: None | BER | BLER

Default: None

Sets the error insertion mode. The error insertion is available when the PRACH generation mode is set to "Single".

BLER | This choice selects block error rate (BLER) mode.
BER | This choice selects a bit error rate (BER) mode.
None | This choice selects no BLER or BER mode (no error blocks or bits inserted).

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:EINSert BLER|BER|NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:EINSert?

BLER

Range: 0 to 1 (Resolution 0.0001)

Default: 0

Sets the inserted block error rate value.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER[:VALue]?

BLER Error Blocks

Indicates the actual block errors inserted in the total number of blocks.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER:ERRor:BLOCk?

BLER Total Blocks

Indicates the total blocks inserted for the block error ratio calculation.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER:TOTal:BLOCk?

BER

Range: 0 to 1 (Resolution 0.0001)

Default: 0

Sets the bit error rate (BER) value for RACH.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER[:VALue]?

BER Error Bits

Default: 0

Indicates the actual error bits inserted for the total number of bits.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER:ERRor:BIT?

BER Total Bits

Default: 0

Indicates the total number of bits inserted for the bit error rate (BER) calculation.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER:TOTal:BIT?

Related Topic:

Preamble


Signal IO (PRACH)

These settings control the signal I/O ports.

1. Markers | 2. Aux Port General Settings | 3. Multiplexed Mode
Marker 1 Signal (PRACH) | State | First Address
Marker 3 Signal (PRACH) | Data Polarity | Second Address
Marker 4 Signal (PRACH) |  |
4. Dedicated Mode Setup | 5. Aux Pin/Bit Select
Aux Port Pin | PRACH Start Trigger
Baud Rate | AICH Trigger

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

Begins the PRACH transmission. This button is active when the PRACH Start Trigger Source is set to Trigger in the PRACH node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

1. Markers

Marker 1 Signal, Marker 3 Signal, and Marker 4 Signal (PRACH)

Choice: None | 10ms Frame Pulse | Message-Data Raw Data | Message-Data Raw Data Clock | Message-Control Raw Data | Message-Control Raw Data Clock | Preamble Raw Data Raw | Subchannel Timing | PRACH Processing | 80ms Frame Pulse | Preamble Pulse | Message Pulse | PRACH Pulse | Start Trigger Echo Back

Default: None

Double-click or use the drop-down menu to select PRACH Marker signal.

None | indicates no marker signal.
10ms Frame Pulse | indicates 10 ms frame boundary.
Message-Data Raw Data | indicates the data of PRACH Message Data part.
Message-Data Raw Data Clock | indicates the data clock of PRACH Message Data part.
Message-Control Raw Data | indicates the control data of PRACH Message Data part.
Message-Control Raw Data Clock | indicates the control data clock of PRACH Message Data part.
Preamble Raw Data | indicates the data of PRACH Preamble
Subchannel Timing | indicates the subchannel timing
PRACH Processing | indicates the PRACH data generation state
80ms Frame Pulse | indicates the 80ms frame boundary
Preamble Pulse | indicates the timing of PRACH Preamble
Message Pulse | indicates the timing of PRACH Message part
PRACH Pulse | indicates the timing of PRACH
Start Trigger Echo Back | indicates the start trigger is received

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided:PRACh:TYPE NONE|F10Pulse|MSG_DATA|MSG_DATA_CLK|MSG_CTRL|MSG_CTRL_CLK|PRE_RAW|SUBChannel|PPRocessing|F80Pulse|PRE_PULSE|MSG_PULSE|PRACH_PULSE|STRigger

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided:PRACh:TYPE?

2. AUX Port General Settings

State

Choice: On|Off

Default: On

Enables or disables the Aux Port General Settings. When disabled, all data sent to the AUX port will be ignored by this I/Q channel.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe]?

Data Polarity

Choices: Positive|Negative

Default: Positive

Determines whether AUX input data will be inverted or not.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity?

3. Multiplexed Mode Setup

First Address

Choices: Group 1 to Group 15

Default: Group 1

Selects an additional address (different from a broadcast address) to receive the AUX I/O data. The data that comes with this address value is transmitted to this I/Q channel.

This setting is inactive (grayed out) unless Multiplexed is the AUX IO operating mode.

Second Address

Choices: Group 1 to Group 15

Default: Group 2

Selects another additional address (different from a broadcast address) to receive the AUX I/O data. The data that comes with this address value is transmitted to this I/Q channel.

This setting is inactive (grayed out) unless Multiplexed is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity:MULTiplexed:ADDR2 NONE|GROUP1|GROUP2|GROUP3|GROUP4|GROUP5|GROUP6|GROUP7|GROUP8|GROUP9|GROUP10|GROUP11|GROUP12|GROUP13|GROUP14|GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity:MULTiplexed:ADDR2?

4. Dedicated Mode Setup

Aux Port Pin

Choices: Unassigned|AUX0|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

Default: AUX1

Selects a serial pin from which the application channel wants to receive AUX port data.

This setting is inactive (grayed out) unless Dedicated is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN NONE|AUX0|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN?

Baud Rate

Choices: 9600| 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800

Default: 115200 (symbol/s)

Specifies how fast serial data is transmitted (in symbol per second).

This setting is inactive (grayed out) unless Dedicated is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE 9600|14400|19200|38400|57600|115200|230400|460800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE?

5. Aux Pin/Bit Select

For more informaiton on the Aux IO (pins/bits selections), see the AUX I/O Connector Signal Input topic.

PRACH Start Trigger

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0|AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX1

Sets the input port of PRACH Start Trigger.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.

AICH Trigger

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0|AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX2

Sets the input port of the AICH trigger.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:ULINk:PRACh:AICH:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:ULINk:PRACh:AICH:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.


Dialog Setup Boxes (PRACH)

Filter Setup | describes the filter choices and the settings available
Data Setup Dialog Box (PRACH) | describes the data choices and settings available to define a custom bit pattern that includes payload data, training sequences, tail bits, guard bits, etc.


Data Setup Dialog Boxes (PRACH)

This topic explains the data setup dialog boxes and their parameters for the Message and RACH nodes. When configuring the data for timeslots that have a data entry, each timeslot's data setup dialog box is separate and independent of the other timeslots. Access to these dialog boxes is through the following nodes and settings:

Node | Setting
Message | Data
 | TFCI Data
 | Data
RACH | Data
Data Setup Dialog Box Figures |  | Pattern Editor
 | Typical Data Setup |  | Pattern Editor Buttons
 | Custom Pattern Only Selection |  |  | Open Pattern File
 | TFCI Data Setup |  |  | Save to file
Selections |  |  |  | Clear
 | Standard |  |  | Insert PN9
 | PN9 | PN15 | FIX4 |  |  | Insert PN15
 | Custom Pattern |  |  | 1
 | User File |  |  | 0
Button |  |  |  | <--
 | Browse |  |  |

Data Setup Dialog Boxes

Typical Data Setup

This is typically the dialog box shown when PN sequences are part of the data selections. Select Custom Pattern to expand the dialog box to create a custom bit pattern. Please note that some choices may not be available on all of the data dialog boxes.

Custom Pattern Only Selection

This is the dialog box shown when Custom Pattern is selected. Select Custom Pattern to expand the dialog box to create a custom training sequence.

TFCI Data

This is the dialog box shown when TFCI Data is selected in the Message node. TFCI Data sets a bit pattern to be inserted into the transport format combination indicator (TFCI) from 0 to 1023 (0x3FF). This value is encoded when "FIX" is selected, otherwise the assigned value is used without encoding. This parameter is used when the Data parameter in the Control Part Settings is set to "Standard". For the User File selection, the data file must be the text format and consist of '0' and/or '1' characters.

Selections

Each data selection lists the links to the SCPI commands, where applicable, that also makes the data selection. The links use the setting name (cell name) that accesses the data setup dialog box. When clicked, the links go to the topic with the setting description that includes the SCPI command. For a complete listing of the nodes and settings that use this topic, see the node and setting table at the top.

Standard

Selects the data type where the data is based on the 3GPP standards.

PN9 | PN15 | FIX4

These selections generate a pseudo-random bit pattern in accordance with the ITU standard for the selected PN sequence or and on a 4-bit binary.

Message

  • Data SCPI Command

  • TFCI Data_SCPI Command

  • Data_SCPI Command

RACH

  • Data SCPI Command

EXT is not a data choice when channel coding is turned on for Normal GMSK and Normal 8PSK timeslots.

Custom Pattern

This selection opens the Pattern Editor with related buttons that lets you customize the transmitted data using up to 128,000 bits.

When the data setup dialog box is launched , it only shows the preselected Custom Pattern selection and the Pattern Editor.

Message Control Part Settings: Data SCPI Command — select Pattern from the command choices

TFCI Data SCPI Command — select Pattern from the command choices

Message Data Part Settings: Data SCPI Command — select Pattern from the command choices

RACH: Data SCPI Command — select Pattern from the command choices

User File

Select this choice to load a predefined and saved custom data file. When selected, the Browse button becomes active.

To use all of the data in the file, the file must supply enough bits to fill the desired number of timeslots (the same timeslot in multiple frames). When there are not enough bits remaining in the file to fill a timeslot, the remaining bits are ignored and the software reuses the file from the beginning. For example, if the timeslot requires 114 data bits and there is a need to fill the timeslot over 10 frames, then the minimum file size would be 1,140 bits. If the file size was only 1,000 bits, the data would be parsed over eight frames. On the ninth frame, the software would ignore the remaining 88 bits and reuse the file from the beginning.

When loading a user file through the software's Data dialog box, the MXG/EXG requires an ASCII text file consisting of 1s and 0s. When using SCPI commands, all instruments require a binary data file.

Message Control Part Settings: Data SCPI Command — select "<file name"> from the command choices

TFCI Data SCPI Command — select "<file name"> from the command choices

Message Data Part Settings: Data SCPI Command — select "<file name"> from the command choices

RACH: Data SCPI Command — select "<file name"> from the command choices

Button

For buttons associated with the Pattern Editor, see Pattern Editor Buttons.

Browse

Coupling: This button is enabled with the User File selection.

Click this button to open the Open user defined data dialog box to navigate to and select a previously configured and saved custom data file.

Pattern Editor

Use the PATTERN EDITOR to create custom bit patterns.The Closed PATTERN EDITOR area contains buttons to open, save, or clear user data along with the ability to insert PN9 or PN 15 data.

There are multiple ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or Insert PN15 buttons

  • load a pattern file

  • use the 1 and 0 buttons on the PATTERN EDITOR

  • pasting data from a file or from within the current view

(The keyboard shortcuts Cntl+C and Cntl+V work for user data entry.)

To use the keyboard to insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data.

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data using the backspace button, keyboard Delete key, keyboard Backspace key, or the keyboard shortcut Cntl+x.

The maximum number of bits for the PATTERN EDITOR entry area is 128,000, which is also the maximum file size.

Pattern Editor Buttons

Open Pattern File

Coupling: This button becomes visible with the Custom Pattern selection.

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area.

The maximum file size is 128,000 bits. If the imported file is larger than 128,000 bits, the software truncates the bits to conform to the maximum file size.

Save to file

Coupling: This button becomes visible with the Custom Pattern selection.

This button saves the current data pattern shown in the PATTERN EDITOR entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file.

Clear

Coupling: This button becomes visible with the Custom Pattern selection.

Use this button to clear all data from the PATTERN EDITOR.

Insert PN9 | Insert PN15

Coupling: This button becomes visible with the Custom Pattern selection.

These buttons insert a fixed pattern pseudo-random bit sequence into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153 and ITU standard for the selected PN sequence. Repeated clicking of this button adds additional PN9/PN15 sequences until another insertion of the PN sequence would exceed the maximum number of bits (128,000). When this happens, the software displays a warning that it cannot insert another PN sequence.

If more bits are required after this warning and the there are less than the maximum number of bits showing, insert a smaller PN sequence (if using PN15, use PN9), highlight a section of the data and paste it, or use the 1 and 0 buttons.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0, or the PATTERN EDITOR 1 and 0 buttons. The software inserts the data at the cursor position and does not allow data in excess of 128,000 bits.

Coupling: This button becomes visible with the Custom Pattern selection.

Use this button to enter ones into the PATTERN EDITOR. The ones start at the current cursor location. To change the entry location in the data, simply reposition the cursor, and then click the button.

Coupling: This button becomes visible with the Custom Pattern selection.

Use this button to enter zeros into the PATTERN EDITOR. The zeros start at the current cursor location. To change the entry location in the data, simply reposition the cursor, and then click the button.

Coupling: This button becomes visible with the Custom Bit Pattern selection.

Click this button to backspace/delete data.


W-CDMA Uplink (CELL_FACH)

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. General Settings

Channel Configuration Mode

Choice: DPCCH/DPDCH | PRACH | CELL_FACH

Default: DPCCH/DPDCH

Double-click or use the drop-down menu to set the channel configuration mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE PRACh|DPCCh|CFACh

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE?

Filter Type

Choice: Root Nyquist | Nyquist | Gaussian | Rectangle | IS95 | IS95 w/EQ | IS95 Mod | IS95 Mod w/EQ | APCO 25 C4FM | UN3/4 GSM Gaussian | User FIR Filter | User File

Default: Root Nyquist

Set the filter type by clicking on the cell. Then click on the dialog box icon [image] to launch the Closed Filter Setup dialog box.

See Filter Setup, for descriptions of the various filter selections and how to use this dialog box.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer RNYQuist|NYQuist|GAUSsian|RECTangle|IS95|IS95_EQ|IS95_MOD|IS95_MOD_EQ|AC4Fm|UGGaussian|PATTern|"<user_FIR>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer?

If you select RNYQuist, NYQuist, or GAUSsian, use the following commands to create the pattern:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel EVM|ACP

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel?


Channels (CELL_FACH)

Buttons and Tabs

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. General

Segment Length

Range: 2560 to 51200 ms, Step: 2560 ms

Default: 2560 ms

Sets the segment length (Group 1 + Group 2). The segment length is clipped by a multiple number of the CFN cycle length (2560 ms).

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:SEGMent:LENGth

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:SEGMent:LENGth?

Segment Length (SFN Cycle)

Indicates the segment length in the SFN cycle (2560 ms).

Miscellaneous Information

Indicates the Segment information. (Timing, Length)

Group 1 Start Position

Indicates the start position of Group 1. This value is fixed to 0. This value does not include the system synchronization trigger delay.

Group 1 Preamble Part Length

Indicates the length of Preamble part in Group 1.

Group 1 DPCCH Only Part Start Position

Shows the start position of DPCCH only part in Group 1. This value does not include the system synchronization trigger delay.

Group 1 DPCCH Only Part Length

Indicates the length of DPCCH only part in Group 1.

Group 1 E-DCH Part Length

Indicates the length of E-DCH part in Group 1.

Group 1 DTX Part Length

Indicates the length of DTX part in Group 1.]

Group 2 Start Position

Shows the start position of Group 2, distance from Group 1 Start Position. The start position of Group2 fits the boundary of 10 ms frame. This value does not include the system synchronization trigger delay.

Group 2 E-DCH Part Length

Indicates the length of E-DCH part in Group 2.

Group 2 DTX Part Length

Shows the length of DTX part in Group 2.


Group 1

This topic covers the Group 1 CELL_FACH settings.

1. General Settings | 2. Preamble Settings
Scrambling Code (PRACH) Scrambling Code (DPCH) Nmax-dpdch HS-DSCH Configured DPCCH Only Part Length E-DCH Length DTX Length in ms DTX Length in Chip Miscellaneous Information Preamble Info DPCCH Info E-DPCCH Info E-DPDCH Info E-DCH Info | Signature Preamble Power Pp-e Tp-a Soffset Access Slot

3. DPCCH Settings | 4. HSUPA Settings
Power Slot Format TPC Pattern | State E-DCH TTI E-TFCI Table Selection E-TFC Index Happy Bit E-DPCCH Power E-DPDCH Power Modulation Capability Maximum Channel Codes E-DCH Data

1. General Settings

Scrambling Code (PRACH)

Range: 0 to 8191

Default: 0

Sets the scrambling code number for the PRACH part.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SCRamblecode?

Scrambling Code (DPCH)

Range: 0 to 16777215

Default: 0

Sets the scrambling code number for the DPCH part.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode?

Nmax-dpdch

Choice: 0 | 1

Default: 0

Sets the maximum number of DPDCH (Nmax-dpdch) to control the channel assignment.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch?

HS-DSCH Configured

Choice: No | Yes

Default: Yes

Sets the HS-DSCH configured state to control channel assignment.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig?

DPCCH Only Part Length

Range: 2 ms| 4 ms| 10 ms

Default: 10 ms

Sets the DPCCH only part transmission length. This parameter is available when the HSUPA E-DCH TTI is set to 2 ms. When the HSUPA E-DCH TTI is set to 10 ms, this value is fixed to the selection of 10 ms.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DPCCh:LENGth 2|4|10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DPCCh:LENGth?

E-DCH Length

Range: 10 to 5000 ms

Default: 10 ms

Sets the E-DCH transmission duration. The resolution of this value is aligned with the value of E-DCH TTI.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth?

DTX Length in ms

Range: 10 to 500 ms

Default: 10 ms

Sets the DTX period of Group 1 in microseconds. DTX Length in Chip will be recalculated after setting this value. This value is adjusted by the values of DPCCH/HSUPA length of Group 1 and the value of HSUPA E-DCH TTI of Group 2.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:LENGth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:LENGth?

DTX Length in Chip

Range: 38400 to 1920000

Default: 38400

Sets the DTX period of Group 1 in chip. DTX Length in ms will be recalculated after setting this value. This value is adjusted by the values of DPCCH/HSUPA length of Group 1 and the value of HSUPA E-DCH TTI of Group 2.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:CHIP <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:CHIP?

Miscellaneous Information

Preamble Info

Indicates the Preamble miscellaneous information.

Normalized power (NormPwr)

DPCCH Info

Indicates the DPCCH miscellaneous information.

Normalized power (NormPwr), IQ branch mapping (IQ), Channel code (ChCode), Spreading factor (SF).

E-DPCCH Info

Indicates the E-DPCCH miscellaneous information.

Normalized power (NormPwr), IQ branch mapping (IQ), Channel code (ChCode), Spreading factor (SF)

E-DPDCH Info

Indicates the E-DPDCH miscellaneous information.

Normalized power (NormPwr), IQ branch mapping (IQ), Channel code (ChCode), Spreading factor (SF)

E-DCH Info

Indicates the E-DCH miscellaneous information (i.e. Block size and Puncture rate).

2. Preamble Settings

Signature

Range 0 to 15

Default: 0

Sets the signature code of PRACH Preamble.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:SIGNature <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:SIGNature?

Preamble Power

Displays the calculated PRACH Preamble power level in dB from DPCCH Power and Pp-e. The displayed power is in range of -50 to 10 dB with an inital value of -2.69 dB.

Power Preamble (Ppreamble) is calculated by: Ppreamble = Pdpcch - Pp-e.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:POWer?

Pp-e

Range: -10 to 10 dB, Resolution: 1 dB

Default: 0 dB

Sets the PRACH Pp-e in dB (power offset between the PRACH Preamble and the DPCCH).

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PPE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PPE?

Tp-a

Choice: 7680 | 12800

Default: 12800

Sets the Tp-a value expressed in units of chip. Tp-a specifies the time period (distance) between the PRACH preamble and the DPCCH.

The total time between the preamble and the DPCCH is calcurated from the Tp-a and Soffset values: Tp-a + 10240 + 256 * Soffset + 1024 chips.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:TPA 7680|12800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:TPA?

Soffset

Range 0 to 9 (integer only)

Default: 6

Sets the Soffset of PRACH, which part of the time between the PRACH Preamble and the DPCCH transmission.

Each value of the range is a multiplier of 256 chips. So 0 is zero chips and 9 is 2304 chips.

The total time between the preamble and the DPCCH is calcurated from the Tp-a and Soffset values: Tp-a + 10240 + 256 * Soffset + 1024 chips.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SOFFset <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SOFFset?

Access Slot

Range 0 to 59

Default: 0

Sets the Preamble position.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:ASLot <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:ASLot?

3. DPCCH Settings

Power

Range: -40 to 0 dB

Default: -2.69 dB

Sets the DPCCH power level in dB. The value entered here is also used by the same setting in the Group 2 node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:POWer?

Slot Format

Range: 1 | 3 | 4

Default: 1

Sets the slot format of DPCCH. The value entered here is also used by the same setting in the Group 2 node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:SLOTformat

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:SLOTformat?

TPC Pattern

Choice: Up All | Down All | Custom Pattern

Default: Up All

Sets the TPC Closed pattern of DPCCH. The pattern entered here is also used by the same setting in the Group 2 node.

The Custom Pattern slection opens a pattern editor for creating, editing, saving, or recalling a pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern UALL|DALL|PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern?

If PATTern is the selection, use "0" or "1" in a string (example: "00011101011") to configure the pattern. The maximum pattern length is 2,048 bits.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern:PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern:PATTern?

4. HSUPA Settings

State

Choice: Off | On

Default: On

Enables or disables the HSUPA state. The state controls the channel generation of HSUPA of this group. The timing of Groups are not changed by the state value.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe 0|1|OFF|ON

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe?

E-DCH TTI

Choice: 2 | 10 ms

Default: 10 ms

Sets the transmission time interval (TTI) of HSUPA E-DCH in ms.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI 2|10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI?

E-TFCI Table Selection

Choice: 0 | 1

Default: 1

Sets the table number of E-DCH Transport Block Size Table.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle?

E-TFC Index

Range: | 0 to 127 (E-DCH TTI = 2ms, E-TFCI Table Selection = 0)
 | 0 to 125 (E-DCH TTI = 2ms, E-TFCI Table Selection = 1)
 | 0 to 127 (E-DCH TTI = 10ms, E-TFCI Table Selection = 0)
 | 0 to 120 (E-DCH TTI = 10ms, E-TFCI Table Selection = 1)
Default: | 41

Sets the E-TFC Index.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi?

Happy Bit

Choice: Happy | Not Happy | Custom Pattern

Default: Happy

Sets the Happy Bit pattern.

Clicking Custom Pattern opens an Closed extended Happy Bit window (i.e. for setting: Length, Fill Pattern, Start Index, Fill Length, Interval, Value, ...). Modify the pattern by clicking the box in Happy/Not Happy columns. The custom pattern can have a maximum length of 128000 bits.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT HAPPy|NHAPpy|PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT?

If PATTern is the selection, use"0" (Not Happy) or "1" (Happy) in a string (example: "00011101011") to configure the pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern?

E-DPCCH Power

Range: -40 to 0 dB

Default: -2.69 dB

Sets the E-DPCCH power level in dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer?

E-DPDCH Power

Range: -40 to 0 dB

Default: -2.69 dB

Sets the E-DPDCH power level in dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer?

Modulation Capability

Choice: QPSK (2 x BPSK) | 16QAM (2 x 4PAM)

Default: QPSK

Sets the E-DPDCH modulation capability

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability QPSK|QAM16

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability?

Maximum Channel Codes

Choice: SF256 (x1) | SF128 (x1) | SF64 (x1) | SF32 (x1) | SF16 (x1) | SF8 (x1) | SF4 (x1) | SF4 (x2) | SF2 (x2) | SF2 (x2) + SF4 (x2)

Default: SF2 (x2) + SF4 (x2)

Selects Spreading Factor (SF) and the number of E-DPDCHs configuration.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes?

E-DCH Data

Choice: PN9 | Custom Pattern

Default: PN9

Selects the Closed data of E-DCH.

The Custom Pattern slection opens a pattern editor for creating, editing, saving, or recalling a pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA PN9|PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA?

If PATTern is the selection, use "0" or "1" in a string (example: "00011101011") to configure the pattern. The maximum pattern length is 81,920 bits.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern?


Group 2

This topic covers the Group 2 CELL_FACH settings.

1. General Settings | 2. DPCCH Settings | 3. HSUPA Settings
Scrambling Code (DPCH) Nmax-dpdch HS-DSCH Configured E-DCH Length Miscellaneous Information DPCCH Info E-DPCCH Info E-DPDCH Info E-DCH Info | Power Slot Format TPC Pattern | State E-DCH TTI E-TFCI Table Selection E-TFC Index Happy Bit E-DPCCH Power E-DPDCH Power Modulation Capability Maximum Channel Codes E-DCH Data

1. General Settings

Scrambling Code (DPCH)

Range: 0 to 16777215

Default: 0

Sets the scrambling code number for the DPCH part.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode?

Nmax-dpdch

Choice: 0 | 1

Default: 0

Sets the maximum number of DPDCH (Nmax-dpdch) to control the channel assignment.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch?

HS-DSCH Configured

Choice: No | Yes

Default: Yes

Sets the HS-DSCH configured state to control channel assignment.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig?

E-DCH Length

Range: 10 to 5000 ms

Default: 10 ms

Sets the E-DCH transmission duration. The resolution of this value is aligned with the value of E-DCH TTI.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth?

Miscellaneous Information

DPCCH Info

Displays the DPCCH miscellaneous information.

Normalized power (NormPwr), IQ branch mapping (IQ), Channel code (ChCode), Spreading factor (SF).

E-DPCCH Info

Displays the E-DPCCH miscellaneous information.

Normalized power (NormPwr), IQ branch mapping (IQ), Channel code (ChCode), Spreading factor (SF)

E-DPDCH Info

Displays the E-DPDCH miscellaneous information.

Normalized power (NormPwr), IQ branch mapping (IQ), Channel code (ChCode), Spreading factor (SF)

E-DCH Info

Displays the E-DCH miscellaneous information: Block Size and Puncture Rate.

2. DPCCH Settings

Power

Displays the Group 2 DPCCH power level, which is the power level set in the Group 1 node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:POWer?

Slot Format

Displays the Group 2 DPCCH slot format, which is the same slot format set in the Group 1 node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:SLOTformat?

TPC Pattern

Displays the Group 2 DPCCH TPC pattern, which is the same pattern set in the Group 1 node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern?

3. HSUPA Settings

State

Choice: Off | On

Default: On

Enables or disables the HSUPA state. The state controls the channel generation of HSUPA of this group. The timing of Groups are not changed by the state value.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe 0|1|OFF|ON

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe?

E-DCH TTI

Choice: 2 | 10 ms

Default: 10 ms

Sets the transmission time interval (TTI) of HSUPA E-DCH in ms.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI 2|10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI?

E-TFCI Table Selection

Choice: 0 | 1

Default: 1

Sets the table number of E-DCH Transport Block Size Table.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle 0|1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle?

E-TFC Index

Range: | 0 to 127 (E-DCH TTI = 2ms, E-TFCI Table Selection = 0)
 | 0 to 125 (E-DCH TTI = 2ms, E-TFCI Table Selection = 1)
 | 0 to 127 (E-DCH TTI = 10ms, E-TFCI Table Selection = 0)
 | 0 to 120 (E-DCH TTI = 10ms, E-TFCI Table Selection = 1)
Default: | 41

Sets the E-TFC Index.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi?

Happy Bit

Choice: Happy | Not Happy | Custom Pattern

Default: Happy

Sets the Happy Bit pattern.

Clicking Custom Pattern opens an Closed extended Happy Bit window (i.e. for setting: Length, Fill Pattern, Start Index, Fill Length, Interval, Value, ...). Modify the pattern by clicking the box in Happy/Not Happy columns. The custom pattern can have a maximum length of 128000 bits.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT HAPPy|NHAPpy|PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT?

If PATTern is the selection, use"0" (Not Happy) or "1" (Happy) in a string (example: "00011101011") to configure the pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern?

E-DPCCH Power

Range: -40 to 0 dB

Default: -2.69 dB

Sets the E-DPCCH power level in dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer?

E-DPDCH Power

Range: -40 to 0 dB

Default: -2.69 dB

Sets the E-DPDCH power level in dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer?

Modulation Capability

Choice: QPSK (2 x BPSK) | 16QAM (2 x 4PAM)

Default: QPSK

Sets the E-DPDCH modulation capability

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability QPSK|QAM16

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability?

Maximum Channel Codes

Choice: SF256 (x1) | SF128 (x1) | SF64 (x1) | SF32 (x1) | SF16 (x1) | SF8 (x1) | SF4 (x1) | SF4 (x2) | SF2 (x2) | SF2 (x2) + SF4 (x2)

Default: SF2 (x2) + SF4 (x2)

Selects Spreading Factor (SF) and the number of E-DPDCHs configuration.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes?

E-DCH Data

Choice: PN9 | Custom Pattern

Default: PN9

Selects the Closed data of E-DCH.

The Custom Pattern slection opens a pattern editor for creating, editing, saving, or recalling a pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA PN9|PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA?

If PATTern is the selection, use "0" or "1" in a string (example: "00011101011") to configure the pattern. The maximum pattern length is 81,920 bits.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern?


Transmission (Tx) Power Control (CELL_FACH)

These settings control the real-time transmission power control functionality for the W-CDMA/HSPA+ (CELL_FACH) signal.

1. General Settings

State

Maximum Power

Minimum Power

Power Step

Initial Power (Group 1)

Initial Power (Group 2)

Up/Down Pattern

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

General Settings

State

Choice: Off | On

Default: Off

Enables or disables the transmission power control for only the CELL_FACH.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:STATe 0|1|OFF|ON

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:STATe?

Maximum Power

Default: 0.0 dB

Indicates the maximum power in dB for transmission power control limit.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:MAXimum?

Minimum Power

Range: -40 to 0 (dB)

Default: -40 dB

Sets the minimum power in dB. The down power control is ignored when the transmission power has reached this power level.

This setting is coupled to the Power Step value so that the Minimum Power value increments based on the Power Step value. For example, if the Power Step value is 3.0, the Minimum Power has to be set in increments of 3 dB: 0, 3, 6, and so on.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:MINimum?

Power Step

Choice: 0.5 | 1.0 | 2.0 | 3.0

Default: 0.5 dB

Sets the power step of the transmission power control in dB.

This setting is coupled to the Minimum Power setting. The Power Step value determines the Minimum Power incremental setting capability.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:STEP DB0_5|DB1_0|DB2_0|DB3_0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:STEP?

Initial Power (Group 1), Initial Power (Group 2)

Range: -40 to 0 dB

Default: 0.0 dB

Set the initial power of Group 1 or Group 2 in dB. Each power group setting is independent of the other, so they must be set separately.The power value must be bigger than or equal to the value set for the Minimum Power. If a value is entered that is smaller than Minimum Power, the software resets the Group Power value to match the Minimum Power value.

This value is coupled with the Power Step value.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:GROup[1]|2:INITial <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:GROup[1]|2:INITial?

Up/Down Pattern

Choice: Custom Pattern | External

Default: External

Select the transmission power control up/down pattern.

External | Sets the Transmission Power Control (TPC) data pattern to External. This choice specifies an external TPC pattern. With this selection, the Aux port is used to receive the pattern. Use the Signal IO node to select the input Aux Pin.
Custom Pattern | Sets the Transmission Power Control (TPC) data pattern to Custom Pattern. Use the Custom Pattern capability to create, modify, save, recall and set the pattern back to its default of eight DOWN ("00000000" for SCPI query). The minimum data length is 1 and the maximum data length is 76,800.

To make a selection, click the in the cell and then dialog box button [image] that appears. Clicking Custom Pattern opens an Closed extended Up/Down window (i.e. for setting: Length, Fill Pattern, Start Index, Fill Length, Interval, Value, ...).

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern EXTernal|PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern?

If PATTern is the selection, use "0" (down) or "1" (up) in a string (example: "00011101011") to configure the pattern.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern:PATTern?


Signal IO (CELL_FACH)

These settings control the signal I/O ports.

1. Markers | 2. Aux Port General Settings | 3. Multiplexed Mode Setup
Marker 1 Signal (CELL_FACH) Marker 3 Signal (CELL_FACH) Marker 4 Signal (CELL_FACH) | State Data Polarity | First Address Second Address
4. Dedicated Mode Setup | 5. Aux Pin / Bit Select
Aux Port Pin Baud Rate | Tx Power Control Up/Down Pattern

Buttons

This button indicates that the current real-time settings have been applied to the instrument—no action is required. This button is not available when the Apply Needed button is active.

This button displays in place of the Setting Current button. It indicates that the instrument settings are not current and need to be updated with the new software settings. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

1. Markers

Marker n Signal (CELL_FACH)

Choice: None | 80ms Frame Pulse | CFN #0 Pulse | Preamble Pulse | DPCCH | E-DCH | Group Transition | RF Blanking |AUXn Monitor (n: 0 to 15)

Default: 80ms Frame Pulse

Double-click or use the drop-down menu to select a CELL_FACH Marker signal.

None | indicates no marker signal
80ms Frame Pulse | indicates the 80ms frame boundary
CFN #0 Pulse | indicates CFN boundary which represents beginning of CFN count 0 frame.
Preamble Pulse | indicates the timing of the Preamble
DPCCH | indicates a DPCCH transmission (high when transmitted)
E-DCH | indicates a E-DCH transmission (high when transmitted)
Group Transition | indicates a Group 1 or Group 2 transition
RF Blanking | indicates the instrument blanks the RF signal when the marker goes low.
AUXn Monitor (n: 0 to 15) | indicates the AUX IO pin selected to output the Marker signal. Refer to note below.

For Auxn Monitor, the timing of this marker output is not guaranteed. This marker is offered to verify that the correct signal has been accepted on the Signal Studio software's hardware.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|2|3|4:APRovided:CFACh:TYPE NONE|F80Pulse|CFNPulse|PRE_PULSE|DPCCh|EDCH|GTRans|RFBLank|AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11|AUX12|AUX13|AUX14|AUX15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|2|3|4:APRovided:CFACh:TYPE?

2. Aux Port General Settings

State

Choices: On | Off

Default: On

When disabled, all data sent to the AUX port will be ignored by this I/Q channel.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe]?

Data Polarity

Choices: Positive | Negative

Default: Positive

Determines whether AUX input data will be inverted or not.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity?

3. Multiplexed Mode Setup

First Address

Choices: Unassigned | Group n (n: 1 to 15)

Default: Group 1

Selects an additional address (different from a broadcast address) to receive the AUX I/O data. The data that comes with this address value is transmitted to this I/Q channel.

This setting is inactive (grayed out) unless Multiplexed is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1 NONE|GROUP1|GROUP2|GROUP3|GROUP4|GROUP5|GROUP6|GROUP7|GROUP8|GROUP9|GROUP10|GROUP11|GROUP12|GROUP13|GROUP14|GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1?

Second Address

Choices: Unassigned | Group n (n: 1 to 15)

Default: Group 2

Selects another additional address (different from a broadcast address) to receive the AUX I/O data. The data that comes with this address value is transmitted to this I/Q channel.

This setting is inactive (grayed out) unless Multiplexed is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2 NONE|GROUP1|GROUP2|GROUP3|GROUP4|GROUP5|GROUP6|GROUP7|GROUP8|GROUP9|GROUP10|GROUP11|GROUP12|GROUP13|GROUP14|GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2?

4. Dedicated Mode Setup

Aux Port Pin

Selects a serial pin from which the application channel wants to receive AUX port data.

This setting is inactive (grayed out) unless Dedicated is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN NONE|AUX0|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN?

Baud Rate

Choices: 9600| 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800

Default: 115200 (symbol/s)

Specifies how fast serial data is transmitted (in symbol per second).

This setting is inactive (grayed out) unless Dedicated is the AUX IO operating mode.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE 9600|14400|19200|38400|57600|115200|230400|460800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE?

5. Aux Pin / Bit Select

For more information on the Aux IO (pins/bits selections), see the AUX I/O Connector Signal Input topic.

Tx Power Control Up/Down Pattern

The behavior of this parameter is dependent upon the AUX IO operating mode.

Multiplexed Mode

Choice: AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

Default: AUX0

Sets the AUX pin for the up/down pattern set in the CELL_FACH TX Power Control node.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9|AUX10|AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN?

Dedicated Mode

The software sets the bit position, which is fixed. While using this mode, this paramerter grays-out and displays the fixed bit.


SCPI

SCPI Basics | provides basic information about SCPI commands.
SCPI Command List | provides a comprehensive list of the EXG and MXG SCPI commands with links to their descriptions.
SCPI Commands without GUI Functions | provides a list of commands, with descriptions, that performs a functionality that does not have a companion GUI setting.
ESG SCPI Compatibility | provides information about the ESG compatible commands for the MXG/EXG.


SCPI Command Basics

This section describes the general use of SCPI commands. It is not intended to teach you everything about the SCPI language; the SCPI Consortium or IEEE can provide that level of detailed information. For a list of the specific commands available, refer to the SCPI list.

For additional information on the SCPI language, refer to the following publications:

  • IEEE Standard 488.1-2003, IEEE Standard For Higher Performance Protocol for the Standard Digital Interface for Programmable Instrumentation. New York, NY, 2003.

  • IEEE Standard 488.2-1992, IEEE Standard Codes, Formats, Protocols and Command Commands for Use with ANSI/IEEE Standard 488.1-1987. New York, NY, 1998.

Common Terms

The following terms are used throughout the remainder of this section:

Command | A command is an instruction in SCPI consisting of mnemonics (keywords), parameters (arguments), and punctuation. You combine commands to form messages that control instruments.
Controller | A controller is any device used to control the instrument, for example a computer or another instrument.
Event Command | Some commands are events and cannot be queried. An event has no corresponding setting; it initiates an action at a particular time.
Query | A query is a special type of command used to instruct the instrument to make response data available to the controller. A query ends with a question mark. Generally you can query any command value that you set.
Response Message | A response message is a collection of data in specific SCPI formats sent from the instrument to the controller. Response messages tell the controller about the internal state of the instrument.

Command Syntax

A typical command is made up of keywords prefixed with colons (:). The keywords are followed by parameters. The following is an example syntax statement:

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

In the example above, the [:STATe] portion of the command immediately follows the :DM:IQADjustment portion with no separating space. The portion following [:STATe], ON|OFF|1|0, are the parameters (argument for the command statement). There is a separating space (white space) between the command and its parameter.

Additional conventions in syntax statements are shown in Table 1. Special Characters in Command Syntax and Table 2. Command Syntax.

Table 1. Special Characters in Command Syntax
Characters | Meaning | Example
| | A vertical stroke between keywords or parameters indicates alterative choices. For parameters, the effect of the command varies depending on the choice. | [:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative POSitive or NEGative are the choices.
[ ] | Square brackets indicate that the enclosed keywords or parameters are optional when composing the command. These implied keywords or parameters will be executed even if they are omitted. | [:SOURce]:FREQuency[:CW]? SOURce and CW are optional items.
< > | Angle brackets around a word (or words) indicate they are not to be used literally in the command. They represent the needed item. | [:SOURce]:FREQuency[:CW] <value><unit> In this command, the words <value> and <unit> should be replaced by the actual frequency and unit. :FREQuency 2.5GHz
{ } | Braces indicate that parameters can optionally be used in the command once, several times, or not at all. | [:SOURce]:LIST:POWer <value>{,<value>} a single power listing: :LIST:POWer 5 a series of power listings: :LIST:POWer 5,10,15,20

Table 2. Command Syntax

Characters, Keywords, and Syntax

Example

Upper-case lettering indicates the minimum set of characters required to execute the command. But, each mode of the command must be in either short form or the complete long form (no in between).

[:SOURce]:FREQuency[:CW]?,

:FREQ is the minimum requirement.

Lower-case lettering indicates the portion of the command that is optional; it can either be included with the upper-case portion of the command or omitted. This is the flexible format principle called forgiving listening. Refer to See "Command Parameters and Responses " for more information.

:FREQuency

Either :FREQ, :FREQuency, or :FREQUENCY is correct.

:FREQuenc is incorrect.

When a colon is placed between two command mnemonics, it moves the current path down one level in the command tree. Refer to See "Command Tree" for more information on command paths.

:IQ:OUTPut:TRIGger:EXTernal:POLarity?

:IQ is the root level keyword for this command.

If a command requires more than one parameter, you must separate adjacent parameters using a comma. Parameters are not part of the command path, so commas do not affect the path level.

[:SOURce]:LIST:DWELl <value>{,<value>}

White space characters, such as <tab> and <space>, are generally ignored as long as they do not occur within or between keywords.

However, you must use white space to separate the command from the parameter, but this does not affect the current path.

:FREQ uency or :POWer :LEVel are not allowed.

A <space> between :LEVel and 6.2 is mandatory: :POWer:LEVel 6.2

Command Tree

SCPI uses a structure for the commands similar to the file systems on most computers. In SCPI, this command structure is called a command tree and is shown in See "Figure 2. Simplified Command Tree".

Figure 2. Simplified Command Tree

The command closest to the top is the root command, or simply “the root.” Notice that you must follow a particular path to reach lower level commands. In the following example, :POWer represents AA, :ALC represents BB, :SOURce represents GG. The complete command path is :POWer:ALC:SOURce? (:AA:BB:GG).

Command Parameters and Responses

SCPI defines different data formats for use in program and response messages. It does this to accommodate the principle of forgiving listening and precise talking. For more information on program data types refer to IEEE 488.2.

Forgiving listening means the command and parameter formats are flexible.

For example, with the :OUTPut:STATe ON|OFF|1|0 command, an MXG accepts :OUTPut:STATe ON, :OUTPut:STATe 1, :OUTP:STAT ON, :OUTP:STAT 1 to turn on the RF output.

Each parameter type has one or more corresponding response data types. A setting that you program using a numeric parameter returns either real or integer response data when queried. Response data (data returned to the controller) is more concise and restricted, and is called precise talking.

Precise talking means that the response format for a particular query is always the same.

For example, if you query the power state (:POWer:ALC:STATe?) when it is on, the response is always 1, regardless of whether you previously sent :POWer:ALC:STATe 1 or :POWer:ALC:STATe ON. Table 3. Parameter and Response Types shows the response for a given parameter type.

Table 3. Parameter and Response Types
Parameter Types | Response Data Types
Numeric | Real, Integer
Extended Numeric | Real, Integer
Discrete | Discrete
Boolean | Numeric Boolean
String | String
Definite Block | Arbitrary byte data(i.e. text, binary, discrete, real, integer, etc.-). 1

Numeric Parameters

Numeric parameters are used in many commands and these commands accept all commonly used decimal representations of numbers including optional signs, decimal points, and scientific notation.

If an instrument setting is programmed with a numeric parameter, which can only assume a finite value, it automatically rounds any entered parameter which is greater or less than the finite value. For example, if a signal generator has a programmable output impedance of 50 or 75 ohms, and you specified 76.1 for the output impedance, the value is rounded to 75.

The following are examples of numeric parameters:

100 | no decimal point required
100. | fractional digits optional
-1.23 | leading signs allowed
4.56E<space>3 | space allowed after the E in exponential
-7.89E-001 | use either E or e in exponential
+256 | leading + allowed
.5 | digits left of decimal point optional

Extended Numeric Parameters

When specifying physical quantities, most commands use extended numeric parameters. Extended numeric parameters accept all numeric parameter values and other special values as well.

The following are examples of extended numeric parameters:

100 | any simple numeric value
1.2GHz | GHz can be used for exponential (E009)
200MHz | MHz can be used for exponential (E006)
-100mV | negative 100 millivolts
10DEG | 10 degrees

Extended numeric parameters also include the following special parameters:

DEFault | resets the parameter to its default value
UP | increments the parameter
DOWN | decrements the parameter
MINimum | sets the parameter to the smallest possible value
MAXimum | sets the parameter to the largest possible value

Discrete Parameters

Discrete parameters use mnemonics to represent each valid setting. They have a long and a short form, just like command mnemonics. You can mix upper and lower case letters for discrete parameters.

The following examples of discrete parameters are used with the command

:POWer:ALC:SEARch:REFerence RMS|FIXed|MODulated

RMS | power search uses a DC bias value
FIXed | power search uses a fixed 0.5 V reference
MODulated | power search uses an AC bias from the modulating signal

Although discrete parameters look like command keywords, do not confuse the two. In particular, be sure to use colons and spaces properly. Use a colon to separate command mnemonics from each other and a space to separate parameters from command mnemonics.

The following are examples of discrete parameters in commands:

:POWer:ALC:SEARch:REFerence RMS

:POWer:ALC:SEARch:REFerence FIXed

:POWer:ALC:SEARch:REFerence MODulated

Boolean Parameters

Boolean parameters represent a single binary condition that is either true or false. The two-state boolean parameter has four arguments.

The following list shows the arguments for the two-state boolean parameter:

ON | boolean true, upper/lower case allowed
OFF | boolean false, upper/lower case allowed
1 | boolean true
0 | boolean false

String Parameters

String parameters allow ASCII strings to be sent as parameters. Single or double quotes are used as delimiters.

The following are examples of string parameters:

'This is valid'

"This is also valid"

'SO IS THIS'

Definite Block

Definite block is always prefixed by the # symbol to indicate the beginning of block data. The definite block (#ABC) is described as follows:

# | This character indicates the beginning of the data block
A | Number of digits in the byte count B
B | Byte count in C
C | data

Real Response Data

Real response data represent decimal numbers in either fixed decimal or scientific notation. Most high-level programming languages that support instrument input/output (I/O) handle either decimal or scientific notation transparently.

The following are examples of real response data:

+4.000000E+010, -2.000000E+004

-9.990000E+002

+4.0000000000000E+010

+1

0

Integer Response Data

Integer response data are decimal representations of integer values including optional signs.

The following are examples of integer response data:

0 | signs are optional
+100 | leading + allowed
-100 | leading - allowed
256 | never any decimal point

Discrete Response Data

Discrete response data are similar to discrete parameters. The main difference is that discrete response data only returns the short form of a particular mnemonic, in all upper case letters.

The following are examples of discrete response data:

IMM

EXT

INT

NEG

Numeric Boolean Response

Boolean response data returns a binary numeric value of one or zero.

String Response Data

String response data are similar to string parameters. The main difference is that string response data returns double quotes, rather than single quotes. Embedded double quotes may be present in string response data. Embedded quotes appear as two adjacent double quotes with no characters between them.

The following are examples of string response data:

"This is a string"

"one double quote inside brackets: [""]"

"Hello!"

File Name Variables

File name variables designate a data file and file path. File name variables are used in the SCPI command syntax whenever files are accessed. The name of the file is always required, but the file path can sometimes be optional or designated. See Table 4. File Name Path Formats for examples:

Table 4. File Name Path Formats
Format | File Name Variable | Example
Format 1 | "<file name>" | "Test_Data"
Format 2 | "<file path/file name>" | "/USER/SEQ/Test_Data"

Format 1 can only be used with SCPI commands that imply the path name as part of the command syntax. Typically, SCPI load commands that access user-data files do not need to have a file path designated.

The maximum length for a file name is 23 characters, excluding the file path.

Quote Usage with SCPI Commands

As a general rule, programming languages require that SCPI commands be enclosed in double quotes as shown in the following example:

":POWer:ALTernate:AMPLitude 55"

However when a string is the parameter for a SCPI command, additional quotes or other delimiters may be required to identify the string. Your programming language may use two sets of double quotes, one set of single quotes, or back slashes with quotes to signify the string parameter. The following examples illustrate these different formats:

"RADio:EDGE:BURSt:SHAPe ""myfile""" used in BASIC programming languages

"RADio:EDGE:BURSt:SHAPe \"myfile"" used in C, C++, Java, and PERL

"RADio:EDGE:BURSt:SHAPe 'myfile'" accepted by most programming languages

Consult your programming language reference manual to determine the correct format.

Binary, Decimal, Hexadecimal, and Octal Formats

Command values may be entered using a binary, decimal, hexadecimal, or octal format. When the binary, hexadecimal, or octal format is used, their values must be preceded with the proper identifier. The decimal format (default format) requires no identifier and an instrument assumes this format when a numeric value is entered without one. The identifiers for the formats that require them are as follows:

#B identifies the number as a binary numeric value (base-2).

#H identifies the number as a hexadecimal alphanumeric value (base-16).

#Q identifies the number as a octal alphanumeric value (base-8).

The following are examples of SCPI command values and identifiers for the decimal value 45:

#B101101 binary equivalent

#H2D hexadecimal equivalent

#Q55 octal equivalent

The following example sets the RF output power to 10 dBm (or the equivalent value for the currently selected power unit, such as DBUV or DBUVEMF) using the hexadecimal value 000A:

:POW #H000A

A unit of measure such as dBm or mV will not work with the values when using a format other than decimal.


SCPI Command List

NOTES:

1. In the SCPI command syntax, the letter n equates to a numeric value.

2. The following SCPI command list may include duplicates of certain commands. This duplication offers you the convenience of accessing a command's related descriptions when it is valid for more than one instrument model or channel type, and therefore, appears in multiple help topics.

[:SOURce]:RADio:WCDMa:TGPP[:BBG[1]|n]:ULINk:TGAP:STARt:TRIGger[:SEND]

[:SOURce]:RADio:WCDMa:TGPP[:BBG[1]|n]:ULINk:TGAP:STOP:TRIGger[:SEND]

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity POSitive | NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity POSitive | NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DATA:POLarity?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE 9600 | 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE 9600 | 14400 | 19200 | 38400 | 57600 | 115200 | 230400 | 460800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:DATA:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN NONE | AUX0 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN NONE | AUX0 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:DEDicated:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1 NONE | GROUP1 | GROUP2 | GROUP3 | GROUP4 | GROUP5 | GROUP6 | GROUP7 | GROUP8 | GROUP9 | GROUP10 | GROUP11 | GROUP12 | GROUP13 | GROUP14 | GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1 NONE | GROUP1 | GROUP2 | GROUP3 | GROUP4 | GROUP5 | GROUP6 | GROUP7 | GROUP8 | GROUP9 | GROUP10 | GROUP11 | GROUP12 | GROUP13 | GROUP14 | GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR1?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2 NONE | GROUP1 | GROUP2 | GROUP3 | GROUP4 | GROUP5 | GROUP6 | GROUP7 | GROUP8 | GROUP9 | GROUP10 | GROUP11 | GROUP12 | GROUP13 | GROUP14 | GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2 NONE | GROUP1 | GROUP2 | GROUP3 | GROUP4 | GROUP5 | GROUP6 | GROUP7 | GROUP8 | GROUP9 | GROUP10 | GROUP11 | GROUP12 | GROUP13 | GROUP14 | GROUP15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:MULTiplexed:ADDR2?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AUX:[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:DEFault TGPP | HSPA

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:DEFault?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|2|3|4:APRovided:CFACh:TYPE NONE | F80Pulse | CFNPulse | PRE_PULSE | DPCCh | EDCH | GTRans | RFBLank | AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11 | AUX12 | AUX13 | AUX14 | AUX15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|2|3|4:APRovided:CFACh:TYPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided[:DPCH]:TYPE NONE | PFLag | F80Pulse | CFNPulse | ANAK

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided[:DPCH]:TYPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided:PRACh:TYPE NONE | F10Pulse | MSG_DATA | MSG_DATA_CLK | MSG_CTRL | MSG_CTRL_CLK | PRE_RAW | SUBChannel | PPRocessing | F80Pulse | PRE_PULSE | MSG_PULSE | PRACH_PULSE | STRigger

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:MARKer[1]|3|4:APRovided:PRACh:TYPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POLarity[:ALL] NORMal | INVert

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POLarity[:ALL]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POWer:ORMS?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POWer:SOURce

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:RSCaling <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:RSCaling?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:TRIGger:DELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:TRIGger:DELay?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DPCCh:LENGth 2 | 4 | 10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DPCCh:LENGth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:SLOTformat

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:SLOTformat?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:SLOTformat?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern UALL | DALL | PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern:PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:DPCCh:TPC:PATTern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:CHIP <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:CHIP?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:LENGth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:DTX:LENGth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:EDCH:LENGth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HCONfig?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPCch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA PN9 | PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA PN9 | PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:EDCH:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability QPSK | QAM16

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability QPSK | QAM16

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCAPability?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes SF256 | SF128 | SF64 | SF32 | SF16 | SF8 | SF4 | SF4SF4 | SF2SF2 | SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes SF256 | SF128 | SF64 | SF32 | SF16 | SF8 | SF4 | SF4SF4 | SF2SF2 | SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:MCCodes?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:EDPDch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETABle?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:ETFCi?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT HAPPy | NHAPpy | PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT HAPPy | NHAPpy | PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:HBIT:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe 0 | 1 | OFF | ON

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe 0 | 1 | OFF | ON

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:STATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI 2 | 10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI 2 | 10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:HSUPa:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:NMDPdch?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PPE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:ASLot <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:ASLot?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:SIGNature <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:PREamble:SIGNature?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SCRamblecode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SOFFset <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:SOFFset?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:TPA 7680 | 12800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]:PRACh:TPA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:GROup[1]|2:SCRamblecode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:STATe 0 | 1 | OFF | ON

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:STATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern EXTernal | PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern:PATTern "<string>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:PATTern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:GROup[1]|2:INITial <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:GROup[1]|2:INITial?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:MAXimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:MINimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:STEP DB0_5 | DB1_0 | DB2_0 | DB3_0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:PMODe:TPControl:POWer:STEP?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:SEGMent:LENGth

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CFACh:SEGMent:LENGth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe1 1 | 4 | 5 | 8 | 10 | 16 | 20

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe1?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe2 4 | 5 | 8 | 10 | 16 | 20 | 32 | 40 | 64 | 80 | 128 | 160

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:CYCLe2?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst[1] 1 | 2 | 5

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst[1]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst2 1 | 2 | 5

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:DBURst2?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:ITCYcle2 1 | 4 | 8 | 16 | 32 | 64 | 128 | 256

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:ITCYcle2?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:LPLength 2 | 4 | 15

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:LPLength?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:PLENgth 2 | 4

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:DTX:PLENgth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:EDELay 0 | 1 | 2 | 4 | 8 | 16 | 32 | 64 | 128

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:EDELay?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:OFFSet <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:OFFSet?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:SDELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC:SDELay?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CPC[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA PN9 | PN15 | FIX4 | STD | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern PN9 | PN15 | FIX | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:SLOTformat?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern PN9 | PN15 | FIX | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:NSTeps <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:NSTeps?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern PN9 | PN15 | FIX4 | UDOWn | DUP | UALL | DALL | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe] OFF | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA PN9 | PN15 | FIX4 | DCH | "<filename>" | TRANspch | PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:SLOTformat?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER[:CLENgth] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER[:CLENgth]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER:ELENgth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER:ELENgth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer RNYQuist | NYQuist | GAUSsian | RECTangle | IS95 | IS95_EQ | IS95_MOD | IS95_MOD_EQ | AC4Fm | UGGaussian | PATTern | "<user_FIR>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer RNYQuist | NYQuist | GAUSsian | RECTangle | IS95 | IS95_EQ | IS95_MOD | IS95_MOD_EQ | AC4Fm | UGGaussian | PATTern | "<user_FIR>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer RNYQuist | NYQuist | GAUSsian | RECTangle | IS95 | IS95_EQ | IS95_MOD | IS95_MOD_EQ | AC4Fm | UGGaussian | PATTern | "<user_FIR>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel EVM | ACP

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel EVM | ACP

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel EVM | ACP

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FRCHannel ?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FRCHannel NONE | FRC1 | FRC2 | FRC3 | FRC4 | FRC5 | FRC6 | FRC7 | FRC8

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HCONfig 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HCONfig?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:ANACk:RFACtor <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:ANACk:RFACtor?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern NONE | ACK_ALL | NACK_ALL | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APATtern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:APOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern NONE | FIX | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPATtern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:FCYCle <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:FCYCle?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:CPATtern[1]:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:CPATtern[1]:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:MNRatio MN1_1 | MN1_2 | MN2_3 | MN3_4 | MN4_5 | MN5_6 | MN6_7 | MN7_8 | MN8_9 | MN9_10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:MNRatio?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PCI <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PCI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PNTBlocks <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:MIMO:PNTBlocks?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:RFACtor <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:CQI:RFACtor?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DACK <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DACK?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DCQI <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DCQI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DNACk <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:DNACk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:NPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:NPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:DCELl:CPATtern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:DCELl:CPATtern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern NONE | ACK_ALL | NACK_ALL | ACKACK_ALL | ACKNACK_ALL | NACKACK_ALL | NACKNACK_ALL | PATTern | <"filename">

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO:APATtern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO[:STATe] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PCELl:MIMO[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PMODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:PMODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:ACTive <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:ACTive?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern NONE | ACK_ALL | NACK_ALL | PATTern | <"filename">

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:APATtern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:DCELl:CPATtern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:DCELl:CPATtern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern NONE | ACK_ALL | NACK_ALL | ACKACK_ALL | ACKNACK_ALL | NACKACK_ALL | NACKNACK_ALL | PATTern | <"filename">

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO:APATtern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO[:STATe] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SCELl:MIMO[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SFDelay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch:SFDelay?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSDPcch[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode PROCess | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:DTXMode:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA PN9 | FIX4 | STD | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPCch[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA PN9 | FIX4 | EDCH | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA PN9 | FIX4 | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCAPability QPSK | QAM16

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCAPability?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCCodes SF256 | SF128 | SF64 | SF32 | SF16 | SF8 | SF4 | SF4SF4 | SF2SF2 | SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:MCCodes?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:PLNMax <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:PLNMax?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:SNPHchs SF256 | SF128 | SF64 | SF32 | SF16 | SF8 | SF4 | SF4SF4 | SF2SF2 | SF4SF4SF2SF2 | AUTO

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch:SNPHchs?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:EDPDch[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETABle 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETABle?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETFCi <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:ETFCi?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern ACK_ALL | NACK_ALL | EXTernal | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:DELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:DELay?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:INPut:MULTiplexed:PIN

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:APATtern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:MNRTrans <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ:MNRTrans?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ[:MODE] NONE | IREDundancy | CCOMbining

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HARQ[:MODE]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT HAPPy | NHAPpy | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HBIT:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RSN 0 | 1 | 2 | 3

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RSN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RVINdex 0 | 1 | 2 | 3

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:RVINdex?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPCch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA PN9 | FIX4 | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:SNPHchs SF256 | SF128 | SF64 | SF32 | SF16 | SF8 | SF4 | SF4SF4 | SF2SF2 | SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]EDPDch:SNPHchs?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETABle 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]ETABle?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETFCI <value>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC[:ALT]ETFCI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern MAIN | EXTernal | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TFC:EPATtern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TTI 2 | 10

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:NMDPdch 0 | 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:NMDPdch?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PADJust EQUal | SCALe

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE PRACh | DPCCh | CFACh

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE PRACh | DPCCh | CFACh

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE PRACh | DPCCh | CFACh

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe[:SELect] NORMal | TPControl

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe[:SELect]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD 1 | 0 | ON | OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern EXTernal | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:INITial <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:INITial?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MAXimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MINimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:RESet?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:STEP DB0_5 | DB1_0 | DB2_0 | DB3_0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:STEP?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AICH:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MODE[:SELect] SINGle | MULTi

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MODE[:SELect]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage[:STATe] 0 | 1 | ON | OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage:TPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:NUMBer <val> | INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:INITial?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:MAXimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:MAXimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:RSTep?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:PPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:PPM?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:MESSage:CPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:MESSage:DPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:PREamble:SIGNature <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:PREamble:SIGNature?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:SPOSition[1]|2|3|4|5|6|7|8[:ASLot] <val> | OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:SPOSition[1]|2|3|4|5|6|7|8[:ASLot]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8[:STATe] 0 | 1 | ON | OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:PREamble:POWer:MODE PPM | TOTal

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:PREamble:POWer:MODE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:RPARameter TB168 | TB360

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:RPARameter?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SCRamblecode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA PN9 | PN15 | FIX4 | PATTern | "<filename>" | STD

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPAR:TFCI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:SLOTformat?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern PN9 | PN15 | FIX | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA PN9 | PN15 | FIX4 | PATTern | "<filename>" | TRANspch

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:SLOTformat?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage[:STATe] ON | OFF | AICH

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:TPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:NUMBer <val> | INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:NUMBer <val> | INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:AVERage?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:INITial?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MAXimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MAXimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:RSTep <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:RSTep?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:PPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:PPM?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:SIGNature <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGLe]:PREamble:SIGNature?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SUBChannel <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SUBChannel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPM?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPP <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPP?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:SOURce IMMediate | TRIGger

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:SOURce?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TTI 10000 | 20000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RMCHannel RMC122 | RMC64 | RMC144 | RMC384 | UDI64 | AMR122

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RMCHannel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SCRamblecode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:POFFset <val> | AUTO

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:POFFset?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CFN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CFN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CMMethod SF2 | HIGHer

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CMMethod?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:D <val> | UNDefined

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:D?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L1 3 | 4 | 5 | 7 | 10 | 14

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L1?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L2 3 | 4 | 5 | 7 | 10 | 14 | OMITted

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L2?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL1 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL1?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PRC <val> | INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PRC?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PS ACTive | INACtive

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PS?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:SN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:SN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:RPARameter DREF11 | DREF12 | DREF21 | DREF22

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:RPARameter?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:SCFN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:SCFN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STARt:TRIGger:INPut:MULTiplexed:PIN AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STARt:TRIGger:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STOP:TRIGger:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STOP:TRIGger:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]| 2|3|4|5|6[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]| 2|3|4|5|6[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BLKSize <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BLKSize?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BPFRame?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:BRATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CODE HCONv | TCONv | TURBo | NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CODE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CRC 0 | 8 | 12 | 16 | 24

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:CRC?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA PN9 | PN15 | FIX4 | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER:ERRor:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER:TOTal:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BLER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]:DCH[1]|2|3|4|5|6:DATA:BLER:ERRor:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]:DCH[1]|2|3|4|5|6:DATA:BLER:TOTal:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BLER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BLER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:EINSert BLER | BER | NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:EINSert?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:PATTern?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:NBLock <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:NBLock?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:PPERcentage?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:RMATch <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:RMATch?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6[:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:TTI 10000 | 20000 | 40000 | 80000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BLKSize <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BLKSize?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BPFRame?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:BRATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:CODE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:CRC 0 | 8 | 12 | 16 | 24

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:CRC?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA PN9 | FIX4 | PATTern | "<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER:ERRor:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER:TOTal:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER:ERRor:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER:TOTal:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:EINSert BLER | BER | NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:EINSert?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:FIX4

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:PATTern <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:PATTern

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:NBLock <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:NBLock?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:PPERcentage?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:RMATch?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1][:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1][:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:TTI 10000 | 20000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:COMPressed?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:RACH?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:ULINk:PRACh:AICH:INPut:MULTiplexed:PIN AUX0 | AUX1 | AUX2 | AUX3 | AUX4 | AUX5 | AUX6 | AUX7 | AUX8 | AUX9 | AUX10 | AUX11

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:ULINk:PRACh:AICH:INPut:MULTiplexed:PIN?

[:SOURce]:RADio:WCDMa:TGPP:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:DELay <val>

[:SOURce]:RADio:WCDMa:TGPP:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:DELay?


SCPI Commands without GUI Functions

The software provides a standard list of commands created for this software. The list also provides links to the command descriptions.

Some command exceptions are included in this topic. The instrument commands that have UI Parameters are included here for ease of use.

For information on real-time E4438C compatible commands, for your instrument, refer to E4438C Compatible Commands with the N5172B/N5182B.

Use this topic to find SCPI commands that do not have corresponding UI parameters supported by either of the N5172B EXG and the N5182B MXG vector signal generators.

[:SOURce]:RADio:WCDMa:TGPP Commands

Uplink commands
General Baseband Settings ([:BBG]) | Power Mode (:PMODe) | Transmission Gap (:TGAP)
DPCCH (:DPCCh) | PRACH (:PRACh): | Transport Channel Group (:TGRoup)
DPDCH (:DPDCh) |  |

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:DEFault TGPP|HSPA

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:DEFault?

UI Parameter: n/a

Closed Description...

Set the default values of the instrument's application parameters based on the E4438C options for SCPI compatibility.

TGPP

Set values based on the E4438C option 400 setting.

HSPA

Set values based on the E4438C option 419 setting.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:TRIGger:DELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:TRIGger:DELay?

UI Parameter: n/a

Closed Description...

This command defines the time delay for a trigger being sent to the baseband generator.

Adjusts the scaling of the I and Q data. Reducing the runtime scaling prevents the over ranges from happening. Runtime scaling is also used to scale signals relative to each other in any "Generate and Sum" or MIMO configurations where channel summing occurs. When a waveform file is selected, this value is read from the file; however, it may be changed, even while the waveform is playing.

Range: 0.000 to 21s (0 ms to 21s)

(The resolution of value is 5 ns. The value is clipped to this resolution.)

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POLarity[:ALL] NORMal|INVert

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POLarity[:ALL]?

UI Parameter: n/a

Closed Description...

This command selects the polarity for the Q channel.

NORMal

This choice selects normal phase polarity.

INVert

This choice inverts the internal Q signal.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POWer:ORMS?

UI Parameter: n/a

Closed Description...

This query returns the value of the Baseband RMS power (unscaled).

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPOWer?

UI Parameter: n/a

Closed Description...

This query returns the “Total Power” value displayed on the user interface (UI). The power value is the relative power difference between the total in-channel signal power and the active channel reference power (0dB).

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TPOWer?

UI Parameter: n/a

Closed Description...

This query returns the “Total Power” value displayed on the user interface (UI). The power value is the relative power difference between the total in-channel signal power and the active channel reference power (0dB).

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PADJust EQUal|SCALe

UI Parameter: n/a

Closed Description...

EQUal

This choice will adjust all channel powers to equal power settings.

SCALe

This choice will scale the channel power levels so that the sum of the powers are equal to 0 dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AICH:NUMBer?

UI Parameter: n/a

Closed Description...

This query returns the number of received acquisition indication channel (AICH) trigger during one configured physical random access channel (PRACH) signal generation.

The result value can be queried after the PRACH signal generation is completed and until the next PRACH generation trigger is received.

The signal begins when the PRACH start trigger and ends when the specified number of signals are generated.

To specify a number of PRACHes, refer to :ULINk:PRACh[:SINGle]:PREamble:NUMBer.

A -1 status represents a PRACH generation is ongoing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:AVERage?

UI Parameter: n/a

Closed Description...

This query returns the average power of preambles that were sent before the acquisition indication channel (AICH) trigger was received.

The average power value can be queried after the physical random access channel’s (PRACH) signal generation is completed.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPOWer?

UI Parameter: n/a

Closed Description...

This query returns the total power value of the physical random access channels (PRACH).

The value is the relative power difference between the total in-channel signal power of the PRACH message part and the active channel reference power (0dB) in the message part.

This command is used for single and multiple physical random access channel (PRACH) modes.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:POWer?

UI Parameter: n/a

Closed Description...

This query returns each power level for a compressed slot.

The return string has five real numbers followed by dBm (for normal power) or dB (for before/after gap power) separated by a single space character. When a value does not exist because of a specified compressed pattern (Example: Gap2 does not exist when TGD is “UNDefined”), it returns “–dB.”

Normal power value represents an actual power level in dBm and relative power is represented in dB.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:SCFN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:SCFN?

UI Parameter: n/a

Closed Description...

This command sets the stop connection frame number (CFN) when the stop trigger is used.

When the stop trigger is received at the signal generator, the next stop CFN, the compressed mode will finish even if the transmission gap pattern repetition count (TGPRC) is still remaining.

The compressed mode stop trigger must be used for this command to executed.

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

Range: 0 to 255

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:COMPressed?

UI Parameter: n/a

Closed Description...

This query returns the status of compressed pattern generation. A “0” response indicates the compressed mode pattern signal is not generating. A “1” response indicates that the compressed mode pattern signal is generating.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:RACH?

UI Parameter: n/a

Closed Description...

This query returns the status of the physical random access channel (PRACH). A “0” response indicates the PRACH signal is not generating. A “1” response indicates that the PRACH signal is generating.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BER:ACTual?

UI Parameter: n/a

Closed Description...

This query returns the actual inserted error ratio in the uplink dedicated channel (DCH) selected.

The actual bit error rate can be different from the specified bit error rate due to the internal bit generation.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6:DATA:BLER:ACTual?

UI Parameter: n/a

Closed Description...

This query returns the actual block error ratio inserted.

The actual block error rate can be different from the specified block error rate due to the internal bit generation.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:DCH[1]|2|3|4|5|6[:STATe]?

UI Parameter: n/a

Closed Description...

This command enables or disables the operating state of the dedicated channel (DCH) selected.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BER:ACTual?

UI Parameter: n/a

Closed Description...

This query returns the actual error ratio inserted.

The specified error ratio and actual ratio will not match when the internal bit generation goes into “pre-computing” mode.

Range: 0 to 5000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup[1]]:RACH[1]:DATA:BLER:ACTual?

UI Parameter: n/a

Closed Description...

This query returns the actual error ratio inserted.

The specified error ratio and actual error ratio will not match when the internal bit generation goes into “pre-computing” mode.


E4438C ESG SCPI Compatibility with the N5172B EXG and the N5182B MXG

The software provides a standard list of commands created for this software. The list also provides links to the command descriptions.

Use this topic to find the E4438C ESG Option 400 and Option 419 SCPI commands supported by the N5172B EXG and the N5182B MXG vector signal generators.

These commands are separated into supported and unsupported tables.The unsupported table has the least number of commands, thus providing a more time-efficient way of determining whether or not a command is supported by the EXG and MXG vector signal generators.

In some cases, SCPI commands are only partially supported. This usually occurs due to a variance in parameters between the MXG/EXG and the ESG. When this condition occurs, the SCPI command appears in both tables showing the exact SCPI command syntax that is either supported or unsupported.

  • Supported Commands

  • Unsupported Commands

Supported Commands

Where the MXG/EXG supports the E4438C ESG Option 400 commands, the N5172B/82B version has a couple of differences in the first part of the command syntax, it uses the optional node [:BBG] and the preferred node :TGPP in the syntax1.But, in most cases, if the E4438C-400 version is already in use, there is no need to change the command syntax.

E4438C Option 400 | N5172B EXG / N5182B MXG
Option 400 |
[:SOURce]:RADio:WCDMa:TGPP | [:SOURce]:RADio:WCDMa:TGPP
Example: [:SOURce]:RADio:WCDMa:TGPP:ULINk:DPCCh:BETA <val> | Example: [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:BETA <val>
Option 419 |
[:SOURce]:RADio:WCDMa:HSPA | [:SOURce]:RADio:WCDMa:HSPA
Example: [:SOURce]:RADio:WCDMa:HSPA:ULINk:DPCCh:POWer <val> | Example (accepted): [:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:POWer <val> Example (recommended): [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:POWer <val>1

1 While the :HSPA sub-command is accepted as compatible, all of the new instrument commands are implemented using the :TGPP sub-command.

Commands

Remarks

W-CDMA (:TGPP) —Option 400

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:CN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:CN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:CPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:DRATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:EBNO [:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:EBNO?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:EBRef DPCCh|DPDCh|DCH1|DCH2|DCH3|DCH4|DCH5|DCH6

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:EBRef?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:FNBW?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:NPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN:TICPower?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:AWGN[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:BBCLock INT[1]|EXT[1]

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:BBCLock?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:BBCLock:EXTernal:RATE X1|X2|X4

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:BBCLock:EXTernal:RATE?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:LINK?

These selections are not supported: [:SOURce]:RADio:WCDMa:TGPP:LINK UP|DOWN

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POLarity[:ALL] NORMal|INVert

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:POLarity[:ALL]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CRATe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:CRATe?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:BETA <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:BETA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA PN9|PN15|FIX4|PATTern|"<filename>"|STD

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern PN9|PN15|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:FBI[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:SLOTformat?

Slots are limited to 4 maximum. Refer to 3GPP TS25.211 9.2.0.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern PN9|PN15|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:NSTeps <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:NSTeps?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern UDOWn|DUP|UALL|DALL|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger:POLarity 1|0|ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe] 0|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe]?

These selections are not supported: 1|ON

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:BETA <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:BETA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA PN9|PN15|FIX4|DCH|PATTern|"<filename>"|TRANspch

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:POWer

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:RATE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:RBER?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:SLOTformat?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER[:CLENgth] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER[:CLENgth]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER:ELENgth <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TBER:ELENgth?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh:TPOWer?

This command is not compatible with Option 400 or Option 419

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPDCh[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FCLock:INTerval FCL10|FCL20| FCL40|FCL80|FCL2560

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FCLock:INTerval?

Not compatible with the Option 419 version of this command. Use :TGPP version only.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FCLock:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FCLock:POLarity?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer RNYQuist|NYQuist|GAUSsian|RECTangle|IS95|IS95_EQ|IS95_MOD|IS95_MOD_EQ|AC4Fm|UGGaussian|"<user_FIR>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel EVM|ACP

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FILTer:CHANnel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FOFFset <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FOFFset?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:INPut ALTP|BGAT|PTR2

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:INPut?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PADJust EQUal|SCALe

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE PRACh|DPCCh

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PHYSical[1]:TYPE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD 1|0|ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:HOLD?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:INPut ALTP|BGAT|PTR2 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:INPut?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:PATTern[:EXTernal]:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:INITial <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:INITial?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MAXimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MAXimum?

Only the query is compatible with Option 400 or Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:MINimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:RESet

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:RESet?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:STEP DB0_5|DB1_0|DB2_0|DB3_0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:POWer:STEP?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:TRIGger:POLarity POSitive|NEGative [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl:TRIGger:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl[:STATe] 1|0|ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe:TPControl[:STATe]

This command is not compatible with Option 400 or Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe[:SELect] NORMal|TPControl

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PMODe[:SELect]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AICH:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AICH:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AICH:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:CN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:CN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:CPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:DRATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:EBNO <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:EBNO?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:ECNO <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:ECNO?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:EREF PREamble| CONTrol|DATA|RACH

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:EREF?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:NPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN:TICPower?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:AWGN[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:BETA <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:BETA?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA PN9|PN15|FIX4|STD|PATTern|"<file name>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:RATE?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:SLOTformat?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern PN9|PN15|FIX|PATTErn|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern?

[:SINGle] is a new optional sub-command that has been added.

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:FIX?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI[:STATe]?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:BETA <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:BETA?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA PN9| PN15|FIX4|PATTern|"<filename>"|TRANspch

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:DATA:FIX4?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:POWer?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:RATE?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:SLOTformat

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MODE[:SELect] SINGle|MULTi

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MODE[:SELect]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage[:STATe] ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage:TPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:MESSage:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:NUMBer <val>|INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:INITial?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:MAX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:MAX?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:POWer:RSTep?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:PPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:PREamble:PPM?

:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:MESSage:CPARt:CCODe?

:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:MESSage:DPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:PREamble:SIGNature <val> [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:PREamble:SIGNature?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:SPOSition[1]|2|3|4|5|6|7|8[:ASLot] <val>|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:SPOSition[1]|2|3|4|5|6|7|8[:ASLot]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8[:STATe] 0|1|ON|OFF [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:RPARameter TB168|TB360

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:RPARameter?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SCRamblecode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SDELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SDELay?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SUBChannel <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:SUBChannel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TOFFset <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TOFFset?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPA 0|7680|12800

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPA?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPM?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPP <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TPP?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger[:SEND]

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:SOURce IMMediate|TRIGger

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TRIGger:SOURce?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TTI 10000|20000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:BETA <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:BETA?

Query is compatible with Option 419 command structure.

The command is accepted without error, but does nothing.

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA PN9|PN15|FIX4|PATTern|"<filename>"|STD

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:DATA:FIX4?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:POWer?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:RATE?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:SLOTformat?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern PN9|PN15|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI:PATTern:FIX?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:CPARt:TFCI[:STATe]?

This command is not compatible with Option 400 or Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:BETA <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:BETA?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:CCODe <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:DPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:DATA:FIX4?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:POWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:POWer?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:RATE <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:RATE?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:SLOTformat <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[SINGle]:MESSage:DPARt:SLOTformat?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:TPOWer <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage:TPOWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage[:STATe] ON|OFF|AICH

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:MESSage[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:NUMBer <val>| INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:NUMBer <val>|INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:NUMBer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:AVERage?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:INITial?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MAXimum <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MAXimum?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MODE PPM|TOTal

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:MODE?

[:SINGle] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:RSTep <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:POWer:RSTep?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:PPM <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:PPM?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGle]:PREamble:SIGNature <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh[:SINGLe]:PREamble:SIGNature?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RMCHannel RMC122|RMC64|RMC144|RMC384|UDI64|AMR122

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RMCHannel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:INPut:ALTPower?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:INPut:BBGRef?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:INPut:BGATe?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:INPut:PTRigger1?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:INPut:PTRigger2?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:DCLock RPSO|RPS1|RPS2|RPS3|RPS4|RPS5|RPS6|RPS7|RPS8|RPS9|RPS10 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:DCLock?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:DOUT RPSO|RPS1|RPS2|RPS3|RPS4|RPS5|RPS6|RPS7|RPS8|RPS9|RPS10 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:DOUT?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:EVENt1

RPSO|RPS1|RPS2|RPS3|RPS4|RPS5|RPS6|RPS7|RPS8|RPS9|RPS10 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:EVENt1?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut: EVENt2 RPSO|RPS1|RPS2|RPS3|RPS4|RPS5|RPS6|RPS7|RPS8|RPS9|RPS10 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:EVENt2?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut: EVENt3 RPSO|RPS1|RPS2|RPS3|RPS4|RPS5|RPS6|RPS7|RPS8|RPS9|RPS10 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:EVENt3?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut: EVENt4 RPSO|RPS1|RPS2|RPS3|RPS4|RPS5|RPS6|RPS7|RPS8|RPS9|RPS10 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:EVENt4?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:SSYNc RPSO| RPS1|RPS2|RPS3|RPS4|RPS5|RPS6|RPS7|RPS8|RPS9|RPS10 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:DPCH:OUTPut:SSYNc?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:INPut:ALTPower?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:INPut:BBGRef?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:INPut:BGATe?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:INPut:PTRigger1?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:INPut:PTRigger2?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:DCLock RPS0|RPS1|RPS6|RPS7|RPS11|RPS12|RPS13|RPS14|RPS15|RPS16| RPS17|RPS19|RPS20|RPS21|RPS22|RPS23|RPS24|RPS25 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:DCLock?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:DOUT RPS0| RPS1|RPS6|RPS7|RPS11|RPS12|RPS13|RPS14|RPS14|RPS15|RPS16|RPS17|RPS19|RPS20|RPS21|RPS22|RPS23|RPS24|RPS25 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:DOUT?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt1 RPS0| RPS1|RPS6|RPS7|RPS11|RPS12|RPS13|RPS14|RPS14|RPS15|RPS16|RPS17|RPS19|RPS20|RPS21|RPS22|RPS23|RPS24|RPS25 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt1?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt2 RPS0|RPS1|RPS6|RPS7|RPS11|RPS12|RPS13|RPS14|RPS14|RPS15|RPS16|RPS17|RPS19|RPS20|RPS21|RPS22|RPS23|RPS24|RPS25 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt2?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt3 RPS0| RPS1|RPS6|RPS7|RPS11|RPS12|RPS13|RPS14|RPS14|RPS15|RPS16|RPS17|RPS19|RPS20|RPS21|RPS22|RPS23|RPS24|RPS25 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt3?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt4 4RPS0| RPS1|RPS6|RPS7|RPS11|RPS12|RPS13|RPS14|RPS14|RPS15|RPS16|RPS17|RPS19|RPS20|RPS21|RPS22|RPS23|RPS24|RPS25 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:EVENt4?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:SSYNc RPS0| RPS1|RPS6|RPS7|RPS11|RPS12|RPS13|RPS14|RPS14|RPS15|RPS16|RPS17|RPS19|RPS20|RPS21|RPS22|RPS23|RPS24|RPS25 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RPANel:PRACh:OUTPut:SSYNc?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SCRamblecode?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SDELay <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SDELay?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SFNRst:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SFNRst:POLarity

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SYNC:MODE SINGle|CONTinuous

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SYNC:MODE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SYNC[:SOURce] SFN_RST|FCLock

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:SYNC[:SOURce]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:POFFset <val>|AUTO

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:POFFset?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CFN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:CFN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]:CMMethod SF2|HIGHer

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]:CMMethod?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:D <val>|UNDefined

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:D?

Not compatible with Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6 :L1 3|4|5|7|10|14

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L1?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6 :L2 3|4|5|7|10|14|OMITted

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:L2?

Not compatible with Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL1 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL1?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL2 <val>| OMITted

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PL2?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:POWer?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PRC <val>| INFinity

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PRC?

Not compatible with Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PS ACTive| INACtive

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:PS?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:SN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:PSI[1]|2|3|4|5|6:SN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:RPARameter DREF11|DREF12| DREF21|DREF22

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:RPARameter?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:SCFN <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:SCFN?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STARt:TRIGger:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STARt:TRIGger:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STARt:TRIGger[:SEND]

[:SEND] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STOP:TRIGger:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STOP:TRIGger:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP:STOP:TRIGger[:SEND]

[:SEND] is a new optional sub-command that has been added.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TGAP[:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TOFFset <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TOFFset?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:COMPressed?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:RACH?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:RECeive?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:TSTatus:SYNC?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:BLKSize <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup[1]]:DCH[1]|2|3|4|5|6:BLKSize?

Opt400 command style. Coupled to :BSIZe.

Opt400 default: 244 (DCH1), 100 (DCH2), 20 (DCH3-6)

Compatible with Option 419.

Opt419 default: 20 (DCH1-6)

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:BPFRame?

Opt400 command style.

DCH1: 490,

DCH2: 110,

DCH3-6: 60

Compatible with Option 419.

Opt419 default: 600/<Num of DCH>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:BRATe?

Opt400 command style.

DCH1,2: TCONv, DCH3-6: HCONv

Compatible with 419.

Opt419 default: DCH1-6: HCONv"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup]:DCH[1]|2|3|4|5|6:CODE HCONv|TCONv|TURBo|NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup]:DCH[1]|2|3|4|5|6:CODE?

Opt400 command style. Coupled to :CTYPe.

Opt400 default - DCH1,2: TCONv, DCH3-6: HCONv

Compatible with Option 419.

Opt419 default - DCH1-6: HCONv

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup]:DCH[1]|2|3|4|5|6:CRC 0|8|12|16|24

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup]:DCH[1]|2|3|4|5|6:CRC?

Opt400 default - DCH1: 16, DCH2: 12, DCH3-6: 8

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup]:DCH[1]| 2|3|4|5|6:DATA PN9|PN15|FIX4|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[TGRoup]:DCH[1]| 2|3|4|5|6:DATA?

The PN15|PATTern arguments are new, but are compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BER:ERRor:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BER:TOTal:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BLER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BLER:ERRor:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BLER:TOTal:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BLER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:BLER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:EINSert BLER|BER|NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:EINSert?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:NBLock <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:NBLock?

This command is not compatible with Option 400 or Option 419.

Number of Blocks <val> is clipped to >512.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:PPERcentage?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:RMATch <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:RMATch?

Option 400 default has changed:

DCH1, 2: 256

DCH3 to 6: 1

Compatible with 419.

Option 419 defaults are:

DCH1 to 6: 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[:TGRoup]:DCH[1]|2|3|4|5|6:RMATtribute <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:[:TGRoup]:DCH[1]|2|3|4|5|6:RMATtribute?

Option 400 default has changed:

DCH1, 2: 256

DCH3 to 6: 1

Compatible with 419.

Option 419 defaults are:

DCH1 to 6: 1

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:TTI 10000|20000|40000|80000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]|2|3|4|5|6:TTI?

Option 400 defaults:

DCH1: 20

DCH2: 40

DCH3 to 6: 10

Compatible with Option 419:

Options 419 defaults are: 10000 (DCH1-6)

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]| 2|3|4|5|6[:STATe] ON|OFF|1|0 [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:DCH[1]| 2|3|4|5|6[:STATe]?

Option 400 default has changed:

DCH1,2: 1

DCH3-4: 0

Compatible with 419.

Option 419 defaults are:

DCH1:1

DCH2-6:0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:BLKSize <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:BLKSize?

Option 400 default has changed:

DCH1: 244, DCH2: 100,

DCH3-6: 20

Compatible with 419.

Option 419 defaults are:

DCH1-6: 20

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:BPFRame?

[SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:BRATe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:CODE?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:CRC 0|8|12|16|24

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:CRC?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA PN9|PN15| FIX4|PATTern|"<filename>" [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BER:ERRor:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BER:TOTal:BIT?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BLER:ACTual?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BLER:ERRor:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BLER:TOTal:BLOCk?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BLER[:VALue] <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:BLER[:VALue]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:EINSert BLER|BER|NONE

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:EINSert?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:DATA:FIX4?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:NBLock <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:NBLock?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:PPERcentage?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:RMATch?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:TTI 10000|20000

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1]:TTI?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk[:TGRoup]:RACH[1][:STATe]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG][:STATe]?

W-CDMA (:HSPA) —Option 4191

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:AWGN:CN <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:AWGN:CN?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:AWGN[:STATe]?

[:SOURce]:RADio:WCDMa:HSDPa[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:HSDPa[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:BBReference:EXTernal:MRATe X1|X2|X4

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:BBReference:EXTernal:MRATe?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:BBReference[:SOURce] {INTernal}|EXTernal

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:BBReference?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:CRATe <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:CRATe?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:CCODe <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:CCODe?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:DATA PN9|PN15|FIX4|PATTern|"<filename>"|STD

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:DATA:FIX4?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:FBI:PATTern PN9|PN15|FIX|PATTern|"<filename>" [:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:FBI:PATTern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:FBI:PATTern:FIX?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:POWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:POWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:SFORmat <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:SFORmat?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:TFCI <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:TFCI?

This command is only available in :HSPA.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:TPC:NSTeps <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:TPC:NSTeps?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:TPC:PATTern UDOWn|DUP|UALL|DALL|PATTern|"<filename>" [:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh:TPC:PATTern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh[:STATe]ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPCCh[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:CCODe?

While the original Option 419 SCPI was a query only, the :TGPP set command is compatible with ESG-C Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DATA PN9|PN15|FIX4|DCH|PATTern|"<filename>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DATA:FIX4?

.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DATA:POWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DATA:POWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:SFORmat <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:SFORmat?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:BSIZe <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:BSIZe?

Opt419 command style. Coupled to :BLKSize.

Compatible with Option 400.

Opt400 default: 244 (DCH1), 100 (DCH2), 20 (DCH3-6)

Opt419 default: 20 (DCH1-6)

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:CRC 0|8|12|16|24

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:CRC?

Opt419 default - DCH1-6: 8

Compatible with Option 400.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:CTYPe HCONv|TCONv|TURBo|NONE

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:CTYPe?

Opt419 command style. Coupled to :CODE.

Compatible with 400.

Opt400 default - DCH1,2: TCONv, DCH3-6: HCONv Opt419 default - DCH1-6: HCONv

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:DATA PN9|PN15|FIX4|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:DATA:FIX4?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:NBLocks <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:NBLocks?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:RMATtribute <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:RMATtribute?

Option 419 defaults have changed:

DCH1 to 6: 1

Option 400 defaults are:

DCH1, 2: 256

DCH3 to 6: 1

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:TTI 10|20|40|80

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6:TTI?

Defaults for Option 419:

DCH1 to 6: 10

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:DPDCh:DCH[1]|2|3|4|5|6[:STATe]?

DCH1 is always on. Cannot turn on higher numbered DCHn's when lowerDCHn's are off.

Option 419 defaults:

DCH1: 1,

DCH2 to 6: 0

Option 400 defaults:

DCH1: 1

DCH2 to 6: 0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FCLock:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FCLock:POLarity?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer RNYQuist|NYQuist|GAUSsian|RECTangle|IS95|IS95_EQ|IS95_MOD|IS95_MOD_EQ|AC4Fm|UGGaussian|"<user_FIR>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer:ALPHa <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer:ALPHa?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer:BBT <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer:BBT?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer:CHANnel EVM|ACP

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FILTer:CHANnel?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FOFFset <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FOFFset?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HCONfig 0|1

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HCONfig?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:APATtern NONE|ACK_ALL|NACK_ALL|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:APATtern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:APOWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:APOWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:CCODe?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:CPATtern NONE|FIX|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:CPATtern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:CPOWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:CPOWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:NPOWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:NPOWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:NPOWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:NPOWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:SFDelay <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch:SFDelay?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSDPcch[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch:DATA PN9|FIX4|STD|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch:DATA:FIX4?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch:POWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPCch[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:DATA PN9|PN15|FIX4|EDCH|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:DATA:FIX4?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA PN9|PN15|FIX4|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:EDCH:DATA:FIX4?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:MCCodes SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:MCCodes?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:POWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:PLNMax <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:PLNMax?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:SNPHchs SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2|AUTO

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch:SNPHchs?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:EDPDch[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:ETABle 0|1

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:ETABle?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:ETFCi <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:ETFCi?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FCLock:INTerval 10|20|40|80|2560

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:FCLock:INTerval?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern ACK_ALL|NACK_ALL|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

This selection is not supported: EXTernal

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:DELay <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:DELay?

Range has changed:

Was:

0 to 153344 (for TTI = 10 ms)

0 to 61184 (for TTI = 2 ms)

If higher value from above is used, it is accepted without error, but the range is clipped when the signal generator is used with the PXB to the new maximum values shown below.

New values:

0 to 115200 (for TTI = 10ms)

0 to 53760 (for TTI = 2ms)

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:POLarity POSitive|NEGative [:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern[:EXTernal]:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:HBIT HAPPy|NHAPpy|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:HBIT?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:MNRTrans <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:MNRTrans?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ[:MODE] NONE|IREDundancy|CCOMbining

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ[:MODE]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HBIT HAPPy|NHAPpy|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HBIT?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:RSN 0|1|2|3

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:RSN?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:RVINdex 0|1|2|3

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:RVINdex?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC:EPATtern MAIN|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC:EPATtern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

This selection is not supported: EXTernal

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:INPut ALTP|BGAT|PTR2

Command accepted without error, but does nothing.

New compatible parameters are:

AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9

|AUX10|AUX11

Where:

AUX0 is mapped to ALTP.

AUX1 is mapped to BGAT.

AUX2 is mapped to PTR2.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC:EPATtern[:EXTernal]:POLarity?

Command accepted without error, but does nothing.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPCch:POWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPCch:POWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA PN9|FIX4|EDCH|PATTern|"<filename>"

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA?

.

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:FIX4 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:EDCH:DATA:FIX4?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:POWer <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:POWer?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:SNPHchs SF256|SF128|SF64|SF32|SF16|SF8|SF4|SF4SF4|SF2SF2|SF4SF4SF2SF2

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:EDPDch:SNPHchs?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETABle 0|1

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETABle?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETFCI <value>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC[:ALT]:ETFCI?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TTI 2|10

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TTI?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:NMDPdch 0|1

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:NMDPdch?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:POLarity NORMal|INVerted|INVert

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:POLarity?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SCRamblecode <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SCRamblecode?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SDELay <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SDELay?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SFNReset:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SFNReset:POLarity

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SYNC:MODE SINGle|CONTinuous

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SYNC:MODE?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SYNC[:SOURce] SFN_RST|FCLock

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:SYNC[:SOURce]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:CFN <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:CFN?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:D <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:D?

<val>: 0, 15 to 269

If <val> = 0, then SCPI returns UNDefined.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:L1 3|4|5|7|10|14

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:L1?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:L2 0|3|4|5|7|10|14

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:L2?

:HSPA command is still valid. Not compatible with Option 400 commands.

<val>: 0, 3, 4, 5, 7, 10, 14

If <val> = 0, then SCPI returns UNDefined.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:PL1 <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:PL1?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:PRC <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:PRC?

<val>: 0, 1 to 511

If <val> = 0, then SCPI returns INFinity.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:PS ACTive|INACtive

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:PS?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:SN <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TGAP:PSI[1]:SN?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TOFFset <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TOFFset?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:PATTern <filename>|EXTernal|PATTern

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:PATTern?

The PATTern argument is new, but is compatible with Option 400 and Option 419.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:PATTern[:EXTernal]:INPut ALTP|BGAT|PTR2

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:PATTern[:EXTernal]:INPut?

New compatible parameters are:

AUX0|AUX1|AUX2|AUX3|AUX4|AUX5|AUX6|AUX7|AUX8|AUX9

|AUX10|AUX11

Where:

AUX0 is mapped to ALTP.

AUX1 is mapped to BGAT.

AUX2 is mapped to PTR2.

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:PATTern[:EXTernal]:POLarity POSitive|NEGative

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:PATTern[:EXTernal]:POLarity?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:INITial <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:INITial?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:MAXimum <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:MAXimum?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:MINimum <val>

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:MINimum?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:STEP DB0_5|DB1_0|DB2_0|DB3_0

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl:POWer:STEP?

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl[:STATe] 1|0|ON|OFF

[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:TPControl[:STATe]?

[:SOURce]:RADio:WCDMa:HSPA[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:HSPA[:BBG][:STATe]?

1 Setting the command parameter while the signal is active also requires executing the apply command. Refer to :ULINk:APPLy.

Unsupported Commands

Commands | Remarks
W-CDMA (:TGPP) —Option 400
[:SOURce]:RADio:WCDMa:TGPP:LINK UP|DOWN | This selection is supported.
[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe] 1|ON [:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TPC:PATTern:TRIGger[:STATe]? | This selection is supported.
[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:DPCCh:TFCI[:STATe]? |
W-CDMA (:HSPA) —Option 419
[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:HARQ:APATtern EXTernal | This selection is supported.
[:SOURce]:RADio:WCDMa:HSPA[:BBG]:ULINk:HSUPa:TFC:EPATtern EXTernal | This selection is supported.


Troubleshooting

Software Problems | describes how to resolve common problems associated with the N7600B software.
Interface Problems | describes how to resolve communication problems between the PC and the instrument.
Waveform Download Problems | describes problems with downloading generated waveform data to an instrument for playback.
Instrument Problems | describes what to do if the instrument or PC has a measurement or operation problem.
Printing Problems | describes how to resolve common printing problems.
User Permissions | describes how to set user permissions for installing and running the software.


Software Problems

Front panel keys do not work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates the front panel operation. On the signal generator, press the Local key to restore front panel operation.

Code conflicts

Channel code conflicts appear in a message on the Closed status bar, in the Closed status window, and as a warning icon in the Closed channel configuration table. Double-click on an entry in channel summary configuration table or the status window to take you to that channel.

To resolve the code conflict, change the channel's spreading code to a value that does not conflict with the other physical channels.

N7600B Documented Class Library for API Help problems

Many of the links in the N7600B Documentation Class Library API help require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without this development environment, some links appear broken. After you obtain and download the IDE, the links will work. See API Help for more information.

"Restricted User" cannot run Signal Studio application

Cause:

When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception Closed error message indicates that access is denied.

Solution:

The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.

API Programs Do Not Recompile

When using API programs written for software Release 3.3 or earlier, or upgrading from Option EFP to FFP in the current release, a change in the name space statements is required.

Related Topics

Interface Problems

Instrument Problems

Waveform Download Problems

User Permissions

Contacting Keysight


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If they do not solve the problem, refer to the Connection Expert utility, installed with Keysight IO Libraries Suite. Older versions of Keysight IO Libraries use the IO Config utility. For information on using the Connection Expert utility and for further troubleshooting information, see the IO Libraries Suite Online Help and the PDF documentation accessed through the Start menu.

Troubleshooting the GPIB Interface

  1. Ensure that the GPIB cable and all connectors are undamaged.

  2. Verify that the GPIB cable connections are securely attached to the PC and the instrument.

  3. Verify that the instrument you are trying to communicate with is turned on.

  4. Verify that the GPIB address of the instrument is correct and matches the address entered in the Connection Expert:

    1. In the software Closed tree view, select Hardware to display the Closed GPIB address in the property page.

  5. Verify that the instrument you are trying to communicate with is using the SCPI language. For example, the signal generator supports 8656B, 8657A/B languages as well as SCPI. Refer to the instrument's user guide for information on available languages and how to select the SCPI language.

  6. Validate the connection:

    1. In the software Closed tree view, select Hardware and click the Test I/O Connections button.

    2. Observe the results.

Troubleshooting the LAN Interface

  1. Ensure that the LAN cable and all connectors are undamaged.

  2. Check the LAN connection between the PC and the instrument.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights on the instrument's LAN connector indicate LAN activity.

  4. Verify that the hostname (Machine Name for PXB or Computer Name for the EXT) or IP address of the instrument is correct and matches the address entered in the Connection Expert:

    1. In the software Closed tree view, select Hardware to display the Closed LAN address in the property page.

  5. Validate the connection:

    1. In the software Closed tree view, select Hardware, then click the Test I/O Connections button.

    2. Observe the results.

  6. Run the ping program:

    1. From the computer, go to Start > Run, type command then click OK.

    2. At the C:\> prompt, type ping <IP address>, where <IP address> is the instrument's IP address or hostname (Machine Name for PXB or Computer Name for the EXT).

    3. If the instrument does not respond, contact your IP department.

    4. Type exit in the command prompt window then press Enter

  7. If the PC is connected directly to the instrument (using a cross-over cable) and the 'ping' program works correctly, but there is still a connection problem, add the instrument's IP address and hostname to the Hosts file, which resides at: C:\Winnt\system32\drivers\etc\Hosts.

    1. In a text editor such as Notepad, open the Hosts file.

    2. Write the IP address and hostname (Machine Name for PXB or Computer Name for the EXT) of the instrument at the bottom of the file.

      (Refer to the example of a hosts file below.)

    3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Related Topics

ANSI/IEEE standards

Configuring a Crossover LAN

Equipment Setup

Instrument Problems

Keysight 82357A USB/GPIB cable

Keysight GPIB cables

Software Problems

Waveform Download Problems

Contacting Keysight


Real Time

Waveform Download Problems

License Errors

If you attempt to download a waveform and the waveform license is not found or is expired, an error message displays in the status bar and the status window. See Licensing for information on resolving license errors.

Download Takes a Long Time

If the signal generator connects directly to the PC using a crossover LAN cable and downloading a waveform takes a long time, or there are connection problems even if the ping command is successful, add the signal generator's IP address and hostname to the Hosts file. The Hosts file is a common way to map a hostname to an IP address. (For more information on Hosts files, go to www.microsoft.com and search on "example hosts file.")

Depending on the operating system, you will find the Hosts file in one of the following directory paths:

C:\Winnt\System32\Drivers\Etc\

C:\Windows\System32\Drivers\Etc\

Procedure

  1. In a text editor, such as Notepad, open the Hosts file. (Drag and drop the file directly into Notepad).

  2. Write the IP address and hostname for the signal generator, and any other instruments used in the system (such as a spectrum analyzer), at the end of the file. See the example Hosts file below.

  3. Save the file and close the text editor.

    Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

127.0.0.xxx localhost

141.xxx.60.xxx signal generator hostname

141.xxx.40.xxx spectrum analyzer hostname

Related Topics

Interface Problems

Instrument Problems

Software Problems

Software Licenses

Contacting Keysight


Instrument Problems

For EXT instrument problems, refer to the EXT's documentation.

Signal Generator

Error messages

  1. Check the signal generator for any error messages; if possible, correct any conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appears at the bottom of the signal generator display. You can view the full text of the error message either by using the front panel of the signal generator or by executing SCPI commands:

    Front Panel

    On the ESG/PSG, press Utility > Error Info.

    On the MXG/EXG, press the Error hardkey.

    SCPI

    Execute the SCPI error commands described in the System subsystem located in the SCPI command reference.

    For more information on error messages, see the signal generator's programming guide for remote viewing or the user’s guide for front panel viewing.

  2. Refer to the signal generator's documentation for further troubleshooting hints.

  3. Contact Keysight Technologies.

Front Panel Keys Do Not Work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates front panel operation. To restore front panel operation to the signal generator, press the Local key on the signal generator, or press the Local button in the software.

PXB

Error messages

“Instrument is not configured correctly for proper download and Playback”

This error is displayed when the PXB is not configured to accept an ARB waveform file or if not enough BBG resources are available. Check the following possible causes:

  1. Confirm that you have loaded the correct configuration on the PXB.

  2. Confirm that the loaded configuration contains the correct number of BBGs. For example, if Signal Studio set up to download two waveform files, the loaded PXB configuration must contain at least two BBGs.

“Download is not allowed while Instrument is in Play state. Press “Stop” on Instrument”

You cannot download waveforms from Signal Studio to the PXB while the PXB is playing a waveform.

Press the “Stop” button on the PXB to stop the currently playing waveform before downloading waveforms from Signal Studio.

Other information

Refer to the PXB's online documentation for error message descriptions and troubleshooting procedures.

Computer

  1. Verify that the equipment meets the minimum requirements as described in the System Requirements step of the installation procedure.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Interface Problems

Signal Generator

Software Problems

Contacting Keysight


Printing Problems

The Popup Text Prints Over Existing Topic

When you click the print icon [image] while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7600B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the W-CDMA-HSPA+ installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

Real Time

N7600B Release Notes

Version 12.3 - Sep 2015

Version 12.2 - Mar 2015

Version 12.1 - Sep 2014

Version 12.0 - May 2014

Version 11.0 - Aug 2013

Version 10.4 - Mar 2013

Version 10.3 - Oct 2012

Version 10.2 - Aug 2012

Version 10.1 - Jun 2012

Version 10.0 - Apr 2012

Version 9.1 - Oct 2011

Version 9.0 - Jul 2011

Version 8.1 - Nov 2010

Version 6.7 - Jul 2010

Version 6.6 - Apr 2010

Version 6.5 - Dec 2009

Version 5.3 - Jun 2009

Version 5.2 - May 2009

Version 5.1 - May 2009

Version 4.2 - Oct 2008

Version 4.1 - Jun 2008

Version 4.0 - Mar 2008

Version 3.3 - Oct 2007

Version 3.2 - Sep 2007

Version 3.2 - Aug 2007

Version 3.2 - Jul 2007

Version 3.1.1.0 - Mar 2007

Version 3.0.3.0 - Nov 2006

Version 3.0.2.0 - Sep 2006

Version 12.3 - Sep 2015

Waveform Playback (ARB) Software

Enhancements

  • Added direct-connectivity support for the E6640A EXM Wireless Test Set

  • Added direct-connectivity support for the E6650A EXF Wireless Test Set for Femtocell

  • Added direct-connectivity support for the M9420A VXT PXIe Vector Transceiver

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Bug Fixes

  • The software now works with M9381A socket connection

  • Fixed the unit of timing offset for PRACH carrier

Version 12.2 - Mar 2015

Waveform Playback (ARB) Software

Minor Enhancement Updates (MEU) - Option U03 or greater

  • Added new carrier "Adv W-CDMA/HSPA+ UL Rel 11," which includes a HS-DPCCH pattern setup window for 8-channel HSDPA

  • Added auto carrier bandwidth for real-time AWGN

Version 12.1 - Sep 2014

  • Applied Keysight brand to software

  • Added connectivity for the E6607C EXT

Waveform Playback (ARB) Software

Enhancements

  • Added multichannel capability for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

Minor Enhancement Updates (MEU) - Option U02 or greater

  • Added direct connectivity for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

Version 12.0 - May 2014

Waveform Playback (ARB) Software

Minor Enhancement Updates (MEU) - Option U01 or greater

  • Added shorter waveform generation support in all basic carriers

  • Added support for Flexible transport positions in Adv W-CDMA/HSPA+ DL Rel 10 carrier

Bug Fixes

  • Fixed the ineffectiveness of DPCH timing offset in compressed mode

  • Fixed the defect in CRC attachment method of HSDSCH in HS-SCCH less mode: CRC method 2 should be used in HS-SCCH less mode

  • ERGCH and EHICH are now allowed to be configured in the same channelization code

  • Fixed issue of F-DPCH pattern not working properly

Real-Time Software

Enhancements

  • Added CELL_FACH mode

  • Added support for compressed mode with CPC

  • Added the Higher Layer choice for compressed mode method

Bug Fixes

  • Fixed the defect for HS-DPCCH CQI issue for mixed MIMO/non-MIMO configuration

Version 11.0 - Aug 2013

Waveform Playback (ARB) Software

Enhancements

  • UL 4C+MIMO support in HS-DPCCH, update the carrier name from Rel 8 to Rel 10

  • A new downlink carrier “Adv W-CDMA/HSPA+ DL Rel 10” is added to support the following features

    • DC+MIMO support in downlink

    • 64 QAM support in HS-PDSCH in downlink

    • Full H-Set support

    • Downlink CPC support

    • Compressed mode support

    • Support transport layer channel coding for E-AGCH, -E-RGCH and -E-HICH

    • F-DPCH

    • DC order support in HS-SCCH

    • Closed-loop transport diversity

    • S-CCPCH upper layer support

    • Power balancing feature

    • OVSF coupling in HS-PDSCH when using 64QAM

  • Add “Copy Carrier” button TFCI on each channel

Bug Fixes

  • UL ARB Cell_FACH settings are no longer incorrectly recalled

  • Fixed Tprach-dpcch setting failure

  • Obsolete help file is no longer installed

  • OSR and Real-Time Modulation Filter now couple correctly in multi-carrier cases

  • Removed conflicts in predefined channel configurations

Real-Time Software

No updates.

Version 10.4 - Mar 2013

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed the defect where the following parameters in Cell_FACH settings were not being recalled correctly: Number of Preamble, Number of DPCCH, and Number of E-DPCCH & E-DPDCH.

Real-Time Software

Bug Fixes

  • Fixed the issue that 10ms/2ms TTIs for CPC parameter UE DTX Cycle1/UE DTX Cycle2 ranges were swapped.

  • Fixed the primary/secondary Cell CQI range (maximum 30 instead of 14) in none MIMO condition.

Version 10.3 - Oct 2012

Waveform Playback (ARB), v 9.3

No updates.

Real-Time Software, v 1.2

Bug fixes

  • Fixed FRC parameter save/recall issue.

  • Improved Hint text.

MXG/EXG X-Series Firmware, v B.01.20

No updates, but supports version 10.3.

Version 10.2 - Aug 2012

Waveform Playback (ARB), v 9.3

Enhancements

  • Added support for the M9381A PXIe Vector Signal Generator

  • Added support for up to 128 carriers

Real-Time Software, v 1.1

No updates.

MXG/EXG X-Series Firmware, v B.01.10

No updates, but supports N7600B Signal Studio for W-CDMA/HSPA+, Rev 10.2

Version 10.1 - Jun 2012

Waveform Playback (ARB) Software, v 9.2

No updates.

Real-Time Software, v 1.1

Enhancements

  • Improved software boot up speed

  • Added AUX I/O capability to Signal IO node

Bug Fixes

  • Rectangle filter selection is now available

  • Symbol rate is now updated when RMC pre-defined setting is chosen

  • Correct fonts are used in Edit windows

MXG/EXG X-Series Firmware, v B.01.10

Enhancements

  • Support for N7600B Signal Studio for W-CDMA/HSPA+, Rev. 10.1

Version 10.0 - Apr 2012

Waveform Playback (ARB) Software, v 9.2

Enhancements

  • Added support for N5182B MXG and N5172B X-Series RF vector signal generators

Real-Time Software, v 1.0

Initial Release Features

  • Added connectivity to MXG/EXG X-Series signal generator

  • Added support for N7600B real-time W-CDMA uplink signal generation capability

MXG/EXG X-Series Firmware, v B.01.01

Initial Release Features

  • Support for N7600B Signal Studio for W-CDMA/HSPA+, Rev. 10.0

Version 9.1 - Oct 2011

Enhancements

  • Added live connectivity for EXT.

  • Added 50-pack waveform licensing support.

  • Waveform name length increased to 22 characters.

Version 9.0 - Jul 2011

Enhancements

  • Enhanced dump capability for DPCH/PCCPCH/HSPDSCH

  • The primary scrambling code couples with the scrambling code of added channels and pre-defined channel configurations

  • Added CELL_FACH channel configurations for advanced uplink

  • Added descriptive text for various buttons in UI

  • Modified application's shortcut layout

  • Added selections for licensing terms, API help, and Agilent Signal Studio website to Help menu

  • Modified API sample file to refer to Microsoft .NET Framework 3.5

  • Added advanced capability for the Agilent 16800/16900 logic analyzer and the N5343A Dig RF solution

  • Added floating licenses for the Agilent 16800/16900 logic analyzer and the N5343A Dig RF solution

Bug Fixes

  • Fixed recall issue for HSDPA_DTX.

  • Fixed PRACH out of range exception

  • Clear 'artifact' on HS-PDSCH in CDP when DTX transmit

  • Fixed the issue of the wrong choice for DTX in HS-PDSCH

  • RMS value adjustment

  • Fixed the issue for the error spreading code for HS-PDSCH

  • Add PRACH hint text about relationship between signature and channelization code

  • Fixed RT filter automatically change to on in save-recall process issue

  • Fixed ALC marker not long enough problem for AdvancedUL carrier

  • Fixed uplink HS-DPCCH issue that could modify existing parameter definition

Version 8.1 - Nov 2010

Enhancements

  • Added Downlink Advanced carrier:

    • DPCH with DCH

      • predefined Reference Measurement Channel configurations12.2k, 64k, 144k, 384k

      • up to eight configurable DCHs

      • transport channel coding for BER testing

    • HS-SCCH and HS-PDSCH

      • predefined fixed Reference Measurement Channels 12.2k + HSET 1--5

      • transport channel coding for BLER testing

      • configurable HARQ settings

      • selectable DTX setting

    • P-CCPCH

      • BCH with selectable payload including BCCH-BCH message in accordance with the 3GPP standards

      • incremented System Frame Number when turned On

  • Added HS-DPCCH (Advanced Uplink carrier) support for MIMO and Dual Cell feedback information

  • Added support for the Windows 7 operating system runtime environment--requires .NET Framework 3.5

  • Dropped support for the Windows 2000 operating system

Bug Fixes

  • Corrected exception and lock-up when New is selected.

  • Fixed the Pilot bits of the PRACH Message Part to allow for the proper synchronization of the message part.

  • In the Advanced UL carrier, fixed the default E-TFCI table value of the FRC8. This bug was not visible in the UI, but after a change in the E-TFCI, a channel coding problem occurred.

Version 6.7 - Jul 2010

Bug Fixes

  • Modified the timing offset calculation to take less time to complete the calculation. Previously a large waveform file generation with a non-zero timing offset took several hours to complete. Now with the modified timing offset calculation, it only takes several minutes to generate the same large waveform file.

Version 6.6 - Apr 2010

Bug Fixes

  • Added scrambling code parameter to “Adv W-CDMA/HSPA+ PRACH” carrier.

  • Settings for “Adv W-CDMA/HSPA+ UL” carrier type are ignored by v 6.5 when recalling the setting file (.scp file) in cases where the setting file was created by v 5.3. V 6.6 can recall a setting file from v 5.3. New parameters introduced with v 6.6 includes a default value for recalling settings from v 5.3.

  • Removed “TTI Pattern” setting coupling between E-DPCCH and E-DPDCH, which prevented to set independent power setting especially for boosting/non-boosting changing. Sharing Pattern setting between E-DPCCH and E-DPDCH can be done by exporting setting to external file from one channel then import setting by the other channel.

  • Corrected HS-DPCCH symbol bit issue. In the previous version, if the sub-frame delay was not equal to 0 or a multiple of 10, the portion of the symbol bits corresponding to slot 14 of a frame in the TTI Pattern would be overridden by the symbol bits corresponding to slot 14 of the next frame.

Version 6.5 - Dec 2009

Enhancements

  • Changed carrier and license names to align with 3GPP specification releases.

  • Added the pre-configured channel setup RMC and RMC12.2k + HSET for the Basic W-CDMA/HSPA+ DL Rel 8 carrier.

  • Added the following new parameters to the HS-PDSCH for the Basic W-CDMA/HSPA+ DL Rel 8 carrier:

    • MIMO Status

    • Secondary Status

    • Secondary Modulation

    • PCI

    • Antenna Number

    • Secondary Data

  • Added the pre-configured channel setup with HS-DPCCH for the Adv W-CDMA/HSPA+ UL Rel 8 carrier.

  • Added the HS-DPCCH for the Adv W-CDMA/HSPA+ UL Rel 8 carrier with the following new parameters:

    • Coding for HS-DPCCH

    • Delta ACK, Delta NACK, Delta CQI

    • Ahs for Delta ACK, Ahs for Delta NACK, Ahs for Delta CQI

    • ACK Power, NACK Power, CQI Power

    • Sub-frame delay

    • Number of Transport Blocks

    • HS-DPCCH Pattern

  • Added the following new parameter to the DPCCH:

    • Transmission Pattern

  • Added the following new parameters for transport coding to the DPDCH:

    • DCH Rate Matching Attribute

    • DCH Number of Blocks

    • DCH Block Size

    • DCH CRC

    • DCH Coding Type

  • Modified the following parameter of the DPDCH:

    • DCH TTI becomes selectable.

  • Added the following new parameters to the E-DPCCH and the E-DPDCH:

    • TTI Pattern

    • Power (Alternate)

    • E-TFCI Table Selection

    • E-TFCI Table Selection (Alternate)

    • E-TFC Index (Alternate)

  • Modified the following parameters of the E-DPCCH and the E-DPDCH:

    • TTI, E-TFC Index becomes selectable

  • Added the following new parameters to the E-DPDCH:

    • State (Alternate)

    • Rate (Alternate)

    • Spreading Code (Alternate)

    • E-DPDCH Maximum Channelization Codes

    • Modulation Capacity

    • PLnon-max

    • Modulation (Alternate)

  • Added connectivity to the Agilent N5343A DigRF solution.

Version 5.3 - Jun 2009

Enhancements

Added the Real-Time Modulation Filter capability for the E4438C ESG (requires firmware version C.05.24 or later). This enables the ESG to use a full PN9 sequence while using the RMC12.2k channel configuration for a BER test.

Bug Fixes

Fixed the issue in the advanced UL carrier where the DCH data choice was ignored and the software would only use PN9.

Version 5.2 - May 2009

Enhancements

Updated online help.

Version 5.1 - May 2009

Enhancements

  • Added Option Qxx 3GPP W-CDMA FDD support for Release 8, December 2008

    • Adds two advanced uplink carriers:

      • Adv W-CDMA FDD UL(Rel 8 Dec 08)

      • Adv W-CDMA FDD PRACH

    • Provides 17 Closed preconfigured UL channel setups (unlike other preconfigured channel setups, these new choices do not provide the flexibility to add or remove channels and they have limited parameter settings)

      Release 8, December 2008 Carrier

      All of the RMC and FRC preconfigured setups comply with the 3GPP standards.

      PRACH Carrier

    • Adds Real-time modulation filter control (MXG only) that enables the use of a full PN9 sequence

    • Provides BERT capability using the RMC 12.2k channel configuration and the Real-Time Modulation Filter (MXG only)

    • Adds a PN15 sequence data selection

    • Provides transport channels with limited parameter settings: DCH1 and DCH2, E-DCH, and RACH

      Settings

      DCH1/DCH2

      E-DCH

      RACH

      Block Size

      –

      –

      x

      Number of Blocks

      –

      –

      x

      CRC Size

      –

      –

      x

      Data

      x

      x

      x

    • Adds DPCCH TPC pattern selection and step control

    • Adds PRACH parameters with control over settings such as:

      • single or multiple preambles

      • message part transmission

      • message part data

      • access slot spacing

      • RACH

  • Adds the preconfigured channel setup "R8 Sub-test 1 - Max Output Power with HS-DPCCH/E-DCH with 16 QAM," for the basic carrier W-CDMA FDD Uplink(Rel 8 Sep 07)

  • Adds marker bit setting choices:

    • 2 ms frame pulse

    • 10 ms frame pulse

    • 40 ms frame pulse

    • RF ALC Control

    • RF Blanking Control

    • Timing Control

  • Adds the preconfigured channel setups "Test Model 5 Home BS" and "Test Model 6 Home BS" for the basic carrier W-CDMA FDD Downlink(Rel 8 Sep 07)

Version 4.2 - Oct 2008

Enhancements

  • Added connectivity for the Agilent N5106A PXB baseband generator and channel emulator

Version 4.1 - Jun 2008

Enhancements

  • Added connectivity for the N5162A MXG ATE vector signal generator

Version 4.0 - Mar 2008

To use API programs migrated from software Release 3.3 or earlier, you may have to add a name space statement.

Enhancements

  • Added Option FFP䃋GPP W-CDMA support for Release 8, September 2007

  • Adds two Release 8 carrier selections, one uplink and one downlink

  • Adds Release 8 preconfigured channel setups:

  • UL sub-tests 1–4 (Tx characteristics tests with HS-DPCCH)

  • DL test model 6

  • Adds Release 8 UL Beta value tables for sub-tests 1–4

  • Provides selectable modulation types:

  • HS-PDSCH—QPSK, 16QAM, 64QAM

  • S-CCPCH—QPSK, 16QAM

  • E-DPDCH—BPSK, 4PAM

  • Added Option R80 for the Agilent 16800/16900 logic analyzer—support for 3GPP W-CDMA Release 8, September 2007

Version 3.3 - Oct 2007

Enhancements

  • Added connectivity to the Agilent 16800/16900 logic analyzer.

  • Added new instrument license description of "No Info Available" for connection to logic analyzer.

  • Added support for Agilent IO Library version 15.0.

  • Changed name of Signal Generator node to Instrument node.

  • Added Windows Vista support.

Version 3.2 - Sep 2007

Enhancements

  • Updated the R7 sub-test Beta tables with TS 34.121-V7.5.0 (2007-06)

Version 3.2 - Aug 2007

Enhancements

  • Updated online documentation with improved license installation procedure and information.

Version 3.2 - Jul 2007

Bug Fixes

  • Fixed an error that incorrectly generated the standard scrambling code for the right scrambling code signal.

  • Corrected an error in the Uplink carrier where oversampling ratios (OSR) (other than 4, 8, and 16) generated incorrect values for the sample clock rate and waveform length (number of points). The correct values (OSR > 2) should be 3.84 MHz x OSR for the sample clock rate and 38400 x OSR for waveform length.

  • Corrected a Windows exception error that occurred when attempting to connect a non-supported instrument using the hardware connection wizard.

Version 3.1.1.0 - Mar 2007

Enhancements

  • "Restricted User" is supported with the correct user permission settings in the software installation folder.

  • Cubic Metric parameters added for uplink channels.

  • Instrument Connectivity feature added in the Licenses node.

  • Eleven predefined uplink channel settings added (for TS 34.121 R6 Subtest 1-6 and R7 Subtest 1-5).

  • Software updated for use with firmware revision C.04.84 for the E4438C ESG signal generator.

  • Software updated for use with firmware revision C.04.85 for the E8267D PSG signal generator.

Version 3.0.3.0 - Nov 2006

Bug Fixes

  • Updated the software for use with firmware revision A.01.10 for the N5182A MXG signal generator to resolve a licensing problem.

  • API: DeleteChannel(int channelIndex) updated to correctly delete the channel indexed by the argument.

  • Arb retrigger mode for Single trigger updated so "Restart on Trigger" does not change to "Buffered" after waveform download.

Version 3.0.2.0 - Sep 2006

Initial Release

Software version 3.0.2.0 is the initial release of N7600B Signal Studio for 3GPP W-CDMA FDD. It provides a broad collection of W-CDMA test signals for component to system-level test solutions. Coupled with the N5182A MXG signal generator, you can achieve extremely accurate design characterization of single and multicarrier power amplifier designs with industry-leading ACLR performance. You can configure signals using predefined test models, predefined standard channel setups, or create custom signal configurations along with user-defined data.

Features

  • N5182A MXG signal generator support

  • .NET API for remote signal configuration

  • Transportable and time-based licensing

  • Open-loop transmit diversity

  • 16 carrier support

  • Multicarrier timing and phase offsets

  • Multicarrier clipping

  • Six DPDCH capability

  • User-defined data

  • Marker control

  • Export waveform files to PC

  • Display of waveform characteristics such as CCDF curves, code domain power graph, I/Q signals, and composite waveform spectrum


Glossary

3GPP | Third Generation Partnership Project
4PAM | 4 symbol constellation using pulse amplitude modulation
16QAM | 16 symbol constellation using quadrature amplitude modulation
64QAM | 64 symbol constellation using quadrature amplitude modulation
ACK | acknowledgement
ACS | adjacent channel selectivity
ALC | automatic level control
API | application programming interface
ARQ | automatic repeat request
AWGN | additive white Gaussian noise
BBG | baseband generator
BbT | bandwidth multiplied by bit time
BCH | broadcast channel
BCCH | broadcast control channel
BPSK | binary phase shift keying
BTS | base transceiver station
BW | bandwidth
CCCH | common control channel
CCDF | complementary cumulative distribution function
CCITT | International Telegraph and Telephone Consultative Committee
CDF | cumulative density function
CDE | code domain error
C/N | carrier power to noise power ratio
CPICH | common paging indicator channel
CQI | channel quality indicator
dB | decibels
dBm | decibels relative to 1 mW
DL | downlink
DPCCH | dedicated physical control channel
DPCH | dedicated physical channel
DPDCH | dedicated physical data channel
DTX | discontinuous transmission
Eb/No | energy-per-bit-to-noise-ratio
Ec/No | energy-per-chip-to-noise-ratio
E-AGCH | E-DCH absolute grant channel
E-DCH | enhanced dedicated channel
E-DPCCH | E-DCH dedicated physical control channel
E-DPDCH | E-DCH dedicated physical data channel
E-HICH | E-DCH hybrid ARQ indicator channel
E-RGCH | E-DCH relative grant channel
E-TFC | E-DCH Transport Format Combination
EVM | error vector magnitude
EXT | Keysight E6607 EXT Wireless Communications Test Set
FBI | feedback information
FDD | frequency division duplex
FIR | finite impulse response
FRC | Fixed Reference Measurement Channel
GPIB | general purpose instrumentation bus
GUI | graphical user interface
HARQ | hybrid automatic repeat request
HSDPA | high speed downlink packet access
HS-DPCCH | high speed dedicated physical control channel
HS-DSCH | high speed downlink shared channel
HS-PDSCH | high speed physical downlink shared channel
HSUPA | high speed uplink packet access
HS-SCCH | high speed shared control channel
IDE | integrated development environment
kbps | kilo bits per second
ksps | kilo symbols per second
LAN | local area network
Mcps | mega chips per second
ms | milliseconds
NACK | negative acknowledgement
OCNS | orthogonal channel noise simulator
OVSF | orthogonal variable spreading factor code
P-CCPCH | primary common control physical channel
PICH | paging indicator channel
PN | pseudo-noise
PO | power offset
PSK | phase shift keying
PXB | Agilent N5106A PXB baseband generator and channel emulator
QAM | quadrature amplitude modulation
QPSK | quadrature phase shift keying
RMS | root mean square
Rx | receive
S-CCPCH | secondary common control physical channel
SCH | synchronization channel
SCPI | standard commands for programming instruments
SF | spreading factor
STTD | space time transmit diversity
TFCI | transport format control indicator
TPC | transmit power control
TSTD | transmit switched time diversity
TTI | transmission time interval
Tx | transmit
UE | user equipment
UI | user interface
UL | uplink
USB | universal serial bus
W-CDMA | wideband-code division multiple access


Additional Information

Real Time

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Real Time

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN for EXT

Real Time

Configuring a Crossover LAN for a EXT Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a EXT, or EXT to other instruments), do the following:

Configure the EXT

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the EXT is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN)

    • If the EXT is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your EXT's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Crossover LAN PXB

Real Time

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.

On the EXT, click System > Show > System to view these numbers.


N7600B System Requirements

To generate signals using the N7600B Signal Studio for W-CDMA/HSPA+ software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Version B.01.20 or later for real time software

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-1EA (high power output for PA testing)

N5172B-1ER (flexible reference input, 1-50 MHz)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5172B-UNZ (fast switching for manufacturing environments)

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.10 or later (how to upgrade)

Version B.01.20 or later for real time software

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-1EA (high power output for PA testing)

N5182B-1ER (flexible reference input, 1-50 MHz)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182B-UNZ (fast switching for manufacturing environments)

N5182A MXG vector signal generator

(For more information see the Configuration Guide)

Firmware:

Version A.01.51 or later (how to upgrade)

Required options:

One of the following baseband generator options:

  • N5182A-503 (250 kHz to 3 GHz frequency range, recommended)

  • N5182A-651 (30 MSa/s internal baseband generator with 8 MSa memory)

  • N5182A-652 (60 MSa/s internal baseband generator with 8 MSa memory)

  • N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory)

Additional options to consider:

  • N5182A-019 (increase baseband generator memory to 64 MSa memory, recommended)

  • N5182A-403 (calibrated noise personality, required for C/N capability)

  • N5182A-506 (250 kHz to 6 GHz frequency range)

  • N5182A-1EL (differential I/Q outputs)

  • N5182A-UNV (enhanced dynamic range)

E4438C ESG vector signal generator

(For more information see the Configuration Guide)

Firmware:

Version C.05.24 or later (how to upgrade)

Required options:

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Additional options to consider:

  • E4438C-005 (6 GB internal hard drive, recommended)

  • E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

  • E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

  • E4438C-UNJ (enhanced phase noise performance recommended, required with Option 506)

E8267D PSG vector signal generator

(For more information see the Configuration Guide)

Firmware:

Version C.04.85 or later (how to upgrade)

Required options:

One of the following baseband generator options:

  • E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

Additional options to consider:

  • E8267D-005 (6 GB internal hard drive, recommended)

  • E8267D-403 (calibrated noise personality, required for C/N capability, recommended)

  • E8267D-520 (250 kHz to 20 GHz frequency range, recommended)

  • E8267D-UNR (enhanced phase noise performance recommended)

N5106A PXB baseband generator and channel emulator

Required options:

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 I/O channels - 2 analog I/Q out and 2 digital I/O)

  • N5106A-EFP (Baseband Generation)

  • N5106A-JFP (Calibrated AWGN)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Recommended options:

M9381A-M05 (memory 512 MSa)

M9381A-M10 (memory 1024 MSa)

M9381A-1EA (high output power)

M9381A-B10 (RF modulation bandwidth 100 MHz)

M9381A-B16 (RF modulation bandwidth 160 MHz)

Additional options to consider:

M9381A-F06 (frequency range 1 MHz to 6 GHz)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6640A-506 (380 MHz to 6 GHz frequency range)

E6640A-5WC (frequency range for wireless connectivity)

E6650A EXF wireless test set for femtocell

Software:

Version F.16.06 or later

Recommended options:

E6650A-B85 (increases signal bandwidth to 80 MHz)

E6650A-B1X (increases signal bandwidth to 160 MHz)

Y-Options (these option models, beginning with "Y," combine signal creation and measurement applications)

Additional options to consider:

E6650A-506 (380 MHz to 6 GHz frequency range)

E6650A-5WC (frequency range for wireless connectivity)

M9420A VXT PXIe vector transceiver

Software:

Version M.16 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (See "2. Downloading and Installing the .NET Framework")

  • Keysight IO Libraries, version 17.1 or later (See "3. Downloading and Installing the Keysight IO Libraries Suite")

  • Keysight License Manager (See "4. Downloading and Installing the Keysight License Manager ")

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • On the EXT, click System > Show > System to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • SystemVue ESL design software

  • M9252A DigRF host adapter

  • M9381A PXIe vector signal generator

  • M9420A VXT PXIe vector transceiver

  • E6640A EXM wireless test set

  • E6650A EXF wireless test set for femtocell

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator

  • E6607 EXT wireless communications test set

  • N5106A PXB baseband generator and channel emulator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


Basic W-CDMA/HSPA+ DL Rel 8

The physical channel configurations of RMC and RMC 12.2k + HSET are according to 3GPP test specification.

  • RMC

  • RMC 12.2k + HSET

Reference Measurement Channel (RMC)

The tables below show the channel power reference from TS 34.121 V.8.8.0 for receiver characteristics.

These pre-defined settings also refer TS 34.121 V.8.8.0 clause E.3.3.

These pre-defined settings are physical channels only.

RMC | Reference | Test number | DPCH_Ec/Ior
12.2k | 7.2.1 Demodulation of Dedicated Channel (DCH) | 1 | -16.6 dB
64k |  | 2 | -13.1 dB
144k |  | 3 | -9.9 dB
384k |  | 4 | -5.6 dB

RMC 12.2k + HSET

The tables below show the channel power reference from TS 34.121 V.8.8.0 for receiver performance.

These pre-defined settings also refer TS 34.121 V.8.8.0 clauses E. 5.1 and E.5.3 excluding test tolerances.

These pre-defined settings are physical channels only.

RMC 12.2k + HSET | Reference | Test number | HS-PDSCH Ec/Ior | Îor/Ioc
1 16QAM | 9.2.1A Single Link Performance - QPSK/16QAM, Fixed Reference Channel (FRC) H-Set 1/2/3 | 1 | -6 dB | 0 dB
1 QPSK |  | 1 | -6 dB | 10 dB
2 16QAM |  | 1 | -6 dB | 0 dB
2 QPSK |  | 1 | -6 dB | 10 dB
3 16QAM |  | 1 | -6 dB | 0 dB
3 QPSK |  | 1 | -6 dB | 10 dB
4 | 9.2.1B Single Link Performance - QPSK, Fixed Reference Channel (FRC) H-Set 4/5 | 1 | -6 dB | 0 dB
5 |  | 1 | -6 dB | 0 dB
6 16QAM | 9.2.1C Single Link Performance - QPSK/16QAM, Fixed Reference Channel (FRC) H-Set 6/3 | 1 | -6 dB | 10 dB
6 QPSK |  | 1 | -6 dB | 10 dB
7 | 9.5.1 Requirement QPSK, Fixed Reference Channel (FRC) H-Set 7 | 1 | -6 dB | 0 dB
8 | 9.2.1H Single Link Performance - Enhanced Performance Requirements Type 2 - 64QAM, Fixed Reference Channel (FRC) H-Set 8 | 1 | -2 dB | 15 dB
9 Antenna 1 | 9.2.4A MIMO Performance - Fixed Reference Channel (FRC) H-Set 9 | 1 | -2 dB | 10 dB
9 Antenna 2
10 16QAM | 9.2.1J Single Link Performance - Enhanced Performance Requirements Type 2 - QPSK/16QAM, Fixed Reference Channel (FRC) H-Set 10 | 1 | -6 dB | 0 dB
10 QPSK |  | 1 | -2 dB | 4 dB
11 Antenna 1 | 9.2.4B MIMO Performance - Fixed Reference Channel (FRC) H-Set 11 | 1 | -1.5 dB | 18 dB
11 Antenna 2


CELL_FACH

When using the CELL_FACH you can choose the :

  • data type of the E-DCH

  • TTI Pattern (Main All & User)

  • time interval between the last preamble and the first DPCCH (Tprach-dpcch – Range: 18944 to 26348)

  • Number of Preamble (Range: 1 to 1022)

  • Number of DPCCH, E-DPCCH, and E-DPDCH (n Frames – Range: 1 to 1022)

  • Scramble Code (Range: 0 to 16777215)

  • Channel Configuration

  • ...

For more, refer to Uplink Channel Setup - Advanced.

Related Topics

Uplink Channel Setup - Advanced


dpch data rates popup

Real Time


ocns data rates popup

Real Time


Release 6 and Release 7 Beta Tables

The tables below highlight the Release 6 Beta factors for transmitter tests from TS 34.121 table C.10.1.4 (Subtest 1-6) and Release 7 Beta factors from TS 34.121 table C.11.1.3 (Subtest 1-5).

Release 6 Beta Tables

Beta factors for transmitter tests from TS 34.121 table C.10.1.4

Subtest | βc | βd | βhs | βc/βd | βhs/βc
1 | 1/15 | 15/15 | 2/15 | 1/15 | 2
2 | 12/15 | 15/15 | 24/15 | 4/5 | 2
3 | 13/15 | 15/15 | 26/15 | 13/15 | 2
4 | 15/15 | 8/15 | 30/15 | 1 7/8 | 2
5 | 15/15 | 7/15 | 30/15 | 2 1/7 | 2
6 | 15/15 | OFF | 30/15 | 15/0 | 2

Power ratio relative to DPCCH (dB)

Subtest | DPCCH | DPDCH | HS-DPCCH
1 | 0.00 | 23.52 | 6.02
2 | 0.00 | 1.94 | 6.02
3 | 0.00 | 1.24 | 6.02
4 | 0.00 | –5.46 | 6.02
5 | 0.00 | –6.62 | 6.02
6 | 0.00 | OFF | 6.02

Power ratio setting for Signal Studio (dB)

Subtest | DPCCH | DPDCH | HS-DPCCH
1 | –23.52 | 0.00 | –17.50
2 | –6.02 | –4.08 | 0.00
3 | –6.02 | –4.78 | 0.00
4 | –6.02 | –11.48 | 0.00
5 | –6.02 | –12.64 | 0.00
6 | –6.02 | OFF | 0.00

Release 7 Beta Tables

Beta factors for transmitter tests from TS 34.121 table C.11.1.3

Subtest | βc | βd | βhs | βec | βed | βd/βc | βhs/βc | βec/βc | βed/βc
1 | 8/15 | 15/15 | 16/15 | 16/15 | 448/75 | 1 7/8 | 2 | 2 | 11 1/5
2 | 6/15 | 15/15 | 12/15 | 12/15 | 94/75 | 2 1/2 | 2 | 2 | 3 2/15
3 | 15/15 | 5/15 | 30/15 | 30/15 | 47/15 47/15 | 1/3 | 2 | 2 | 3 2/15
4 | 1/15 | 15/15 | 2/15 | 2/15 | 56/75 | 15 | 2 | 2 | 11 1/5
5 | 12/15 | 15/15 | 24/15 | 24/15 | 224/25 | 1 1/4 | 2 | 2 | 3 11/15

Power ratio relative to DPCCH (dB)

Subtest | DPCCH | DPDCH | HS-DPCCH | E-DPCCH | E-DPDCH
1 | 0.00 | 5.46 | 6.02 | 6.02 | 20.98
2 | 0.00 | 7.96 | 6.02 | 6.02 | 9.92
3 | 0.00 | –9.54 | 6.02 | 6.02 | 9.92
4 | 0.00 | 23.52 | 6.02 | 6.02 | 20.98
5 | 0.00 | 1.94 | 6.02 | 6.02 | 11.44

Power ratio setting for Signal Studio (dB)

Subtest | DPCCH | DPDCH | HS-DPCCH | E-DPCCH | E-DPDCH
1 | –20.98 | –15.52 | –14.96 | –14.96 | 0.00
2 | –9.92 | –1.96 | –3.90 | –3.90 | 0.00
3 | –9.92 | –19.46 | –3.90 | –3.90 | 0.00
4 | –23.52 | 0.00 | –17.50 | –17.50 | –2.54
5 | –11.44 | –9.50 | –5.42 | –5.42 | 0.00

Related Topics

Understanding the Cubic Metric

Calculating the Cubic Metric


s-ccpch data rates popup

Real Time


solution explorer

Real Time


Tree Hardware

Real Time


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


Understanding User Data Creation

Real Time

Understanding User-Defined Data

This software is an Arb-based product with the feature of allowing user-defined data patterns. Typically an Arb product is limited to component testing, where unique data patterns and transport layer coding are not required. With the addition of user-defined data patterns, the software can also be used for limited receiver testing.

The software provides user-defined data on the following channels:

Downlink |  | Uplink
DPCH | OCNS | DPCCH | E-DPDCH I
E-AGCH | PICH | DPDCH | E-DPDCH Q
HS-PDSCH | PCCPCH | E-DPCCH | HS-DPSCH
HS-SCCH | SCCPCH |  |

The following figure shows the normal data flow from the transport layer to the physical channel layer.

The software does not incorporate the transport layer. From the figure, you can see where the software inserts the user-defined data.

By providing user-defined patterns, you can use this software to also perform receiver testing and customize the frame:

  • simple testing to see if the receiver can properly despread and descramble data

  • transport layer support

  • direct control over data, which can add in troubleshooting or manipulating the crest factor

  • complex testing by customizing control and data channels that incorporate coding

  • 2 ms subframes

Signal is a 10 ms frame. Data limited to a 10 ms frame and defined by SF and 3GPP standards.


Uplink Features

Modulation

OCQPSK (HPSK), BPSK, 4PAM

Modulation selection of BPSK or4PAM requires Option FFP.

Scramble code

0 to 16777215 (FFFFFF hex), common for all channels except for PRACH

Predefined channel configurations

  • 1 DPCCH

  • DPCCH + 1 DPDCH

  • DPCCH + 2 DPDCH

  • DPCCH + 3 DPDCH

  • DPCCH + 4 DPDCH

  • DPCCH + 5 DPDCH

  • DPCCH + 6 DPDCH

  • DPCCH + 6 DPDCH + 1 HS-DPCCH

  • DPCCH + 1 DPDCH + 1 HS-DPCCH + 1 E-DPCCH + 2 E-DPDCH

  • DPCCH + E-DPCCH + 4 E-DPDCH

  • R6 Sub-test 1-6 Maximum Output Power with HS-DPCCH

  • R7 Sub-test 1-5 Maximum Output Power with HS-DPCCH/E-DCH

  • R8 Sub-test 1–4 Maximum Output Power with HS-DPCCH

  • 1R8 Sub-test 1 Maximum Output Power with HS-DPCCH/E-DCH with 16QAM

  • 2RMC12.2k, 64k, 144k, and 384k

  • 2FRC1 & 4 E-DPDCH testing and missed detection test

  • 2FRC2, 3, 5–7

  • 2FRC8 Non E-DPCCH and E-DPCCH boosting

1 Requires Option Fxx.

2 Requires advanced Option Qxx.

Related Topics

Dedicated Physical Control Channel (DPCCH)

Dedicated Physical Data Channel (DPDCH)

E-DCH Dedicated Physical Control Channel (E-DPCCH)

E-DCH Dedicated Physical Data Channel (E-DPDCH)

High Speed Dedicated Physical Control Channel (HS-DPCCH)

Physical Random Access Channel (PRACH)


Waveform Setup Tree

Real Time


CELL_FACH Pattern Editor

This topic, while it shows the different selections, concentrates on the PATTERN EDITOR that appears with the Custom Pattern selection.

In the following figures, notice that each pattern editor displays the current, total, and the maximum number of bit.

Pattern Editor

Use the PATTERN EDITOR to create custom bit patterns.The Closed PATTERN EDITOR area contains buttons to open, save, or clear user data along with the ability to insert PN9 or PN 15 data.

There are multiple ways to insert data:

  • using the 1 and 0 keys on the keyboard

  • using the Insert PN9 or Insert PN15 buttons

  • load a pattern file

  • use the 1 and 0 buttons on the PATTERN EDITOR

  • pasting data from a file or from within the current view

(The keyboard shortcuts Cntl+C and Cntl+V work for user data entry.)

To use the keyboard to insert data, simply place the cursor within the data entry area or highlight existing bits, and insert data.

To delete data, simply place the cursor at the desired location within the data or highlight bits, and delete the data using the backspace button, keyboard Delete key, keyboard Backspace key, or the keyboard shortcut Ctrl+x.

The maximum number of bits for the PATTERN EDITOR entry area is dependent upon the parameter.

Pattern Editor Buttons

Open Pattern File

This button loads a user-defined pattern from a selected location. When you select this button, the Open user defined data dialog box appears for navigating to and selecting the desired file. An imported file automatically updates the user data entry area.

If the imported file is larger than maximum number of bits, the software truncates the bits to conform to the maximum file size.

Save to file

This button saves the current data pattern shown in the PATTERN EDITOR entry area, to a file. When you select this button, a Save user defined data dialog box appears for navigating to the location where you can save the file.

Clear

Use this button to clear all data from the PATTERN EDITOR.

Insert PN9 | Insert PN15

These buttons insert a fixed pattern pseudo-random bit sequence into the user data entry area. The software generates this fixed pattern in accordance with the CCITT recommendation O.153 and ITU standard for the selected PN sequence. Repeated clicking of this button adds additional PN9/PN15 sequences until another insertion of the PN sequence would exceed the maximum number of bits. When this happens, the software displays a warning that it cannot insert another PN sequence.

If more bits are required after this warning and the there are less than the maximum number of bits showing, insert a smaller PN sequence (if using PN15, use PN9), highlight a section of the data and paste it, or use the 1 and 0 buttons.

To edit the data pattern, insert the cursor at the desired point in the file and click Insert PN9, or enter the information manually using the keyboard keys 1 and 0, or the PATTERN EDITOR 1 and 0 buttons. The software inserts the data at the cursor position and does not allow data in excess of the maximum number of bits.

Use this button to enter ones into the PATTERN EDITOR. The ones start at the current cursor location. To change the entry location in the data, simply reposition the cursor, and then click the button.

Use this button to enter zeros into the PATTERN EDITOR. The zeros start at the current cursor location. To change the entry location in the data, simply reposition the cursor, and then click the button.

Coupling: This button becomes visible with the Custom Pattern selection.

Click this button to backspace/delete data.


HARQ - Process States

See also HSUPA General Settings and HSUPA Configuration Summary Table.

1. HARQ General Settings

Number of HARQ Processes

2. HARQ Process States

HARQ Process #0 State

HARQ Process #1 State

HARQ Process #2 State

HARQ Process #3 State

HARQ Process #4 State

HARQ Process #5 State

HARQ Process #6 State

HARQ Process #7 State

1. HARQ General Settings

Number of HARQ Processes

Choice: 4 (TTI = 10ms) | 8 (TTI = 2ms)

Indicate the number of HARQ Process. The number is 8 when TTI is 2ms, 4 when TTI is 10ms.

2. HARQ Process States

HARQ Process #0 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

HARQ Process #1 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

HARQ Process #2 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

HARQ Process #3 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

HARQ Process #4 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

HARQ Process #5 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

HARQ Process #6 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

HARQ Process #7 State

Choice: Off | On

Default: On

Enables and disables the HARQ process state.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]|1||2|3|4|5|6|7[:STATe] ON|OFF|1|0

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:HSUPa:HPRocess[0]1||2|3|4|5|6|7[:STATe]?

Related Topics

HSUPA


Multi PRACH Settings

These settings control the Multiple PRACH message functionality. These settings are only active when the PRACH Generation Mode is set to Multiple in the MXG/EXG's PRACH node.

There are SCPI commands for Multi PRACH listed below.

See also PRACH (General Settings) tab, Closed PRACH Structure tab, and to Message.

Parameter | Description
UE | UE number that is assigned to a PRACH. Up to eight UEs are configurable at one time.
ON/OFF | Indicates whether the UEn is enabled or disabled for multi-PRACH data generation. See :PRACH:MULTi:UE[:STATe].
Pre Sig | Indicates the preamble signature of the PRACH preamble. This is same value as the signal PRACH mode. Range: 0 to 15. See :PRACh:MULTi:UE:PREamble:SIGNature.
Ch Code: Ctl | Indicates the channel code of the message control part. This value is calculated by the preamble signature (Pre Sig) of the related UEn setting. See :PRACh:MULTi:UE:CPARt:CCODe and see :PRACh:MULTi:UE:DPARt:CCODe.
Ch Code: Dat | Indicates the channel code of the message data part. This value is calculated by the preamble signature (Pre Sig) of the related UEn setting.
Start Access Slot Positions in 80 ms Period (0 to 7) | Indicates the PRACH start position in access slot number. Range: 0 to 59, OFF. The start position can be set at 8 locations maximally. The configured pattern is repeated every 80 ms. See :PRACH:MULTi:UE[:ASLot].

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or the Apply Needed ( [image]) button.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:SPOSition[1]|2|3|4|5|6|7|8[:ASLot] <val>|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:SPOSition[1]|2|3|4|5|6|7|8[:ASLot]?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:MESSage:CPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:MESSage:DPARt:CCODe?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:PREamble:SIGNature <val>

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8:PREamble:SIGNature?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8[:STATe] 0|1|ON|OFF

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:MULTi:UE[1]|2|3|4|5|6|7|8[:STATe]?

Related Topics:

Message

PRACH Structure

RACH


RMC/FRC Wizard

Use the RMC/FRC Wizard to select the Reference Measurement Channel (RMC) or the Frequency Reference Channel (FRC).

  • DPDCCH/DPDCH RMC/FRC Wizard

  • PRACH RMC/FRC Wizard

W-CDMA Uplink Configuration Summary Table

This section defines the Settings Current and Apply Needed buttons. Only one button is available at any time. These buttons are available in all of the W-CDMA/HSPA+ Uplink's tree nodes.

This button indicates that the current real-time settings have been applied to the instrument. No action is required.

This button indicates that the instrument settings are not current and need to be updated to be applied to the instrument. Click this button to update the instrument's settings.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:APPLy?

DPDCCH/DPDCH RMC/FRC Wizard choices:

RMC 12.2 kbps | This choice selects a reference measurement channel with a 12.2 kbps rate as per 3GPP TS 25.141.
RMC 64 kbps | This choice selects a reference measurement channel with a 64.0 kbps rate as per 3GPP TS 25.141.
RMC 144 kbps | This choice selects a reference measurement channel with a 144.0 kbps rate as per 3GPP TS 25.141.
RMC 384 kbps | This choice selects a reference measurement channel with a 384.0 kbps rate as per 3GPP TS 25.141.
UDI 64 kbps | This choice selects an ISDN unrestricted digital information 1B with a 64.0 kbps rate as per 3GPP TS 25.944.
ARM 12.2 kbps | This choice selects an adaptive multiple rate of 12.2 kbps as per 3GPP TS 25.944.

If you select the RMC/FRC Wizard softkey, use the following commands to make selections in the Closed RMC/FRC Wizard dialog box:

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RMCHannel RMC122|RMC64|RMC144|RMC384|UDI64|AMR122

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:RMCHannel?

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FRCHannel NONE|FRC1|FRC2|FRC3|FRC4|FRC5|FRC6|FRC7|FRC8

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:FRCHannel ?

PRACH RMC/FRC Wizard choices:

TB168 | This choice sets the parameters for the transport block size = 168.
TB360 | This choice sets the parameters for the transport block size = 360.

If you select the RMC/FRC Wizard softkey, use the following commands to make selections in the Closed Reference Measurement Selection (PRACH) dialog box:

If the parameter set by the following command is changed while the signal is active, the :ULINk:APPLy command or Apply Needed ( [image]) button must be executed for the change to occur.

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:RPARameter TB168|TB360

[:SOURce]:RADio:WCDMa:TGPP[:BBG]:ULINk:PRACh:RPARameter?